/**
 * <copyright>
 * 
 * Copyright (c) 2013 itemis and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 *     itemis - Initial API and implementation
 * 
 * </copyright>
 */
package org.safe.examples.editor.sections;

import org.safe.examples.editor.SAFEFormEditor;
import org.safe.examples.editor.internal.messages.Messages;
import org.eclipse.jface.action.Action;
import org.eclipse.jface.viewers.StructuredViewer;

class AppearanceAction extends Action {

	private final StructuredViewer viewer;
	private final SAFEFormEditor safeFormEditor;

	public AppearanceAction(StructuredViewer viewer, SAFEFormEditor safeFormEditor) {
		super(Messages.AppearanceAction_text, AS_CHECK_BOX);

		this.viewer = viewer;
		this.safeFormEditor = safeFormEditor;

		setChecked(safeFormEditor.isShowTypeName());
	}

	@Override
	public void run() {
		safeFormEditor.setShowTypeName(isChecked());

		viewer.refresh();
	}
}
