/**
 * <copyright>
 * 
 * Copyright (c) 2013 itemis and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 *     itemis - Initial API and implementation
 * 
 * </copyright>
 */
package org.safe.examples.explorer;

import org.eclipse.jface.action.Action;

class AppearanceAction extends Action {

	private final AppearanceExampleActionProvider exampleAppearanceActionProvider;
	private final boolean isShowNamesAndTypes;

	public AppearanceAction(String text, AppearanceExampleActionProvider exampleAppearanceActionProvider, boolean isShowNamesAndTypes) {
		super(text, AS_RADIO_BUTTON);

		this.exampleAppearanceActionProvider = exampleAppearanceActionProvider;
		this.isShowNamesAndTypes = isShowNamesAndTypes;
	}

	@Override
	public void run() {
		exampleAppearanceActionProvider.setShowTypeName(isShowNamesAndTypes);
		exampleAppearanceActionProvider.viewer.refresh();
	}
}
