/**
 * <copyright>
 * 
 * Copyright (c) 2013 itemis and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 *     itemis - Initial API and implementation
 * 
 * </copyright>
 */
package org.safe.ide.ui.wizards;

import org.eclipse.core.resources.IFile;
import org.eclipse.core.runtime.jobs.Job;
import org.eclipse.sphinx.emf.workspace.ui.wizards.AbstractNewModelFileWizard;
import org.eclipse.sphinx.emf.workspace.ui.wizards.pages.NewModelFileCreationPage;
import org.safe.ide.jobs.CreateSAFEFileJob;
import org.safe.ide.metamodel.SAFEReleaseDescriptor;
import org.safe.ide.preferences.ISAFEWorkspacePreferences;
import org.safe.ide.ui.wizards.pages.NewSAFEFileCreationPage;

public class NewSAFEFileWizard extends AbstractNewModelFileWizard<SAFEReleaseDescriptor> {

	public NewSAFEFileWizard(){
		super(SAFEReleaseDescriptor.BASE_NAME);
	}
	
	/*
	 * @see org.eclipse.sphinx.emf.workspace.ui.wizards.AbstractNewModelFileWizard#createMainPage()
	 */
	@Override
	protected NewModelFileCreationPage<SAFEReleaseDescriptor> createMainPage() {
		return new NewSAFEFileCreationPage("NewSAFEFileCreationPage", selection); //$NON-NLS-1$
	}

	/* (non-Javadoc)
	 * @see org.eclipse.sphinx.emf.workspace.ui.wizards.BasicNewModelFileWizard#createCreateNewModelFileJob(org.eclipse.core.resources.IFile)
	 */
	@Override
	public Job createCreateNewModelFileJob(String jobName, IFile newFile) {
		Job job = new CreateSAFEFileJob(jobName, newFile, ISAFEWorkspacePreferences.SAFE_RELEASE.get(newFile.getProject()), ((NewSAFEFileCreationPage) mainPage).getSAFEPackageName());
		return job;
	}
}
