/**
 * <copyright>
 * 
 * Copyright (c) 2013 itemis and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 *     itemis - Initial API and implementation
 * 
 * </copyright>
 */
package org.safe.ide.preferences;

import org.eclipse.sphinx.platform.preferences.BooleanWorkspacePreference;
import org.eclipse.sphinx.platform.preferences.IWorkspacePreference;
import org.eclipse.sphinx.platform.preferences.IntegerWorkspacePreference;
import org.safe.ide.internal.Activator;

/**
 * A set of preferences through which users can adjust the way how they work with AUTOSAR models.
 */
public interface  ISAFEPreferences {

	IWorkspacePreference<Boolean> XSD_VALIDATION_ON_LOAD = new BooleanWorkspacePreference(Activator.getPlugin()
			.getSymbolicName(), ISAFEPreferenceConstants.PREF_XSD_VALIDATION_ON_LOAD,
			ISAFEPreferenceConstants.PREF_XSD_VALIDATION_ON_LOAD_DEFAULT);

	IWorkspacePreference<Integer> XSD_VALIDATION_SEVERITY_LEVEL = new IntegerWorkspacePreference(Activator.getPlugin()
			.getSymbolicName(), ISAFEPreferenceConstants.PREF_XSD_VALIDATION_SEVERITY_LEVEL,
			ISAFEPreferenceConstants.PREF_XSD_VALIDATION_SEVERITY_LEVEL_DEFAULT);

	IWorkspacePreference<Boolean> LIMIT_PROBLEM_INDICATION_ON_LOAD = new BooleanWorkspacePreference(Activator.getPlugin()
			.getSymbolicName(), ISAFEPreferenceConstants.PREF_LIMIT_PROBLEM_INDICATION_ON_LOAD,
			ISAFEPreferenceConstants.PREF_LIMIT_PROBLEM_INDICATION_ON_LOAD_DEFAULT);

	IWorkspacePreference<Integer> MAX_PROBLEM_REPORTED_ON_LOAD = new IntegerWorkspacePreference(Activator.getPlugin()
			.getSymbolicName(), ISAFEPreferenceConstants.PREF_MAX_PROBLEM_REPORTED_ON_LOAD,
			ISAFEPreferenceConstants.PREF_MAX_PROBLEM_REPORTED_ON_LOAD_DEFAULT);

	IWorkspacePreference<Boolean> SYNC_UUIDS = new BooleanWorkspacePreference(Activator.getPlugin().getSymbolicName(),
			ISAFEPreferenceConstants.PREF_SYNC_UUIDS, ISAFEPreferenceConstants.PREF_SYNC_UUIDS_DEFAULT);

	IWorkspacePreference<Boolean> PREF_USE_BINARY_RESOURCE = new BooleanWorkspacePreference(Activator.getPlugin()
			.getSymbolicName(), ISAFEPreferenceConstants.PREF_USE_BINARY_RESOURCE, ISAFEPreferenceConstants.PREF_USE_BINARY_RESOURCE_DEFAULT);
}

