/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.commonstructure.safetyextensions.providers;


import java.util.Collection;
import java.util.List;
import java.util.MissingResourceException;

import org.eclipse.emf.common.command.Command;

import org.eclipse.emf.common.notify.AdapterFactory;
import org.eclipse.emf.common.notify.Notification;

import org.eclipse.emf.common.util.ResourceLocator;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EStructuralFeature;

import org.eclipse.emf.edit.command.AddCommand;
import org.eclipse.emf.edit.command.CommandParameter;
import org.eclipse.emf.edit.command.RemoveCommand;

import org.eclipse.emf.edit.domain.EditingDomain;

import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertyDescriptor;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;
import org.eclipse.emf.edit.provider.ViewerNotification;

import org.eclipse.sphinx.emf.edit.CustomCommandRegistry;
import org.eclipse.sphinx.emf.edit.ResourceLocatorRegistry;

import safe10.classmodel.commonstructure.safetyextensions.RequirementsSafetyExtension;
import safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionFactory;

import safe10.classmodel.requirements.RequirementsFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.SoftwaresafetyrequirementsFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatormonitorFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuselftestFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CrcchecksumFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.FilterFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientcheckFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.MemoryselftestFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingFactory;

/**
 * This is the item provider adapter for a {@link safe10.classmodel.commonstructure.safetyextensions.RequirementsSafetyExtension} object.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class RequirementsSafetyExtensionItemProvider
  extends SafetyExtensionItemProvider
  implements
    IEditingDomainItemProvider,
    IStructuredItemContentProvider,
    ITreeItemContentProvider,
    IItemLabelProvider,
    IItemPropertySource
{
  /**
   * This constructs an instance from a factory and a notifier.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public RequirementsSafetyExtensionItemProvider(AdapterFactory adapterFactory)
  {
    super(adapterFactory);
  }

  /**
   * This returns the property descriptors for the adapted class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public List<IItemPropertyDescriptor> getPropertyDescriptors(Object object)
  {
    if (itemPropertyDescriptors == null)
    {
      super.getPropertyDescriptors(object);

    }
    return itemPropertyDescriptors;
  }

  /**
   * This specifies how to implement {@link #getChildren} and is used to deduce an appropriate feature for an
   * {@link org.eclipse.emf.edit.command.AddCommand}, {@link org.eclipse.emf.edit.command.RemoveCommand} or
   * {@link org.eclipse.emf.edit.command.MoveCommand} in {@link #createCommand}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Collection<? extends EStructuralFeature> getChildrenFeatures(Object object)
  {
    if (childrenFeatures == null)
    {
      super.getChildrenFeatures(object);
      childrenFeatures.add(SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT);
      childrenFeatures.add(SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__REQUIREMENTS_RELATIONSHIP);
    }
    return childrenFeatures;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EStructuralFeature getChildFeature(Object object, Object child)
  {
    // Check the type of the specified child object and return the proper feature to use for
    // adding (see {@link AddCommand}) it as a child.

    return super.getChildFeature(object, child);
  }

  /**
   * This returns RequirementsSafetyExtension.gif.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object getImage(Object object)
  {
    if(object != null){
      String nsURI = ((EObject) object).eClass().getEPackage().getNsURI();
      ResourceLocator resourceLocator = ResourceLocatorRegistry.INSTANCE
            .getResourceLocator(nsURI);
        if (resourceLocator != null) {
          try {
            Object image = resourceLocator.getImage("full/obj16/RequirementsSafetyExtension"); 
            if (image != null) {
              return overlayImage(object, image);
            }
          }catch(MissingResourceException ex){
            // Fail silent
          }
        }
      return overlayImage(object, getResourceLocator().getImage("full/obj16/RequirementsSafetyExtension"));
    }
    return null;
  }

  /**
   * This returns the label text for the adapted class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String getText(Object object)
  {
    String label = ((RequirementsSafetyExtension)object).getShortName();
    String typeLabel = getString("_UI_RequirementsSafetyExtension_type"); 
      return label == null || label.length() == 0 ? typeLabel : label;
  }

  /**
   * This handles model notifications by calling {@link #updateChildren} to update any cached
   * children and by creating a viewer notification, which it passes to {@link #fireNotifyChanged}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void notifyChanged(Notification notification)
  {
    updateChildren(notification);

    switch (notification.getFeatureID(RequirementsSafetyExtension.class))
    {
      case SafetyextensionsPackage.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT:
      case SafetyextensionsPackage.REQUIREMENTS_SAFETY_EXTENSION__REQUIREMENTS_RELATIONSHIP:
        fireNotifyChanged(new ViewerNotification(notification, notification.getNotifier(), true, false));
        return;
    }
    super.notifyChanged(notification);
  }

  /**
   * This adds {@link org.eclipse.emf.edit.command.CommandParameter}s describing the children
   * that can be created under this object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected void collectNewChildDescriptors(Collection<Object> newChildDescriptors, Object object)
  {
    super.collectNewChildDescriptors(newChildDescriptors, object);

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         SoftwaresafetyextensionFactory.eINSTANCE.createAutosarSystemSafetyExtension()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         SoftwaresafetyextensionFactory.eINSTANCE.createAutosarVfbSafetyExtension()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         SoftwaresafetyextensionFactory.eINSTANCE.createChromosomeApplicationSafetyExtension()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         SoftwaresafetyextensionFactory.eINSTANCE.createChromosomeSystemSafetyExtension()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         RequirementsFactory.eINSTANCE.createAbstractSafetyRequirement()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         RequirementsFactory.eINSTANCE.createFunctionalSafetyRequirement()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         RequirementsFactory.eINSTANCE.createSoftwareSafetyRequirement()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         RequirementsFactory.eINSTANCE.createTechnicalSafetyRequirement()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         SoftwaresafetyrequirementsFactory.eINSTANCE.createErrorDetectionSSR()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         SoftwaresafetyrequirementsFactory.eINSTANCE.createErrorHandlerSSR()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         AlivenessmonitorFactory.eINSTANCE.createAlivenessMonitor()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         AlivenessmonitorFactory.eINSTANCE.createAutosarAlivenessMonitor()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         ActuatormonitorFactory.eINSTANCE.createActuatorMonitor()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         ActuatormonitorFactory.eINSTANCE.createAutosarActuatorMonitor()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         CrcchecksumFactory.eINSTANCE.createCRC()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         CrcchecksumFactory.eINSTANCE.createAutosarCRC()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         CrcchecksumFactory.eINSTANCE.createComponentPrototypeCRC()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         CrcchecksumFactory.eINSTANCE.createInterfaceCRC()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         ComparisonFactory.eINSTANCE.createComparison()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         ComparisonFactory.eINSTANCE.createAutosarComparison()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         ComparisonFactory.eINSTANCE.createChromosomeComparison()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         ContextrangecheckFactory.eINSTANCE.createContextRangeCheck()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         ContextrangecheckFactory.eINSTANCE.createAutosarContextRangeCheck()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         CpuselftestFactory.eINSTANCE.createCpuSelfTest()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         CpuselftestFactory.eINSTANCE.createChromosomeCpuSelfTest()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         FilterFactory.eINSTANCE.createFilter()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         GradientcheckFactory.eINSTANCE.createGradientCheck()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         GradientcheckFactory.eINSTANCE.createAutosarGradientCheck()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         HealthmonitorFactory.eINSTANCE.createHealthMonitor()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         HealthmonitorFactory.eINSTANCE.createChromosomeHealthMonitor()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         HealthmonitorFactory.eINSTANCE.createChromosomeApplicationHealthMonitor()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         HealthmonitorFactory.eINSTANCE.createChromosomeErrorHandler()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         HealthmonitorFactory.eINSTANCE.createCHROMOSOMEHealthMonitorNotification()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         HealthmonitorFactory.eINSTANCE.createChromosomeNodeHealthMonitor()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         HeartbeatFactory.eINSTANCE.createHeartbeatReceiver()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         HeartbeatFactory.eINSTANCE.createChromosomeHeartbeatReceiver()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         HeartbeatFactory.eINSTANCE.createHeartbeatSender()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         HeartbeatFactory.eINSTANCE.createChromosomeHeartbeatSender()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         HeartbeatFactory.eINSTANCE.createHeartbeat()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         MemoryselftestFactory.eINSTANCE.createMemorySelfTest()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         MemoryselftestFactory.eINSTANCE.createChromosomeMemoryTest()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         VotingFactory.eINSTANCE.createVoting()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT,
         VotingFactory.eINSTANCE.createChromosomeVoting()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__REQUIREMENTS_RELATIONSHIP,
         RequirementsFactory.eINSTANCE.createRequirementsReleationship()));

    newChildDescriptors.add
      (createChildParameter
        (SafetyextensionsPackage.Literals.REQUIREMENTS_SAFETY_EXTENSION__REQUIREMENTS_RELATIONSHIP,
         RequirementsFactory.eINSTANCE.createVerify()));
  }

   
  @Override
   protected Command createAddCommand(EditingDomain domain, EObject owner, EStructuralFeature feature, Collection<?> collection, int index) {
    Command addCommand = CustomCommandRegistry.INSTANCE.createCustomCommand(domain, new CommandParameter(owner, feature, collection, index),
        AddCommand.class);
    if (addCommand != null) {
      return addCommand  ;
    }
    return super.createAddCommand(domain, owner, feature, collection, index);
  }
  
  @Override
  protected Command createRemoveCommand(EditingDomain domain, EObject owner, EStructuralFeature feature, Collection<?> collection) {
    Command removeCommand = CustomCommandRegistry.INSTANCE.createCustomCommand(domain, new CommandParameter(owner, feature, collection),
        RemoveCommand.class);
    if (removeCommand != null) {
      return removeCommand;
    }
    return super.createRemoveCommand(domain, owner, feature, collection);
  }
}
