/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.errormodel.providers;


import java.util.Collection;
import java.util.List;
import java.util.MissingResourceException;

import org.eclipse.emf.common.command.Command;

import org.eclipse.emf.common.notify.AdapterFactory;
import org.eclipse.emf.common.notify.Notification;

import org.eclipse.emf.common.util.ResourceLocator;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EStructuralFeature;

import org.eclipse.emf.edit.command.AddCommand;
import org.eclipse.emf.edit.command.CommandParameter;
import org.eclipse.emf.edit.command.RemoveCommand;

import org.eclipse.emf.edit.domain.EditingDomain;

import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertyDescriptor;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;
import org.eclipse.emf.edit.provider.ViewerNotification;

import org.eclipse.sphinx.emf.edit.CustomCommandRegistry;
import org.eclipse.sphinx.emf.edit.ResourceLocatorRegistry;

import safe10.Activator;

import safe10.classmodel.commonstructure.toplevel.providers.IdentifiableItemProvider;

import safe10.classmodel.errormodel.ErrorModel;
import safe10.classmodel.errormodel.ErrormodelFactory;
import safe10.classmodel.errormodel.ErrormodelPackage;

import safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorFactory;

import safe10.classmodel.errormodel.errormodeltype.ErrormodeltypeFactory;

import safe10.classmodel.errormodel.malfunction.MalfunctionFactory;

import safe10.classmodel.hardware.failure.FailureFactory;

/**
 * This is the item provider adapter for a {@link safe10.classmodel.errormodel.ErrorModel} object.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class ErrorModelItemProvider
  extends IdentifiableItemProvider
  implements
    IEditingDomainItemProvider,
    IStructuredItemContentProvider,
    ITreeItemContentProvider,
    IItemLabelProvider,
    IItemPropertySource
{
  /**
   * This constructs an instance from a factory and a notifier.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ErrorModelItemProvider(AdapterFactory adapterFactory)
  {
    super(adapterFactory);
  }

  /**
   * This returns the property descriptors for the adapted class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public List<IItemPropertyDescriptor> getPropertyDescriptors(Object object)
  {
    if (itemPropertyDescriptors == null)
    {
      super.getPropertyDescriptors(object);

    }
    return itemPropertyDescriptors;
  }

  /**
   * This specifies how to implement {@link #getChildren} and is used to deduce an appropriate feature for an
   * {@link org.eclipse.emf.edit.command.AddCommand}, {@link org.eclipse.emf.edit.command.RemoveCommand} or
   * {@link org.eclipse.emf.edit.command.MoveCommand} in {@link #createCommand}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Collection<? extends EStructuralFeature> getChildrenFeatures(Object object)
  {
    if (childrenFeatures == null)
    {
      super.getChildrenFeatures(object);
      childrenFeatures.add(ErrormodelPackage.Literals.ERROR_MODEL__MAPPING);
      childrenFeatures.add(ErrormodelPackage.Literals.ERROR_MODEL__BEHAVIOR);
      childrenFeatures.add(ErrormodelPackage.Literals.ERROR_MODEL__TYPE);
      childrenFeatures.add(ErrormodelPackage.Literals.ERROR_MODEL__MALFUNCTION);
    }
    return childrenFeatures;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EStructuralFeature getChildFeature(Object object, Object child)
  {
    // Check the type of the specified child object and return the proper feature to use for
    // adding (see {@link AddCommand}) it as a child.

    return super.getChildFeature(object, child);
  }

  /**
   * This returns ErrorModel.gif.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object getImage(Object object)
  {
    if(object != null){
      String nsURI = ((EObject) object).eClass().getEPackage().getNsURI();
      ResourceLocator resourceLocator = ResourceLocatorRegistry.INSTANCE
            .getResourceLocator(nsURI);
        if (resourceLocator != null) {
          try {
            Object image = resourceLocator.getImage("full/obj16/ErrorModel"); 
            if (image != null) {
              return overlayImage(object, image);
            }
          }catch(MissingResourceException ex){
            // Fail silent
          }
        }
      return overlayImage(object, getResourceLocator().getImage("full/obj16/ErrorModel"));
    }
    return null;
  }

  /**
   * This returns the label text for the adapted class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String getText(Object object)
  {
    String label = ((ErrorModel)object).getShortName();
    String typeLabel = getString("_UI_ErrorModel_type"); 
      return label == null || label.length() == 0 ? typeLabel : label;
  }

  /**
   * This handles model notifications by calling {@link #updateChildren} to update any cached
   * children and by creating a viewer notification, which it passes to {@link #fireNotifyChanged}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void notifyChanged(Notification notification)
  {
    updateChildren(notification);

    switch (notification.getFeatureID(ErrorModel.class))
    {
      case ErrormodelPackage.ERROR_MODEL__MAPPING:
      case ErrormodelPackage.ERROR_MODEL__BEHAVIOR:
      case ErrormodelPackage.ERROR_MODEL__TYPE:
      case ErrormodelPackage.ERROR_MODEL__MALFUNCTION:
        fireNotifyChanged(new ViewerNotification(notification, notification.getNotifier(), true, false));
        return;
    }
    super.notifyChanged(notification);
  }

  /**
   * This adds {@link org.eclipse.emf.edit.command.CommandParameter}s describing the children
   * that can be created under this object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected void collectNewChildDescriptors(Collection<Object> newChildDescriptors, Object object)
  {
    super.collectNewChildDescriptors(newChildDescriptors, object);

    newChildDescriptors.add
      (createChildParameter
        (ErrormodelPackage.Literals.ERROR_MODEL__MAPPING,
         ErrormodelFactory.eINSTANCE.createErrorModelMapping()));

    newChildDescriptors.add
      (createChildParameter
        (ErrormodelPackage.Literals.ERROR_MODEL__BEHAVIOR,
         ErrorbehaviorFactory.eINSTANCE.createEastADLErrorBehavior()));

    newChildDescriptors.add
      (createChildParameter
        (ErrormodelPackage.Literals.ERROR_MODEL__BEHAVIOR,
         ErrorbehaviorFactory.eINSTANCE.createNativeErrorBehavior()));

    newChildDescriptors.add
      (createChildParameter
        (ErrormodelPackage.Literals.ERROR_MODEL__TYPE,
         ErrormodeltypeFactory.eINSTANCE.createErrorModelType()));

    newChildDescriptors.add
      (createChildParameter
        (ErrormodelPackage.Literals.ERROR_MODEL__TYPE,
         ErrormodeltypeFactory.eINSTANCE.createEMTypeBswModule()));

    newChildDescriptors.add
      (createChildParameter
        (ErrormodelPackage.Literals.ERROR_MODEL__TYPE,
         ErrormodeltypeFactory.eINSTANCE.createEMTypeFunction()));

    newChildDescriptors.add
      (createChildParameter
        (ErrormodelPackage.Literals.ERROR_MODEL__TYPE,
         ErrormodeltypeFactory.eINSTANCE.createEMTypeHwComponent()));

    newChildDescriptors.add
      (createChildParameter
        (ErrormodelPackage.Literals.ERROR_MODEL__TYPE,
         ErrormodeltypeFactory.eINSTANCE.createEMTypeSwComponent()));

    newChildDescriptors.add
      (createChildParameter
        (ErrormodelPackage.Literals.ERROR_MODEL__MALFUNCTION,
         MalfunctionFactory.eINSTANCE.createMTEnum()));

    newChildDescriptors.add
      (createChildParameter
        (ErrormodelPackage.Literals.ERROR_MODEL__MALFUNCTION,
         MalfunctionFactory.eINSTANCE.createMTGeneral()));

    newChildDescriptors.add
      (createChildParameter
        (ErrormodelPackage.Literals.ERROR_MODEL__MALFUNCTION,
         FailureFactory.eINSTANCE.createHWFailureMode()));
  }

  /**
   * Return the resource locator for this item provider's resources.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public ResourceLocator getResourceLocator()
  {
    return Activator.INSTANCE;
  }

   
  @Override
   protected Command createAddCommand(EditingDomain domain, EObject owner, EStructuralFeature feature, Collection<?> collection, int index) {
    Command addCommand = CustomCommandRegistry.INSTANCE.createCustomCommand(domain, new CommandParameter(owner, feature, collection, index),
        AddCommand.class);
    if (addCommand != null) {
      return addCommand  ;
    }
    return super.createAddCommand(domain, owner, feature, collection, index);
  }
  
  @Override
  protected Command createRemoveCommand(EditingDomain domain, EObject owner, EStructuralFeature feature, Collection<?> collection) {
    Command removeCommand = CustomCommandRegistry.INSTANCE.createCustomCommand(domain, new CommandParameter(owner, feature, collection),
        RemoveCommand.class);
    if (removeCommand != null) {
      return removeCommand;
    }
    return super.createRemoveCommand(domain, owner, feature, collection);
  }
}
