/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.failureformula.providers;

import java.util.ArrayList;
import java.util.Collection;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.edit.provider.ChangeNotifier;
import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.ComposedAdapterFactory;
import org.eclipse.emf.edit.provider.IChangeNotifier;
import org.eclipse.emf.edit.provider.IDisposable;
import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.INotifyChangedListener;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;

import safe10.classmodel.hardware.failureformula.util.FailureformulaAdapterFactory;

/**
 * This is the factory that is used to provide the interfaces needed to support Viewers.
 * The adapters generated by this factory convert EMF adapter notifications into calls to {@link #fireNotifyChanged fireNotifyChanged}.
 * The adapters also support Eclipse property sheets.
 * Note that most of the adapters are shared among multiple instances.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class FailureformulaItemProviderAdapterFactory extends FailureformulaAdapterFactory implements ComposeableAdapterFactory, IChangeNotifier, IDisposable
{
  /**
   * This keeps track of the root adapter factory that delegates to this adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ComposedAdapterFactory parentAdapterFactory;

  /**
   * This is used to implement {@link org.eclipse.emf.edit.provider.IChangeNotifier}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected IChangeNotifier changeNotifier = new ChangeNotifier();

  /**
   * This keeps track of all the supported types checked by {@link #isFactoryForType isFactoryForType}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected Collection<Object> supportedTypes = new ArrayList<Object>();

  /**
   * This constructs an instance.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public FailureformulaItemProviderAdapterFactory()
  {
    supportedTypes.add(IEditingDomainItemProvider.class);
    supportedTypes.add(IStructuredItemContentProvider.class);
    supportedTypes.add(ITreeItemContentProvider.class);
    supportedTypes.add(IItemLabelProvider.class);
    supportedTypes.add(IItemPropertySource.class);
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hardware.failureformula.HWFailureClassContributionFormula} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HWFailureClassContributionFormulaItemProvider hwFailureClassContributionFormulaItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hardware.failureformula.HWFailureClassContributionFormula}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHWFailureClassContributionFormulaAdapter()
  {
    if (hwFailureClassContributionFormulaItemProvider == null)
    {
      hwFailureClassContributionFormulaItemProvider = new HWFailureClassContributionFormulaItemProvider(this);
    }

    return hwFailureClassContributionFormulaItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hardware.failureformula.HWFMSingleContributionFormula} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HWFMSingleContributionFormulaItemProvider hwfmSingleContributionFormulaItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hardware.failureformula.HWFMSingleContributionFormula}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHWFMSingleContributionFormulaAdapter()
  {
    if (hwfmSingleContributionFormulaItemProvider == null)
    {
      hwfmSingleContributionFormulaItemProvider = new HWFMSingleContributionFormulaItemProvider(this);
    }

    return hwfmSingleContributionFormulaItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hardware.failureformula.HWLambdaPartFormula} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HWLambdaPartFormulaItemProvider hwLambdaPartFormulaItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hardware.failureformula.HWLambdaPartFormula}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHWLambdaPartFormulaAdapter()
  {
    if (hwLambdaPartFormulaItemProvider == null)
    {
      hwLambdaPartFormulaItemProvider = new HWLambdaPartFormulaItemProvider(this);
    }

    return hwLambdaPartFormulaItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hardware.failureformula.HWLatentFaultMetricFormula} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HWLatentFaultMetricFormulaItemProvider hwLatentFaultMetricFormulaItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hardware.failureformula.HWLatentFaultMetricFormula}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHWLatentFaultMetricFormulaAdapter()
  {
    if (hwLatentFaultMetricFormulaItemProvider == null)
    {
      hwLatentFaultMetricFormulaItemProvider = new HWLatentFaultMetricFormulaItemProvider(this);
    }

    return hwLatentFaultMetricFormulaItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hardware.failureformula.HWPMHFFormula} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HWPMHFFormulaItemProvider hwpmhfFormulaItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hardware.failureformula.HWPMHFFormula}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHWPMHFFormulaAdapter()
  {
    if (hwpmhfFormulaItemProvider == null)
    {
      hwpmhfFormulaItemProvider = new HWPMHFFormulaItemProvider(this);
    }

    return hwpmhfFormulaItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hardware.failureformula.HWSinglePointFaultMetricFormula} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HWSinglePointFaultMetricFormulaItemProvider hwSinglePointFaultMetricFormulaItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hardware.failureformula.HWSinglePointFaultMetricFormula}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHWSinglePointFaultMetricFormulaAdapter()
  {
    if (hwSinglePointFaultMetricFormulaItemProvider == null)
    {
      hwSinglePointFaultMetricFormulaItemProvider = new HWSinglePointFaultMetricFormulaItemProvider(this);
    }

    return hwSinglePointFaultMetricFormulaItemProvider;
  }

  /**
   * This returns the root adapter factory that contains this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ComposeableAdapterFactory getRootAdapterFactory()
  {
    return parentAdapterFactory == null ? this : parentAdapterFactory.getRootAdapterFactory();
  }

  /**
   * This sets the composed adapter factory that contains this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)
  {
    this.parentAdapterFactory = parentAdapterFactory;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object type)
  {
    return supportedTypes.contains(type) || super.isFactoryForType(type);
  }

  /**
   * This implementation substitutes the factory itself as the key for the adapter.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter adapt(Notifier notifier, Object type)
  {
    return super.adapt(notifier, this);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object adapt(Object object, Object type)
  {
    if (isFactoryForType(type))
    {
      Object adapter = super.adapt(object, type);
      if (!(type instanceof Class<?>) || (((Class<?>)type).isInstance(adapter)))
      {
        return adapter;
      }
    }

    return null;
  }

  /**
   * This adds a listener.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void addListener(INotifyChangedListener notifyChangedListener)
  {
    changeNotifier.addListener(notifyChangedListener);
  }

  /**
   * This removes a listener.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void removeListener(INotifyChangedListener notifyChangedListener)
  {
    changeNotifier.removeListener(notifyChangedListener);
  }

  /**
   * This delegates to {@link #changeNotifier} and to {@link #parentAdapterFactory}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void fireNotifyChanged(Notification notification)
  {
    changeNotifier.fireNotifyChanged(notification);

    if (parentAdapterFactory != null)
    {
      parentAdapterFactory.fireNotifyChanged(notification);
    }
  }

  /**
   * This disposes all of the item providers created by this factory. 
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void dispose()
  {
    if (hwFailureClassContributionFormulaItemProvider != null) hwFailureClassContributionFormulaItemProvider.dispose();
    if (hwfmSingleContributionFormulaItemProvider != null) hwfmSingleContributionFormulaItemProvider.dispose();
    if (hwLambdaPartFormulaItemProvider != null) hwLambdaPartFormulaItemProvider.dispose();
    if (hwLatentFaultMetricFormulaItemProvider != null) hwLatentFaultMetricFormulaItemProvider.dispose();
    if (hwpmhfFormulaItemProvider != null) hwpmhfFormulaItemProvider.dispose();
    if (hwSinglePointFaultMetricFormulaItemProvider != null) hwSinglePointFaultMetricFormulaItemProvider.dispose();
  }

}
