/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.failurepart.providers;

import java.util.ArrayList;
import java.util.Collection;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.edit.provider.ChangeNotifier;
import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.ComposedAdapterFactory;
import org.eclipse.emf.edit.provider.IChangeNotifier;
import org.eclipse.emf.edit.provider.IDisposable;
import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.INotifyChangedListener;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;

import safe10.classmodel.hardware.failurepart.util.FailurepartAdapterFactory;

/**
 * This is the factory that is used to provide the interfaces needed to support Viewers.
 * The adapters generated by this factory convert EMF adapter notifications into calls to {@link #fireNotifyChanged fireNotifyChanged}.
 * The adapters also support Eclipse property sheets.
 * Note that most of the adapters are shared among multiple instances.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class FailurepartItemProviderAdapterFactory extends FailurepartAdapterFactory implements ComposeableAdapterFactory, IChangeNotifier, IDisposable
{
  /**
   * This keeps track of the root adapter factory that delegates to this adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ComposedAdapterFactory parentAdapterFactory;

  /**
   * This is used to implement {@link org.eclipse.emf.edit.provider.IChangeNotifier}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected IChangeNotifier changeNotifier = new ChangeNotifier();

  /**
   * This keeps track of all the supported types checked by {@link #isFactoryForType isFactoryForType}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected Collection<Object> supportedTypes = new ArrayList<Object>();

  /**
   * This constructs an instance.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public FailurepartItemProviderAdapterFactory()
  {
    supportedTypes.add(IEditingDomainItemProvider.class);
    supportedTypes.add(IStructuredItemContentProvider.class);
    supportedTypes.add(ITreeItemContentProvider.class);
    supportedTypes.add(IItemLabelProvider.class);
    supportedTypes.add(IItemPropertySource.class);
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hardware.failurepart.HWComponentQuantifiedFMFromPart} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HWComponentQuantifiedFMFromPartItemProvider hwComponentQuantifiedFMFromPartItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hardware.failurepart.HWComponentQuantifiedFMFromPart}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHWComponentQuantifiedFMFromPartAdapter()
  {
    if (hwComponentQuantifiedFMFromPartItemProvider == null)
    {
      hwComponentQuantifiedFMFromPartItemProvider = new HWComponentQuantifiedFMFromPartItemProvider(this);
    }

    return hwComponentQuantifiedFMFromPartItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hardware.failurepart.HWElementPrototypeScope} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HWElementPrototypeScopeItemProvider hwElementPrototypeScopeItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hardware.failurepart.HWElementPrototypeScope}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHWElementPrototypeScopeAdapter()
  {
    if (hwElementPrototypeScopeItemProvider == null)
    {
      hwElementPrototypeScopeItemProvider = new HWElementPrototypeScopeItemProvider(this);
    }

    return hwElementPrototypeScopeItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hardware.failurepart.HWPartFailure} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HWPartFailureItemProvider hwPartFailureItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hardware.failurepart.HWPartFailure}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHWPartFailureAdapter()
  {
    if (hwPartFailureItemProvider == null)
    {
      hwPartFailureItemProvider = new HWPartFailureItemProvider(this);
    }

    return hwPartFailureItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HWPartFailureAnalysisItemProvider hwPartFailureAnalysisItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHWPartFailureAnalysisAdapter()
  {
    if (hwPartFailureAnalysisItemProvider == null)
    {
      hwPartFailureAnalysisItemProvider = new HWPartFailureAnalysisItemProvider(this);
    }

    return hwPartFailureAnalysisItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hardware.failurepart.HWPartFailureMode} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HWPartFailureModeItemProvider hwPartFailureModeItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hardware.failurepart.HWPartFailureMode}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHWPartFailureModeAdapter()
  {
    if (hwPartFailureModeItemProvider == null)
    {
      hwPartFailureModeItemProvider = new HWPartFailureModeItemProvider(this);
    }

    return hwPartFailureModeItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hardware.failurepart.HWPartFailureRate} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HWPartFailureRateItemProvider hwPartFailureRateItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hardware.failurepart.HWPartFailureRate}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHWPartFailureRateAdapter()
  {
    if (hwPartFailureRateItemProvider == null)
    {
      hwPartFailureRateItemProvider = new HWPartFailureRateItemProvider(this);
    }

    return hwPartFailureRateItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hardware.failurepart.HWElementScopeInstanceRef} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HWElementScopeInstanceRefItemProvider hwElementScopeInstanceRefItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hardware.failurepart.HWElementScopeInstanceRef}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHWElementScopeInstanceRefAdapter()
  {
    if (hwElementScopeInstanceRefItemProvider == null)
    {
      hwElementScopeInstanceRefItemProvider = new HWElementScopeInstanceRefItemProvider(this);
    }

    return hwElementScopeInstanceRefItemProvider;
  }

  /**
   * This returns the root adapter factory that contains this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ComposeableAdapterFactory getRootAdapterFactory()
  {
    return parentAdapterFactory == null ? this : parentAdapterFactory.getRootAdapterFactory();
  }

  /**
   * This sets the composed adapter factory that contains this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)
  {
    this.parentAdapterFactory = parentAdapterFactory;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object type)
  {
    return supportedTypes.contains(type) || super.isFactoryForType(type);
  }

  /**
   * This implementation substitutes the factory itself as the key for the adapter.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter adapt(Notifier notifier, Object type)
  {
    return super.adapt(notifier, this);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object adapt(Object object, Object type)
  {
    if (isFactoryForType(type))
    {
      Object adapter = super.adapt(object, type);
      if (!(type instanceof Class<?>) || (((Class<?>)type).isInstance(adapter)))
      {
        return adapter;
      }
    }

    return null;
  }

  /**
   * This adds a listener.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void addListener(INotifyChangedListener notifyChangedListener)
  {
    changeNotifier.addListener(notifyChangedListener);
  }

  /**
   * This removes a listener.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void removeListener(INotifyChangedListener notifyChangedListener)
  {
    changeNotifier.removeListener(notifyChangedListener);
  }

  /**
   * This delegates to {@link #changeNotifier} and to {@link #parentAdapterFactory}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void fireNotifyChanged(Notification notification)
  {
    changeNotifier.fireNotifyChanged(notification);

    if (parentAdapterFactory != null)
    {
      parentAdapterFactory.fireNotifyChanged(notification);
    }
  }

  /**
   * This disposes all of the item providers created by this factory. 
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void dispose()
  {
    if (hwComponentQuantifiedFMFromPartItemProvider != null) hwComponentQuantifiedFMFromPartItemProvider.dispose();
    if (hwElementPrototypeScopeItemProvider != null) hwElementPrototypeScopeItemProvider.dispose();
    if (hwPartFailureItemProvider != null) hwPartFailureItemProvider.dispose();
    if (hwPartFailureAnalysisItemProvider != null) hwPartFailureAnalysisItemProvider.dispose();
    if (hwPartFailureModeItemProvider != null) hwPartFailureModeItemProvider.dispose();
    if (hwPartFailureRateItemProvider != null) hwPartFailureRateItemProvider.dispose();
    if (hwElementScopeInstanceRefItemProvider != null) hwElementScopeInstanceRefItemProvider.dispose();
  }

}
