/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hazards.providers;


import java.util.Collection;
import java.util.List;
import java.util.MissingResourceException;

import org.eclipse.emf.common.command.Command;

import org.eclipse.emf.common.notify.AdapterFactory;
import org.eclipse.emf.common.notify.Notification;

import org.eclipse.emf.common.util.ResourceLocator;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EStructuralFeature;

import org.eclipse.emf.edit.command.AddCommand;
import org.eclipse.emf.edit.command.CommandParameter;
import org.eclipse.emf.edit.command.RemoveCommand;

import org.eclipse.emf.edit.domain.EditingDomain;

import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertyDescriptor;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;
import org.eclipse.emf.edit.provider.ItemPropertyDescriptor;
import org.eclipse.emf.edit.provider.ViewerNotification;

import org.eclipse.sphinx.emf.edit.CustomCommandRegistry;
import org.eclipse.sphinx.emf.edit.ResourceLocatorRegistry;

import safe10.Activator;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

import safe10.classmodel.commonstructure.toplevel.providers.IdentifiableItemProvider;

import safe10.classmodel.hazards.HazardousEvent;
import safe10.classmodel.hazards.HazardsPackage;

import safe10.classmodel.requirements.RequirementsPackage;

/**
 * This is the item provider adapter for a {@link safe10.classmodel.hazards.HazardousEvent} object.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class HazardousEventItemProvider
  extends IdentifiableItemProvider
  implements
    IEditingDomainItemProvider,
    IStructuredItemContentProvider,
    ITreeItemContentProvider,
    IItemLabelProvider,
    IItemPropertySource
{
  /**
   * This constructs an instance from a factory and a notifier.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HazardousEventItemProvider(AdapterFactory adapterFactory)
  {
    super(adapterFactory);
  }

  /**
   * This returns the property descriptors for the adapted class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public List<IItemPropertyDescriptor> getPropertyDescriptors(Object object)
  {
    if (itemPropertyDescriptors == null)
    {
      super.getPropertyDescriptors(object);

      addNamePropertyDescriptor(object);
      addFormalPropertyDescriptor(object);
      addInformalPropertyDescriptor(object);
      addStakeholderPropertyDescriptor(object);
      addConsequencesPropertyDescriptor(object);
      addHazardClassificationPropertyDescriptor(object);
      addExposurePropertyDescriptor(object);
      addSeverityPropertyDescriptor(object);
      addControllabilityPropertyDescriptor(object);
      addSafetyGoalPropertyDescriptor(object);
      addEnvironmentPropertyDescriptor(object);
      addOperationalSituationPropertyDescriptor(object);
      addTrafficPropertyDescriptor(object);
      addControllability2PropertyDescriptor(object);
      addHazardPropertyDescriptor(object);
    }
    return itemPropertyDescriptors;
  }

  /**
   * This adds a property descriptor for the Name feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addNamePropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_SAFEElement_name_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_SAFEElement_name_feature", "_UI_SAFEElement_type"),
         ToplevelPackage.Literals.SAFE_ELEMENT__NAME,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Formal feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addFormalPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_TraceableSpecification_formal_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_TraceableSpecification_formal_feature", "_UI_TraceableSpecification_type"),
         RequirementsPackage.Literals.TRACEABLE_SPECIFICATION__FORMAL,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Informal feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addInformalPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_TraceableSpecification_informal_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_TraceableSpecification_informal_feature", "_UI_TraceableSpecification_type"),
         RequirementsPackage.Literals.TRACEABLE_SPECIFICATION__INFORMAL,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Stakeholder feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addStakeholderPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_TraceableSpecification_stakeholder_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_TraceableSpecification_stakeholder_feature", "_UI_TraceableSpecification_type"),
         RequirementsPackage.Literals.TRACEABLE_SPECIFICATION__STAKEHOLDER,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Consequences feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addConsequencesPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_HazardousEvent_consequences_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_HazardousEvent_consequences_feature", "_UI_HazardousEvent_type"),
         HazardsPackage.Literals.HAZARDOUS_EVENT__CONSEQUENCES,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Hazard Classification feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addHazardClassificationPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_HazardousEvent_hazardClassification_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_HazardousEvent_hazardClassification_feature", "_UI_HazardousEvent_type"),
         HazardsPackage.Literals.HAZARDOUS_EVENT__HAZARD_CLASSIFICATION,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Exposure feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addExposurePropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_HazardousEvent_exposure_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_HazardousEvent_exposure_feature", "_UI_HazardousEvent_type"),
         HazardsPackage.Literals.HAZARDOUS_EVENT__EXPOSURE,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Severity feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addSeverityPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_HazardousEvent_severity_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_HazardousEvent_severity_feature", "_UI_HazardousEvent_type"),
         HazardsPackage.Literals.HAZARDOUS_EVENT__SEVERITY,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Controllability feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addControllabilityPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_HazardousEvent_controllability_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_HazardousEvent_controllability_feature", "_UI_HazardousEvent_type"),
         HazardsPackage.Literals.HAZARDOUS_EVENT__CONTROLLABILITY,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Safety Goal feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addSafetyGoalPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_HazardousEvent_safetyGoal_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_HazardousEvent_safetyGoal_feature", "_UI_HazardousEvent_type"),
         HazardsPackage.Literals.HAZARDOUS_EVENT__SAFETY_GOAL,
         true,
         false,
         true,
         null,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Environment feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addEnvironmentPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_HazardousEvent_environment_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_HazardousEvent_environment_feature", "_UI_HazardousEvent_type"),
         HazardsPackage.Literals.HAZARDOUS_EVENT__ENVIRONMENT,
         true,
         false,
         true,
         null,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Operational Situation feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addOperationalSituationPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_HazardousEvent_operationalSituation_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_HazardousEvent_operationalSituation_feature", "_UI_HazardousEvent_type"),
         HazardsPackage.Literals.HAZARDOUS_EVENT__OPERATIONAL_SITUATION,
         true,
         false,
         true,
         null,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Traffic feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addTrafficPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_HazardousEvent_traffic_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_HazardousEvent_traffic_feature", "_UI_HazardousEvent_type"),
         HazardsPackage.Literals.HAZARDOUS_EVENT__TRAFFIC,
         true,
         false,
         true,
         null,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Controllability2 feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addControllability2PropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_HazardousEvent_controllability2_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_HazardousEvent_controllability2_feature", "_UI_HazardousEvent_type"),
         HazardsPackage.Literals.HAZARDOUS_EVENT__CONTROLLABILITY2,
         true,
         false,
         true,
         null,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Hazard feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addHazardPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_HazardousEvent_hazard_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_HazardousEvent_hazard_feature", "_UI_HazardousEvent_type"),
         HazardsPackage.Literals.HAZARDOUS_EVENT__HAZARD,
         true,
         false,
         true,
         null,
         null,
         null));
  }

  /**
   * This returns HazardousEvent.gif.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object getImage(Object object)
  {
    if(object != null){
      String nsURI = ((EObject) object).eClass().getEPackage().getNsURI();
      ResourceLocator resourceLocator = ResourceLocatorRegistry.INSTANCE
            .getResourceLocator(nsURI);
        if (resourceLocator != null) {
          try {
            Object image = resourceLocator.getImage("full/obj16/HazardousEvent"); 
            if (image != null) {
              return overlayImage(object, image);
            }
          }catch(MissingResourceException ex){
            // Fail silent
          }
        }
      return overlayImage(object, getResourceLocator().getImage("full/obj16/HazardousEvent"));
    }
    return null;
  }

  /**
   * This returns the label text for the adapted class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String getText(Object object)
  {
    String label = ((HazardousEvent)object).getShortName();
    String typeLabel = getString("_UI_HazardousEvent_type"); 
      return label == null || label.length() == 0 ? typeLabel : label;
  }

  /**
   * This handles model notifications by calling {@link #updateChildren} to update any cached
   * children and by creating a viewer notification, which it passes to {@link #fireNotifyChanged}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void notifyChanged(Notification notification)
  {
    updateChildren(notification);

    switch (notification.getFeatureID(HazardousEvent.class))
    {
      case HazardsPackage.HAZARDOUS_EVENT__NAME:
      case HazardsPackage.HAZARDOUS_EVENT__FORMAL:
      case HazardsPackage.HAZARDOUS_EVENT__INFORMAL:
      case HazardsPackage.HAZARDOUS_EVENT__STAKEHOLDER:
      case HazardsPackage.HAZARDOUS_EVENT__CONSEQUENCES:
      case HazardsPackage.HAZARDOUS_EVENT__HAZARD_CLASSIFICATION:
      case HazardsPackage.HAZARDOUS_EVENT__EXPOSURE:
      case HazardsPackage.HAZARDOUS_EVENT__SEVERITY:
      case HazardsPackage.HAZARDOUS_EVENT__CONTROLLABILITY:
        fireNotifyChanged(new ViewerNotification(notification, notification.getNotifier(), false, true));
        return;
    }
    super.notifyChanged(notification);
  }

  /**
   * This adds {@link org.eclipse.emf.edit.command.CommandParameter}s describing the children
   * that can be created under this object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected void collectNewChildDescriptors(Collection<Object> newChildDescriptors, Object object)
  {
    super.collectNewChildDescriptors(newChildDescriptors, object);
  }

  /**
   * Return the resource locator for this item provider's resources.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public ResourceLocator getResourceLocator()
  {
    return Activator.INSTANCE;
  }

   
  @Override
   protected Command createAddCommand(EditingDomain domain, EObject owner, EStructuralFeature feature, Collection<?> collection, int index) {
    Command addCommand = CustomCommandRegistry.INSTANCE.createCustomCommand(domain, new CommandParameter(owner, feature, collection, index),
        AddCommand.class);
    if (addCommand != null) {
      return addCommand  ;
    }
    return super.createAddCommand(domain, owner, feature, collection, index);
  }
  
  @Override
  protected Command createRemoveCommand(EditingDomain domain, EObject owner, EStructuralFeature feature, Collection<?> collection) {
    Command removeCommand = CustomCommandRegistry.INSTANCE.createCustomCommand(domain, new CommandParameter(owner, feature, collection),
        RemoveCommand.class);
    if (removeCommand != null) {
      return removeCommand;
    }
    return super.createRemoveCommand(domain, owner, feature, collection);
  }
}
