/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.providers;


import java.util.Collection;
import java.util.List;

import org.eclipse.emf.common.command.Command;

import org.eclipse.emf.common.notify.AdapterFactory;
import org.eclipse.emf.common.notify.Notification;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EStructuralFeature;

import org.eclipse.emf.edit.command.AddCommand;
import org.eclipse.emf.edit.command.CommandParameter;
import org.eclipse.emf.edit.command.RemoveCommand;

import org.eclipse.emf.edit.domain.EditingDomain;

import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertyDescriptor;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;
import org.eclipse.emf.edit.provider.ViewerNotification;

import org.eclipse.sphinx.emf.edit.CustomCommandRegistry;

import safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsFactory;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionFactory;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionFactory;

import safe10.classmodel.errormodel.malfunction.MalfunctionFactory;

import safe10.classmodel.hardware.failure.FailureFactory;

import safe10.classmodel.requirements.RequirementsFactory;
import safe10.classmodel.requirements.RequirementsPackage;
import safe10.classmodel.requirements.Satisfy;

import safe10.classmodel.requirements.softwaresafetyrequirements.SoftwaresafetyrequirementsFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatormonitorFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuselftestFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CrcchecksumFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.FilterFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientcheckFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.MemoryselftestFactory;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingFactory;

/**
 * This is the item provider adapter for a {@link safe10.classmodel.requirements.Satisfy} object.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class SatisfyItemProvider
  extends RequirementsReleationshipItemProvider
  implements
    IEditingDomainItemProvider,
    IStructuredItemContentProvider,
    ITreeItemContentProvider,
    IItemLabelProvider,
    IItemPropertySource
{
  /**
   * This constructs an instance from a factory and a notifier.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public SatisfyItemProvider(AdapterFactory adapterFactory)
  {
    super(adapterFactory);
  }

  /**
   * This returns the property descriptors for the adapted class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public List<IItemPropertyDescriptor> getPropertyDescriptors(Object object)
  {
    if (itemPropertyDescriptors == null)
    {
      super.getPropertyDescriptors(object);

    }
    return itemPropertyDescriptors;
  }

  /**
   * This specifies how to implement {@link #getChildren} and is used to deduce an appropriate feature for an
   * {@link org.eclipse.emf.edit.command.AddCommand}, {@link org.eclipse.emf.edit.command.RemoveCommand} or
   * {@link org.eclipse.emf.edit.command.MoveCommand} in {@link #createCommand}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Collection<? extends EStructuralFeature> getChildrenFeatures(Object object)
  {
    if (childrenFeatures == null)
    {
      super.getChildrenFeatures(object);
      childrenFeatures.add(RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT);
      childrenFeatures.add(RequirementsPackage.Literals.SATISFY__SATISFYING_TARGET);
    }
    return childrenFeatures;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EStructuralFeature getChildFeature(Object object, Object child)
  {
    // Check the type of the specified child object and return the proper feature to use for
    // adding (see {@link AddCommand}) it as a child.

    return super.getChildFeature(object, child);
  }

  /**
   * This returns the label text for the adapted class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String getText(Object object)
  {
    return getString("_UI_Satisfy_type");
  }

  /**
   * This handles model notifications by calling {@link #updateChildren} to update any cached
   * children and by creating a viewer notification, which it passes to {@link #fireNotifyChanged}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void notifyChanged(Notification notification)
  {
    updateChildren(notification);

    switch (notification.getFeatureID(Satisfy.class))
    {
      case RequirementsPackage.SATISFY__SATISFIED_ELEMENT:
      case RequirementsPackage.SATISFY__SATISFYING_TARGET:
        fireNotifyChanged(new ViewerNotification(notification, notification.getNotifier(), true, false));
        return;
    }
    super.notifyChanged(notification);
  }

  /**
   * This adds {@link org.eclipse.emf.edit.command.CommandParameter}s describing the children
   * that can be created under this object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected void collectNewChildDescriptors(Collection<Object> newChildDescriptors, Object object)
  {
    super.collectNewChildDescriptors(newChildDescriptors, object);

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         RequirementsFactory.eINSTANCE.createAbstractSafetyRequirement()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         RequirementsFactory.eINSTANCE.createFunctionalSafetyRequirement()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         RequirementsFactory.eINSTANCE.createSoftwareSafetyRequirement()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         RequirementsFactory.eINSTANCE.createTechnicalSafetyRequirement()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         SoftwaresafetyextensionFactory.eINSTANCE.createAutosarSystemSafetyExtension()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         SoftwaresafetyextensionFactory.eINSTANCE.createAutosarVfbSafetyExtension()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         SoftwaresafetyextensionFactory.eINSTANCE.createChromosomeApplicationSafetyExtension()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         SoftwaresafetyextensionFactory.eINSTANCE.createChromosomeSystemSafetyExtension()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         SoftwaresafetyrequirementsFactory.eINSTANCE.createErrorDetectionSSR()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         SoftwaresafetyrequirementsFactory.eINSTANCE.createErrorHandlerSSR()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         AlivenessmonitorFactory.eINSTANCE.createAlivenessMonitor()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         AlivenessmonitorFactory.eINSTANCE.createAutosarAlivenessMonitor()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         ActuatormonitorFactory.eINSTANCE.createActuatorMonitor()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         ActuatormonitorFactory.eINSTANCE.createAutosarActuatorMonitor()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         CrcchecksumFactory.eINSTANCE.createCRC()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         CrcchecksumFactory.eINSTANCE.createAutosarCRC()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         CrcchecksumFactory.eINSTANCE.createComponentPrototypeCRC()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         CrcchecksumFactory.eINSTANCE.createInterfaceCRC()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         ComparisonFactory.eINSTANCE.createComparison()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         ComparisonFactory.eINSTANCE.createAutosarComparison()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         ComparisonFactory.eINSTANCE.createChromosomeComparison()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         ContextrangecheckFactory.eINSTANCE.createContextRangeCheck()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         ContextrangecheckFactory.eINSTANCE.createAutosarContextRangeCheck()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         CpuselftestFactory.eINSTANCE.createCpuSelfTest()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         CpuselftestFactory.eINSTANCE.createChromosomeCpuSelfTest()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         FilterFactory.eINSTANCE.createFilter()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         GradientcheckFactory.eINSTANCE.createGradientCheck()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         GradientcheckFactory.eINSTANCE.createAutosarGradientCheck()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         HealthmonitorFactory.eINSTANCE.createHealthMonitor()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         HealthmonitorFactory.eINSTANCE.createChromosomeHealthMonitor()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         HealthmonitorFactory.eINSTANCE.createChromosomeApplicationHealthMonitor()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         HealthmonitorFactory.eINSTANCE.createChromosomeErrorHandler()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         HealthmonitorFactory.eINSTANCE.createCHROMOSOMEHealthMonitorNotification()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         HealthmonitorFactory.eINSTANCE.createChromosomeNodeHealthMonitor()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         HeartbeatFactory.eINSTANCE.createHeartbeatReceiver()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         HeartbeatFactory.eINSTANCE.createChromosomeHeartbeatReceiver()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         HeartbeatFactory.eINSTANCE.createHeartbeatSender()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         HeartbeatFactory.eINSTANCE.createChromosomeHeartbeatSender()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         HeartbeatFactory.eINSTANCE.createHeartbeat()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         MemoryselftestFactory.eINSTANCE.createMemorySelfTest()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         MemoryselftestFactory.eINSTANCE.createChromosomeMemoryTest()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         VotingFactory.eINSTANCE.createVoting()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT,
         VotingFactory.eINSTANCE.createChromosomeVoting()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFYING_TARGET,
         SafetyextensionsFactory.eINSTANCE.createFunctionalSafetyExtension()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFYING_TARGET,
         SafetyextensionsFactory.eINSTANCE.createImplementationSafetyExtension()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFYING_TARGET,
         SafetyextensionsFactory.eINSTANCE.createHardwareImplementationSafetyExtension()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFYING_TARGET,
         SafetyextensionsFactory.eINSTANCE.createSoftwareImplementationSafetyExtension()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFYING_TARGET,
         SoftwaresafetyextensionFactory.eINSTANCE.createAutosarSystemSafetyExtension()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFYING_TARGET,
         SoftwaresafetyextensionFactory.eINSTANCE.createAutosarVfbSafetyExtension()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFYING_TARGET,
         SoftwaresafetyextensionFactory.eINSTANCE.createChromosomeApplicationSafetyExtension()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFYING_TARGET,
         SoftwaresafetyextensionFactory.eINSTANCE.createChromosomeSystemSafetyExtension()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFYING_TARGET,
         TechnicalsafetyextensionFactory.eINSTANCE.createHardwareSafetyDesign()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFYING_TARGET,
         MalfunctionFactory.eINSTANCE.createMTEnum()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFYING_TARGET,
         MalfunctionFactory.eINSTANCE.createMTGeneral()));

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.SATISFY__SATISFYING_TARGET,
         FailureFactory.eINSTANCE.createHWFailureMode()));
  }

  /**
   * This returns the label text for {@link org.eclipse.emf.edit.command.CreateChildCommand}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String getCreateChildText(Object owner, Object feature, Object child, Collection<?> selection)
  {
    Object childFeature = feature;
    Object childObject = child;

    boolean qualify =
      childFeature == RequirementsPackage.Literals.SATISFY__SATISFIED_ELEMENT ||
      childFeature == RequirementsPackage.Literals.SATISFY__SATISFYING_TARGET;

    if (qualify)
    {
      return getString
        ("_UI_CreateChild_text2",
         new Object[] { getTypeText(childObject), getFeatureText(childFeature), getTypeText(owner) });
    }
    return super.getCreateChildText(owner, feature, child, selection);
  }

   
  @Override
   protected Command createAddCommand(EditingDomain domain, EObject owner, EStructuralFeature feature, Collection<?> collection, int index) {
    Command addCommand = CustomCommandRegistry.INSTANCE.createCustomCommand(domain, new CommandParameter(owner, feature, collection, index),
        AddCommand.class);
    if (addCommand != null) {
      return addCommand  ;
    }
    return super.createAddCommand(domain, owner, feature, collection, index);
  }
  
  @Override
  protected Command createRemoveCommand(EditingDomain domain, EObject owner, EStructuralFeature feature, Collection<?> collection) {
    Command removeCommand = CustomCommandRegistry.INSTANCE.createCustomCommand(domain, new CommandParameter(owner, feature, collection),
        RemoveCommand.class);
    if (removeCommand != null) {
      return removeCommand;
    }
    return super.createRemoveCommand(domain, owner, feature, collection);
  }
}
