/**
 */
package safe10.classmodel.commonstructure.datatypes;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>Safe Element Type</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.commonstructure.datatypes.DatatypesPackage#getSafeElementType()
 * @model annotation="MetaData guid='{EC1B447B-067C-414f-AC17-BA32B0F06AA1}' id='108' EA\040name='SafeElementType'"
 *        annotation="Stereotype Stereotype='enumeration'"
 *        annotation="TaggedValues xml.name='SAFE-ELEMENT-TYPE' xml.namePlural='SAFE-ELEMENT-TYPES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public enum SafeElementType implements Enumerator
{
  /**
   * The '<em><b>Unknown</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #UNKNOWN_VALUE
   * @generated
   * @ordered
   */
  UNKNOWN(0, "Unknown", "UNKNOWN"),

  /**
   * The '<em><b>Goals</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #GOALS_VALUE
   * @generated
   * @ordered
   */
  GOALS(1, "Goals", "GOALS"),

  /**
   * The '<em><b>Strategies</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #STRATEGIES_VALUE
   * @generated
   * @ordered
   */
  STRATEGIES(2, "Strategies", "STRATEGIES"),

  /**
   * The '<em><b>Solutions</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #SOLUTIONS_VALUE
   * @generated
   * @ordered
   */
  SOLUTIONS(3, "Solutions", "SOLUTIONS"),

  /**
   * The '<em><b>Contexts</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #CONTEXTS_VALUE
   * @generated
   * @ordered
   */
  CONTEXTS(4, "Contexts", "CONTEXTS"),

  /**
   * The '<em><b>Assumtions</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #ASSUMTIONS_VALUE
   * @generated
   * @ordered
   */
  ASSUMTIONS(5, "Assumtions", "ASSUMTIONS"),

  /**
   * The '<em><b>Justifications</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #JUSTIFICATIONS_VALUE
   * @generated
   * @ordered
   */
  JUSTIFICATIONS(6, "Justifications", "JUSTIFICATIONS");

  /**
   * The '<em><b>Unknown</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Unknown</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #UNKNOWN
   * @model name="Unknown" literal="UNKNOWN"
   *        annotation="TaggedValues xml.name='UNKNOWN' xml.namePlural='UNKNOWNS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int UNKNOWN_VALUE = 0;

  /**
   * The '<em><b>Goals</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Goals</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #GOALS
   * @model name="Goals" literal="GOALS"
   *        annotation="TaggedValues xml.name='GOALS' xml.namePlural='GOALSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int GOALS_VALUE = 1;

  /**
   * The '<em><b>Strategies</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Strategies</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #STRATEGIES
   * @model name="Strategies" literal="STRATEGIES"
   *        annotation="TaggedValues xml.name='STRATEGIES' xml.namePlural='STRATEGIESS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int STRATEGIES_VALUE = 2;

  /**
   * The '<em><b>Solutions</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Solutions</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #SOLUTIONS
   * @model name="Solutions" literal="SOLUTIONS"
   *        annotation="TaggedValues xml.name='SOLUTIONS' xml.namePlural='SOLUTIONSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int SOLUTIONS_VALUE = 3;

  /**
   * The '<em><b>Contexts</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Contexts</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #CONTEXTS
   * @model name="Contexts" literal="CONTEXTS"
   *        annotation="TaggedValues xml.name='CONTEXTS' xml.namePlural='CONTEXTSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int CONTEXTS_VALUE = 4;

  /**
   * The '<em><b>Assumtions</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Assumtions</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #ASSUMTIONS
   * @model name="Assumtions" literal="ASSUMTIONS"
   *        annotation="TaggedValues xml.name='ASSUMTIONS' xml.namePlural='ASSUMTIONSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int ASSUMTIONS_VALUE = 5;

  /**
   * The '<em><b>Justifications</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Justifications</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #JUSTIFICATIONS
   * @model name="Justifications" literal="JUSTIFICATIONS"
   *        annotation="TaggedValues xml.name='JUSTIFICATIONS' xml.namePlural='JUSTIFICATIONSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int JUSTIFICATIONS_VALUE = 6;

  /**
   * An array of all the '<em><b>Safe Element Type</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static final SafeElementType[] VALUES_ARRAY =
    new SafeElementType[]
    {
      UNKNOWN,
      GOALS,
      STRATEGIES,
      SOLUTIONS,
      CONTEXTS,
      ASSUMTIONS,
      JUSTIFICATIONS,
    };

  /**
   * A public read-only list of all the '<em><b>Safe Element Type</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static final List<SafeElementType> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

  /**
   * Returns the '<em><b>Safe Element Type</b></em>' literal with the specified literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static SafeElementType get(String literal)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      SafeElementType result = VALUES_ARRAY[i];
      if (result.toString().equals(literal))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>Safe Element Type</b></em>' literal with the specified name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static SafeElementType getByName(String name)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      SafeElementType result = VALUES_ARRAY[i];
      if (result.getName().equals(name))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>Safe Element Type</b></em>' literal with the specified integer value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static SafeElementType get(int value)
  {
    switch (value)
    {
      case UNKNOWN_VALUE: return UNKNOWN;
      case GOALS_VALUE: return GOALS;
      case STRATEGIES_VALUE: return STRATEGIES;
      case SOLUTIONS_VALUE: return SOLUTIONS;
      case CONTEXTS_VALUE: return CONTEXTS;
      case ASSUMTIONS_VALUE: return ASSUMTIONS;
      case JUSTIFICATIONS_VALUE: return JUSTIFICATIONS;
    }
    return null;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final int value;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String name;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String literal;

  /**
   * Only this class can construct instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private SafeElementType(int value, String name, String literal)
  {
    this.value = value;
    this.name = name;
    this.literal = literal;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getValue()
  {
    return value;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getName()
  {
    return name;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getLiteral()
  {
    return literal;
  }

  /**
   * Returns the literal value of the enumerator, which is its string representation.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    return literal;
  }
  
} //SafeElementType
