/**
 */
package safe10.classmodel.commonstructure.datatypes.impl;

import java.net.URI;
import java.net.URL;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EFactoryImpl;

import org.eclipse.emf.ecore.plugin.EcorePlugin;

import safe10.classmodel.commonstructure.datatypes.*;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class DatatypesFactoryImpl extends EFactoryImpl implements DatatypesFactory
{
  /**
   * Creates the default factory implementation.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static DatatypesFactory init()
  {
    try
    {
      DatatypesFactory theDatatypesFactory = (DatatypesFactory)EPackage.Registry.INSTANCE.getEFactory("http://safe-project.eu/1.0.1/safe10/classmodel/commonstructure/datatypes"); 
      if (theDatatypesFactory != null)
      {
        return theDatatypesFactory;
      }
    }
    catch (Exception exception)
    {
      EcorePlugin.INSTANCE.log(exception);
    }
    return new DatatypesFactoryImpl();
  }

  /**
   * Creates an instance of the factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public DatatypesFactoryImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public EObject create(EClass eClass)
  {
    switch (eClass.getClassifierID())
    {
      default:
        throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
    }
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object createFromString(EDataType eDataType, String initialValue)
  {
    switch (eDataType.getClassifierID())
    {
      case DatatypesPackage.ASIL_DECOMPOSED_ENUM:
        return createASILDecomposedEnumFromString(eDataType, initialValue);
      case DatatypesPackage.ASIL_ENUM:
        return createASILEnumFromString(eDataType, initialValue);
      case DatatypesPackage.DEVELOPMENT_CATEGORY:
        return createDevelopmentCategoryFromString(eDataType, initialValue);
      case DatatypesPackage.FUNCTION_BEHAVIOR_KIND:
        return createFunctionBehaviorKindFromString(eDataType, initialValue);
      case DatatypesPackage.SAFE_ELEMENT_TYPE:
        return createSafeElementTypeFromString(eDataType, initialValue);
      case DatatypesPackage.BOOLEAN:
        return createBooleanFromString(eDataType, initialValue);
      case DatatypesPackage.DATE:
        return createDateFromString(eDataType, initialValue);
      case DatatypesPackage.FLOAT:
        return createFloatFromString(eDataType, initialValue);
      case DatatypesPackage.IDENTIFIER:
        return createIdentifierFromString(eDataType, initialValue);
      case DatatypesPackage.INTEGER:
        return createIntegerFromString(eDataType, initialValue);
      case DatatypesPackage.NUMERICAL:
        return createNumericalFromString(eDataType, initialValue);
      case DatatypesPackage.STRING:
        return createStringFromString(eDataType, initialValue);
      case DatatypesPackage.URI_STRING:
        return createUriStringFromString(eDataType, initialValue);
      case DatatypesPackage.URL_STRING:
        return createUrlStringFromString(eDataType, initialValue);
      default:
        throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
    }
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String convertToString(EDataType eDataType, Object instanceValue)
  {
    switch (eDataType.getClassifierID())
    {
      case DatatypesPackage.ASIL_DECOMPOSED_ENUM:
        return convertASILDecomposedEnumToString(eDataType, instanceValue);
      case DatatypesPackage.ASIL_ENUM:
        return convertASILEnumToString(eDataType, instanceValue);
      case DatatypesPackage.DEVELOPMENT_CATEGORY:
        return convertDevelopmentCategoryToString(eDataType, instanceValue);
      case DatatypesPackage.FUNCTION_BEHAVIOR_KIND:
        return convertFunctionBehaviorKindToString(eDataType, instanceValue);
      case DatatypesPackage.SAFE_ELEMENT_TYPE:
        return convertSafeElementTypeToString(eDataType, instanceValue);
      case DatatypesPackage.BOOLEAN:
        return convertBooleanToString(eDataType, instanceValue);
      case DatatypesPackage.DATE:
        return convertDateToString(eDataType, instanceValue);
      case DatatypesPackage.FLOAT:
        return convertFloatToString(eDataType, instanceValue);
      case DatatypesPackage.IDENTIFIER:
        return convertIdentifierToString(eDataType, instanceValue);
      case DatatypesPackage.INTEGER:
        return convertIntegerToString(eDataType, instanceValue);
      case DatatypesPackage.NUMERICAL:
        return convertNumericalToString(eDataType, instanceValue);
      case DatatypesPackage.STRING:
        return convertStringToString(eDataType, instanceValue);
      case DatatypesPackage.URI_STRING:
        return convertUriStringToString(eDataType, instanceValue);
      case DatatypesPackage.URL_STRING:
        return convertUrlStringToString(eDataType, instanceValue);
      default:
        throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
    }
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ASILDecomposedEnum createASILDecomposedEnumFromString(EDataType eDataType, String initialValue)
  {
    ASILDecomposedEnum result = ASILDecomposedEnum.get(initialValue);
    if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
    return result;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertASILDecomposedEnumToString(EDataType eDataType, Object instanceValue)
  {
    return instanceValue == null ? null : instanceValue.toString();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ASILEnum createASILEnumFromString(EDataType eDataType, String initialValue)
  {
    ASILEnum result = ASILEnum.get(initialValue);
    if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
    return result;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertASILEnumToString(EDataType eDataType, Object instanceValue)
  {
    return instanceValue == null ? null : instanceValue.toString();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public DevelopmentCategory createDevelopmentCategoryFromString(EDataType eDataType, String initialValue)
  {
    DevelopmentCategory result = DevelopmentCategory.get(initialValue);
    if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
    return result;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertDevelopmentCategoryToString(EDataType eDataType, Object instanceValue)
  {
    return instanceValue == null ? null : instanceValue.toString();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public FunctionBehaviorKind createFunctionBehaviorKindFromString(EDataType eDataType, String initialValue)
  {
    FunctionBehaviorKind result = FunctionBehaviorKind.get(initialValue);
    if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
    return result;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertFunctionBehaviorKindToString(EDataType eDataType, Object instanceValue)
  {
    return instanceValue == null ? null : instanceValue.toString();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public SafeElementType createSafeElementTypeFromString(EDataType eDataType, String initialValue)
  {
    SafeElementType result = SafeElementType.get(initialValue);
    if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
    return result;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertSafeElementTypeToString(EDataType eDataType, Object instanceValue)
  {
    return instanceValue == null ? null : instanceValue.toString();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Boolean createBooleanFromString(EDataType eDataType, String initialValue)
  {
    return (Boolean)super.createFromString(eDataType, initialValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertBooleanToString(EDataType eDataType, Object instanceValue)
  {
    return super.convertToString(eDataType, instanceValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Object createDateFromString(EDataType eDataType, String initialValue)
  {
    return super.createFromString(eDataType, initialValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertDateToString(EDataType eDataType, Object instanceValue)
  {
    return super.convertToString(eDataType, instanceValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Double createFloatFromString(EDataType eDataType, String initialValue)
  {
    return (Double)super.createFromString(eDataType, initialValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertFloatToString(EDataType eDataType, Object instanceValue)
  {
    return super.convertToString(eDataType, instanceValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String createIdentifierFromString(EDataType eDataType, String initialValue)
  {
    return (String)super.createFromString(eDataType, initialValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertIdentifierToString(EDataType eDataType, Object instanceValue)
  {
    return super.convertToString(eDataType, instanceValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Integer createIntegerFromString(EDataType eDataType, String initialValue)
  {
    return (Integer)super.createFromString(eDataType, initialValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertIntegerToString(EDataType eDataType, Object instanceValue)
  {
    return super.convertToString(eDataType, instanceValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String createNumericalFromString(EDataType eDataType, String initialValue)
  {
    return (String)super.createFromString(eDataType, initialValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertNumericalToString(EDataType eDataType, Object instanceValue)
  {
    return super.convertToString(eDataType, instanceValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String createStringFromString(EDataType eDataType, String initialValue)
  {
    return (String)super.createFromString(eDataType, initialValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertStringToString(EDataType eDataType, Object instanceValue)
  {
    return super.convertToString(eDataType, instanceValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public URI createUriStringFromString(EDataType eDataType, String initialValue)
  {
    return (URI)super.createFromString(eDataType, initialValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertUriStringToString(EDataType eDataType, Object instanceValue)
  {
    return super.convertToString(eDataType, instanceValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public URL createUrlStringFromString(EDataType eDataType, String initialValue)
  {
    return (URL)super.createFromString(eDataType, initialValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertUrlStringToString(EDataType eDataType, Object instanceValue)
  {
    return super.convertToString(eDataType, instanceValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public DatatypesPackage getDatatypesPackage()
  {
    return (DatatypesPackage)getEPackage();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @deprecated
   * @generated
   */
  @Deprecated
  public static DatatypesPackage getPackage()
  {
    return DatatypesPackage.eINSTANCE;
  }

} //DatatypesFactoryImpl
