/**
 */
package safe10.classmodel.commonstructure.datatypes.impl;

import autosar40.bswmodule.bswinterfaces.BswinterfacesPackage;

import autosar40.bswmodule.bswoverview.BswoverviewPackage;

import autosar40.commonstructure.modedeclaration.ModedeclarationPackage;

import autosar40.ecuresource.EcuresourcePackage;

import autosar40.swcomponent.components.ComponentsPackage;

import autosar40.swcomponent.composition.CompositionPackage;

import autosar40.swcomponent.datatype.dataprototypes.DataprototypesPackage;

import autosar40.swcomponent.portinterface.PortinterfacePackage;

import autosar40.swcomponent.swcinternalbehavior.SwcinternalbehaviorPackage;

import autosar40.system.SystemPackage;

import eastadl21.east_adl.environment.EnvironmentPackage;

import eastadl21.east_adl.requirements.RequirementsPackage;

import eastadl21.east_adl.structure.featuremodeling.FeaturemodelingPackage;

import eastadl21.east_adl.structure.functionmodeling.FunctionmodelingPackage;

import eastadl21.east_adl.structure.hardwaremodeling.HardwaremodelingPackage;

import eastadl21.east_adl.structure.systemmodeling.SystemmodelingPackage;

import eastadl21.east_adl.structure.vehiclefeaturemodeling.VehiclefeaturemodelingPackage;

import java.net.URI;
import java.net.URL;

import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EPackageImpl;

import safe10.classmodel.commonstructure.datatypes.ASILDecomposedEnum;
import safe10.classmodel.commonstructure.datatypes.ASILEnum;
import safe10.classmodel.commonstructure.datatypes.DatatypesFactory;
import safe10.classmodel.commonstructure.datatypes.DatatypesPackage;
import safe10.classmodel.commonstructure.datatypes.DevelopmentCategory;
import safe10.classmodel.commonstructure.datatypes.FunctionBehaviorKind;
import safe10.classmodel.commonstructure.datatypes.SafeElementType;

import safe10.classmodel.commonstructure.formulaexpression.FormulaexpressionPackage;

import safe10.classmodel.commonstructure.formulaexpression.impl.FormulaexpressionPackageImpl;

import safe10.classmodel.commonstructure.references.ReferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.ChromosomereferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.impl.ChromosomereferencesPackageImpl;

import safe10.classmodel.commonstructure.references.impl.ReferencesPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage;

import safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.TechnicalsafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

import safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl;

import safe10.classmodel.configuration.ConfigurationPackage;

import safe10.classmodel.configuration.impl.ConfigurationPackageImpl;

import safe10.classmodel.errormodel.ErrormodelPackage;

import safe10.classmodel.errormodel._instanceref._instancerefPackage;

import safe10.classmodel.errormodel._instanceref.impl._instancerefPackageImpl;

import safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage;

import safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl;

import safe10.classmodel.errormodel.errormodeltype.ErrormodeltypePackage;

import safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl;

import safe10.classmodel.errormodel.impl.ErrormodelPackageImpl;

import safe10.classmodel.errormodel.malfunction.MalfunctionPackage;

import safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl;

import safe10.classmodel.hardware.failure.FailurePackage;

import safe10.classmodel.hardware.failure.impl.FailurePackageImpl;

import safe10.classmodel.hardware.failureformula.FailureformulaPackage;

import safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl;

import safe10.classmodel.hardware.failurepart.FailurepartPackage;

import safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl;

import safe10.classmodel.hardware.hwarchitecturalmetrics.HwarchitecturalmetricsPackage;

import safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl;

import safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage;

import safe10.classmodel.hardware.hwquantitativemeasure.impl.HwquantitativemeasurePackageImpl;

import safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage;

import safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl;

import safe10.classmodel.hazards.HazardsPackage;

import safe10.classmodel.hazards.impl.HazardsPackageImpl;

import safe10.classmodel.requirements.impl.RequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.SoftwaresafetyrequirementsPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatormonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.impl.ActuatormonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.impl.AlivenessmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.impl.ComparisonPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.impl.ContextrangecheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.impl.CpuselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CrcchecksumPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.impl.CrcchecksumPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.FilterPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.impl.FilterPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientcheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.impl.GradientcheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.impl.HealthmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.impl.SoftwaresafetyrequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.MemoryselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.impl.MemoryselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.impl.VotingPackageImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class DatatypesPackageImpl extends EPackageImpl implements DatatypesPackage
{
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum asilDecomposedEnumEEnum = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum asilEnumEEnum = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum developmentCategoryEEnum = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum functionBehaviorKindEEnum = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum safeElementTypeEEnum = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EDataType booleanEDataType = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EDataType dateEDataType = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EDataType floatEDataType = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EDataType identifierEDataType = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EDataType integerEDataType = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EDataType numericalEDataType = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EDataType stringEDataType = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EDataType uriStringEDataType = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EDataType urlStringEDataType = null;

  /**
   * Creates an instance of the model <b>Package</b>, registered with
   * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
   * package URI value.
   * <p>Note: the correct way to create the package is via the static
   * factory method {@link #init init()}, which also performs
   * initialization of the package, or returns the registered package,
   * if one already exists.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.emf.ecore.EPackage.Registry
   * @see safe10.classmodel.commonstructure.datatypes.DatatypesPackage#eNS_URI
   * @see #init()
   * @generated
   */
  private DatatypesPackageImpl()
  {
    super(eNS_URI, DatatypesFactory.eINSTANCE);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static boolean isInited = false;

  /**
   * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
   * 
   * <p>This method is used to initialize {@link DatatypesPackage#eINSTANCE} when that field is accessed.
   * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #eNS_URI
   * @see #createPackageContents()
   * @see #initializePackageContents()
   * @generated
   */
  public static DatatypesPackage init()
  {
    if (isInited) return (DatatypesPackage)EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI);

    // Obtain or create and register package
    DatatypesPackageImpl theDatatypesPackage = (DatatypesPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof DatatypesPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new DatatypesPackageImpl());

    isInited = true;

    // Initialize simple dependencies
    SystemmodelingPackage.eINSTANCE.eClass();
    FeaturemodelingPackage.eINSTANCE.eClass();
    VehiclefeaturemodelingPackage.eINSTANCE.eClass();
    FunctionmodelingPackage.eINSTANCE.eClass();
    HardwaremodelingPackage.eINSTANCE.eClass();
    RequirementsPackage.eINSTANCE.eClass();
    EnvironmentPackage.eINSTANCE.eClass();
    EcuresourcePackage.eINSTANCE.eClass();
    ModedeclarationPackage.eINSTANCE.eClass();
    DataprototypesPackage.eINSTANCE.eClass();
    CompositionPackage.eINSTANCE.eClass();
    ComponentsPackage.eINSTANCE.eClass();
    PortinterfacePackage.eINSTANCE.eClass();
    SwcinternalbehaviorPackage.eINSTANCE.eClass();
    SystemPackage.eINSTANCE.eClass();
    BswoverviewPackage.eINSTANCE.eClass();
    BswinterfacesPackage.eINSTANCE.eClass();

    // Obtain or create and register interdependencies
    FormulaexpressionPackageImpl theFormulaexpressionPackage = (FormulaexpressionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) instanceof FormulaexpressionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) : FormulaexpressionPackage.eINSTANCE);
    ReferencesPackageImpl theReferencesPackage = (ReferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) instanceof ReferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) : ReferencesPackage.eINSTANCE);
    ChromosomereferencesPackageImpl theChromosomereferencesPackage = (ChromosomereferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) instanceof ChromosomereferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) : ChromosomereferencesPackage.eINSTANCE);
    SafetyextensionsPackageImpl theSafetyextensionsPackage = (SafetyextensionsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) instanceof SafetyextensionsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) : SafetyextensionsPackage.eINSTANCE);
    SoftwaresafetyextensionPackageImpl theSoftwaresafetyextensionPackage = (SoftwaresafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) instanceof SoftwaresafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) : SoftwaresafetyextensionPackage.eINSTANCE);
    TechnicalsafetyextensionPackageImpl theTechnicalsafetyextensionPackage = (TechnicalsafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) instanceof TechnicalsafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) : TechnicalsafetyextensionPackage.eINSTANCE);
    ToplevelPackageImpl theToplevelPackage = (ToplevelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) instanceof ToplevelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) : ToplevelPackage.eINSTANCE);
    ConfigurationPackageImpl theConfigurationPackage = (ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) instanceof ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) : ConfigurationPackage.eINSTANCE);
    ErrormodelPackageImpl theErrormodelPackage = (ErrormodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) instanceof ErrormodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) : ErrormodelPackage.eINSTANCE);
    _instancerefPackageImpl the_instancerefPackage = (_instancerefPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) instanceof _instancerefPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) : _instancerefPackage.eINSTANCE);
    ErrorbehaviorPackageImpl theErrorbehaviorPackage = (ErrorbehaviorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) instanceof ErrorbehaviorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) : ErrorbehaviorPackage.eINSTANCE);
    ErrormodeltypePackageImpl theErrormodeltypePackage = (ErrormodeltypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) instanceof ErrormodeltypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) : ErrormodeltypePackage.eINSTANCE);
    MalfunctionPackageImpl theMalfunctionPackage = (MalfunctionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) instanceof MalfunctionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) : MalfunctionPackage.eINSTANCE);
    FailureformulaPackageImpl theFailureformulaPackage = (FailureformulaPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) instanceof FailureformulaPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) : FailureformulaPackage.eINSTANCE);
    FailurePackageImpl theFailurePackage = (FailurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) instanceof FailurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) : FailurePackage.eINSTANCE);
    FailurepartPackageImpl theFailurepartPackage = (FailurepartPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) instanceof FailurepartPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) : FailurepartPackage.eINSTANCE);
    HwquantitativemeasurePackageImpl theHwquantitativemeasurePackage = (HwquantitativemeasurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) instanceof HwquantitativemeasurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) : HwquantitativemeasurePackage.eINSTANCE);
    HwarchitecturalmetricsPackageImpl theHwarchitecturalmetricsPackage = (HwarchitecturalmetricsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) instanceof HwarchitecturalmetricsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) : HwarchitecturalmetricsPackage.eINSTANCE);
    ProbabilisticmethodsPackageImpl theProbabilisticmethodsPackage = (ProbabilisticmethodsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) instanceof ProbabilisticmethodsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) : ProbabilisticmethodsPackage.eINSTANCE);
    HazardsPackageImpl theHazardsPackage = (HazardsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) instanceof HazardsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) : HazardsPackage.eINSTANCE);
    RequirementsPackageImpl theRequirementsPackage_1 = (RequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) instanceof RequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) : safe10.classmodel.requirements.RequirementsPackage.eINSTANCE);
    SoftwaresafetyrequirementsPackageImpl theSoftwaresafetyrequirementsPackage = (SoftwaresafetyrequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) instanceof SoftwaresafetyrequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) : SoftwaresafetyrequirementsPackage.eINSTANCE);
    AlivenessmonitorPackageImpl theAlivenessmonitorPackage = (AlivenessmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) instanceof AlivenessmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) : AlivenessmonitorPackage.eINSTANCE);
    ActuatormonitorPackageImpl theActuatormonitorPackage = (ActuatormonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) instanceof ActuatormonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) : ActuatormonitorPackage.eINSTANCE);
    CrcchecksumPackageImpl theCrcchecksumPackage = (CrcchecksumPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) instanceof CrcchecksumPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) : CrcchecksumPackage.eINSTANCE);
    ComparisonPackageImpl theComparisonPackage = (ComparisonPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) instanceof ComparisonPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) : ComparisonPackage.eINSTANCE);
    ContextrangecheckPackageImpl theContextrangecheckPackage = (ContextrangecheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) instanceof ContextrangecheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) : ContextrangecheckPackage.eINSTANCE);
    CpuselftestPackageImpl theCpuselftestPackage = (CpuselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) instanceof CpuselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) : CpuselftestPackage.eINSTANCE);
    FilterPackageImpl theFilterPackage = (FilterPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) instanceof FilterPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) : FilterPackage.eINSTANCE);
    GradientcheckPackageImpl theGradientcheckPackage = (GradientcheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) instanceof GradientcheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) : GradientcheckPackage.eINSTANCE);
    HealthmonitorPackageImpl theHealthmonitorPackage = (HealthmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) instanceof HealthmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) : HealthmonitorPackage.eINSTANCE);
    HeartbeatPackageImpl theHeartbeatPackage = (HeartbeatPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) instanceof HeartbeatPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) : HeartbeatPackage.eINSTANCE);
    MemoryselftestPackageImpl theMemoryselftestPackage = (MemoryselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) instanceof MemoryselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) : MemoryselftestPackage.eINSTANCE);
    VotingPackageImpl theVotingPackage = (VotingPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) instanceof VotingPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) : VotingPackage.eINSTANCE);
    safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl theConfigurationPackage_1 = (safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) instanceof safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) : safe10.classmodel.software.configuration.ConfigurationPackage.eINSTANCE);

    // Create package meta-data objects
    theDatatypesPackage.createPackageContents();
    theFormulaexpressionPackage.createPackageContents();
    theReferencesPackage.createPackageContents();
    theChromosomereferencesPackage.createPackageContents();
    theSafetyextensionsPackage.createPackageContents();
    theSoftwaresafetyextensionPackage.createPackageContents();
    theTechnicalsafetyextensionPackage.createPackageContents();
    theToplevelPackage.createPackageContents();
    theConfigurationPackage.createPackageContents();
    theErrormodelPackage.createPackageContents();
    the_instancerefPackage.createPackageContents();
    theErrorbehaviorPackage.createPackageContents();
    theErrormodeltypePackage.createPackageContents();
    theMalfunctionPackage.createPackageContents();
    theFailureformulaPackage.createPackageContents();
    theFailurePackage.createPackageContents();
    theFailurepartPackage.createPackageContents();
    theHwquantitativemeasurePackage.createPackageContents();
    theHwarchitecturalmetricsPackage.createPackageContents();
    theProbabilisticmethodsPackage.createPackageContents();
    theHazardsPackage.createPackageContents();
    theRequirementsPackage_1.createPackageContents();
    theSoftwaresafetyrequirementsPackage.createPackageContents();
    theAlivenessmonitorPackage.createPackageContents();
    theActuatormonitorPackage.createPackageContents();
    theCrcchecksumPackage.createPackageContents();
    theComparisonPackage.createPackageContents();
    theContextrangecheckPackage.createPackageContents();
    theCpuselftestPackage.createPackageContents();
    theFilterPackage.createPackageContents();
    theGradientcheckPackage.createPackageContents();
    theHealthmonitorPackage.createPackageContents();
    theHeartbeatPackage.createPackageContents();
    theMemoryselftestPackage.createPackageContents();
    theVotingPackage.createPackageContents();
    theConfigurationPackage_1.createPackageContents();

    // Initialize created meta-data
    theDatatypesPackage.initializePackageContents();
    theFormulaexpressionPackage.initializePackageContents();
    theReferencesPackage.initializePackageContents();
    theChromosomereferencesPackage.initializePackageContents();
    theSafetyextensionsPackage.initializePackageContents();
    theSoftwaresafetyextensionPackage.initializePackageContents();
    theTechnicalsafetyextensionPackage.initializePackageContents();
    theToplevelPackage.initializePackageContents();
    theConfigurationPackage.initializePackageContents();
    theErrormodelPackage.initializePackageContents();
    the_instancerefPackage.initializePackageContents();
    theErrorbehaviorPackage.initializePackageContents();
    theErrormodeltypePackage.initializePackageContents();
    theMalfunctionPackage.initializePackageContents();
    theFailureformulaPackage.initializePackageContents();
    theFailurePackage.initializePackageContents();
    theFailurepartPackage.initializePackageContents();
    theHwquantitativemeasurePackage.initializePackageContents();
    theHwarchitecturalmetricsPackage.initializePackageContents();
    theProbabilisticmethodsPackage.initializePackageContents();
    theHazardsPackage.initializePackageContents();
    theRequirementsPackage_1.initializePackageContents();
    theSoftwaresafetyrequirementsPackage.initializePackageContents();
    theAlivenessmonitorPackage.initializePackageContents();
    theActuatormonitorPackage.initializePackageContents();
    theCrcchecksumPackage.initializePackageContents();
    theComparisonPackage.initializePackageContents();
    theContextrangecheckPackage.initializePackageContents();
    theCpuselftestPackage.initializePackageContents();
    theFilterPackage.initializePackageContents();
    theGradientcheckPackage.initializePackageContents();
    theHealthmonitorPackage.initializePackageContents();
    theHeartbeatPackage.initializePackageContents();
    theMemoryselftestPackage.initializePackageContents();
    theVotingPackage.initializePackageContents();
    theConfigurationPackage_1.initializePackageContents();

    // Mark meta-data to indicate it can't be changed
    theDatatypesPackage.freeze();

  
    // Update the registry and return the package
    EPackage.Registry.INSTANCE.put(DatatypesPackage.eNS_URI, theDatatypesPackage);
    return theDatatypesPackage;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getASILDecomposedEnum()
  {
    return asilDecomposedEnumEEnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getASILEnum()
  {
    return asilEnumEEnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getDevelopmentCategory()
  {
    return developmentCategoryEEnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getFunctionBehaviorKind()
  {
    return functionBehaviorKindEEnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getSafeElementType()
  {
    return safeElementTypeEEnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EDataType getBoolean()
  {
    return booleanEDataType;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EDataType getDate()
  {
    return dateEDataType;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EDataType getFloat()
  {
    return floatEDataType;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EDataType getIdentifier()
  {
    return identifierEDataType;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EDataType getInteger()
  {
    return integerEDataType;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EDataType getNumerical()
  {
    return numericalEDataType;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EDataType getString()
  {
    return stringEDataType;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EDataType getUriString()
  {
    return uriStringEDataType;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EDataType getUrlString()
  {
    return urlStringEDataType;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public DatatypesFactory getDatatypesFactory()
  {
    return (DatatypesFactory)getEFactoryInstance();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isCreated = false;

  /**
   * Creates the meta-model objects for the package.  This method is
   * guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void createPackageContents()
  {
    if (isCreated) return;
    isCreated = true;

    // Create enums
    asilDecomposedEnumEEnum = createEEnum(ASIL_DECOMPOSED_ENUM);
    asilEnumEEnum = createEEnum(ASIL_ENUM);
    developmentCategoryEEnum = createEEnum(DEVELOPMENT_CATEGORY);
    functionBehaviorKindEEnum = createEEnum(FUNCTION_BEHAVIOR_KIND);
    safeElementTypeEEnum = createEEnum(SAFE_ELEMENT_TYPE);

    // Create data types
    booleanEDataType = createEDataType(BOOLEAN);
    dateEDataType = createEDataType(DATE);
    floatEDataType = createEDataType(FLOAT);
    identifierEDataType = createEDataType(IDENTIFIER);
    integerEDataType = createEDataType(INTEGER);
    numericalEDataType = createEDataType(NUMERICAL);
    stringEDataType = createEDataType(STRING);
    uriStringEDataType = createEDataType(URI_STRING);
    urlStringEDataType = createEDataType(URL_STRING);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isInitialized = false;

  /**
   * Complete the initialization of the package and its meta-model.  This
   * method is guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void initializePackageContents()
  {
    if (isInitialized) return;
    isInitialized = true;

    // Initialize package
    setName(eNAME);
    setNsPrefix(eNS_PREFIX);
    setNsURI(eNS_URI);

    // Initialize enums and add enum literals
    initEEnum(asilDecomposedEnumEEnum, ASILDecomposedEnum.class, "ASILDecomposedEnum");
    addEEnumLiteral(asilDecomposedEnumEEnum, ASILDecomposedEnum.ASIL_A);
    addEEnumLiteral(asilDecomposedEnumEEnum, ASILDecomposedEnum.ASIL_AA);
    addEEnumLiteral(asilDecomposedEnumEEnum, ASILDecomposedEnum.ASIL_AB);
    addEEnumLiteral(asilDecomposedEnumEEnum, ASILDecomposedEnum.ASIL_AC);
    addEEnumLiteral(asilDecomposedEnumEEnum, ASILDecomposedEnum.ASIL_AD);
    addEEnumLiteral(asilDecomposedEnumEEnum, ASILDecomposedEnum.ASIL_B);
    addEEnumLiteral(asilDecomposedEnumEEnum, ASILDecomposedEnum.ASIL_BB);
    addEEnumLiteral(asilDecomposedEnumEEnum, ASILDecomposedEnum.ASIL_BC);
    addEEnumLiteral(asilDecomposedEnumEEnum, ASILDecomposedEnum.ASIL_BD);
    addEEnumLiteral(asilDecomposedEnumEEnum, ASILDecomposedEnum.ASIL_C);
    addEEnumLiteral(asilDecomposedEnumEEnum, ASILDecomposedEnum.ASIL_CC);
    addEEnumLiteral(asilDecomposedEnumEEnum, ASILDecomposedEnum.ASIL_CD);
    addEEnumLiteral(asilDecomposedEnumEEnum, ASILDecomposedEnum.ASIL_D);
    addEEnumLiteral(asilDecomposedEnumEEnum, ASILDecomposedEnum.ASIL_DD);
    addEEnumLiteral(asilDecomposedEnumEEnum, ASILDecomposedEnum.ASIL_QM_A);
    addEEnumLiteral(asilDecomposedEnumEEnum, ASILDecomposedEnum.ASIL_QM_B);
    addEEnumLiteral(asilDecomposedEnumEEnum, ASILDecomposedEnum.ASIL_QM_C);
    addEEnumLiteral(asilDecomposedEnumEEnum, ASILDecomposedEnum.ASIL_QM_D);
    addEEnumLiteral(asilDecomposedEnumEEnum, ASILDecomposedEnum.QM);

    initEEnum(asilEnumEEnum, ASILEnum.class, "ASILEnum");
    addEEnumLiteral(asilEnumEEnum, ASILEnum.ASIL_A);
    addEEnumLiteral(asilEnumEEnum, ASILEnum.ASIL_B);
    addEEnumLiteral(asilEnumEEnum, ASILEnum.ASIL_C);
    addEEnumLiteral(asilEnumEEnum, ASILEnum.ASIL_D);
    addEEnumLiteral(asilEnumEEnum, ASILEnum.QM);

    initEEnum(developmentCategoryEEnum, DevelopmentCategory.class, "DevelopmentCategory");
    addEEnumLiteral(developmentCategoryEEnum, DevelopmentCategory.NEW_ITEM_DEVELOPMENT);
    addEEnumLiteral(developmentCategoryEEnum, DevelopmentCategory.MODIFICATION_OF_EXISTING_ITEM);

    initEEnum(functionBehaviorKindEEnum, FunctionBehaviorKind.class, "FunctionBehaviorKind");
    addEEnumLiteral(functionBehaviorKindEEnum, FunctionBehaviorKind.SIMULINK);
    addEEnumLiteral(functionBehaviorKindEEnum, FunctionBehaviorKind.STATEMATE);
    addEEnumLiteral(functionBehaviorKindEEnum, FunctionBehaviorKind.SDL);
    addEEnumLiteral(functionBehaviorKindEEnum, FunctionBehaviorKind.ASCET);
    addEEnumLiteral(functionBehaviorKindEEnum, FunctionBehaviorKind.SCADE);
    addEEnumLiteral(functionBehaviorKindEEnum, FunctionBehaviorKind.OTHER);
    addEEnumLiteral(functionBehaviorKindEEnum, FunctionBehaviorKind.MARTE);
    addEEnumLiteral(functionBehaviorKindEEnum, FunctionBehaviorKind.UML);
    addEEnumLiteral(functionBehaviorKindEEnum, FunctionBehaviorKind.SCILAB);

    initEEnum(safeElementTypeEEnum, SafeElementType.class, "SafeElementType");
    addEEnumLiteral(safeElementTypeEEnum, SafeElementType.UNKNOWN);
    addEEnumLiteral(safeElementTypeEEnum, SafeElementType.GOALS);
    addEEnumLiteral(safeElementTypeEEnum, SafeElementType.STRATEGIES);
    addEEnumLiteral(safeElementTypeEEnum, SafeElementType.SOLUTIONS);
    addEEnumLiteral(safeElementTypeEEnum, SafeElementType.CONTEXTS);
    addEEnumLiteral(safeElementTypeEEnum, SafeElementType.ASSUMTIONS);
    addEEnumLiteral(safeElementTypeEEnum, SafeElementType.JUSTIFICATIONS);

    // Initialize data types
    initEDataType(booleanEDataType, Boolean.class, "Boolean", IS_SERIALIZABLE, !IS_GENERATED_INSTANCE_CLASS);
    initEDataType(dateEDataType, Object.class, "Date", IS_SERIALIZABLE, !IS_GENERATED_INSTANCE_CLASS);
    initEDataType(floatEDataType, Double.class, "Float", IS_SERIALIZABLE, !IS_GENERATED_INSTANCE_CLASS);
    initEDataType(identifierEDataType, String.class, "Identifier", IS_SERIALIZABLE, !IS_GENERATED_INSTANCE_CLASS);
    initEDataType(integerEDataType, Integer.class, "Integer", IS_SERIALIZABLE, !IS_GENERATED_INSTANCE_CLASS);
    initEDataType(numericalEDataType, String.class, "Numerical", IS_SERIALIZABLE, !IS_GENERATED_INSTANCE_CLASS);
    initEDataType(stringEDataType, String.class, "String", IS_SERIALIZABLE, !IS_GENERATED_INSTANCE_CLASS);
    initEDataType(uriStringEDataType, URI.class, "UriString", IS_SERIALIZABLE, !IS_GENERATED_INSTANCE_CLASS);
    initEDataType(urlStringEDataType, URL.class, "UrlString", IS_SERIALIZABLE, !IS_GENERATED_INSTANCE_CLASS);

    // Create resource
    createResource(eNS_URI);

    // Create annotations
    // MetaData
    createMetaDataAnnotations();
    // TaggedValues
    createTaggedValuesAnnotations();
    // EAAdapter
    createEAAdapterAnnotations();
    // Stereotype
    createStereotypeAnnotations();
  }

  /**
   * Initializes the annotations for <b>MetaData</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createMetaDataAnnotations()
  {
    String source = "MetaData";		
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "guid", "{8CD83067-3848-4b4a-A388-C278CA7A66E6}",
       "id", "17",
       "EA name", "DataTypes"
       });				
    addAnnotation
      (asilDecomposedEnumEEnum, 
       source, 
       new String[] 
       {
       "guid", "{EB15F509-2B0C-4bd4-8D51-1428AACEA697}",
       "id", "927972092",
       "EA name", "ASILDecomposedEnum"
       });																																											
    addAnnotation
      (asilEnumEEnum, 
       source, 
       new String[] 
       {
       "guid", "{4A9D3B4D-E682-415e-8276-18E49FCCA3DA}",
       "id", "-716550290",
       "EA name", "ASILEnum"
       });																
    addAnnotation
      (developmentCategoryEEnum, 
       source, 
       new String[] 
       {
       "guid", "{972CD26F-CF6A-470d-8385-124C494BDB2A}",
       "id", "1863515459",
       "EA name", "DevelopmentCategory"
       });										
    addAnnotation
      (functionBehaviorKindEEnum, 
       source, 
       new String[] 
       {
       "guid", "{4D8C1414-18F5-484c-88F2-9DB187C1CBB1}",
       "id", "265855349",
       "EA name", "FunctionBehaviorKind"
       });																							
    addAnnotation
      (safeElementTypeEEnum, 
       source, 
       new String[] 
       {
       "guid", "{EC1B447B-067C-414f-AC17-BA32B0F06AA1}",
       "id", "108",
       "EA name", "SafeElementType"
       });																			
    addAnnotation
      (booleanEDataType, 
       source, 
       new String[] 
       {
       "guid", "{04197CD8-234B-4733-B301-AB5C5C27A7EC}",
       "id", "107",
       "EA name", "Boolean"
       });					
    addAnnotation
      (dateEDataType, 
       source, 
       new String[] 
       {
       "guid", "{99BC7EFC-2D12-45a7-845A-5A623E421D27}",
       "id", "114",
       "EA name", "Date"
       });					
    addAnnotation
      (floatEDataType, 
       source, 
       new String[] 
       {
       "guid", "{ACC04272-FBFA-4bb3-96FB-73608CB696D2}",
       "id", "106",
       "EA name", "Float"
       });					
    addAnnotation
      (identifierEDataType, 
       source, 
       new String[] 
       {
       "guid", "{301AB7DE-2D94-4e40-AB3F-23EF63A50E86}",
       "id", "109",
       "EA name", "Identifier"
       });						
    addAnnotation
      (integerEDataType, 
       source, 
       new String[] 
       {
       "guid", "{CF19BF76-0BA1-42d0-A931-90072A195A32}",
       "id", "112",
       "EA name", "Integer"
       });					
    addAnnotation
      (numericalEDataType, 
       source, 
       new String[] 
       {
       "guid", "{5D064A94-00DC-4378-8F9F-C310AF031D36}",
       "id", "1346872759",
       "EA name", "Numerical"
       });					
    addAnnotation
      (stringEDataType, 
       source, 
       new String[] 
       {
       "guid", "{32D5577C-1D01-4c96-B1B2-E689183B3DB9}",
       "id", "113",
       "EA name", "String"
       });						
    addAnnotation
      (uriStringEDataType, 
       source, 
       new String[] 
       {
       "guid", "{F642F177-7432-4012-BCE4-1061950F4F2A}",
       "id", "110",
       "EA name", "UriString"
       });						
    addAnnotation
      (urlStringEDataType, 
       source, 
       new String[] 
       {
       "guid", "{52496FA4-DD12-4a52-99DF-DA80E1413058}",
       "id", "111",
       "EA name", "UrlString"
       });				
  }

  /**
   * Initializes the annotations for <b>TaggedValues</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createTaggedValuesAnnotations()
  {
    String source = "TaggedValues";			
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "xml.name", "DATATYPES",
       "xml.namePlural", "DATATYPESS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (asilDecomposedEnumEEnum, 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-DECOMPOSED-ENUM",
       "xml.namePlural", "ASIL-DECOMPOSED-ENUMS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-A",
       "xml.namePlural", "ASIL-AS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-A-A",
       "xml.namePlural", "ASIL-A-AS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-A-B",
       "xml.namePlural", "ASIL-A-BS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-A-C",
       "xml.namePlural", "ASIL-A-CS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(4), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-A-D",
       "xml.namePlural", "ASIL-A-DS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(5), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-B",
       "xml.namePlural", "ASIL-BS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(6), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-B-B",
       "xml.namePlural", "ASIL-B-BS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(7), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-B-C",
       "xml.namePlural", "ASIL-B-CS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(8), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-B-D",
       "xml.namePlural", "ASIL-B-DS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(9), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-C",
       "xml.namePlural", "ASIL-CS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(10), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-C-C",
       "xml.namePlural", "ASIL-C-CS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(11), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-C-D",
       "xml.namePlural", "ASIL-C-DS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(12), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-D",
       "xml.namePlural", "ASIL-DS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(13), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-D-D",
       "xml.namePlural", "ASIL-D-DS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(14), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-QM-A",
       "xml.namePlural", "ASIL-QM-AS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(15), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-QM-B",
       "xml.namePlural", "ASIL-QM-BS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(16), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-QM-C",
       "xml.namePlural", "ASIL-QM-CS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(17), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-QM-D",
       "xml.namePlural", "ASIL-QM-DS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(18), 
       source, 
       new String[] 
       {
       "xml.name", "QM",
       "xml.namePlural", "QMS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });						
    addAnnotation
      (asilEnumEEnum, 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-ENUM",
       "xml.namePlural", "ASIL-ENUMS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilEnumEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-A",
       "xml.namePlural", "ASIL-AS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilEnumEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-B",
       "xml.namePlural", "ASIL-BS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilEnumEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-C",
       "xml.namePlural", "ASIL-CS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilEnumEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-D",
       "xml.namePlural", "ASIL-DS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (asilEnumEEnum.getELiterals().get(4), 
       source, 
       new String[] 
       {
       "xml.name", "QM",
       "xml.namePlural", "QMS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });						
    addAnnotation
      (developmentCategoryEEnum, 
       source, 
       new String[] 
       {
       "xml.name", "DEVELOPMENT-CATEGORY",
       "xml.namePlural", "DEVELOPMENT-CATEGORYS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (developmentCategoryEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "xml.name", "NEW-ITEM-DEVELOPMENT",
       "xml.namePlural", "NEW-ITEM-DEVELOPMENTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (developmentCategoryEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "xml.name", "MODIFICATION-OF-EXISTING-ITEM",
       "xml.namePlural", "MODIFICATION-OF-EXISTING-ITEMS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (functionBehaviorKindEEnum, 
       source, 
       new String[] 
       {
       "xml.name", "FUNCTION-BEHAVIOR-KIND",
       "xml.namePlural", "FUNCTION-BEHAVIOR-KINDS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (functionBehaviorKindEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "xml.name", "SIMULINK",
       "xml.namePlural", "SIMULINKS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (functionBehaviorKindEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "xml.name", "STATEMATE",
       "xml.namePlural", "STATEMATES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (functionBehaviorKindEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "xml.name", "SDL",
       "xml.namePlural", "SDLS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (functionBehaviorKindEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "xml.name", "ASCET",
       "xml.namePlural", "ASCETS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (functionBehaviorKindEEnum.getELiterals().get(4), 
       source, 
       new String[] 
       {
       "xml.name", "SCADE",
       "xml.namePlural", "SCADES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (functionBehaviorKindEEnum.getELiterals().get(5), 
       source, 
       new String[] 
       {
       "xml.name", "OTHER",
       "xml.namePlural", "OTHERS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (functionBehaviorKindEEnum.getELiterals().get(6), 
       source, 
       new String[] 
       {
       "xml.name", "MARTE",
       "xml.namePlural", "MARTES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (functionBehaviorKindEEnum.getELiterals().get(7), 
       source, 
       new String[] 
       {
       "xml.name", "UML",
       "xml.namePlural", "UMLS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (functionBehaviorKindEEnum.getELiterals().get(8), 
       source, 
       new String[] 
       {
       "xml.name", "SCILAB",
       "xml.namePlural", "SCILABS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (safeElementTypeEEnum, 
       source, 
       new String[] 
       {
       "xml.name", "SAFE-ELEMENT-TYPE",
       "xml.namePlural", "SAFE-ELEMENT-TYPES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (safeElementTypeEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "xml.name", "UNKNOWN",
       "xml.namePlural", "UNKNOWNS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (safeElementTypeEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "xml.name", "GOALS",
       "xml.namePlural", "GOALSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (safeElementTypeEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "xml.name", "STRATEGIES",
       "xml.namePlural", "STRATEGIESS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (safeElementTypeEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "xml.name", "SOLUTIONS",
       "xml.namePlural", "SOLUTIONSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (safeElementTypeEEnum.getELiterals().get(4), 
       source, 
       new String[] 
       {
       "xml.name", "CONTEXTS",
       "xml.namePlural", "CONTEXTSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (safeElementTypeEEnum.getELiterals().get(5), 
       source, 
       new String[] 
       {
       "xml.name", "ASSUMTIONS",
       "xml.namePlural", "ASSUMTIONSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (safeElementTypeEEnum.getELiterals().get(6), 
       source, 
       new String[] 
       {
       "xml.name", "JUSTIFICATIONS",
       "xml.namePlural", "JUSTIFICATIONSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (booleanEDataType, 
       source, 
       new String[] 
       {
       "xml.xsd.type", "boolean",
       "xml.name", "BOOLEAN",
       "xml.namePlural", "BOOLEANS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (dateEDataType, 
       source, 
       new String[] 
       {
       "xml.name", "DATE",
       "xml.namePlural", "DATES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (floatEDataType, 
       source, 
       new String[] 
       {
       "xml.xsd.type", "double",
       "xml.name", "FLOAT",
       "xml.namePlural", "FLOATS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });						
    addAnnotation
      (identifierEDataType, 
       source, 
       new String[] 
       {
       "xml.xsd.maxLength", "128",
       "xml.xsd.pattern", "[a-zA-Z]([a-zA-Z0-9]|_[a-zA-Z0-9])*_?",
       "xml.name", "IDENTIFIER",
       "xml.namePlural", "IDENTIFIERS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (integerEDataType, 
       source, 
       new String[] 
       {
       "xml.xsd.type", "int",
       "xml.name", "INTEGER",
       "xml.namePlural", "INTEGERS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (numericalEDataType, 
       source, 
       new String[] 
       {
       "xml.name", "NUMERICAL",
       "xml.namePlural", "NUMERICALS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });						
    addAnnotation
      (stringEDataType, 
       source, 
       new String[] 
       {
       "xml.xsd.type", "string",
       "xml.name", "STRING",
       "xml.namePlural", "STRINGS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });						
    addAnnotation
      (uriStringEDataType, 
       source, 
       new String[] 
       {
       "xml.name", "URI-STRING",
       "xml.namePlural", "URI-STRINGS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });						
    addAnnotation
      (urlStringEDataType, 
       source, 
       new String[] 
       {
       "xml.name", "URL-STRING",
       "xml.namePlural", "URL-STRINGS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });	
  }

  /**
   * Initializes the annotations for <b>EAAdapter</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createEAAdapterAnnotations()
  {
    String source = "EAAdapter";				
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (asilDecomposedEnumEEnum, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(4), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(5), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(6), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(7), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(8), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(9), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(10), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(11), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(12), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(13), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(14), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(15), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(16), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(17), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilDecomposedEnumEEnum.getELiterals().get(18), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });						
    addAnnotation
      (asilEnumEEnum, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilEnumEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilEnumEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilEnumEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilEnumEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (asilEnumEEnum.getELiterals().get(4), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });						
    addAnnotation
      (developmentCategoryEEnum, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (developmentCategoryEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (developmentCategoryEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (functionBehaviorKindEEnum, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (functionBehaviorKindEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (functionBehaviorKindEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (functionBehaviorKindEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (functionBehaviorKindEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (functionBehaviorKindEEnum.getELiterals().get(4), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (functionBehaviorKindEEnum.getELiterals().get(5), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (functionBehaviorKindEEnum.getELiterals().get(6), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (functionBehaviorKindEEnum.getELiterals().get(7), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (functionBehaviorKindEEnum.getELiterals().get(8), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (safeElementTypeEEnum, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (safeElementTypeEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (safeElementTypeEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (safeElementTypeEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (safeElementTypeEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (safeElementTypeEEnum.getELiterals().get(4), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (safeElementTypeEEnum.getELiterals().get(5), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (safeElementTypeEEnum.getELiterals().get(6), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (booleanEDataType, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (dateEDataType, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (floatEDataType, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });						
    addAnnotation
      (identifierEDataType, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (integerEDataType, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (numericalEDataType, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });						
    addAnnotation
      (stringEDataType, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });						
    addAnnotation
      (uriStringEDataType, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });						
    addAnnotation
      (urlStringEDataType, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });
  }

  /**
   * Initializes the annotations for <b>Stereotype</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createStereotypeAnnotations()
  {
    String source = "Stereotype";						
    addAnnotation
      (asilDecomposedEnumEEnum, 
       source, 
       new String[] 
       {
       "Stereotype", "enumeration"
       });																																												
    addAnnotation
      (asilEnumEEnum, 
       source, 
       new String[] 
       {
       "Stereotype", "enumeration"
       });																
    addAnnotation
      (developmentCategoryEEnum, 
       source, 
       new String[] 
       {
       "Stereotype", "enumeration"
       });									
    addAnnotation
      (functionBehaviorKindEEnum, 
       source, 
       new String[] 
       {
       "Stereotype", "enumeration"
       });																							
    addAnnotation
      (safeElementTypeEEnum, 
       source, 
       new String[] 
       {
       "Stereotype", "enumeration"
       });																			
    addAnnotation
      (booleanEDataType, 
       source, 
       new String[] 
       {
       "Stereotype", "primitive"
       });					
    addAnnotation
      (dateEDataType, 
       source, 
       new String[] 
       {
       "Stereotype", "primitive"
       });					
    addAnnotation
      (floatEDataType, 
       source, 
       new String[] 
       {
       "Stereotype", "primitive"
       });						
    addAnnotation
      (identifierEDataType, 
       source, 
       new String[] 
       {
       "Stereotype", "primitive"
       });					
    addAnnotation
      (integerEDataType, 
       source, 
       new String[] 
       {
       "Stereotype", "primitive"
       });					
    addAnnotation
      (numericalEDataType, 
       source, 
       new String[] 
       {
       "Stereotype", "primitive"
       });						
    addAnnotation
      (stringEDataType, 
       source, 
       new String[] 
       {
       "Stereotype", "primitive"
       });						
    addAnnotation
      (uriStringEDataType, 
       source, 
       new String[] 
       {
       "Stereotype", "primitive"
       });						
    addAnnotation
      (urlStringEDataType, 
       source, 
       new String[] 
       {
       "Stereotype", "primitive"
       });		
  }

} //DatatypesPackageImpl
