/**
 */
package safe10.classmodel.commonstructure.formulaexpression.impl;

import autosar40.bswmodule.bswinterfaces.BswinterfacesPackage;

import autosar40.bswmodule.bswoverview.BswoverviewPackage;

import autosar40.commonstructure.modedeclaration.ModedeclarationPackage;

import autosar40.ecuresource.EcuresourcePackage;

import autosar40.swcomponent.components.ComponentsPackage;

import autosar40.swcomponent.composition.CompositionPackage;

import autosar40.swcomponent.datatype.dataprototypes.DataprototypesPackage;

import autosar40.swcomponent.portinterface.PortinterfacePackage;

import autosar40.swcomponent.swcinternalbehavior.SwcinternalbehaviorPackage;

import autosar40.system.SystemPackage;

import eastadl21.east_adl.environment.EnvironmentPackage;

import eastadl21.east_adl.requirements.RequirementsPackage;

import eastadl21.east_adl.structure.featuremodeling.FeaturemodelingPackage;

import eastadl21.east_adl.structure.functionmodeling.FunctionmodelingPackage;

import eastadl21.east_adl.structure.hardwaremodeling.HardwaremodelingPackage;

import eastadl21.east_adl.structure.systemmodeling.SystemmodelingPackage;

import eastadl21.east_adl.structure.vehiclefeaturemodeling.VehiclefeaturemodelingPackage;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.emf.ecore.impl.EPackageImpl;

import safe10.classmodel.commonstructure.datatypes.DatatypesPackage;

import safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl;

import safe10.classmodel.commonstructure.formulaexpression.AtpFormulaExpressionString;
import safe10.classmodel.commonstructure.formulaexpression.FormulaExpression;
import safe10.classmodel.commonstructure.formulaexpression.FormulaexpressionFactory;
import safe10.classmodel.commonstructure.formulaexpression.FormulaexpressionPackage;

import safe10.classmodel.commonstructure.references.ReferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.ChromosomereferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.impl.ChromosomereferencesPackageImpl;

import safe10.classmodel.commonstructure.references.impl.ReferencesPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage;

import safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.TechnicalsafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

import safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl;

import safe10.classmodel.configuration.ConfigurationPackage;

import safe10.classmodel.configuration.impl.ConfigurationPackageImpl;

import safe10.classmodel.errormodel.ErrormodelPackage;

import safe10.classmodel.errormodel._instanceref._instancerefPackage;

import safe10.classmodel.errormodel._instanceref.impl._instancerefPackageImpl;

import safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage;

import safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl;

import safe10.classmodel.errormodel.errormodeltype.ErrormodeltypePackage;

import safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl;

import safe10.classmodel.errormodel.impl.ErrormodelPackageImpl;

import safe10.classmodel.errormodel.malfunction.MalfunctionPackage;

import safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl;

import safe10.classmodel.hardware.failure.FailurePackage;

import safe10.classmodel.hardware.failure.impl.FailurePackageImpl;

import safe10.classmodel.hardware.failureformula.FailureformulaPackage;

import safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl;

import safe10.classmodel.hardware.failurepart.FailurepartPackage;

import safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl;

import safe10.classmodel.hardware.hwarchitecturalmetrics.HwarchitecturalmetricsPackage;

import safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl;

import safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage;

import safe10.classmodel.hardware.hwquantitativemeasure.impl.HwquantitativemeasurePackageImpl;

import safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage;

import safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl;

import safe10.classmodel.hazards.HazardsPackage;

import safe10.classmodel.hazards.impl.HazardsPackageImpl;

import safe10.classmodel.requirements.impl.RequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.SoftwaresafetyrequirementsPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatormonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.impl.ActuatormonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.impl.AlivenessmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.impl.ComparisonPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.impl.ContextrangecheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.impl.CpuselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CrcchecksumPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.impl.CrcchecksumPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.FilterPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.impl.FilterPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientcheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.impl.GradientcheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.impl.HealthmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.impl.SoftwaresafetyrequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.MemoryselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.impl.MemoryselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.impl.VotingPackageImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class FormulaexpressionPackageImpl extends EPackageImpl implements FormulaexpressionPackage
{
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass atpFormulaExpressionStringEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass formulaExpressionEClass = null;

  /**
   * Creates an instance of the model <b>Package</b>, registered with
   * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
   * package URI value.
   * <p>Note: the correct way to create the package is via the static
   * factory method {@link #init init()}, which also performs
   * initialization of the package, or returns the registered package,
   * if one already exists.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.emf.ecore.EPackage.Registry
   * @see safe10.classmodel.commonstructure.formulaexpression.FormulaexpressionPackage#eNS_URI
   * @see #init()
   * @generated
   */
  private FormulaexpressionPackageImpl()
  {
    super(eNS_URI, FormulaexpressionFactory.eINSTANCE);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static boolean isInited = false;

  /**
   * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
   * 
   * <p>This method is used to initialize {@link FormulaexpressionPackage#eINSTANCE} when that field is accessed.
   * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #eNS_URI
   * @see #createPackageContents()
   * @see #initializePackageContents()
   * @generated
   */
  public static FormulaexpressionPackage init()
  {
    if (isInited) return (FormulaexpressionPackage)EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI);

    // Obtain or create and register package
    FormulaexpressionPackageImpl theFormulaexpressionPackage = (FormulaexpressionPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof FormulaexpressionPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new FormulaexpressionPackageImpl());

    isInited = true;

    // Initialize simple dependencies
    SystemmodelingPackage.eINSTANCE.eClass();
    FeaturemodelingPackage.eINSTANCE.eClass();
    VehiclefeaturemodelingPackage.eINSTANCE.eClass();
    FunctionmodelingPackage.eINSTANCE.eClass();
    HardwaremodelingPackage.eINSTANCE.eClass();
    RequirementsPackage.eINSTANCE.eClass();
    EnvironmentPackage.eINSTANCE.eClass();
    EcuresourcePackage.eINSTANCE.eClass();
    ModedeclarationPackage.eINSTANCE.eClass();
    DataprototypesPackage.eINSTANCE.eClass();
    CompositionPackage.eINSTANCE.eClass();
    ComponentsPackage.eINSTANCE.eClass();
    PortinterfacePackage.eINSTANCE.eClass();
    SwcinternalbehaviorPackage.eINSTANCE.eClass();
    SystemPackage.eINSTANCE.eClass();
    BswoverviewPackage.eINSTANCE.eClass();
    BswinterfacesPackage.eINSTANCE.eClass();

    // Obtain or create and register interdependencies
    DatatypesPackageImpl theDatatypesPackage = (DatatypesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) instanceof DatatypesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) : DatatypesPackage.eINSTANCE);
    ReferencesPackageImpl theReferencesPackage = (ReferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) instanceof ReferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) : ReferencesPackage.eINSTANCE);
    ChromosomereferencesPackageImpl theChromosomereferencesPackage = (ChromosomereferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) instanceof ChromosomereferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) : ChromosomereferencesPackage.eINSTANCE);
    SafetyextensionsPackageImpl theSafetyextensionsPackage = (SafetyextensionsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) instanceof SafetyextensionsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) : SafetyextensionsPackage.eINSTANCE);
    SoftwaresafetyextensionPackageImpl theSoftwaresafetyextensionPackage = (SoftwaresafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) instanceof SoftwaresafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) : SoftwaresafetyextensionPackage.eINSTANCE);
    TechnicalsafetyextensionPackageImpl theTechnicalsafetyextensionPackage = (TechnicalsafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) instanceof TechnicalsafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) : TechnicalsafetyextensionPackage.eINSTANCE);
    ToplevelPackageImpl theToplevelPackage = (ToplevelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) instanceof ToplevelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) : ToplevelPackage.eINSTANCE);
    ConfigurationPackageImpl theConfigurationPackage = (ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) instanceof ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) : ConfigurationPackage.eINSTANCE);
    ErrormodelPackageImpl theErrormodelPackage = (ErrormodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) instanceof ErrormodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) : ErrormodelPackage.eINSTANCE);
    _instancerefPackageImpl the_instancerefPackage = (_instancerefPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) instanceof _instancerefPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) : _instancerefPackage.eINSTANCE);
    ErrorbehaviorPackageImpl theErrorbehaviorPackage = (ErrorbehaviorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) instanceof ErrorbehaviorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) : ErrorbehaviorPackage.eINSTANCE);
    ErrormodeltypePackageImpl theErrormodeltypePackage = (ErrormodeltypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) instanceof ErrormodeltypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) : ErrormodeltypePackage.eINSTANCE);
    MalfunctionPackageImpl theMalfunctionPackage = (MalfunctionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) instanceof MalfunctionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) : MalfunctionPackage.eINSTANCE);
    FailureformulaPackageImpl theFailureformulaPackage = (FailureformulaPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) instanceof FailureformulaPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) : FailureformulaPackage.eINSTANCE);
    FailurePackageImpl theFailurePackage = (FailurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) instanceof FailurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) : FailurePackage.eINSTANCE);
    FailurepartPackageImpl theFailurepartPackage = (FailurepartPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) instanceof FailurepartPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) : FailurepartPackage.eINSTANCE);
    HwquantitativemeasurePackageImpl theHwquantitativemeasurePackage = (HwquantitativemeasurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) instanceof HwquantitativemeasurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) : HwquantitativemeasurePackage.eINSTANCE);
    HwarchitecturalmetricsPackageImpl theHwarchitecturalmetricsPackage = (HwarchitecturalmetricsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) instanceof HwarchitecturalmetricsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) : HwarchitecturalmetricsPackage.eINSTANCE);
    ProbabilisticmethodsPackageImpl theProbabilisticmethodsPackage = (ProbabilisticmethodsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) instanceof ProbabilisticmethodsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) : ProbabilisticmethodsPackage.eINSTANCE);
    HazardsPackageImpl theHazardsPackage = (HazardsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) instanceof HazardsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) : HazardsPackage.eINSTANCE);
    RequirementsPackageImpl theRequirementsPackage_1 = (RequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) instanceof RequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) : safe10.classmodel.requirements.RequirementsPackage.eINSTANCE);
    SoftwaresafetyrequirementsPackageImpl theSoftwaresafetyrequirementsPackage = (SoftwaresafetyrequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) instanceof SoftwaresafetyrequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) : SoftwaresafetyrequirementsPackage.eINSTANCE);
    AlivenessmonitorPackageImpl theAlivenessmonitorPackage = (AlivenessmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) instanceof AlivenessmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) : AlivenessmonitorPackage.eINSTANCE);
    ActuatormonitorPackageImpl theActuatormonitorPackage = (ActuatormonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) instanceof ActuatormonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) : ActuatormonitorPackage.eINSTANCE);
    CrcchecksumPackageImpl theCrcchecksumPackage = (CrcchecksumPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) instanceof CrcchecksumPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) : CrcchecksumPackage.eINSTANCE);
    ComparisonPackageImpl theComparisonPackage = (ComparisonPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) instanceof ComparisonPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) : ComparisonPackage.eINSTANCE);
    ContextrangecheckPackageImpl theContextrangecheckPackage = (ContextrangecheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) instanceof ContextrangecheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) : ContextrangecheckPackage.eINSTANCE);
    CpuselftestPackageImpl theCpuselftestPackage = (CpuselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) instanceof CpuselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) : CpuselftestPackage.eINSTANCE);
    FilterPackageImpl theFilterPackage = (FilterPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) instanceof FilterPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) : FilterPackage.eINSTANCE);
    GradientcheckPackageImpl theGradientcheckPackage = (GradientcheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) instanceof GradientcheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) : GradientcheckPackage.eINSTANCE);
    HealthmonitorPackageImpl theHealthmonitorPackage = (HealthmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) instanceof HealthmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) : HealthmonitorPackage.eINSTANCE);
    HeartbeatPackageImpl theHeartbeatPackage = (HeartbeatPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) instanceof HeartbeatPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) : HeartbeatPackage.eINSTANCE);
    MemoryselftestPackageImpl theMemoryselftestPackage = (MemoryselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) instanceof MemoryselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) : MemoryselftestPackage.eINSTANCE);
    VotingPackageImpl theVotingPackage = (VotingPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) instanceof VotingPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) : VotingPackage.eINSTANCE);
    safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl theConfigurationPackage_1 = (safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) instanceof safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) : safe10.classmodel.software.configuration.ConfigurationPackage.eINSTANCE);

    // Create package meta-data objects
    theFormulaexpressionPackage.createPackageContents();
    theDatatypesPackage.createPackageContents();
    theReferencesPackage.createPackageContents();
    theChromosomereferencesPackage.createPackageContents();
    theSafetyextensionsPackage.createPackageContents();
    theSoftwaresafetyextensionPackage.createPackageContents();
    theTechnicalsafetyextensionPackage.createPackageContents();
    theToplevelPackage.createPackageContents();
    theConfigurationPackage.createPackageContents();
    theErrormodelPackage.createPackageContents();
    the_instancerefPackage.createPackageContents();
    theErrorbehaviorPackage.createPackageContents();
    theErrormodeltypePackage.createPackageContents();
    theMalfunctionPackage.createPackageContents();
    theFailureformulaPackage.createPackageContents();
    theFailurePackage.createPackageContents();
    theFailurepartPackage.createPackageContents();
    theHwquantitativemeasurePackage.createPackageContents();
    theHwarchitecturalmetricsPackage.createPackageContents();
    theProbabilisticmethodsPackage.createPackageContents();
    theHazardsPackage.createPackageContents();
    theRequirementsPackage_1.createPackageContents();
    theSoftwaresafetyrequirementsPackage.createPackageContents();
    theAlivenessmonitorPackage.createPackageContents();
    theActuatormonitorPackage.createPackageContents();
    theCrcchecksumPackage.createPackageContents();
    theComparisonPackage.createPackageContents();
    theContextrangecheckPackage.createPackageContents();
    theCpuselftestPackage.createPackageContents();
    theFilterPackage.createPackageContents();
    theGradientcheckPackage.createPackageContents();
    theHealthmonitorPackage.createPackageContents();
    theHeartbeatPackage.createPackageContents();
    theMemoryselftestPackage.createPackageContents();
    theVotingPackage.createPackageContents();
    theConfigurationPackage_1.createPackageContents();

    // Initialize created meta-data
    theFormulaexpressionPackage.initializePackageContents();
    theDatatypesPackage.initializePackageContents();
    theReferencesPackage.initializePackageContents();
    theChromosomereferencesPackage.initializePackageContents();
    theSafetyextensionsPackage.initializePackageContents();
    theSoftwaresafetyextensionPackage.initializePackageContents();
    theTechnicalsafetyextensionPackage.initializePackageContents();
    theToplevelPackage.initializePackageContents();
    theConfigurationPackage.initializePackageContents();
    theErrormodelPackage.initializePackageContents();
    the_instancerefPackage.initializePackageContents();
    theErrorbehaviorPackage.initializePackageContents();
    theErrormodeltypePackage.initializePackageContents();
    theMalfunctionPackage.initializePackageContents();
    theFailureformulaPackage.initializePackageContents();
    theFailurePackage.initializePackageContents();
    theFailurepartPackage.initializePackageContents();
    theHwquantitativemeasurePackage.initializePackageContents();
    theHwarchitecturalmetricsPackage.initializePackageContents();
    theProbabilisticmethodsPackage.initializePackageContents();
    theHazardsPackage.initializePackageContents();
    theRequirementsPackage_1.initializePackageContents();
    theSoftwaresafetyrequirementsPackage.initializePackageContents();
    theAlivenessmonitorPackage.initializePackageContents();
    theActuatormonitorPackage.initializePackageContents();
    theCrcchecksumPackage.initializePackageContents();
    theComparisonPackage.initializePackageContents();
    theContextrangecheckPackage.initializePackageContents();
    theCpuselftestPackage.initializePackageContents();
    theFilterPackage.initializePackageContents();
    theGradientcheckPackage.initializePackageContents();
    theHealthmonitorPackage.initializePackageContents();
    theHeartbeatPackage.initializePackageContents();
    theMemoryselftestPackage.initializePackageContents();
    theVotingPackage.initializePackageContents();
    theConfigurationPackage_1.initializePackageContents();

    // Mark meta-data to indicate it can't be changed
    theFormulaexpressionPackage.freeze();

  
    // Update the registry and return the package
    EPackage.Registry.INSTANCE.put(FormulaexpressionPackage.eNS_URI, theFormulaexpressionPackage);
    return theFormulaexpressionPackage;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAtpFormulaExpressionString()
  {
    return atpFormulaExpressionStringEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getFormulaExpression()
  {
    return formulaExpressionEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getFormulaExpression_Formula()
  {
    return (EAttribute)formulaExpressionEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getFormulaExpression_AtpMixedString()
  {
    return (EReference)formulaExpressionEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public FormulaexpressionFactory getFormulaexpressionFactory()
  {
    return (FormulaexpressionFactory)getEFactoryInstance();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isCreated = false;

  /**
   * Creates the meta-model objects for the package.  This method is
   * guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void createPackageContents()
  {
    if (isCreated) return;
    isCreated = true;

    // Create classes and their features
    atpFormulaExpressionStringEClass = createEClass(ATP_FORMULA_EXPRESSION_STRING);

    formulaExpressionEClass = createEClass(FORMULA_EXPRESSION);
    createEAttribute(formulaExpressionEClass, FORMULA_EXPRESSION__FORMULA);
    createEReference(formulaExpressionEClass, FORMULA_EXPRESSION__ATP_MIXED_STRING);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isInitialized = false;

  /**
   * Complete the initialization of the package and its meta-model.  This
   * method is guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void initializePackageContents()
  {
    if (isInitialized) return;
    isInitialized = true;

    // Initialize package
    setName(eNAME);
    setNsPrefix(eNS_PREFIX);
    setNsURI(eNS_URI);

    // Obtain other dependent packages
    DatatypesPackage theDatatypesPackage = (DatatypesPackage)EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI);

    // Create type parameters

    // Set bounds for type parameters

    // Add supertypes to classes

    // Initialize classes and features; add operations and parameters
    initEClass(atpFormulaExpressionStringEClass, AtpFormulaExpressionString.class, "AtpFormulaExpressionString", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(formulaExpressionEClass, FormulaExpression.class, "FormulaExpression", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getFormulaExpression_Formula(), theDatatypesPackage.getString(), "Formula", "", 1, 1, FormulaExpression.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getFormulaExpression_AtpMixedString(), this.getAtpFormulaExpressionString(), null, "atpMixedString", null, 1, 1, FormulaExpression.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    // Create resource
    createResource(eNS_URI);

    // Create annotations
    // MetaData
    createMetaDataAnnotations();
    // TaggedValues
    createTaggedValuesAnnotations();
    // EAAdapter
    createEAAdapterAnnotations();
    // Stereotype
    createStereotypeAnnotations();
  }

  /**
   * Initializes the annotations for <b>MetaData</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createMetaDataAnnotations()
  {
    String source = "MetaData";		
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "guid", "{25C7D516-6412-4c2a-A57B-493AE4A4C310}",
       "id", "1346670291",
       "EA name", "FormulaExpression"
       });				
    addAnnotation
      (atpFormulaExpressionStringEClass, 
       source, 
       new String[] 
       {
       "guid", "{4ACCD106-C467-4462-BB1F-643A9FC5F2AD}",
       "id", "1343380767",
       "EA name", "AtpFormulaExpressionString"
       });					
    addAnnotation
      (formulaExpressionEClass, 
       source, 
       new String[] 
       {
       "guid", "{9B1D2573-BFAD-4b13-BDF7-F061BA72B720}",
       "id", "-1866208753",
       "EA name", "FormulaExpression"
       });				
    addAnnotation
      (getFormulaExpression_Formula(), 
       source, 
       new String[] 
       {
       "guid", "{B1264F60-2B20-4534-9ACD-B8A41EF645D4}",
       "id", "-689064590",
       "EA name", "Formula"
       });				
    addAnnotation
      (getFormulaExpression_AtpMixedString(), 
       source, 
       new String[] 
       {
       "guid", "{C65AD81C-1902-4751-9712-28BD265AAF69}",
       "id", "359049173",
       "EA name", ""
       });		
  }

  /**
   * Initializes the annotations for <b>TaggedValues</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createTaggedValuesAnnotations()
  {
    String source = "TaggedValues";			
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "xml.name", "FORMULAEXPRESSION",
       "xml.namePlural", "FORMULAEXPRESSIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (atpFormulaExpressionStringEClass, 
       source, 
       new String[] 
       {
       "xml.name", "ATP-FORMULA-EXPRESSION-STRING",
       "xml.namePlural", "ATP-FORMULA-EXPRESSION-STRINGS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (formulaExpressionEClass, 
       source, 
       new String[] 
       {
       "xml.name", "FORMULA-EXPRESSION",
       "xml.namePlural", "FORMULA-EXPRESSIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getFormulaExpression_Formula(), 
       source, 
       new String[] 
       {
       "xml.name", "FORMULA",
       "xml.namePlural", "FORMULAS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getFormulaExpression_AtpMixedString(), 
       source, 
       new String[] 
       {
       "xml.name", "ATP-MIXED-STRING-REF",
       "xml.namePlural", "ATP-MIXED-STRING-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });	
  }

  /**
   * Initializes the annotations for <b>EAAdapter</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createEAAdapterAnnotations()
  {
    String source = "EAAdapter";				
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (atpFormulaExpressionStringEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (formulaExpressionEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getFormulaExpression_Formula(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getFormulaExpression_AtpMixedString(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });
  }

  /**
   * Initializes the annotations for <b>Stereotype</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createStereotypeAnnotations()
  {
    String source = "Stereotype";						
    addAnnotation
      (atpFormulaExpressionStringEClass, 
       source, 
       new String[] 
       {
       "Stereotype", "atpMixedString"
       });											
  }

} //FormulaexpressionPackageImpl
