/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.commonstructure.safetyextensions;

import safe10.classmodel.commonstructure.toplevel.SAFEElement;

import safe10.classmodel.errormodel.ErrorModel;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Safety Extension</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * The abstract parent class of the different abstraction-level specific safety extensions.
 * 
 * Depending on the specific level of abstraction (HazardRiskModel, FunctionalSafetyExtension, TechnicalSafetyExtension, ...), the following restriction apply:
 * - the subtypes of AbstractSafetyRequirement (TechnicalSafetyRequirement, FunctionalSafetyRequirement, SafetyGoal, HW/SWSafetyRequirement) shall be used in the respective level of abstraction via the "requirements" relation of the safety extension
 * - the error model associated with the safety extension via the "erroModel" relation shall only allow to reference system model artifacts which are visibly at the level of abstraction of the safety extension (e.g. an AUTOSAR software component is not visible in the HazardandRiskModel) 
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.SafetyExtension#getErrorModel <em>Error Model</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#getSafetyExtension()
 * @model annotation="MetaData guid='{07B51EEC-476C-495a-9A4E-AF781D8FC8A9}' id='1681870443' EA\040name='SafetyExtension'"
 *        annotation="TaggedValues xml.name='SAFETY-EXTENSION' xml.namePlural='SAFETY-EXTENSIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface SafetyExtension extends SAFEElement
{
  /**
   * Returns the value of the '<em><b>Error Model</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * An error model associated with the respective safety extension. The error model is valid in the context of this safety extension.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Error Model</em>' containment reference.
   * @see #setErrorModel(ErrorModel)
   * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#getSafetyExtension_ErrorModel()
   * @model containment="true"
   *        annotation="MetaData guid='{C66FF521-6DD2-4b28-B99C-4BDCC7B8120A}' id='1836786983' EA\040name=''"
   *        annotation="TaggedValues xml.name='ERROR-MODEL' xml.namePlural='ERROR-MODELS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  ErrorModel getErrorModel();

  /**
   * Sets the value of the '{@link safe10.classmodel.commonstructure.safetyextensions.SafetyExtension#getErrorModel <em>Error Model</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Error Model</em>' containment reference.
   * @see #getErrorModel()
   * @generated
   */
  void setErrorModel(ErrorModel value);

} // SafetyExtension
