/**
 */
package safe10.classmodel.commonstructure.safetyextensions;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

import safe10.classmodel.requirements.RequirementsPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsFactory
 * @model kind="package"
 *        annotation="MetaData guid='{45F66FD3-3ED1-4155-8566-AB15FFC2177A}' id='1485812079' EA\040name='SafetyExtensions'"
 *        annotation="TaggedValues xml.name='SAFETYEXTENSIONS' xml.namePlural='SAFETYEXTENSIONSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface SafetyextensionsPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "safetyextensions";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/commonstructure/safetyextensions";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  SafetyextensionsPackage eINSTANCE = safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.safetyextensions.impl.Class1Impl <em>Class1</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.safetyextensions.impl.Class1Impl
   * @see safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl#getClass1()
   * @generated
   */
  int CLASS1 = 0;

  /**
   * The number of structural features of the '<em>Class1</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CLASS1_FEATURE_COUNT = 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.safetyextensions.impl.FunctionalSafetyExtensionImpl <em>Functional Safety Extension</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.safetyextensions.impl.FunctionalSafetyExtensionImpl
   * @see safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl#getFunctionalSafetyExtension()
   * @generated
   */
  int FUNCTIONAL_SAFETY_EXTENSION = 1;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_EXTENSION__SHORT_NAME = RequirementsPackage.ALLOCATION_TARGET_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_EXTENSION__CATEGORY = RequirementsPackage.ALLOCATION_TARGET_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_EXTENSION__UUID = RequirementsPackage.ALLOCATION_TARGET_FEATURE_COUNT + 2;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_EXTENSION__NAME = RequirementsPackage.ALLOCATION_TARGET_FEATURE_COUNT + 3;

  /**
   * The feature id for the '<em><b>Error Model</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_EXTENSION__ERROR_MODEL = RequirementsPackage.ALLOCATION_TARGET_FEATURE_COUNT + 4;

  /**
   * The feature id for the '<em><b>Scope</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_EXTENSION__SCOPE = RequirementsPackage.ALLOCATION_TARGET_FEATURE_COUNT + 5;

  /**
   * The number of structural features of the '<em>Functional Safety Extension</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_EXTENSION_FEATURE_COUNT = RequirementsPackage.ALLOCATION_TARGET_FEATURE_COUNT + 6;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.safetyextensions.impl.SafetyExtensionImpl <em>Safety Extension</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.safetyextensions.impl.SafetyExtensionImpl
   * @see safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl#getSafetyExtension()
   * @generated
   */
  int SAFETY_EXTENSION = 6;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFETY_EXTENSION__SHORT_NAME = ToplevelPackage.SAFE_ELEMENT__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFETY_EXTENSION__CATEGORY = ToplevelPackage.SAFE_ELEMENT__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFETY_EXTENSION__UUID = ToplevelPackage.SAFE_ELEMENT__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFETY_EXTENSION__NAME = ToplevelPackage.SAFE_ELEMENT__NAME;

  /**
   * The feature id for the '<em><b>Error Model</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFETY_EXTENSION__ERROR_MODEL = ToplevelPackage.SAFE_ELEMENT_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Safety Extension</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFETY_EXTENSION_FEATURE_COUNT = ToplevelPackage.SAFE_ELEMENT_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.safetyextensions.impl.ImplementationSafetyExtensionImpl <em>Implementation Safety Extension</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.safetyextensions.impl.ImplementationSafetyExtensionImpl
   * @see safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl#getImplementationSafetyExtension()
   * @generated
   */
  int IMPLEMENTATION_SAFETY_EXTENSION = 4;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int IMPLEMENTATION_SAFETY_EXTENSION__SHORT_NAME = SAFETY_EXTENSION__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int IMPLEMENTATION_SAFETY_EXTENSION__CATEGORY = SAFETY_EXTENSION__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int IMPLEMENTATION_SAFETY_EXTENSION__UUID = SAFETY_EXTENSION__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int IMPLEMENTATION_SAFETY_EXTENSION__NAME = SAFETY_EXTENSION__NAME;

  /**
   * The feature id for the '<em><b>Error Model</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int IMPLEMENTATION_SAFETY_EXTENSION__ERROR_MODEL = SAFETY_EXTENSION__ERROR_MODEL;

  /**
   * The number of structural features of the '<em>Implementation Safety Extension</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int IMPLEMENTATION_SAFETY_EXTENSION_FEATURE_COUNT = SAFETY_EXTENSION_FEATURE_COUNT + 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.safetyextensions.impl.HardwareImplementationSafetyExtensionImpl <em>Hardware Implementation Safety Extension</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.safetyextensions.impl.HardwareImplementationSafetyExtensionImpl
   * @see safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl#getHardwareImplementationSafetyExtension()
   * @generated
   */
  int HARDWARE_IMPLEMENTATION_SAFETY_EXTENSION = 2;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_IMPLEMENTATION_SAFETY_EXTENSION__SHORT_NAME = IMPLEMENTATION_SAFETY_EXTENSION__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_IMPLEMENTATION_SAFETY_EXTENSION__CATEGORY = IMPLEMENTATION_SAFETY_EXTENSION__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_IMPLEMENTATION_SAFETY_EXTENSION__UUID = IMPLEMENTATION_SAFETY_EXTENSION__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_IMPLEMENTATION_SAFETY_EXTENSION__NAME = IMPLEMENTATION_SAFETY_EXTENSION__NAME;

  /**
   * The feature id for the '<em><b>Error Model</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_IMPLEMENTATION_SAFETY_EXTENSION__ERROR_MODEL = IMPLEMENTATION_SAFETY_EXTENSION__ERROR_MODEL;

  /**
   * The feature id for the '<em><b>Scope</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_IMPLEMENTATION_SAFETY_EXTENSION__SCOPE = IMPLEMENTATION_SAFETY_EXTENSION_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Hardware Part Safety Analysis</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_IMPLEMENTATION_SAFETY_EXTENSION__HARDWARE_PART_SAFETY_ANALYSIS = IMPLEMENTATION_SAFETY_EXTENSION_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Ramdom Hardware Part Failure</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_IMPLEMENTATION_SAFETY_EXTENSION__RAMDOM_HARDWARE_PART_FAILURE = IMPLEMENTATION_SAFETY_EXTENSION_FEATURE_COUNT + 2;

  /**
   * The number of structural features of the '<em>Hardware Implementation Safety Extension</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_IMPLEMENTATION_SAFETY_EXTENSION_FEATURE_COUNT = IMPLEMENTATION_SAFETY_EXTENSION_FEATURE_COUNT + 3;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.safetyextensions.impl.HazardandRiskSafetyExtensionImpl <em>Hazardand Risk Safety Extension</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.safetyextensions.impl.HazardandRiskSafetyExtensionImpl
   * @see safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl#getHazardandRiskSafetyExtension()
   * @generated
   */
  int HAZARDAND_RISK_SAFETY_EXTENSION = 3;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDAND_RISK_SAFETY_EXTENSION__SHORT_NAME = SAFETY_EXTENSION__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDAND_RISK_SAFETY_EXTENSION__CATEGORY = SAFETY_EXTENSION__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDAND_RISK_SAFETY_EXTENSION__UUID = SAFETY_EXTENSION__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDAND_RISK_SAFETY_EXTENSION__NAME = SAFETY_EXTENSION__NAME;

  /**
   * The feature id for the '<em><b>Error Model</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDAND_RISK_SAFETY_EXTENSION__ERROR_MODEL = SAFETY_EXTENSION__ERROR_MODEL;

  /**
   * The feature id for the '<em><b>Environmental Element</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDAND_RISK_SAFETY_EXTENSION__ENVIRONMENTAL_ELEMENT = SAFETY_EXTENSION_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Actor</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDAND_RISK_SAFETY_EXTENSION__ACTOR = SAFETY_EXTENSION_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Controllability</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDAND_RISK_SAFETY_EXTENSION__CONTROLLABILITY = SAFETY_EXTENSION_FEATURE_COUNT + 2;

  /**
   * The feature id for the '<em><b>Hazard</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDAND_RISK_SAFETY_EXTENSION__HAZARD = SAFETY_EXTENSION_FEATURE_COUNT + 3;

  /**
   * The feature id for the '<em><b>Risk</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDAND_RISK_SAFETY_EXTENSION__RISK = SAFETY_EXTENSION_FEATURE_COUNT + 4;

  /**
   * The number of structural features of the '<em>Hazardand Risk Safety Extension</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDAND_RISK_SAFETY_EXTENSION_FEATURE_COUNT = SAFETY_EXTENSION_FEATURE_COUNT + 5;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.safetyextensions.impl.RequirementsSafetyExtensionImpl <em>Requirements Safety Extension</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.safetyextensions.impl.RequirementsSafetyExtensionImpl
   * @see safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl#getRequirementsSafetyExtension()
   * @generated
   */
  int REQUIREMENTS_SAFETY_EXTENSION = 5;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REQUIREMENTS_SAFETY_EXTENSION__SHORT_NAME = SAFETY_EXTENSION__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REQUIREMENTS_SAFETY_EXTENSION__CATEGORY = SAFETY_EXTENSION__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REQUIREMENTS_SAFETY_EXTENSION__UUID = SAFETY_EXTENSION__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REQUIREMENTS_SAFETY_EXTENSION__NAME = SAFETY_EXTENSION__NAME;

  /**
   * The feature id for the '<em><b>Error Model</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REQUIREMENTS_SAFETY_EXTENSION__ERROR_MODEL = SAFETY_EXTENSION__ERROR_MODEL;

  /**
   * The feature id for the '<em><b>Safety Requirement</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT = SAFETY_EXTENSION_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Requirements Relationship</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REQUIREMENTS_SAFETY_EXTENSION__REQUIREMENTS_RELATIONSHIP = SAFETY_EXTENSION_FEATURE_COUNT + 1;

  /**
   * The number of structural features of the '<em>Requirements Safety Extension</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REQUIREMENTS_SAFETY_EXTENSION_FEATURE_COUNT = SAFETY_EXTENSION_FEATURE_COUNT + 2;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.safetyextensions.impl.SoftwareImplementationSafetyExtensionImpl <em>Software Implementation Safety Extension</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.safetyextensions.impl.SoftwareImplementationSafetyExtensionImpl
   * @see safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl#getSoftwareImplementationSafetyExtension()
   * @generated
   */
  int SOFTWARE_IMPLEMENTATION_SAFETY_EXTENSION = 7;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_IMPLEMENTATION_SAFETY_EXTENSION__SHORT_NAME = IMPLEMENTATION_SAFETY_EXTENSION__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_IMPLEMENTATION_SAFETY_EXTENSION__CATEGORY = IMPLEMENTATION_SAFETY_EXTENSION__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_IMPLEMENTATION_SAFETY_EXTENSION__UUID = IMPLEMENTATION_SAFETY_EXTENSION__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_IMPLEMENTATION_SAFETY_EXTENSION__NAME = IMPLEMENTATION_SAFETY_EXTENSION__NAME;

  /**
   * The feature id for the '<em><b>Error Model</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_IMPLEMENTATION_SAFETY_EXTENSION__ERROR_MODEL = IMPLEMENTATION_SAFETY_EXTENSION__ERROR_MODEL;

  /**
   * The feature id for the '<em><b>Scope</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_IMPLEMENTATION_SAFETY_EXTENSION__SCOPE = IMPLEMENTATION_SAFETY_EXTENSION_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Code Generation Configuration</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_IMPLEMENTATION_SAFETY_EXTENSION__CODE_GENERATION_CONFIGURATION = IMPLEMENTATION_SAFETY_EXTENSION_FEATURE_COUNT + 1;

  /**
   * The number of structural features of the '<em>Software Implementation Safety Extension</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_IMPLEMENTATION_SAFETY_EXTENSION_FEATURE_COUNT = IMPLEMENTATION_SAFETY_EXTENSION_FEATURE_COUNT + 2;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.safetyextensions.impl.TechnicalSafetyExtensionImpl <em>Technical Safety Extension</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.safetyextensions.impl.TechnicalSafetyExtensionImpl
   * @see safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl#getTechnicalSafetyExtension()
   * @generated
   */
  int TECHNICAL_SAFETY_EXTENSION = 8;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_EXTENSION__SHORT_NAME = SAFETY_EXTENSION__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_EXTENSION__CATEGORY = SAFETY_EXTENSION__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_EXTENSION__UUID = SAFETY_EXTENSION__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_EXTENSION__NAME = SAFETY_EXTENSION__NAME;

  /**
   * The feature id for the '<em><b>Error Model</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_EXTENSION__ERROR_MODEL = SAFETY_EXTENSION__ERROR_MODEL;

  /**
   * The feature id for the '<em><b>Hardware Architecture</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_EXTENSION__HARDWARE_ARCHITECTURE = SAFETY_EXTENSION_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Software Architecture</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_EXTENSION__SOFTWARE_ARCHITECTURE = SAFETY_EXTENSION_FEATURE_COUNT + 1;

  /**
   * The number of structural features of the '<em>Technical Safety Extension</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_EXTENSION_FEATURE_COUNT = SAFETY_EXTENSION_FEATURE_COUNT + 2;


  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.safetyextensions.Class1 <em>Class1</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Class1</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.Class1
   * @generated
   */
  EClass getClass1();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.safetyextensions.FunctionalSafetyExtension <em>Functional Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Functional Safety Extension</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.FunctionalSafetyExtension
   * @generated
   */
  EClass getFunctionalSafetyExtension();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.commonstructure.safetyextensions.FunctionalSafetyExtension#getScope <em>Scope</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Scope</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.FunctionalSafetyExtension#getScope()
   * @see #getFunctionalSafetyExtension()
   * @generated
   */
  EReference getFunctionalSafetyExtension_Scope();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension <em>Hardware Implementation Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Hardware Implementation Safety Extension</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension
   * @generated
   */
  EClass getHardwareImplementationSafetyExtension();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension#getScope <em>Scope</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Scope</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension#getScope()
   * @see #getHardwareImplementationSafetyExtension()
   * @generated
   */
  EReference getHardwareImplementationSafetyExtension_Scope();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension#getHardwarePartSafetyAnalysis <em>Hardware Part Safety Analysis</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Hardware Part Safety Analysis</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension#getHardwarePartSafetyAnalysis()
   * @see #getHardwareImplementationSafetyExtension()
   * @generated
   */
  EReference getHardwareImplementationSafetyExtension_HardwarePartSafetyAnalysis();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension#getRamdomHardwarePartFailure <em>Ramdom Hardware Part Failure</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Ramdom Hardware Part Failure</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension#getRamdomHardwarePartFailure()
   * @see #getHardwareImplementationSafetyExtension()
   * @generated
   */
  EReference getHardwareImplementationSafetyExtension_RamdomHardwarePartFailure();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension <em>Hazardand Risk Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Hazardand Risk Safety Extension</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension
   * @generated
   */
  EClass getHazardandRiskSafetyExtension();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension#getEnvironmentalElement <em>Environmental Element</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Environmental Element</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension#getEnvironmentalElement()
   * @see #getHazardandRiskSafetyExtension()
   * @generated
   */
  EReference getHazardandRiskSafetyExtension_EnvironmentalElement();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension#getActor <em>Actor</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Actor</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension#getActor()
   * @see #getHazardandRiskSafetyExtension()
   * @generated
   */
  EReference getHazardandRiskSafetyExtension_Actor();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension#getControllability <em>Controllability</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Controllability</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension#getControllability()
   * @see #getHazardandRiskSafetyExtension()
   * @generated
   */
  EReference getHazardandRiskSafetyExtension_Controllability();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension#getHazard <em>Hazard</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Hazard</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension#getHazard()
   * @see #getHazardandRiskSafetyExtension()
   * @generated
   */
  EReference getHazardandRiskSafetyExtension_Hazard();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension#getRisk <em>Risk</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Risk</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension#getRisk()
   * @see #getHazardandRiskSafetyExtension()
   * @generated
   */
  EReference getHazardandRiskSafetyExtension_Risk();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.safetyextensions.ImplementationSafetyExtension <em>Implementation Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Implementation Safety Extension</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.ImplementationSafetyExtension
   * @generated
   */
  EClass getImplementationSafetyExtension();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.safetyextensions.RequirementsSafetyExtension <em>Requirements Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Requirements Safety Extension</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.RequirementsSafetyExtension
   * @generated
   */
  EClass getRequirementsSafetyExtension();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.commonstructure.safetyextensions.RequirementsSafetyExtension#getSafetyRequirement <em>Safety Requirement</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Safety Requirement</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.RequirementsSafetyExtension#getSafetyRequirement()
   * @see #getRequirementsSafetyExtension()
   * @generated
   */
  EReference getRequirementsSafetyExtension_SafetyRequirement();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.commonstructure.safetyextensions.RequirementsSafetyExtension#getRequirementsRelationship <em>Requirements Relationship</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Requirements Relationship</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.RequirementsSafetyExtension#getRequirementsRelationship()
   * @see #getRequirementsSafetyExtension()
   * @generated
   */
  EReference getRequirementsSafetyExtension_RequirementsRelationship();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.safetyextensions.SafetyExtension <em>Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Safety Extension</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.SafetyExtension
   * @generated
   */
  EClass getSafetyExtension();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.commonstructure.safetyextensions.SafetyExtension#getErrorModel <em>Error Model</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Error Model</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.SafetyExtension#getErrorModel()
   * @see #getSafetyExtension()
   * @generated
   */
  EReference getSafetyExtension_ErrorModel();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.safetyextensions.SoftwareImplementationSafetyExtension <em>Software Implementation Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Software Implementation Safety Extension</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.SoftwareImplementationSafetyExtension
   * @generated
   */
  EClass getSoftwareImplementationSafetyExtension();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.commonstructure.safetyextensions.SoftwareImplementationSafetyExtension#getScope <em>Scope</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Scope</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.SoftwareImplementationSafetyExtension#getScope()
   * @see #getSoftwareImplementationSafetyExtension()
   * @generated
   */
  EReference getSoftwareImplementationSafetyExtension_Scope();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.commonstructure.safetyextensions.SoftwareImplementationSafetyExtension#getCodeGenerationConfiguration <em>Code Generation Configuration</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Code Generation Configuration</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.SoftwareImplementationSafetyExtension#getCodeGenerationConfiguration()
   * @see #getSoftwareImplementationSafetyExtension()
   * @generated
   */
  EReference getSoftwareImplementationSafetyExtension_CodeGenerationConfiguration();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.safetyextensions.TechnicalSafetyExtension <em>Technical Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Technical Safety Extension</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.TechnicalSafetyExtension
   * @generated
   */
  EClass getTechnicalSafetyExtension();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.commonstructure.safetyextensions.TechnicalSafetyExtension#getHardwareArchitecture <em>Hardware Architecture</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Hardware Architecture</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.TechnicalSafetyExtension#getHardwareArchitecture()
   * @see #getTechnicalSafetyExtension()
   * @generated
   */
  EReference getTechnicalSafetyExtension_HardwareArchitecture();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.commonstructure.safetyextensions.TechnicalSafetyExtension#getSoftwareArchitecture <em>Software Architecture</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Software Architecture</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.TechnicalSafetyExtension#getSoftwareArchitecture()
   * @see #getTechnicalSafetyExtension()
   * @generated
   */
  EReference getTechnicalSafetyExtension_SoftwareArchitecture();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  SafetyextensionsFactory getSafetyextensionsFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.safetyextensions.impl.Class1Impl <em>Class1</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.safetyextensions.impl.Class1Impl
     * @see safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl#getClass1()
     * @generated
     */
    EClass CLASS1 = eINSTANCE.getClass1();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.safetyextensions.impl.FunctionalSafetyExtensionImpl <em>Functional Safety Extension</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.safetyextensions.impl.FunctionalSafetyExtensionImpl
     * @see safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl#getFunctionalSafetyExtension()
     * @generated
     */
    EClass FUNCTIONAL_SAFETY_EXTENSION = eINSTANCE.getFunctionalSafetyExtension();

    /**
     * The meta object literal for the '<em><b>Scope</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference FUNCTIONAL_SAFETY_EXTENSION__SCOPE = eINSTANCE.getFunctionalSafetyExtension_Scope();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.safetyextensions.impl.HardwareImplementationSafetyExtensionImpl <em>Hardware Implementation Safety Extension</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.safetyextensions.impl.HardwareImplementationSafetyExtensionImpl
     * @see safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl#getHardwareImplementationSafetyExtension()
     * @generated
     */
    EClass HARDWARE_IMPLEMENTATION_SAFETY_EXTENSION = eINSTANCE.getHardwareImplementationSafetyExtension();

    /**
     * The meta object literal for the '<em><b>Scope</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HARDWARE_IMPLEMENTATION_SAFETY_EXTENSION__SCOPE = eINSTANCE.getHardwareImplementationSafetyExtension_Scope();

    /**
     * The meta object literal for the '<em><b>Hardware Part Safety Analysis</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HARDWARE_IMPLEMENTATION_SAFETY_EXTENSION__HARDWARE_PART_SAFETY_ANALYSIS = eINSTANCE.getHardwareImplementationSafetyExtension_HardwarePartSafetyAnalysis();

    /**
     * The meta object literal for the '<em><b>Ramdom Hardware Part Failure</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HARDWARE_IMPLEMENTATION_SAFETY_EXTENSION__RAMDOM_HARDWARE_PART_FAILURE = eINSTANCE.getHardwareImplementationSafetyExtension_RamdomHardwarePartFailure();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.safetyextensions.impl.HazardandRiskSafetyExtensionImpl <em>Hazardand Risk Safety Extension</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.safetyextensions.impl.HazardandRiskSafetyExtensionImpl
     * @see safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl#getHazardandRiskSafetyExtension()
     * @generated
     */
    EClass HAZARDAND_RISK_SAFETY_EXTENSION = eINSTANCE.getHazardandRiskSafetyExtension();

    /**
     * The meta object literal for the '<em><b>Environmental Element</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HAZARDAND_RISK_SAFETY_EXTENSION__ENVIRONMENTAL_ELEMENT = eINSTANCE.getHazardandRiskSafetyExtension_EnvironmentalElement();

    /**
     * The meta object literal for the '<em><b>Actor</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HAZARDAND_RISK_SAFETY_EXTENSION__ACTOR = eINSTANCE.getHazardandRiskSafetyExtension_Actor();

    /**
     * The meta object literal for the '<em><b>Controllability</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HAZARDAND_RISK_SAFETY_EXTENSION__CONTROLLABILITY = eINSTANCE.getHazardandRiskSafetyExtension_Controllability();

    /**
     * The meta object literal for the '<em><b>Hazard</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HAZARDAND_RISK_SAFETY_EXTENSION__HAZARD = eINSTANCE.getHazardandRiskSafetyExtension_Hazard();

    /**
     * The meta object literal for the '<em><b>Risk</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HAZARDAND_RISK_SAFETY_EXTENSION__RISK = eINSTANCE.getHazardandRiskSafetyExtension_Risk();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.safetyextensions.impl.ImplementationSafetyExtensionImpl <em>Implementation Safety Extension</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.safetyextensions.impl.ImplementationSafetyExtensionImpl
     * @see safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl#getImplementationSafetyExtension()
     * @generated
     */
    EClass IMPLEMENTATION_SAFETY_EXTENSION = eINSTANCE.getImplementationSafetyExtension();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.safetyextensions.impl.RequirementsSafetyExtensionImpl <em>Requirements Safety Extension</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.safetyextensions.impl.RequirementsSafetyExtensionImpl
     * @see safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl#getRequirementsSafetyExtension()
     * @generated
     */
    EClass REQUIREMENTS_SAFETY_EXTENSION = eINSTANCE.getRequirementsSafetyExtension();

    /**
     * The meta object literal for the '<em><b>Safety Requirement</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT = eINSTANCE.getRequirementsSafetyExtension_SafetyRequirement();

    /**
     * The meta object literal for the '<em><b>Requirements Relationship</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference REQUIREMENTS_SAFETY_EXTENSION__REQUIREMENTS_RELATIONSHIP = eINSTANCE.getRequirementsSafetyExtension_RequirementsRelationship();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.safetyextensions.impl.SafetyExtensionImpl <em>Safety Extension</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.safetyextensions.impl.SafetyExtensionImpl
     * @see safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl#getSafetyExtension()
     * @generated
     */
    EClass SAFETY_EXTENSION = eINSTANCE.getSafetyExtension();

    /**
     * The meta object literal for the '<em><b>Error Model</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference SAFETY_EXTENSION__ERROR_MODEL = eINSTANCE.getSafetyExtension_ErrorModel();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.safetyextensions.impl.SoftwareImplementationSafetyExtensionImpl <em>Software Implementation Safety Extension</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.safetyextensions.impl.SoftwareImplementationSafetyExtensionImpl
     * @see safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl#getSoftwareImplementationSafetyExtension()
     * @generated
     */
    EClass SOFTWARE_IMPLEMENTATION_SAFETY_EXTENSION = eINSTANCE.getSoftwareImplementationSafetyExtension();

    /**
     * The meta object literal for the '<em><b>Scope</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference SOFTWARE_IMPLEMENTATION_SAFETY_EXTENSION__SCOPE = eINSTANCE.getSoftwareImplementationSafetyExtension_Scope();

    /**
     * The meta object literal for the '<em><b>Code Generation Configuration</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference SOFTWARE_IMPLEMENTATION_SAFETY_EXTENSION__CODE_GENERATION_CONFIGURATION = eINSTANCE.getSoftwareImplementationSafetyExtension_CodeGenerationConfiguration();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.safetyextensions.impl.TechnicalSafetyExtensionImpl <em>Technical Safety Extension</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.safetyextensions.impl.TechnicalSafetyExtensionImpl
     * @see safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl#getTechnicalSafetyExtension()
     * @generated
     */
    EClass TECHNICAL_SAFETY_EXTENSION = eINSTANCE.getTechnicalSafetyExtension();

    /**
     * The meta object literal for the '<em><b>Hardware Architecture</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference TECHNICAL_SAFETY_EXTENSION__HARDWARE_ARCHITECTURE = eINSTANCE.getTechnicalSafetyExtension_HardwareArchitecture();

    /**
     * The meta object literal for the '<em><b>Software Architecture</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference TECHNICAL_SAFETY_EXTENSION__SOFTWARE_ARCHITECTURE = eINSTANCE.getTechnicalSafetyExtension_SoftwareArchitecture();

  }

} //SafetyextensionsPackage
