/**
 */
package safe10.classmodel.commonstructure.safetyextensions.impl;

import autosar40.bswmodule.bswinterfaces.BswinterfacesPackage;

import autosar40.bswmodule.bswoverview.BswoverviewPackage;

import autosar40.commonstructure.modedeclaration.ModedeclarationPackage;

import autosar40.ecuresource.EcuresourcePackage;

import autosar40.swcomponent.components.ComponentsPackage;

import autosar40.swcomponent.composition.CompositionPackage;

import autosar40.swcomponent.datatype.dataprototypes.DataprototypesPackage;

import autosar40.swcomponent.portinterface.PortinterfacePackage;

import autosar40.swcomponent.swcinternalbehavior.SwcinternalbehaviorPackage;

import autosar40.system.SystemPackage;

import eastadl21.east_adl.environment.EnvironmentPackage;

import eastadl21.east_adl.requirements.RequirementsPackage;

import eastadl21.east_adl.structure.featuremodeling.FeaturemodelingPackage;

import eastadl21.east_adl.structure.functionmodeling.FunctionmodelingPackage;

import eastadl21.east_adl.structure.hardwaremodeling.HardwaremodelingPackage;

import eastadl21.east_adl.structure.systemmodeling.SystemmodelingPackage;

import eastadl21.east_adl.structure.vehiclefeaturemodeling.VehiclefeaturemodelingPackage;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.emf.ecore.impl.EPackageImpl;

import safe10.classmodel.commonstructure.datatypes.DatatypesPackage;

import safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl;

import safe10.classmodel.commonstructure.formulaexpression.FormulaexpressionPackage;

import safe10.classmodel.commonstructure.formulaexpression.impl.FormulaexpressionPackageImpl;

import safe10.classmodel.commonstructure.references.ReferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.ChromosomereferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.impl.ChromosomereferencesPackageImpl;

import safe10.classmodel.commonstructure.references.impl.ReferencesPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.Class1;
import safe10.classmodel.commonstructure.safetyextensions.FunctionalSafetyExtension;
import safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension;
import safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension;
import safe10.classmodel.commonstructure.safetyextensions.ImplementationSafetyExtension;
import safe10.classmodel.commonstructure.safetyextensions.RequirementsSafetyExtension;
import safe10.classmodel.commonstructure.safetyextensions.SafetyExtension;
import safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsFactory;
import safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage;
import safe10.classmodel.commonstructure.safetyextensions.SoftwareImplementationSafetyExtension;
import safe10.classmodel.commonstructure.safetyextensions.TechnicalSafetyExtension;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.TechnicalsafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

import safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl;

import safe10.classmodel.configuration.ConfigurationPackage;

import safe10.classmodel.configuration.impl.ConfigurationPackageImpl;

import safe10.classmodel.errormodel.ErrormodelPackage;

import safe10.classmodel.errormodel._instanceref._instancerefPackage;

import safe10.classmodel.errormodel._instanceref.impl._instancerefPackageImpl;

import safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage;

import safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl;

import safe10.classmodel.errormodel.errormodeltype.ErrormodeltypePackage;

import safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl;

import safe10.classmodel.errormodel.impl.ErrormodelPackageImpl;

import safe10.classmodel.errormodel.malfunction.MalfunctionPackage;

import safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl;

import safe10.classmodel.hardware.failure.FailurePackage;

import safe10.classmodel.hardware.failure.impl.FailurePackageImpl;

import safe10.classmodel.hardware.failureformula.FailureformulaPackage;

import safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl;

import safe10.classmodel.hardware.failurepart.FailurepartPackage;

import safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl;

import safe10.classmodel.hardware.hwarchitecturalmetrics.HwarchitecturalmetricsPackage;

import safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl;

import safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage;

import safe10.classmodel.hardware.hwquantitativemeasure.impl.HwquantitativemeasurePackageImpl;

import safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage;

import safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl;

import safe10.classmodel.hazards.HazardsPackage;

import safe10.classmodel.hazards.impl.HazardsPackageImpl;

import safe10.classmodel.requirements.impl.RequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.SoftwaresafetyrequirementsPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatormonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.impl.ActuatormonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.impl.AlivenessmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.impl.ComparisonPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.impl.ContextrangecheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.impl.CpuselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CrcchecksumPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.impl.CrcchecksumPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.FilterPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.impl.FilterPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientcheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.impl.GradientcheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.impl.HealthmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.impl.SoftwaresafetyrequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.MemoryselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.impl.MemoryselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.impl.VotingPackageImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class SafetyextensionsPackageImpl extends EPackageImpl implements SafetyextensionsPackage
{
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass class1EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass functionalSafetyExtensionEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hardwareImplementationSafetyExtensionEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hazardandRiskSafetyExtensionEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass implementationSafetyExtensionEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass requirementsSafetyExtensionEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass safetyExtensionEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass softwareImplementationSafetyExtensionEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass technicalSafetyExtensionEClass = null;

  /**
   * Creates an instance of the model <b>Package</b>, registered with
   * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
   * package URI value.
   * <p>Note: the correct way to create the package is via the static
   * factory method {@link #init init()}, which also performs
   * initialization of the package, or returns the registered package,
   * if one already exists.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.emf.ecore.EPackage.Registry
   * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#eNS_URI
   * @see #init()
   * @generated
   */
  private SafetyextensionsPackageImpl()
  {
    super(eNS_URI, SafetyextensionsFactory.eINSTANCE);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static boolean isInited = false;

  /**
   * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
   * 
   * <p>This method is used to initialize {@link SafetyextensionsPackage#eINSTANCE} when that field is accessed.
   * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #eNS_URI
   * @see #createPackageContents()
   * @see #initializePackageContents()
   * @generated
   */
  public static SafetyextensionsPackage init()
  {
    if (isInited) return (SafetyextensionsPackage)EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI);

    // Obtain or create and register package
    SafetyextensionsPackageImpl theSafetyextensionsPackage = (SafetyextensionsPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof SafetyextensionsPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new SafetyextensionsPackageImpl());

    isInited = true;

    // Initialize simple dependencies
    SystemmodelingPackage.eINSTANCE.eClass();
    FeaturemodelingPackage.eINSTANCE.eClass();
    VehiclefeaturemodelingPackage.eINSTANCE.eClass();
    FunctionmodelingPackage.eINSTANCE.eClass();
    HardwaremodelingPackage.eINSTANCE.eClass();
    RequirementsPackage.eINSTANCE.eClass();
    EnvironmentPackage.eINSTANCE.eClass();
    EcuresourcePackage.eINSTANCE.eClass();
    ModedeclarationPackage.eINSTANCE.eClass();
    DataprototypesPackage.eINSTANCE.eClass();
    CompositionPackage.eINSTANCE.eClass();
    ComponentsPackage.eINSTANCE.eClass();
    PortinterfacePackage.eINSTANCE.eClass();
    SwcinternalbehaviorPackage.eINSTANCE.eClass();
    SystemPackage.eINSTANCE.eClass();
    BswoverviewPackage.eINSTANCE.eClass();
    BswinterfacesPackage.eINSTANCE.eClass();

    // Obtain or create and register interdependencies
    DatatypesPackageImpl theDatatypesPackage = (DatatypesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) instanceof DatatypesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) : DatatypesPackage.eINSTANCE);
    FormulaexpressionPackageImpl theFormulaexpressionPackage = (FormulaexpressionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) instanceof FormulaexpressionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) : FormulaexpressionPackage.eINSTANCE);
    ReferencesPackageImpl theReferencesPackage = (ReferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) instanceof ReferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) : ReferencesPackage.eINSTANCE);
    ChromosomereferencesPackageImpl theChromosomereferencesPackage = (ChromosomereferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) instanceof ChromosomereferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) : ChromosomereferencesPackage.eINSTANCE);
    SoftwaresafetyextensionPackageImpl theSoftwaresafetyextensionPackage = (SoftwaresafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) instanceof SoftwaresafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) : SoftwaresafetyextensionPackage.eINSTANCE);
    TechnicalsafetyextensionPackageImpl theTechnicalsafetyextensionPackage = (TechnicalsafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) instanceof TechnicalsafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) : TechnicalsafetyextensionPackage.eINSTANCE);
    ToplevelPackageImpl theToplevelPackage = (ToplevelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) instanceof ToplevelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) : ToplevelPackage.eINSTANCE);
    ConfigurationPackageImpl theConfigurationPackage = (ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) instanceof ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) : ConfigurationPackage.eINSTANCE);
    ErrormodelPackageImpl theErrormodelPackage = (ErrormodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) instanceof ErrormodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) : ErrormodelPackage.eINSTANCE);
    _instancerefPackageImpl the_instancerefPackage = (_instancerefPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) instanceof _instancerefPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) : _instancerefPackage.eINSTANCE);
    ErrorbehaviorPackageImpl theErrorbehaviorPackage = (ErrorbehaviorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) instanceof ErrorbehaviorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) : ErrorbehaviorPackage.eINSTANCE);
    ErrormodeltypePackageImpl theErrormodeltypePackage = (ErrormodeltypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) instanceof ErrormodeltypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) : ErrormodeltypePackage.eINSTANCE);
    MalfunctionPackageImpl theMalfunctionPackage = (MalfunctionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) instanceof MalfunctionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) : MalfunctionPackage.eINSTANCE);
    FailureformulaPackageImpl theFailureformulaPackage = (FailureformulaPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) instanceof FailureformulaPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) : FailureformulaPackage.eINSTANCE);
    FailurePackageImpl theFailurePackage = (FailurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) instanceof FailurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) : FailurePackage.eINSTANCE);
    FailurepartPackageImpl theFailurepartPackage = (FailurepartPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) instanceof FailurepartPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) : FailurepartPackage.eINSTANCE);
    HwquantitativemeasurePackageImpl theHwquantitativemeasurePackage = (HwquantitativemeasurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) instanceof HwquantitativemeasurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) : HwquantitativemeasurePackage.eINSTANCE);
    HwarchitecturalmetricsPackageImpl theHwarchitecturalmetricsPackage = (HwarchitecturalmetricsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) instanceof HwarchitecturalmetricsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) : HwarchitecturalmetricsPackage.eINSTANCE);
    ProbabilisticmethodsPackageImpl theProbabilisticmethodsPackage = (ProbabilisticmethodsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) instanceof ProbabilisticmethodsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) : ProbabilisticmethodsPackage.eINSTANCE);
    HazardsPackageImpl theHazardsPackage = (HazardsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) instanceof HazardsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) : HazardsPackage.eINSTANCE);
    RequirementsPackageImpl theRequirementsPackage_1 = (RequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) instanceof RequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) : safe10.classmodel.requirements.RequirementsPackage.eINSTANCE);
    SoftwaresafetyrequirementsPackageImpl theSoftwaresafetyrequirementsPackage = (SoftwaresafetyrequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) instanceof SoftwaresafetyrequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) : SoftwaresafetyrequirementsPackage.eINSTANCE);
    AlivenessmonitorPackageImpl theAlivenessmonitorPackage = (AlivenessmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) instanceof AlivenessmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) : AlivenessmonitorPackage.eINSTANCE);
    ActuatormonitorPackageImpl theActuatormonitorPackage = (ActuatormonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) instanceof ActuatormonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) : ActuatormonitorPackage.eINSTANCE);
    CrcchecksumPackageImpl theCrcchecksumPackage = (CrcchecksumPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) instanceof CrcchecksumPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) : CrcchecksumPackage.eINSTANCE);
    ComparisonPackageImpl theComparisonPackage = (ComparisonPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) instanceof ComparisonPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) : ComparisonPackage.eINSTANCE);
    ContextrangecheckPackageImpl theContextrangecheckPackage = (ContextrangecheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) instanceof ContextrangecheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) : ContextrangecheckPackage.eINSTANCE);
    CpuselftestPackageImpl theCpuselftestPackage = (CpuselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) instanceof CpuselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) : CpuselftestPackage.eINSTANCE);
    FilterPackageImpl theFilterPackage = (FilterPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) instanceof FilterPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) : FilterPackage.eINSTANCE);
    GradientcheckPackageImpl theGradientcheckPackage = (GradientcheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) instanceof GradientcheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) : GradientcheckPackage.eINSTANCE);
    HealthmonitorPackageImpl theHealthmonitorPackage = (HealthmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) instanceof HealthmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) : HealthmonitorPackage.eINSTANCE);
    HeartbeatPackageImpl theHeartbeatPackage = (HeartbeatPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) instanceof HeartbeatPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) : HeartbeatPackage.eINSTANCE);
    MemoryselftestPackageImpl theMemoryselftestPackage = (MemoryselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) instanceof MemoryselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) : MemoryselftestPackage.eINSTANCE);
    VotingPackageImpl theVotingPackage = (VotingPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) instanceof VotingPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) : VotingPackage.eINSTANCE);
    safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl theConfigurationPackage_1 = (safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) instanceof safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) : safe10.classmodel.software.configuration.ConfigurationPackage.eINSTANCE);

    // Create package meta-data objects
    theSafetyextensionsPackage.createPackageContents();
    theDatatypesPackage.createPackageContents();
    theFormulaexpressionPackage.createPackageContents();
    theReferencesPackage.createPackageContents();
    theChromosomereferencesPackage.createPackageContents();
    theSoftwaresafetyextensionPackage.createPackageContents();
    theTechnicalsafetyextensionPackage.createPackageContents();
    theToplevelPackage.createPackageContents();
    theConfigurationPackage.createPackageContents();
    theErrormodelPackage.createPackageContents();
    the_instancerefPackage.createPackageContents();
    theErrorbehaviorPackage.createPackageContents();
    theErrormodeltypePackage.createPackageContents();
    theMalfunctionPackage.createPackageContents();
    theFailureformulaPackage.createPackageContents();
    theFailurePackage.createPackageContents();
    theFailurepartPackage.createPackageContents();
    theHwquantitativemeasurePackage.createPackageContents();
    theHwarchitecturalmetricsPackage.createPackageContents();
    theProbabilisticmethodsPackage.createPackageContents();
    theHazardsPackage.createPackageContents();
    theRequirementsPackage_1.createPackageContents();
    theSoftwaresafetyrequirementsPackage.createPackageContents();
    theAlivenessmonitorPackage.createPackageContents();
    theActuatormonitorPackage.createPackageContents();
    theCrcchecksumPackage.createPackageContents();
    theComparisonPackage.createPackageContents();
    theContextrangecheckPackage.createPackageContents();
    theCpuselftestPackage.createPackageContents();
    theFilterPackage.createPackageContents();
    theGradientcheckPackage.createPackageContents();
    theHealthmonitorPackage.createPackageContents();
    theHeartbeatPackage.createPackageContents();
    theMemoryselftestPackage.createPackageContents();
    theVotingPackage.createPackageContents();
    theConfigurationPackage_1.createPackageContents();

    // Initialize created meta-data
    theSafetyextensionsPackage.initializePackageContents();
    theDatatypesPackage.initializePackageContents();
    theFormulaexpressionPackage.initializePackageContents();
    theReferencesPackage.initializePackageContents();
    theChromosomereferencesPackage.initializePackageContents();
    theSoftwaresafetyextensionPackage.initializePackageContents();
    theTechnicalsafetyextensionPackage.initializePackageContents();
    theToplevelPackage.initializePackageContents();
    theConfigurationPackage.initializePackageContents();
    theErrormodelPackage.initializePackageContents();
    the_instancerefPackage.initializePackageContents();
    theErrorbehaviorPackage.initializePackageContents();
    theErrormodeltypePackage.initializePackageContents();
    theMalfunctionPackage.initializePackageContents();
    theFailureformulaPackage.initializePackageContents();
    theFailurePackage.initializePackageContents();
    theFailurepartPackage.initializePackageContents();
    theHwquantitativemeasurePackage.initializePackageContents();
    theHwarchitecturalmetricsPackage.initializePackageContents();
    theProbabilisticmethodsPackage.initializePackageContents();
    theHazardsPackage.initializePackageContents();
    theRequirementsPackage_1.initializePackageContents();
    theSoftwaresafetyrequirementsPackage.initializePackageContents();
    theAlivenessmonitorPackage.initializePackageContents();
    theActuatormonitorPackage.initializePackageContents();
    theCrcchecksumPackage.initializePackageContents();
    theComparisonPackage.initializePackageContents();
    theContextrangecheckPackage.initializePackageContents();
    theCpuselftestPackage.initializePackageContents();
    theFilterPackage.initializePackageContents();
    theGradientcheckPackage.initializePackageContents();
    theHealthmonitorPackage.initializePackageContents();
    theHeartbeatPackage.initializePackageContents();
    theMemoryselftestPackage.initializePackageContents();
    theVotingPackage.initializePackageContents();
    theConfigurationPackage_1.initializePackageContents();

    // Mark meta-data to indicate it can't be changed
    theSafetyextensionsPackage.freeze();

  
    // Update the registry and return the package
    EPackage.Registry.INSTANCE.put(SafetyextensionsPackage.eNS_URI, theSafetyextensionsPackage);
    return theSafetyextensionsPackage;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getClass1()
  {
    return class1EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getFunctionalSafetyExtension()
  {
    return functionalSafetyExtensionEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getFunctionalSafetyExtension_Scope()
  {
    return (EReference)functionalSafetyExtensionEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHardwareImplementationSafetyExtension()
  {
    return hardwareImplementationSafetyExtensionEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHardwareImplementationSafetyExtension_Scope()
  {
    return (EReference)hardwareImplementationSafetyExtensionEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHardwareImplementationSafetyExtension_HardwarePartSafetyAnalysis()
  {
    return (EReference)hardwareImplementationSafetyExtensionEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHardwareImplementationSafetyExtension_RamdomHardwarePartFailure()
  {
    return (EReference)hardwareImplementationSafetyExtensionEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHazardandRiskSafetyExtension()
  {
    return hazardandRiskSafetyExtensionEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHazardandRiskSafetyExtension_EnvironmentalElement()
  {
    return (EReference)hazardandRiskSafetyExtensionEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHazardandRiskSafetyExtension_Actor()
  {
    return (EReference)hazardandRiskSafetyExtensionEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHazardandRiskSafetyExtension_Controllability()
  {
    return (EReference)hazardandRiskSafetyExtensionEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHazardandRiskSafetyExtension_Hazard()
  {
    return (EReference)hazardandRiskSafetyExtensionEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHazardandRiskSafetyExtension_Risk()
  {
    return (EReference)hazardandRiskSafetyExtensionEClass.getEStructuralFeatures().get(4);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getImplementationSafetyExtension()
  {
    return implementationSafetyExtensionEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getRequirementsSafetyExtension()
  {
    return requirementsSafetyExtensionEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getRequirementsSafetyExtension_SafetyRequirement()
  {
    return (EReference)requirementsSafetyExtensionEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getRequirementsSafetyExtension_RequirementsRelationship()
  {
    return (EReference)requirementsSafetyExtensionEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getSafetyExtension()
  {
    return safetyExtensionEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getSafetyExtension_ErrorModel()
  {
    return (EReference)safetyExtensionEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getSoftwareImplementationSafetyExtension()
  {
    return softwareImplementationSafetyExtensionEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getSoftwareImplementationSafetyExtension_Scope()
  {
    return (EReference)softwareImplementationSafetyExtensionEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getSoftwareImplementationSafetyExtension_CodeGenerationConfiguration()
  {
    return (EReference)softwareImplementationSafetyExtensionEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getTechnicalSafetyExtension()
  {
    return technicalSafetyExtensionEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getTechnicalSafetyExtension_HardwareArchitecture()
  {
    return (EReference)technicalSafetyExtensionEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getTechnicalSafetyExtension_SoftwareArchitecture()
  {
    return (EReference)technicalSafetyExtensionEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public SafetyextensionsFactory getSafetyextensionsFactory()
  {
    return (SafetyextensionsFactory)getEFactoryInstance();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isCreated = false;

  /**
   * Creates the meta-model objects for the package.  This method is
   * guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void createPackageContents()
  {
    if (isCreated) return;
    isCreated = true;

    // Create classes and their features
    class1EClass = createEClass(CLASS1);

    functionalSafetyExtensionEClass = createEClass(FUNCTIONAL_SAFETY_EXTENSION);
    createEReference(functionalSafetyExtensionEClass, FUNCTIONAL_SAFETY_EXTENSION__SCOPE);

    hardwareImplementationSafetyExtensionEClass = createEClass(HARDWARE_IMPLEMENTATION_SAFETY_EXTENSION);
    createEReference(hardwareImplementationSafetyExtensionEClass, HARDWARE_IMPLEMENTATION_SAFETY_EXTENSION__SCOPE);
    createEReference(hardwareImplementationSafetyExtensionEClass, HARDWARE_IMPLEMENTATION_SAFETY_EXTENSION__HARDWARE_PART_SAFETY_ANALYSIS);
    createEReference(hardwareImplementationSafetyExtensionEClass, HARDWARE_IMPLEMENTATION_SAFETY_EXTENSION__RAMDOM_HARDWARE_PART_FAILURE);

    hazardandRiskSafetyExtensionEClass = createEClass(HAZARDAND_RISK_SAFETY_EXTENSION);
    createEReference(hazardandRiskSafetyExtensionEClass, HAZARDAND_RISK_SAFETY_EXTENSION__ENVIRONMENTAL_ELEMENT);
    createEReference(hazardandRiskSafetyExtensionEClass, HAZARDAND_RISK_SAFETY_EXTENSION__ACTOR);
    createEReference(hazardandRiskSafetyExtensionEClass, HAZARDAND_RISK_SAFETY_EXTENSION__CONTROLLABILITY);
    createEReference(hazardandRiskSafetyExtensionEClass, HAZARDAND_RISK_SAFETY_EXTENSION__HAZARD);
    createEReference(hazardandRiskSafetyExtensionEClass, HAZARDAND_RISK_SAFETY_EXTENSION__RISK);

    implementationSafetyExtensionEClass = createEClass(IMPLEMENTATION_SAFETY_EXTENSION);

    requirementsSafetyExtensionEClass = createEClass(REQUIREMENTS_SAFETY_EXTENSION);
    createEReference(requirementsSafetyExtensionEClass, REQUIREMENTS_SAFETY_EXTENSION__SAFETY_REQUIREMENT);
    createEReference(requirementsSafetyExtensionEClass, REQUIREMENTS_SAFETY_EXTENSION__REQUIREMENTS_RELATIONSHIP);

    safetyExtensionEClass = createEClass(SAFETY_EXTENSION);
    createEReference(safetyExtensionEClass, SAFETY_EXTENSION__ERROR_MODEL);

    softwareImplementationSafetyExtensionEClass = createEClass(SOFTWARE_IMPLEMENTATION_SAFETY_EXTENSION);
    createEReference(softwareImplementationSafetyExtensionEClass, SOFTWARE_IMPLEMENTATION_SAFETY_EXTENSION__SCOPE);
    createEReference(softwareImplementationSafetyExtensionEClass, SOFTWARE_IMPLEMENTATION_SAFETY_EXTENSION__CODE_GENERATION_CONFIGURATION);

    technicalSafetyExtensionEClass = createEClass(TECHNICAL_SAFETY_EXTENSION);
    createEReference(technicalSafetyExtensionEClass, TECHNICAL_SAFETY_EXTENSION__HARDWARE_ARCHITECTURE);
    createEReference(technicalSafetyExtensionEClass, TECHNICAL_SAFETY_EXTENSION__SOFTWARE_ARCHITECTURE);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isInitialized = false;

  /**
   * Complete the initialization of the package and its meta-model.  This
   * method is guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void initializePackageContents()
  {
    if (isInitialized) return;
    isInitialized = true;

    // Initialize package
    setName(eNAME);
    setNsPrefix(eNS_PREFIX);
    setNsURI(eNS_URI);

    // Obtain other dependent packages
    SoftwaresafetyextensionPackage theSoftwaresafetyextensionPackage = (SoftwaresafetyextensionPackage)EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI);
    TechnicalsafetyextensionPackage theTechnicalsafetyextensionPackage = (TechnicalsafetyextensionPackage)EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI);
    safe10.classmodel.requirements.RequirementsPackage theRequirementsPackage_1 = (safe10.classmodel.requirements.RequirementsPackage)EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI);
    FunctionmodelingPackage theFunctionmodelingPackage = (FunctionmodelingPackage)EPackage.Registry.INSTANCE.getEPackage(FunctionmodelingPackage.eNS_URI);
    EcuresourcePackage theEcuresourcePackage = (EcuresourcePackage)EPackage.Registry.INSTANCE.getEPackage(EcuresourcePackage.eNS_URI);
    FailurepartPackage theFailurepartPackage = (FailurepartPackage)EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI);
    EnvironmentPackage theEnvironmentPackage = (EnvironmentPackage)EPackage.Registry.INSTANCE.getEPackage(EnvironmentPackage.eNS_URI);
    HazardsPackage theHazardsPackage = (HazardsPackage)EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI);
    ToplevelPackage theToplevelPackage = (ToplevelPackage)EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI);
    ErrormodelPackage theErrormodelPackage = (ErrormodelPackage)EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI);
    ComponentsPackage theComponentsPackage = (ComponentsPackage)EPackage.Registry.INSTANCE.getEPackage(ComponentsPackage.eNS_URI);
    safe10.classmodel.software.configuration.ConfigurationPackage theConfigurationPackage_1 = (safe10.classmodel.software.configuration.ConfigurationPackage)EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI);

    // Add subpackages
    getESubpackages().add(theSoftwaresafetyextensionPackage);
    getESubpackages().add(theTechnicalsafetyextensionPackage);

    // Create type parameters

    // Set bounds for type parameters

    // Add supertypes to classes
    functionalSafetyExtensionEClass.getESuperTypes().add(theRequirementsPackage_1.getAllocationTarget());
    functionalSafetyExtensionEClass.getESuperTypes().add(this.getSafetyExtension());
    hardwareImplementationSafetyExtensionEClass.getESuperTypes().add(this.getImplementationSafetyExtension());
    hazardandRiskSafetyExtensionEClass.getESuperTypes().add(this.getSafetyExtension());
    implementationSafetyExtensionEClass.getESuperTypes().add(this.getSafetyExtension());
    implementationSafetyExtensionEClass.getESuperTypes().add(theRequirementsPackage_1.getAllocationTarget());
    requirementsSafetyExtensionEClass.getESuperTypes().add(this.getSafetyExtension());
    safetyExtensionEClass.getESuperTypes().add(theToplevelPackage.getSAFEElement());
    softwareImplementationSafetyExtensionEClass.getESuperTypes().add(this.getImplementationSafetyExtension());
    technicalSafetyExtensionEClass.getESuperTypes().add(this.getSafetyExtension());

    // Initialize classes and features; add operations and parameters
    initEClass(class1EClass, Class1.class, "Class1", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(functionalSafetyExtensionEClass, FunctionalSafetyExtension.class, "FunctionalSafetyExtension", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getFunctionalSafetyExtension_Scope(), theFunctionmodelingPackage.getAnalysisFunctionType(), null, "scope", null, 1, 1, FunctionalSafetyExtension.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hardwareImplementationSafetyExtensionEClass, HardwareImplementationSafetyExtension.class, "HardwareImplementationSafetyExtension", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getHardwareImplementationSafetyExtension_Scope(), theEcuresourcePackage.getHwElement(), null, "scope", null, 1, 1, HardwareImplementationSafetyExtension.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHardwareImplementationSafetyExtension_HardwarePartSafetyAnalysis(), theFailurepartPackage.getHWPartFailureAnalysis(), null, "hardwarePartSafetyAnalysis", null, 0, -1, HardwareImplementationSafetyExtension.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHardwareImplementationSafetyExtension_RamdomHardwarePartFailure(), theFailurepartPackage.getHWPartFailure(), theFailurepartPackage.getHWPartFailure_NameWasNotSet_6(), "ramdomHardwarePartFailure", null, 0, 1, HardwareImplementationSafetyExtension.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hazardandRiskSafetyExtensionEClass, HazardandRiskSafetyExtension.class, "HazardandRiskSafetyExtension", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getHazardandRiskSafetyExtension_EnvironmentalElement(), theEnvironmentPackage.getEnvironment(), null, "environmentalElement", null, 1, -1, HazardandRiskSafetyExtension.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHazardandRiskSafetyExtension_Actor(), theHazardsPackage.getActor(), null, "actor", null, 0, -1, HazardandRiskSafetyExtension.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHazardandRiskSafetyExtension_Controllability(), theHazardsPackage.getControllabilityReference(), null, "controllability", null, 0, -1, HazardandRiskSafetyExtension.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHazardandRiskSafetyExtension_Hazard(), theHazardsPackage.getHazard(), null, "hazard", null, 0, -1, HazardandRiskSafetyExtension.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHazardandRiskSafetyExtension_Risk(), theHazardsPackage.getRiskDescription(), null, "risk", null, 0, -1, HazardandRiskSafetyExtension.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(implementationSafetyExtensionEClass, ImplementationSafetyExtension.class, "ImplementationSafetyExtension", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(requirementsSafetyExtensionEClass, RequirementsSafetyExtension.class, "RequirementsSafetyExtension", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getRequirementsSafetyExtension_SafetyRequirement(), theRequirementsPackage_1.getAbstractSafetyRequirement(), null, "safetyRequirement", null, 0, -1, RequirementsSafetyExtension.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getRequirementsSafetyExtension_RequirementsRelationship(), theRequirementsPackage_1.getRequirementsReleationship(), null, "requirementsRelationship", null, 0, -1, RequirementsSafetyExtension.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(safetyExtensionEClass, SafetyExtension.class, "SafetyExtension", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getSafetyExtension_ErrorModel(), theErrormodelPackage.getErrorModel(), null, "errorModel", null, 0, 1, SafetyExtension.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(softwareImplementationSafetyExtensionEClass, SoftwareImplementationSafetyExtension.class, "SoftwareImplementationSafetyExtension", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getSoftwareImplementationSafetyExtension_Scope(), theComponentsPackage.getSwComponentType(), null, "scope", null, 1, 1, SoftwareImplementationSafetyExtension.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getSoftwareImplementationSafetyExtension_CodeGenerationConfiguration(), theConfigurationPackage_1.getCodeGenerationConfiguration(), null, "codeGenerationConfiguration", null, 0, -1, SoftwareImplementationSafetyExtension.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(technicalSafetyExtensionEClass, TechnicalSafetyExtension.class, "TechnicalSafetyExtension", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getTechnicalSafetyExtension_HardwareArchitecture(), theTechnicalsafetyextensionPackage.getHardwareSafetyDesign(), null, "hardwareArchitecture", null, 0, -1, TechnicalSafetyExtension.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getTechnicalSafetyExtension_SoftwareArchitecture(), theTechnicalsafetyextensionPackage.getSoftwareSafetyDesign(), null, "softwareArchitecture", null, 0, -1, TechnicalSafetyExtension.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    // Create resource
    createResource(eNS_URI);

    // Create annotations
    // MetaData
    createMetaDataAnnotations();
    // TaggedValues
    createTaggedValuesAnnotations();
    // EAAdapter
    createEAAdapterAnnotations();
  }

  /**
   * Initializes the annotations for <b>MetaData</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createMetaDataAnnotations()
  {
    String source = "MetaData";		
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "guid", "{45F66FD3-3ED1-4155-8566-AB15FFC2177A}",
       "id", "1485812079",
       "EA name", "SafetyExtensions"
       });				
    addAnnotation
      (class1EClass, 
       source, 
       new String[] 
       {
       "guid", "{FEEC62F7-3909-4cf1-977B-F62DE5D3EED3}",
       "id", "-975168017",
       "EA name", "Class1"
       });				
    addAnnotation
      (functionalSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "guid", "{90B08BD2-9E11-4026-B855-83A1C6DF4772}",
       "id", "637603198",
       "EA name", "FunctionalSafetyExtension"
       });					
    addAnnotation
      (getFunctionalSafetyExtension_Scope(), 
       source, 
       new String[] 
       {
       "guid", "{5022E92E-ABC4-4100-B068-61C28A912A91}",
       "id", "1276318133",
       "EA name", ""
       });				
    addAnnotation
      (hardwareImplementationSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "guid", "{C187A87F-3ADA-4439-B225-567BA7533EE9}",
       "id", "-101655698",
       "EA name", "HardwareImplementationSafetyExtension"
       });					
    addAnnotation
      (getHardwareImplementationSafetyExtension_Scope(), 
       source, 
       new String[] 
       {
       "guid", "{09C94B81-CD3D-49a6-B4C8-6254B1315E0D}",
       "id", "1830657736",
       "EA name", ""
       });				
    addAnnotation
      (getHardwareImplementationSafetyExtension_HardwarePartSafetyAnalysis(), 
       source, 
       new String[] 
       {
       "guid", "{B7F73D01-7694-455f-B1C4-48456058DB1F}",
       "id", "-491465961",
       "EA name", ""
       });						
    addAnnotation
      (hazardandRiskSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "guid", "{0BA3503D-0C1F-4d84-93DB-E24779C8ADDC}",
       "id", "1466722733",
       "EA name", "HazardandRiskSafetyExtension"
       });					
    addAnnotation
      (getHazardandRiskSafetyExtension_EnvironmentalElement(), 
       source, 
       new String[] 
       {
       "guid", "{C73F0FC1-1C8E-443e-810C-0EA090B1B4F5}",
       "id", "399596993",
       "EA name", ""
       });				
    addAnnotation
      (getHazardandRiskSafetyExtension_Actor(), 
       source, 
       new String[] 
       {
       "guid", "{5AA62A20-9162-460b-8123-932D87871BEF}",
       "id", "1596082583",
       "EA name", ""
       });				
    addAnnotation
      (getHazardandRiskSafetyExtension_Controllability(), 
       source, 
       new String[] 
       {
       "guid", "{FABFA950-ED07-4add-AC33-DA0BD4635D32}",
       "id", "1480915219",
       "EA name", ""
       });				
    addAnnotation
      (getHazardandRiskSafetyExtension_Hazard(), 
       source, 
       new String[] 
       {
       "guid", "{5343517F-B6BE-4af3-9C0F-00FB9343C612}",
       "id", "908248477",
       "EA name", ""
       });				
    addAnnotation
      (getHazardandRiskSafetyExtension_Risk(), 
       source, 
       new String[] 
       {
       "guid", "{8DAFFAA1-E91C-4f33-80CD-464492A0E29A}",
       "id", "1826735368",
       "EA name", ""
       });				
    addAnnotation
      (implementationSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "guid", "{B965AD00-5E5B-4de8-9BA0-39B939AD6F8E}",
       "id", "377175707",
       "EA name", "ImplementationSafetyExtension"
       });				
    addAnnotation
      (requirementsSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "guid", "{05CC7284-8FDC-4b9e-AB3B-0E11974E0B52}",
       "id", "-1116786686",
       "EA name", "RequirementsSafetyExtension"
       });					
    addAnnotation
      (getRequirementsSafetyExtension_SafetyRequirement(), 
       source, 
       new String[] 
       {
       "guid", "{31CA0BAD-506A-444b-B668-C99A8F858B7B}",
       "id", "-3461720",
       "EA name", ""
       });				
    addAnnotation
      (getRequirementsSafetyExtension_RequirementsRelationship(), 
       source, 
       new String[] 
       {
       "guid", "{D682C125-E446-4e3d-B119-2836F1D5C39E}",
       "id", "-461524198",
       "EA name", ""
       });				
    addAnnotation
      (safetyExtensionEClass, 
       source, 
       new String[] 
       {
       "guid", "{07B51EEC-476C-495a-9A4E-AF781D8FC8A9}",
       "id", "1681870443",
       "EA name", "SafetyExtension"
       });					
    addAnnotation
      (getSafetyExtension_ErrorModel(), 
       source, 
       new String[] 
       {
       "guid", "{C66FF521-6DD2-4b28-B99C-4BDCC7B8120A}",
       "id", "1836786983",
       "EA name", ""
       });					
    addAnnotation
      (softwareImplementationSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "guid", "{8A32F33B-6C77-4698-A14F-2ADAAA3BD0CA}",
       "id", "-1797482199",
       "EA name", "SoftwareImplementationSafetyExtension"
       });				
    addAnnotation
      (getSoftwareImplementationSafetyExtension_Scope(), 
       source, 
       new String[] 
       {
       "guid", "{989CF9AF-08DC-47ba-BD1E-6761572C6B9A}",
       "id", "-1161612894",
       "EA name", ""
       });				
    addAnnotation
      (getSoftwareImplementationSafetyExtension_CodeGenerationConfiguration(), 
       source, 
       new String[] 
       {
       "guid", "{10803685-D885-455b-B2C3-9AD087BD3E99}",
       "id", "-305936290",
       "EA name", ""
       });				
    addAnnotation
      (technicalSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "guid", "{DE3BFEB9-19DC-4e4e-BCB0-10DB27F87972}",
       "id", "1577305055",
       "EA name", "TechnicalSafetyExtension"
       });					
    addAnnotation
      (getTechnicalSafetyExtension_HardwareArchitecture(), 
       source, 
       new String[] 
       {
       "guid", "{582A79ED-0752-4aee-8D92-5576AD8DADC0}",
       "id", "1369297737",
       "EA name", ""
       });				
    addAnnotation
      (getTechnicalSafetyExtension_SoftwareArchitecture(), 
       source, 
       new String[] 
       {
       "guid", "{AAA2C988-6395-4808-945D-14FB6D6228DB}",
       "id", "1238481366",
       "EA name", ""
       });		
  }

  /**
   * Initializes the annotations for <b>TaggedValues</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createTaggedValuesAnnotations()
  {
    String source = "TaggedValues";			
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "xml.name", "SAFETYEXTENSIONS",
       "xml.namePlural", "SAFETYEXTENSIONSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (class1EClass, 
       source, 
       new String[] 
       {
       "xml.name", "CLASS-1",
       "xml.namePlural", "CLASS-1S",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (functionalSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "xml.name", "FUNCTIONAL-SAFETY-EXTENSION",
       "xml.namePlural", "FUNCTIONAL-SAFETY-EXTENSIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getFunctionalSafetyExtension_Scope(), 
       source, 
       new String[] 
       {
       "xml.name", "SCOPE",
       "xml.namePlural", "SCOPES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hardwareImplementationSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HARDWARE-IMPLEMENTATION-SAFETY-EXTENSION",
       "xml.namePlural", "HARDWARE-IMPLEMENTATION-SAFETY-EXTENSIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getHardwareImplementationSafetyExtension_Scope(), 
       source, 
       new String[] 
       {
       "xml.name", "SCOPE",
       "xml.namePlural", "SCOPES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHardwareImplementationSafetyExtension_HardwarePartSafetyAnalysis(), 
       source, 
       new String[] 
       {
       "xml.name", "HARDWARE-PART-SAFETY-ANALYSIS-REF",
       "xml.namePlural", "HARDWARE-PART-SAFETY-ANALYSIS-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });			
    addAnnotation
      (getHardwareImplementationSafetyExtension_RamdomHardwarePartFailure(), 
       source, 
       new String[] 
       {
       "xml.name", "RAMDOM-HARDWARE-PART-FAILURE-REF",
       "xml.namePlural", "RAMDOM-HARDWARE-PART-FAILURE-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hazardandRiskSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HAZARDAND-RISK-SAFETY-EXTENSION",
       "xml.namePlural", "HAZARDAND-RISK-SAFETY-EXTENSIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getHazardandRiskSafetyExtension_EnvironmentalElement(), 
       source, 
       new String[] 
       {
       "xml.name", "ENVIRONMENTAL-ELEMENT",
       "xml.namePlural", "ENVIRONMENTAL-ELEMENTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHazardandRiskSafetyExtension_Actor(), 
       source, 
       new String[] 
       {
       "xml.name", "ACTOR",
       "xml.namePlural", "ACTORS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHazardandRiskSafetyExtension_Controllability(), 
       source, 
       new String[] 
       {
       "xml.name", "CONTROLLABILITY",
       "xml.namePlural", "CONTROLLABILITYS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHazardandRiskSafetyExtension_Hazard(), 
       source, 
       new String[] 
       {
       "xml.name", "HAZARD",
       "xml.namePlural", "HAZARDS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHazardandRiskSafetyExtension_Risk(), 
       source, 
       new String[] 
       {
       "xml.name", "RISK",
       "xml.namePlural", "RISKS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (implementationSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "xml.name", "IMPLEMENTATION-SAFETY-EXTENSION",
       "xml.namePlural", "IMPLEMENTATION-SAFETY-EXTENSIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (requirementsSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "xml.name", "REQUIREMENTS-SAFETY-EXTENSION",
       "xml.namePlural", "REQUIREMENTS-SAFETY-EXTENSIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getRequirementsSafetyExtension_SafetyRequirement(), 
       source, 
       new String[] 
       {
       "xml.name", "SAFETY-REQUIREMENT",
       "xml.namePlural", "SAFETY-REQUIREMENTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getRequirementsSafetyExtension_RequirementsRelationship(), 
       source, 
       new String[] 
       {
       "xml.name", "REQUIREMENTS-RELATIONSHIP",
       "xml.namePlural", "REQUIREMENTS-RELATIONSHIPS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (safetyExtensionEClass, 
       source, 
       new String[] 
       {
       "xml.name", "SAFETY-EXTENSION",
       "xml.namePlural", "SAFETY-EXTENSIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getSafetyExtension_ErrorModel(), 
       source, 
       new String[] 
       {
       "xml.name", "ERROR-MODEL",
       "xml.namePlural", "ERROR-MODELS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (softwareImplementationSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "xml.name", "SOFTWARE-IMPLEMENTATION-SAFETY-EXTENSION",
       "xml.namePlural", "SOFTWARE-IMPLEMENTATION-SAFETY-EXTENSIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getSoftwareImplementationSafetyExtension_Scope(), 
       source, 
       new String[] 
       {
       "xml.name", "SCOPE",
       "xml.namePlural", "SCOPES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getSoftwareImplementationSafetyExtension_CodeGenerationConfiguration(), 
       source, 
       new String[] 
       {
       "xml.name", "CODE-GENERATION-CONFIGURATION",
       "xml.namePlural", "CODE-GENERATION-CONFIGURATIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (technicalSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "xml.name", "TECHNICAL-SAFETY-EXTENSION",
       "xml.namePlural", "TECHNICAL-SAFETY-EXTENSIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getTechnicalSafetyExtension_HardwareArchitecture(), 
       source, 
       new String[] 
       {
       "xml.name", "HARDWARE-ARCHITECTURE",
       "xml.namePlural", "HARDWARE-ARCHITECTURES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getTechnicalSafetyExtension_SoftwareArchitecture(), 
       source, 
       new String[] 
       {
       "xml.name", "SOFTWARE-ARCHITECTURE",
       "xml.namePlural", "SOFTWARE-ARCHITECTURES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });	
  }

  /**
   * Initializes the annotations for <b>EAAdapter</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createEAAdapterAnnotations()
  {
    String source = "EAAdapter";				
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (class1EClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (functionalSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getFunctionalSafetyExtension_Scope(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hardwareImplementationSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHardwareImplementationSafetyExtension_Scope(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHardwareImplementationSafetyExtension_HardwarePartSafetyAnalysis(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (getHardwareImplementationSafetyExtension_RamdomHardwarePartFailure(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hazardandRiskSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHazardandRiskSafetyExtension_EnvironmentalElement(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHazardandRiskSafetyExtension_Actor(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHazardandRiskSafetyExtension_Controllability(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHazardandRiskSafetyExtension_Hazard(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHazardandRiskSafetyExtension_Risk(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (implementationSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (requirementsSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getRequirementsSafetyExtension_SafetyRequirement(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getRequirementsSafetyExtension_RequirementsRelationship(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (safetyExtensionEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getSafetyExtension_ErrorModel(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (softwareImplementationSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getSoftwareImplementationSafetyExtension_Scope(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getSoftwareImplementationSafetyExtension_CodeGenerationConfiguration(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (technicalSafetyExtensionEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getTechnicalSafetyExtension_HardwareArchitecture(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getTechnicalSafetyExtension_SoftwareArchitecture(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });
  }

} //SafetyextensionsPackageImpl
