/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Autosar System Safety Extension</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This meta-class defines SAFE extensions which are specified for the AUTOSAR system level.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.AutosarSystemSafetyExtension#getSafeguards <em>Safeguards</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionPackage#getAutosarSystemSafetyExtension()
 * @model annotation="MetaData guid='{136F23A4-941E-4c94-9C8F-73105BF3C016}' id='196' EA\040name='AutosarSystemSafetyExtension'"
 *        annotation="TaggedValues xml.name='AUTOSAR-SYSTEM-SAFETY-EXTENSION' xml.namePlural='AUTOSAR-SYSTEM-SAFETY-EXTENSIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface AutosarSystemSafetyExtension extends AutosarSafetyExtension
{
  /**
   * Returns the value of the '<em><b>Safeguards</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The AUTOSAR system element safeguarded by this safety extension
   * <!-- end-model-doc -->
   * @return the value of the '<em>Safeguards</em>' containment reference.
   * @see #setSafeguards(autosar40.system.System)
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionPackage#getAutosarSystemSafetyExtension_Safeguards()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{4ABF6207-EA1D-42d5-BFAE-F7F0B1F919A2}' id='-1099273482' EA\040name=''"
   *        annotation="TaggedValues xml.name='SAFEGUARDS' xml.namePlural='SAFEGUARDSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  autosar40.system.System getSafeguards();

  /**
   * Sets the value of the '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.AutosarSystemSafetyExtension#getSafeguards <em>Safeguards</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Safeguards</em>' containment reference.
   * @see #getSafeguards()
   * @generated
   */
  void setSafeguards(autosar40.system.System value);

} // AutosarSystemSafetyExtension
