/**
 */
package safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage;

import safe10.classmodel.requirements.RequirementsPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionFactory
 * @model kind="package"
 *        annotation="MetaData guid='{14C5277E-B80C-4b98-8D0B-D9CF4F8E218F}' id='1366639992' EA\040name='SoftwareSafetyExtension'"
 *        annotation="TaggedValues xml.name='SOFTWARESAFETYEXTENSION' xml.namePlural='SOFTWARESAFETYEXTENSIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface SoftwaresafetyextensionPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "softwaresafetyextension";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/commonstructure/safetyextensions/softwaresafetyextension";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  SoftwaresafetyextensionPackage eINSTANCE = safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.AutosarSafetyExtensionImpl <em>Autosar Safety Extension</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.AutosarSafetyExtensionImpl
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl#getAutosarSafetyExtension()
   * @generated
   */
  int AUTOSAR_SAFETY_EXTENSION = 0;

  /**
   * The feature id for the '<em><b>Fault Tolerant Time Interval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SAFETY_EXTENSION__FAULT_TOLERANT_TIME_INTERVAL = RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__FAULT_TOLERANT_TIME_INTERVAL;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SAFETY_EXTENSION__SHORT_NAME = RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SAFETY_EXTENSION__CATEGORY = RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SAFETY_EXTENSION__UUID = RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SAFETY_EXTENSION__NAME = RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__NAME;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SAFETY_EXTENSION__FORMAL = RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__FORMAL;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SAFETY_EXTENSION__INFORMAL = RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__INFORMAL;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SAFETY_EXTENSION__STAKEHOLDER = RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__STAKEHOLDER;

  /**
   * The feature id for the '<em><b>Asil</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SAFETY_EXTENSION__ASIL = RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__ASIL;

  /**
   * The feature id for the '<em><b>Requirement</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SAFETY_EXTENSION__REQUIREMENT = RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT;

  /**
   * The feature id for the '<em><b>Requirement Links</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SAFETY_EXTENSION__REQUIREMENT_LINKS = RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT_LINKS;

  /**
   * The feature id for the '<em><b>Emergency Operation Time Interval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SAFETY_EXTENSION__EMERGENCY_OPERATION_TIME_INTERVAL = RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__EMERGENCY_OPERATION_TIME_INTERVAL;

  /**
   * The feature id for the '<em><b>Decomposed ASIL</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SAFETY_EXTENSION__DECOMPOSED_ASIL = RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__DECOMPOSED_ASIL;

  /**
   * The feature id for the '<em><b>Requirement Kind</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SAFETY_EXTENSION__REQUIREMENT_KIND = RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT_KIND;

  /**
   * The feature id for the '<em><b>Redundancy</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SAFETY_EXTENSION__REDUNDANCY = RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REDUNDANCY;

  /**
   * The feature id for the '<em><b>Codegenconfiguration</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SAFETY_EXTENSION__CODEGENCONFIGURATION = RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__CODEGENCONFIGURATION;

  /**
   * The feature id for the '<em><b>Scope</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SAFETY_EXTENSION__SCOPE = RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Configuration</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SAFETY_EXTENSION__CONFIGURATION = RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT_FEATURE_COUNT + 1;

  /**
   * The number of structural features of the '<em>Autosar Safety Extension</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SAFETY_EXTENSION_FEATURE_COUNT = RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT_FEATURE_COUNT + 2;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.AutosarSystemSafetyExtensionImpl <em>Autosar System Safety Extension</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.AutosarSystemSafetyExtensionImpl
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl#getAutosarSystemSafetyExtension()
   * @generated
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION = 1;

  /**
   * The feature id for the '<em><b>Fault Tolerant Time Interval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION__FAULT_TOLERANT_TIME_INTERVAL = AUTOSAR_SAFETY_EXTENSION__FAULT_TOLERANT_TIME_INTERVAL;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION__SHORT_NAME = AUTOSAR_SAFETY_EXTENSION__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION__CATEGORY = AUTOSAR_SAFETY_EXTENSION__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION__UUID = AUTOSAR_SAFETY_EXTENSION__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION__NAME = AUTOSAR_SAFETY_EXTENSION__NAME;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION__FORMAL = AUTOSAR_SAFETY_EXTENSION__FORMAL;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION__INFORMAL = AUTOSAR_SAFETY_EXTENSION__INFORMAL;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION__STAKEHOLDER = AUTOSAR_SAFETY_EXTENSION__STAKEHOLDER;

  /**
   * The feature id for the '<em><b>Asil</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION__ASIL = AUTOSAR_SAFETY_EXTENSION__ASIL;

  /**
   * The feature id for the '<em><b>Requirement</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION__REQUIREMENT = AUTOSAR_SAFETY_EXTENSION__REQUIREMENT;

  /**
   * The feature id for the '<em><b>Requirement Links</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION__REQUIREMENT_LINKS = AUTOSAR_SAFETY_EXTENSION__REQUIREMENT_LINKS;

  /**
   * The feature id for the '<em><b>Emergency Operation Time Interval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION__EMERGENCY_OPERATION_TIME_INTERVAL = AUTOSAR_SAFETY_EXTENSION__EMERGENCY_OPERATION_TIME_INTERVAL;

  /**
   * The feature id for the '<em><b>Decomposed ASIL</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION__DECOMPOSED_ASIL = AUTOSAR_SAFETY_EXTENSION__DECOMPOSED_ASIL;

  /**
   * The feature id for the '<em><b>Requirement Kind</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION__REQUIREMENT_KIND = AUTOSAR_SAFETY_EXTENSION__REQUIREMENT_KIND;

  /**
   * The feature id for the '<em><b>Redundancy</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION__REDUNDANCY = AUTOSAR_SAFETY_EXTENSION__REDUNDANCY;

  /**
   * The feature id for the '<em><b>Codegenconfiguration</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION__CODEGENCONFIGURATION = AUTOSAR_SAFETY_EXTENSION__CODEGENCONFIGURATION;

  /**
   * The feature id for the '<em><b>Scope</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION__SCOPE = AUTOSAR_SAFETY_EXTENSION__SCOPE;

  /**
   * The feature id for the '<em><b>Configuration</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION__CONFIGURATION = AUTOSAR_SAFETY_EXTENSION__CONFIGURATION;

  /**
   * The feature id for the '<em><b>Safeguards</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION__SAFEGUARDS = AUTOSAR_SAFETY_EXTENSION_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Autosar System Safety Extension</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_SYSTEM_SAFETY_EXTENSION_FEATURE_COUNT = AUTOSAR_SAFETY_EXTENSION_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.AutosarVfbSafetyExtensionImpl <em>Autosar Vfb Safety Extension</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.AutosarVfbSafetyExtensionImpl
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl#getAutosarVfbSafetyExtension()
   * @generated
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION = 2;

  /**
   * The feature id for the '<em><b>Fault Tolerant Time Interval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION__FAULT_TOLERANT_TIME_INTERVAL = AUTOSAR_SAFETY_EXTENSION__FAULT_TOLERANT_TIME_INTERVAL;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION__SHORT_NAME = AUTOSAR_SAFETY_EXTENSION__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION__CATEGORY = AUTOSAR_SAFETY_EXTENSION__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION__UUID = AUTOSAR_SAFETY_EXTENSION__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION__NAME = AUTOSAR_SAFETY_EXTENSION__NAME;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION__FORMAL = AUTOSAR_SAFETY_EXTENSION__FORMAL;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION__INFORMAL = AUTOSAR_SAFETY_EXTENSION__INFORMAL;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION__STAKEHOLDER = AUTOSAR_SAFETY_EXTENSION__STAKEHOLDER;

  /**
   * The feature id for the '<em><b>Asil</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION__ASIL = AUTOSAR_SAFETY_EXTENSION__ASIL;

  /**
   * The feature id for the '<em><b>Requirement</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION__REQUIREMENT = AUTOSAR_SAFETY_EXTENSION__REQUIREMENT;

  /**
   * The feature id for the '<em><b>Requirement Links</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION__REQUIREMENT_LINKS = AUTOSAR_SAFETY_EXTENSION__REQUIREMENT_LINKS;

  /**
   * The feature id for the '<em><b>Emergency Operation Time Interval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION__EMERGENCY_OPERATION_TIME_INTERVAL = AUTOSAR_SAFETY_EXTENSION__EMERGENCY_OPERATION_TIME_INTERVAL;

  /**
   * The feature id for the '<em><b>Decomposed ASIL</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION__DECOMPOSED_ASIL = AUTOSAR_SAFETY_EXTENSION__DECOMPOSED_ASIL;

  /**
   * The feature id for the '<em><b>Requirement Kind</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION__REQUIREMENT_KIND = AUTOSAR_SAFETY_EXTENSION__REQUIREMENT_KIND;

  /**
   * The feature id for the '<em><b>Redundancy</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION__REDUNDANCY = AUTOSAR_SAFETY_EXTENSION__REDUNDANCY;

  /**
   * The feature id for the '<em><b>Codegenconfiguration</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION__CODEGENCONFIGURATION = AUTOSAR_SAFETY_EXTENSION__CODEGENCONFIGURATION;

  /**
   * The feature id for the '<em><b>Scope</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION__SCOPE = AUTOSAR_SAFETY_EXTENSION__SCOPE;

  /**
   * The feature id for the '<em><b>Configuration</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION__CONFIGURATION = AUTOSAR_SAFETY_EXTENSION__CONFIGURATION;

  /**
   * The feature id for the '<em><b>Safeguards</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION__SAFEGUARDS = AUTOSAR_SAFETY_EXTENSION_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Autosar Vfb Safety Extension</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_VFB_SAFETY_EXTENSION_FEATURE_COUNT = AUTOSAR_SAFETY_EXTENSION_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.ChromosomeSafeExtensionImpl <em>Chromosome Safe Extension</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.ChromosomeSafeExtensionImpl
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl#getChromosomeSafeExtension()
   * @generated
   */
  int CHROMOSOME_SAFE_EXTENSION = 4;

  /**
   * The feature id for the '<em><b>Scope</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SAFE_EXTENSION__SCOPE = TechnicalsafetyextensionPackage.SOFTWARE_SAFETY_DESIGN__SCOPE;

  /**
   * The feature id for the '<em><b>Configuration</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SAFE_EXTENSION__CONFIGURATION = TechnicalsafetyextensionPackage.SOFTWARE_SAFETY_DESIGN__CONFIGURATION;

  /**
   * The feature id for the '<em><b>Fault Tolerant Time Interval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SAFE_EXTENSION__FAULT_TOLERANT_TIME_INTERVAL = TechnicalsafetyextensionPackage.SOFTWARE_SAFETY_DESIGN_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SAFE_EXTENSION__SHORT_NAME = TechnicalsafetyextensionPackage.SOFTWARE_SAFETY_DESIGN_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SAFE_EXTENSION__CATEGORY = TechnicalsafetyextensionPackage.SOFTWARE_SAFETY_DESIGN_FEATURE_COUNT + 2;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SAFE_EXTENSION__UUID = TechnicalsafetyextensionPackage.SOFTWARE_SAFETY_DESIGN_FEATURE_COUNT + 3;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SAFE_EXTENSION__NAME = TechnicalsafetyextensionPackage.SOFTWARE_SAFETY_DESIGN_FEATURE_COUNT + 4;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SAFE_EXTENSION__FORMAL = TechnicalsafetyextensionPackage.SOFTWARE_SAFETY_DESIGN_FEATURE_COUNT + 5;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SAFE_EXTENSION__INFORMAL = TechnicalsafetyextensionPackage.SOFTWARE_SAFETY_DESIGN_FEATURE_COUNT + 6;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SAFE_EXTENSION__STAKEHOLDER = TechnicalsafetyextensionPackage.SOFTWARE_SAFETY_DESIGN_FEATURE_COUNT + 7;

  /**
   * The feature id for the '<em><b>Asil</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SAFE_EXTENSION__ASIL = TechnicalsafetyextensionPackage.SOFTWARE_SAFETY_DESIGN_FEATURE_COUNT + 8;

  /**
   * The feature id for the '<em><b>Requirement</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SAFE_EXTENSION__REQUIREMENT = TechnicalsafetyextensionPackage.SOFTWARE_SAFETY_DESIGN_FEATURE_COUNT + 9;

  /**
   * The feature id for the '<em><b>Requirement Links</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SAFE_EXTENSION__REQUIREMENT_LINKS = TechnicalsafetyextensionPackage.SOFTWARE_SAFETY_DESIGN_FEATURE_COUNT + 10;

  /**
   * The feature id for the '<em><b>Emergency Operation Time Interval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SAFE_EXTENSION__EMERGENCY_OPERATION_TIME_INTERVAL = TechnicalsafetyextensionPackage.SOFTWARE_SAFETY_DESIGN_FEATURE_COUNT + 11;

  /**
   * The feature id for the '<em><b>Decomposed ASIL</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SAFE_EXTENSION__DECOMPOSED_ASIL = TechnicalsafetyextensionPackage.SOFTWARE_SAFETY_DESIGN_FEATURE_COUNT + 12;

  /**
   * The feature id for the '<em><b>Requirement Kind</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SAFE_EXTENSION__REQUIREMENT_KIND = TechnicalsafetyextensionPackage.SOFTWARE_SAFETY_DESIGN_FEATURE_COUNT + 13;

  /**
   * The feature id for the '<em><b>Redundancy</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SAFE_EXTENSION__REDUNDANCY = TechnicalsafetyextensionPackage.SOFTWARE_SAFETY_DESIGN_FEATURE_COUNT + 14;

  /**
   * The feature id for the '<em><b>Codegenconfiguration</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SAFE_EXTENSION__CODEGENCONFIGURATION = TechnicalsafetyextensionPackage.SOFTWARE_SAFETY_DESIGN_FEATURE_COUNT + 15;

  /**
   * The number of structural features of the '<em>Chromosome Safe Extension</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SAFE_EXTENSION_FEATURE_COUNT = TechnicalsafetyextensionPackage.SOFTWARE_SAFETY_DESIGN_FEATURE_COUNT + 16;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.ChromosomeApplicationSafetyExtensionImpl <em>Chromosome Application Safety Extension</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.ChromosomeApplicationSafetyExtensionImpl
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl#getChromosomeApplicationSafetyExtension()
   * @generated
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION = 3;

  /**
   * The feature id for the '<em><b>Scope</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION__SCOPE = CHROMOSOME_SAFE_EXTENSION__SCOPE;

  /**
   * The feature id for the '<em><b>Configuration</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION__CONFIGURATION = CHROMOSOME_SAFE_EXTENSION__CONFIGURATION;

  /**
   * The feature id for the '<em><b>Fault Tolerant Time Interval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION__FAULT_TOLERANT_TIME_INTERVAL = CHROMOSOME_SAFE_EXTENSION__FAULT_TOLERANT_TIME_INTERVAL;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION__SHORT_NAME = CHROMOSOME_SAFE_EXTENSION__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION__CATEGORY = CHROMOSOME_SAFE_EXTENSION__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION__UUID = CHROMOSOME_SAFE_EXTENSION__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION__NAME = CHROMOSOME_SAFE_EXTENSION__NAME;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION__FORMAL = CHROMOSOME_SAFE_EXTENSION__FORMAL;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION__INFORMAL = CHROMOSOME_SAFE_EXTENSION__INFORMAL;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION__STAKEHOLDER = CHROMOSOME_SAFE_EXTENSION__STAKEHOLDER;

  /**
   * The feature id for the '<em><b>Asil</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION__ASIL = CHROMOSOME_SAFE_EXTENSION__ASIL;

  /**
   * The feature id for the '<em><b>Requirement</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION__REQUIREMENT = CHROMOSOME_SAFE_EXTENSION__REQUIREMENT;

  /**
   * The feature id for the '<em><b>Requirement Links</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION__REQUIREMENT_LINKS = CHROMOSOME_SAFE_EXTENSION__REQUIREMENT_LINKS;

  /**
   * The feature id for the '<em><b>Emergency Operation Time Interval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION__EMERGENCY_OPERATION_TIME_INTERVAL = CHROMOSOME_SAFE_EXTENSION__EMERGENCY_OPERATION_TIME_INTERVAL;

  /**
   * The feature id for the '<em><b>Decomposed ASIL</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION__DECOMPOSED_ASIL = CHROMOSOME_SAFE_EXTENSION__DECOMPOSED_ASIL;

  /**
   * The feature id for the '<em><b>Requirement Kind</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION__REQUIREMENT_KIND = CHROMOSOME_SAFE_EXTENSION__REQUIREMENT_KIND;

  /**
   * The feature id for the '<em><b>Redundancy</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION__REDUNDANCY = CHROMOSOME_SAFE_EXTENSION__REDUNDANCY;

  /**
   * The feature id for the '<em><b>Codegenconfiguration</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION__CODEGENCONFIGURATION = CHROMOSOME_SAFE_EXTENSION__CODEGENCONFIGURATION;

  /**
   * The feature id for the '<em><b>Safeguards</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION__SAFEGUARDS = CHROMOSOME_SAFE_EXTENSION_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Chromosome Application Safety Extension</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_APPLICATION_SAFETY_EXTENSION_FEATURE_COUNT = CHROMOSOME_SAFE_EXTENSION_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.ChromosomeSystemSafetyExtensionImpl <em>Chromosome System Safety Extension</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.ChromosomeSystemSafetyExtensionImpl
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl#getChromosomeSystemSafetyExtension()
   * @generated
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION = 5;

  /**
   * The feature id for the '<em><b>Scope</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION__SCOPE = CHROMOSOME_SAFE_EXTENSION__SCOPE;

  /**
   * The feature id for the '<em><b>Configuration</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION__CONFIGURATION = CHROMOSOME_SAFE_EXTENSION__CONFIGURATION;

  /**
   * The feature id for the '<em><b>Fault Tolerant Time Interval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION__FAULT_TOLERANT_TIME_INTERVAL = CHROMOSOME_SAFE_EXTENSION__FAULT_TOLERANT_TIME_INTERVAL;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION__SHORT_NAME = CHROMOSOME_SAFE_EXTENSION__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION__CATEGORY = CHROMOSOME_SAFE_EXTENSION__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION__UUID = CHROMOSOME_SAFE_EXTENSION__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION__NAME = CHROMOSOME_SAFE_EXTENSION__NAME;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION__FORMAL = CHROMOSOME_SAFE_EXTENSION__FORMAL;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION__INFORMAL = CHROMOSOME_SAFE_EXTENSION__INFORMAL;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION__STAKEHOLDER = CHROMOSOME_SAFE_EXTENSION__STAKEHOLDER;

  /**
   * The feature id for the '<em><b>Asil</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION__ASIL = CHROMOSOME_SAFE_EXTENSION__ASIL;

  /**
   * The feature id for the '<em><b>Requirement</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION__REQUIREMENT = CHROMOSOME_SAFE_EXTENSION__REQUIREMENT;

  /**
   * The feature id for the '<em><b>Requirement Links</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION__REQUIREMENT_LINKS = CHROMOSOME_SAFE_EXTENSION__REQUIREMENT_LINKS;

  /**
   * The feature id for the '<em><b>Emergency Operation Time Interval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION__EMERGENCY_OPERATION_TIME_INTERVAL = CHROMOSOME_SAFE_EXTENSION__EMERGENCY_OPERATION_TIME_INTERVAL;

  /**
   * The feature id for the '<em><b>Decomposed ASIL</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION__DECOMPOSED_ASIL = CHROMOSOME_SAFE_EXTENSION__DECOMPOSED_ASIL;

  /**
   * The feature id for the '<em><b>Requirement Kind</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION__REQUIREMENT_KIND = CHROMOSOME_SAFE_EXTENSION__REQUIREMENT_KIND;

  /**
   * The feature id for the '<em><b>Redundancy</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION__REDUNDANCY = CHROMOSOME_SAFE_EXTENSION__REDUNDANCY;

  /**
   * The feature id for the '<em><b>Codegenconfiguration</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION__CODEGENCONFIGURATION = CHROMOSOME_SAFE_EXTENSION__CODEGENCONFIGURATION;

  /**
   * The feature id for the '<em><b>Safeguards</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION__SAFEGUARDS = CHROMOSOME_SAFE_EXTENSION_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Chromosome System Safety Extension</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_SYSTEM_SAFETY_EXTENSION_FEATURE_COUNT = CHROMOSOME_SAFE_EXTENSION_FEATURE_COUNT + 1;


  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.AutosarSafetyExtension <em>Autosar Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Autosar Safety Extension</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.AutosarSafetyExtension
   * @generated
   */
  EClass getAutosarSafetyExtension();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.AutosarSystemSafetyExtension <em>Autosar System Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Autosar System Safety Extension</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.AutosarSystemSafetyExtension
   * @generated
   */
  EClass getAutosarSystemSafetyExtension();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.AutosarSystemSafetyExtension#getSafeguards <em>Safeguards</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Safeguards</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.AutosarSystemSafetyExtension#getSafeguards()
   * @see #getAutosarSystemSafetyExtension()
   * @generated
   */
  EReference getAutosarSystemSafetyExtension_Safeguards();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.AutosarVfbSafetyExtension <em>Autosar Vfb Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Autosar Vfb Safety Extension</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.AutosarVfbSafetyExtension
   * @generated
   */
  EClass getAutosarVfbSafetyExtension();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.AutosarVfbSafetyExtension#getSafeguards <em>Safeguards</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Safeguards</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.AutosarVfbSafetyExtension#getSafeguards()
   * @see #getAutosarVfbSafetyExtension()
   * @generated
   */
  EReference getAutosarVfbSafetyExtension_Safeguards();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.ChromosomeApplicationSafetyExtension <em>Chromosome Application Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Chromosome Application Safety Extension</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.ChromosomeApplicationSafetyExtension
   * @generated
   */
  EClass getChromosomeApplicationSafetyExtension();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.ChromosomeApplicationSafetyExtension#getSafeguards <em>Safeguards</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Safeguards</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.ChromosomeApplicationSafetyExtension#getSafeguards()
   * @see #getChromosomeApplicationSafetyExtension()
   * @generated
   */
  EReference getChromosomeApplicationSafetyExtension_Safeguards();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.ChromosomeSafeExtension <em>Chromosome Safe Extension</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Chromosome Safe Extension</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.ChromosomeSafeExtension
   * @generated
   */
  EClass getChromosomeSafeExtension();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.ChromosomeSystemSafetyExtension <em>Chromosome System Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Chromosome System Safety Extension</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.ChromosomeSystemSafetyExtension
   * @generated
   */
  EClass getChromosomeSystemSafetyExtension();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.ChromosomeSystemSafetyExtension#getSafeguards <em>Safeguards</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Safeguards</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.ChromosomeSystemSafetyExtension#getSafeguards()
   * @see #getChromosomeSystemSafetyExtension()
   * @generated
   */
  EReference getChromosomeSystemSafetyExtension_Safeguards();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  SoftwaresafetyextensionFactory getSoftwaresafetyextensionFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.AutosarSafetyExtensionImpl <em>Autosar Safety Extension</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.AutosarSafetyExtensionImpl
     * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl#getAutosarSafetyExtension()
     * @generated
     */
    EClass AUTOSAR_SAFETY_EXTENSION = eINSTANCE.getAutosarSafetyExtension();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.AutosarSystemSafetyExtensionImpl <em>Autosar System Safety Extension</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.AutosarSystemSafetyExtensionImpl
     * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl#getAutosarSystemSafetyExtension()
     * @generated
     */
    EClass AUTOSAR_SYSTEM_SAFETY_EXTENSION = eINSTANCE.getAutosarSystemSafetyExtension();

    /**
     * The meta object literal for the '<em><b>Safeguards</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference AUTOSAR_SYSTEM_SAFETY_EXTENSION__SAFEGUARDS = eINSTANCE.getAutosarSystemSafetyExtension_Safeguards();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.AutosarVfbSafetyExtensionImpl <em>Autosar Vfb Safety Extension</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.AutosarVfbSafetyExtensionImpl
     * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl#getAutosarVfbSafetyExtension()
     * @generated
     */
    EClass AUTOSAR_VFB_SAFETY_EXTENSION = eINSTANCE.getAutosarVfbSafetyExtension();

    /**
     * The meta object literal for the '<em><b>Safeguards</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference AUTOSAR_VFB_SAFETY_EXTENSION__SAFEGUARDS = eINSTANCE.getAutosarVfbSafetyExtension_Safeguards();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.ChromosomeApplicationSafetyExtensionImpl <em>Chromosome Application Safety Extension</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.ChromosomeApplicationSafetyExtensionImpl
     * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl#getChromosomeApplicationSafetyExtension()
     * @generated
     */
    EClass CHROMOSOME_APPLICATION_SAFETY_EXTENSION = eINSTANCE.getChromosomeApplicationSafetyExtension();

    /**
     * The meta object literal for the '<em><b>Safeguards</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CHROMOSOME_APPLICATION_SAFETY_EXTENSION__SAFEGUARDS = eINSTANCE.getChromosomeApplicationSafetyExtension_Safeguards();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.ChromosomeSafeExtensionImpl <em>Chromosome Safe Extension</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.ChromosomeSafeExtensionImpl
     * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl#getChromosomeSafeExtension()
     * @generated
     */
    EClass CHROMOSOME_SAFE_EXTENSION = eINSTANCE.getChromosomeSafeExtension();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.ChromosomeSystemSafetyExtensionImpl <em>Chromosome System Safety Extension</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.ChromosomeSystemSafetyExtensionImpl
     * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl#getChromosomeSystemSafetyExtension()
     * @generated
     */
    EClass CHROMOSOME_SYSTEM_SAFETY_EXTENSION = eINSTANCE.getChromosomeSystemSafetyExtension();

    /**
     * The meta object literal for the '<em><b>Safeguards</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CHROMOSOME_SYSTEM_SAFETY_EXTENSION__SAFEGUARDS = eINSTANCE.getChromosomeSystemSafetyExtension_Safeguards();

  }

} //SoftwaresafetyextensionPackage
