/**
 */
package safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.*;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.SoftwareSafetyDesign;

import safe10.classmodel.commonstructure.toplevel.Identifiable;
import safe10.classmodel.commonstructure.toplevel.PackageableElement;
import safe10.classmodel.commonstructure.toplevel.Referrable;
import safe10.classmodel.commonstructure.toplevel.SAFEElement;

import safe10.classmodel.requirements.AbstractSafetyRequirement;
import safe10.classmodel.requirements.AllocatableElement;
import safe10.classmodel.requirements.AllocationTarget;
import safe10.classmodel.requirements.HasAsilDecomposed;
import safe10.classmodel.requirements.HasEmergencyOperationTimeInterval;
import safe10.classmodel.requirements.HasFaultTolerantTimeInterval;
import safe10.classmodel.requirements.TechnicalSafetyRequirement;
import safe10.classmodel.requirements.TraceableSpecification;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionPackage
 * @generated
 */
public class SoftwaresafetyextensionAdapterFactory extends AdapterFactoryImpl
{
  /**
   * The cached model package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static SoftwaresafetyextensionPackage modelPackage;

  /**
   * Creates an instance of the adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public SoftwaresafetyextensionAdapterFactory()
  {
    if (modelPackage == null)
    {
      modelPackage = SoftwaresafetyextensionPackage.eINSTANCE;
    }
  }

  /**
   * Returns whether this factory is applicable for the type of the object.
   * <!-- begin-user-doc -->
   * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
   * <!-- end-user-doc -->
   * @return whether this factory is applicable for the type of the object.
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object object)
  {
    if (object == modelPackage)
    {
      return true;
    }
    if (object instanceof EObject)
    {
      return ((EObject)object).eClass().getEPackage() == modelPackage;
    }
    return false;
  }

  /**
   * The switch that delegates to the <code>createXXX</code> methods.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected SoftwaresafetyextensionSwitch<Adapter> modelSwitch =
    new SoftwaresafetyextensionSwitch<Adapter>()
    {
      @Override
      public Adapter caseAutosarSafetyExtension(AutosarSafetyExtension object)
      {
        return createAutosarSafetyExtensionAdapter();
      }
      @Override
      public Adapter caseAutosarSystemSafetyExtension(AutosarSystemSafetyExtension object)
      {
        return createAutosarSystemSafetyExtensionAdapter();
      }
      @Override
      public Adapter caseAutosarVfbSafetyExtension(AutosarVfbSafetyExtension object)
      {
        return createAutosarVfbSafetyExtensionAdapter();
      }
      @Override
      public Adapter caseChromosomeApplicationSafetyExtension(ChromosomeApplicationSafetyExtension object)
      {
        return createChromosomeApplicationSafetyExtensionAdapter();
      }
      @Override
      public Adapter caseChromosomeSafeExtension(ChromosomeSafeExtension object)
      {
        return createChromosomeSafeExtensionAdapter();
      }
      @Override
      public Adapter caseChromosomeSystemSafetyExtension(ChromosomeSystemSafetyExtension object)
      {
        return createChromosomeSystemSafetyExtensionAdapter();
      }
      @Override
      public Adapter caseHasFaultTolerantTimeInterval(HasFaultTolerantTimeInterval object)
      {
        return createHasFaultTolerantTimeIntervalAdapter();
      }
      @Override
      public Adapter caseReferrable(Referrable object)
      {
        return createReferrableAdapter();
      }
      @Override
      public Adapter caseIdentifiable(Identifiable object)
      {
        return createIdentifiableAdapter();
      }
      @Override
      public Adapter casePackageableElement(PackageableElement object)
      {
        return createPackageableElementAdapter();
      }
      @Override
      public Adapter caseSAFEElement(SAFEElement object)
      {
        return createSAFEElementAdapter();
      }
      @Override
      public Adapter caseTraceableSpecification(TraceableSpecification object)
      {
        return createTraceableSpecificationAdapter();
      }
      @Override
      public Adapter caseAllocatableElement(AllocatableElement object)
      {
        return createAllocatableElementAdapter();
      }
      @Override
      public Adapter caseAbstractSafetyRequirement(AbstractSafetyRequirement object)
      {
        return createAbstractSafetyRequirementAdapter();
      }
      @Override
      public Adapter caseHasEmergencyOperationTimeInterval(HasEmergencyOperationTimeInterval object)
      {
        return createHasEmergencyOperationTimeIntervalAdapter();
      }
      @Override
      public Adapter caseHasAsilDecomposed(HasAsilDecomposed object)
      {
        return createHasAsilDecomposedAdapter();
      }
      @Override
      public Adapter caseTechnicalSafetyRequirement(TechnicalSafetyRequirement object)
      {
        return createTechnicalSafetyRequirementAdapter();
      }
      @Override
      public Adapter caseAllocationTarget(AllocationTarget object)
      {
        return createAllocationTargetAdapter();
      }
      @Override
      public Adapter caseSoftwareSafetyDesign(SoftwareSafetyDesign object)
      {
        return createSoftwareSafetyDesignAdapter();
      }
      @Override
      public Adapter defaultCase(EObject object)
      {
        return createEObjectAdapter();
      }
    };

  /**
   * Creates an adapter for the <code>target</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param target the object to adapt.
   * @return the adapter for the <code>target</code>.
   * @generated
   */
  @Override
  public Adapter createAdapter(Notifier target)
  {
    return modelSwitch.doSwitch((EObject)target);
  }


  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.AutosarSafetyExtension <em>Autosar Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.AutosarSafetyExtension
   * @generated
   */
  public Adapter createAutosarSafetyExtensionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.AutosarSystemSafetyExtension <em>Autosar System Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.AutosarSystemSafetyExtension
   * @generated
   */
  public Adapter createAutosarSystemSafetyExtensionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.AutosarVfbSafetyExtension <em>Autosar Vfb Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.AutosarVfbSafetyExtension
   * @generated
   */
  public Adapter createAutosarVfbSafetyExtensionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.ChromosomeApplicationSafetyExtension <em>Chromosome Application Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.ChromosomeApplicationSafetyExtension
   * @generated
   */
  public Adapter createChromosomeApplicationSafetyExtensionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.ChromosomeSafeExtension <em>Chromosome Safe Extension</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.ChromosomeSafeExtension
   * @generated
   */
  public Adapter createChromosomeSafeExtensionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.ChromosomeSystemSafetyExtension <em>Chromosome System Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.ChromosomeSystemSafetyExtension
   * @generated
   */
  public Adapter createChromosomeSystemSafetyExtensionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.HasFaultTolerantTimeInterval <em>Has Fault Tolerant Time Interval</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.HasFaultTolerantTimeInterval
   * @generated
   */
  public Adapter createHasFaultTolerantTimeIntervalAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.toplevel.Referrable <em>Referrable</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.toplevel.Referrable
   * @generated
   */
  public Adapter createReferrableAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.toplevel.Identifiable <em>Identifiable</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.toplevel.Identifiable
   * @generated
   */
  public Adapter createIdentifiableAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.toplevel.PackageableElement <em>Packageable Element</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.toplevel.PackageableElement
   * @generated
   */
  public Adapter createPackageableElementAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.toplevel.SAFEElement <em>SAFE Element</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.toplevel.SAFEElement
   * @generated
   */
  public Adapter createSAFEElementAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.TraceableSpecification <em>Traceable Specification</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.TraceableSpecification
   * @generated
   */
  public Adapter createTraceableSpecificationAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.AllocatableElement <em>Allocatable Element</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.AllocatableElement
   * @generated
   */
  public Adapter createAllocatableElementAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.AbstractSafetyRequirement <em>Abstract Safety Requirement</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.AbstractSafetyRequirement
   * @generated
   */
  public Adapter createAbstractSafetyRequirementAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.HasEmergencyOperationTimeInterval <em>Has Emergency Operation Time Interval</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.HasEmergencyOperationTimeInterval
   * @generated
   */
  public Adapter createHasEmergencyOperationTimeIntervalAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.HasAsilDecomposed <em>Has Asil Decomposed</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.HasAsilDecomposed
   * @generated
   */
  public Adapter createHasAsilDecomposedAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.TechnicalSafetyRequirement <em>Technical Safety Requirement</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.TechnicalSafetyRequirement
   * @generated
   */
  public Adapter createTechnicalSafetyRequirementAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.AllocationTarget <em>Allocation Target</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.AllocationTarget
   * @generated
   */
  public Adapter createAllocationTargetAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.SoftwareSafetyDesign <em>Software Safety Design</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.SoftwareSafetyDesign
   * @generated
   */
  public Adapter createSoftwareSafetyDesignAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for the default case.
   * <!-- begin-user-doc -->
   * This default implementation returns null.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @generated
   */
  public Adapter createEObjectAdapter()
  {
    return null;
  }

} //SoftwaresafetyextensionAdapterFactory
