/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension;

import eastadl21.east_adl.structure.hardwaremodeling.HardwareComponentType;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.hardware.failure.HardwareComponentFailure;
import safe10.classmodel.hardware.failure.HardwareFailureAnalysis;

import safe10.classmodel.requirements.AllocationTarget;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Hardware Safety Design</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class represent the Safety Extension point for referenced element of Hardware Component Type (respectively from EAST-ADL) to allow the capture of hardware failure and summary failure and analysis results.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign#getScope <em>Scope</em>}</li>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign#getHarwdareSafetyAnalysis <em>Harwdare Safety Analysis</em>}</li>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign#getRandomHarwareFailure <em>Random Harware Failure</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage#getHardwareSafetyDesign()
 * @model annotation="MetaData guid='{C1942C7F-8F5F-4483-BD9F-670B189341AF}' id='581214117' EA\040name='HardwareSafetyDesign'"
 *        annotation="TaggedValues xml.name='HARDWARE-SAFETY-DESIGN' xml.namePlural='HARDWARE-SAFETY-DESIGNS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HardwareSafetyDesign extends AllocationTarget
{
  /**
   * Returns the value of the '<em><b>Scope</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Scope</em>' containment reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Scope</em>' containment reference.
   * @see #setScope(HardwareComponentType)
   * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage#getHardwareSafetyDesign_Scope()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{DC1CFA04-D5A6-41bb-8FD5-52E07391F494}' id='1350665227' EA\040name=''"
   *        annotation="TaggedValues xml.name='SCOPE' xml.namePlural='SCOPES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HardwareComponentType getScope();

  /**
   * Sets the value of the '{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign#getScope <em>Scope</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Scope</em>' containment reference.
   * @see #getScope()
   * @generated
   */
  void setScope(HardwareComponentType value);

  /**
   * Returns the value of the '<em><b>Harwdare Safety Analysis</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.hardware.failure.HardwareFailureAnalysis}.
   * It is bidirectional and its opposite is '{@link safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getNameWasNotSet_1 <em>Name Was Not Set 1</em>}'.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Harwdare Safety Analysis</em>' reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Harwdare Safety Analysis</em>' reference list.
   * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage#getHardwareSafetyDesign_HarwdareSafetyAnalysis()
   * @see safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getNameWasNotSet_1
   * @model opposite="NameWasNotSet_1"
   *        annotation="TaggedValues xml.name='HARWDARE-SAFETY-ANALYSIS-REF' xml.namePlural='HARWDARE-SAFETY-ANALYSIS-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<HardwareFailureAnalysis> getHarwdareSafetyAnalysis();

  /**
   * Returns the value of the '<em><b>Random Harware Failure</b></em>' reference.
   * It is bidirectional and its opposite is '{@link safe10.classmodel.hardware.failure.HardwareComponentFailure#getNameWasNotSet_2 <em>Name Was Not Set 2</em>}'.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Random Harware Failure</em>' reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Random Harware Failure</em>' reference.
   * @see #setRandomHarwareFailure(HardwareComponentFailure)
   * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage#getHardwareSafetyDesign_RandomHarwareFailure()
   * @see safe10.classmodel.hardware.failure.HardwareComponentFailure#getNameWasNotSet_2
   * @model opposite="NameWasNotSet_2"
   *        annotation="TaggedValues xml.name='RANDOM-HARWARE-FAILURE-REF' xml.namePlural='RANDOM-HARWARE-FAILURE-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HardwareComponentFailure getRandomHarwareFailure();

  /**
   * Sets the value of the '{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign#getRandomHarwareFailure <em>Random Harware Failure</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Random Harware Failure</em>' reference.
   * @see #getRandomHarwareFailure()
   * @generated
   */
  void setRandomHarwareFailure(HardwareComponentFailure value);

} // HardwareSafetyDesign
