/**
 */
package safe10.classmodel.commonstructure.safetyextensions.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.safetyextensions.*;

import safe10.classmodel.commonstructure.toplevel.Identifiable;
import safe10.classmodel.commonstructure.toplevel.PackageableElement;
import safe10.classmodel.commonstructure.toplevel.Referrable;
import safe10.classmodel.commonstructure.toplevel.SAFEElement;

import safe10.classmodel.requirements.AllocationTarget;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage
 * @generated
 */
public class SafetyextensionsAdapterFactory extends AdapterFactoryImpl
{
  /**
   * The cached model package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static SafetyextensionsPackage modelPackage;

  /**
   * Creates an instance of the adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public SafetyextensionsAdapterFactory()
  {
    if (modelPackage == null)
    {
      modelPackage = SafetyextensionsPackage.eINSTANCE;
    }
  }

  /**
   * Returns whether this factory is applicable for the type of the object.
   * <!-- begin-user-doc -->
   * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
   * <!-- end-user-doc -->
   * @return whether this factory is applicable for the type of the object.
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object object)
  {
    if (object == modelPackage)
    {
      return true;
    }
    if (object instanceof EObject)
    {
      return ((EObject)object).eClass().getEPackage() == modelPackage;
    }
    return false;
  }

  /**
   * The switch that delegates to the <code>createXXX</code> methods.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected SafetyextensionsSwitch<Adapter> modelSwitch =
    new SafetyextensionsSwitch<Adapter>()
    {
      @Override
      public Adapter caseClass1(Class1 object)
      {
        return createClass1Adapter();
      }
      @Override
      public Adapter caseFunctionalSafetyExtension(FunctionalSafetyExtension object)
      {
        return createFunctionalSafetyExtensionAdapter();
      }
      @Override
      public Adapter caseHardwareImplementationSafetyExtension(HardwareImplementationSafetyExtension object)
      {
        return createHardwareImplementationSafetyExtensionAdapter();
      }
      @Override
      public Adapter caseHazardandRiskSafetyExtension(HazardandRiskSafetyExtension object)
      {
        return createHazardandRiskSafetyExtensionAdapter();
      }
      @Override
      public Adapter caseImplementationSafetyExtension(ImplementationSafetyExtension object)
      {
        return createImplementationSafetyExtensionAdapter();
      }
      @Override
      public Adapter caseRequirementsSafetyExtension(RequirementsSafetyExtension object)
      {
        return createRequirementsSafetyExtensionAdapter();
      }
      @Override
      public Adapter caseSafetyExtension(SafetyExtension object)
      {
        return createSafetyExtensionAdapter();
      }
      @Override
      public Adapter caseSoftwareImplementationSafetyExtension(SoftwareImplementationSafetyExtension object)
      {
        return createSoftwareImplementationSafetyExtensionAdapter();
      }
      @Override
      public Adapter caseTechnicalSafetyExtension(TechnicalSafetyExtension object)
      {
        return createTechnicalSafetyExtensionAdapter();
      }
      @Override
      public Adapter caseAllocationTarget(AllocationTarget object)
      {
        return createAllocationTargetAdapter();
      }
      @Override
      public Adapter caseReferrable(Referrable object)
      {
        return createReferrableAdapter();
      }
      @Override
      public Adapter caseIdentifiable(Identifiable object)
      {
        return createIdentifiableAdapter();
      }
      @Override
      public Adapter casePackageableElement(PackageableElement object)
      {
        return createPackageableElementAdapter();
      }
      @Override
      public Adapter caseSAFEElement(SAFEElement object)
      {
        return createSAFEElementAdapter();
      }
      @Override
      public Adapter defaultCase(EObject object)
      {
        return createEObjectAdapter();
      }
    };

  /**
   * Creates an adapter for the <code>target</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param target the object to adapt.
   * @return the adapter for the <code>target</code>.
   * @generated
   */
  @Override
  public Adapter createAdapter(Notifier target)
  {
    return modelSwitch.doSwitch((EObject)target);
  }


  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.safetyextensions.Class1 <em>Class1</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.safetyextensions.Class1
   * @generated
   */
  public Adapter createClass1Adapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.safetyextensions.FunctionalSafetyExtension <em>Functional Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.safetyextensions.FunctionalSafetyExtension
   * @generated
   */
  public Adapter createFunctionalSafetyExtensionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension <em>Hardware Implementation Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension
   * @generated
   */
  public Adapter createHardwareImplementationSafetyExtensionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension <em>Hazardand Risk Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension
   * @generated
   */
  public Adapter createHazardandRiskSafetyExtensionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.safetyextensions.ImplementationSafetyExtension <em>Implementation Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.safetyextensions.ImplementationSafetyExtension
   * @generated
   */
  public Adapter createImplementationSafetyExtensionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.safetyextensions.RequirementsSafetyExtension <em>Requirements Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.safetyextensions.RequirementsSafetyExtension
   * @generated
   */
  public Adapter createRequirementsSafetyExtensionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.safetyextensions.SafetyExtension <em>Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.safetyextensions.SafetyExtension
   * @generated
   */
  public Adapter createSafetyExtensionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.safetyextensions.SoftwareImplementationSafetyExtension <em>Software Implementation Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.safetyextensions.SoftwareImplementationSafetyExtension
   * @generated
   */
  public Adapter createSoftwareImplementationSafetyExtensionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.safetyextensions.TechnicalSafetyExtension <em>Technical Safety Extension</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.safetyextensions.TechnicalSafetyExtension
   * @generated
   */
  public Adapter createTechnicalSafetyExtensionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.AllocationTarget <em>Allocation Target</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.AllocationTarget
   * @generated
   */
  public Adapter createAllocationTargetAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.toplevel.Referrable <em>Referrable</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.toplevel.Referrable
   * @generated
   */
  public Adapter createReferrableAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.toplevel.Identifiable <em>Identifiable</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.toplevel.Identifiable
   * @generated
   */
  public Adapter createIdentifiableAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.toplevel.PackageableElement <em>Packageable Element</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.toplevel.PackageableElement
   * @generated
   */
  public Adapter createPackageableElementAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.toplevel.SAFEElement <em>SAFE Element</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.toplevel.SAFEElement
   * @generated
   */
  public Adapter createSAFEElementAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for the default case.
   * <!-- begin-user-doc -->
   * This default implementation returns null.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @generated
   */
  public Adapter createEObjectAdapter()
  {
    return null;
  }

} //SafetyextensionsAdapterFactory
