/**
 */
package safe10.classmodel.commonstructure.safetyextensions.util;

import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.safetyextensions.*;

import safe10.classmodel.commonstructure.toplevel.Identifiable;
import safe10.classmodel.commonstructure.toplevel.PackageableElement;
import safe10.classmodel.commonstructure.toplevel.Referrable;
import safe10.classmodel.commonstructure.toplevel.SAFEElement;

import safe10.classmodel.requirements.AllocationTarget;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage
 * @generated
 */
public class SafetyextensionsSwitch<T>
{
  /**
   * The cached model package
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static SafetyextensionsPackage modelPackage;

  /**
   * Creates an instance of the switch.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public SafetyextensionsSwitch()
  {
    if (modelPackage == null)
    {
      modelPackage = SafetyextensionsPackage.eINSTANCE;
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  public T doSwitch(EObject theEObject)
  {
    return doSwitch(theEObject.eClass(), theEObject);
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(EClass theEClass, EObject theEObject)
  {
    if (theEClass.eContainer() == modelPackage)
    {
      return doSwitch(theEClass.getClassifierID(), theEObject);
    }
    else
    {
      List<EClass> eSuperTypes = theEClass.getESuperTypes();
      return
        eSuperTypes.isEmpty() ?
          defaultCase(theEObject) :
          doSwitch(eSuperTypes.get(0), theEObject);
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(int classifierID, EObject theEObject)
  {
    switch (classifierID)
    {
      case SafetyextensionsPackage.CLASS1:
      {
        Class1 class1 = (Class1)theEObject;
        T result = caseClass1(class1);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case SafetyextensionsPackage.FUNCTIONAL_SAFETY_EXTENSION:
      {
        FunctionalSafetyExtension functionalSafetyExtension = (FunctionalSafetyExtension)theEObject;
        T result = caseFunctionalSafetyExtension(functionalSafetyExtension);
        if (result == null) result = caseAllocationTarget(functionalSafetyExtension);
        if (result == null) result = caseSafetyExtension(functionalSafetyExtension);
        if (result == null) result = caseSAFEElement(functionalSafetyExtension);
        if (result == null) result = casePackageableElement(functionalSafetyExtension);
        if (result == null) result = caseIdentifiable(functionalSafetyExtension);
        if (result == null) result = caseReferrable(functionalSafetyExtension);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case SafetyextensionsPackage.HARDWARE_IMPLEMENTATION_SAFETY_EXTENSION:
      {
        HardwareImplementationSafetyExtension hardwareImplementationSafetyExtension = (HardwareImplementationSafetyExtension)theEObject;
        T result = caseHardwareImplementationSafetyExtension(hardwareImplementationSafetyExtension);
        if (result == null) result = caseImplementationSafetyExtension(hardwareImplementationSafetyExtension);
        if (result == null) result = caseSafetyExtension(hardwareImplementationSafetyExtension);
        if (result == null) result = caseAllocationTarget(hardwareImplementationSafetyExtension);
        if (result == null) result = caseSAFEElement(hardwareImplementationSafetyExtension);
        if (result == null) result = casePackageableElement(hardwareImplementationSafetyExtension);
        if (result == null) result = caseIdentifiable(hardwareImplementationSafetyExtension);
        if (result == null) result = caseReferrable(hardwareImplementationSafetyExtension);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case SafetyextensionsPackage.HAZARDAND_RISK_SAFETY_EXTENSION:
      {
        HazardandRiskSafetyExtension hazardandRiskSafetyExtension = (HazardandRiskSafetyExtension)theEObject;
        T result = caseHazardandRiskSafetyExtension(hazardandRiskSafetyExtension);
        if (result == null) result = caseSafetyExtension(hazardandRiskSafetyExtension);
        if (result == null) result = caseSAFEElement(hazardandRiskSafetyExtension);
        if (result == null) result = casePackageableElement(hazardandRiskSafetyExtension);
        if (result == null) result = caseIdentifiable(hazardandRiskSafetyExtension);
        if (result == null) result = caseReferrable(hazardandRiskSafetyExtension);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case SafetyextensionsPackage.IMPLEMENTATION_SAFETY_EXTENSION:
      {
        ImplementationSafetyExtension implementationSafetyExtension = (ImplementationSafetyExtension)theEObject;
        T result = caseImplementationSafetyExtension(implementationSafetyExtension);
        if (result == null) result = caseSafetyExtension(implementationSafetyExtension);
        if (result == null) result = caseAllocationTarget(implementationSafetyExtension);
        if (result == null) result = caseSAFEElement(implementationSafetyExtension);
        if (result == null) result = casePackageableElement(implementationSafetyExtension);
        if (result == null) result = caseIdentifiable(implementationSafetyExtension);
        if (result == null) result = caseReferrable(implementationSafetyExtension);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case SafetyextensionsPackage.REQUIREMENTS_SAFETY_EXTENSION:
      {
        RequirementsSafetyExtension requirementsSafetyExtension = (RequirementsSafetyExtension)theEObject;
        T result = caseRequirementsSafetyExtension(requirementsSafetyExtension);
        if (result == null) result = caseSafetyExtension(requirementsSafetyExtension);
        if (result == null) result = caseSAFEElement(requirementsSafetyExtension);
        if (result == null) result = casePackageableElement(requirementsSafetyExtension);
        if (result == null) result = caseIdentifiable(requirementsSafetyExtension);
        if (result == null) result = caseReferrable(requirementsSafetyExtension);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case SafetyextensionsPackage.SAFETY_EXTENSION:
      {
        SafetyExtension safetyExtension = (SafetyExtension)theEObject;
        T result = caseSafetyExtension(safetyExtension);
        if (result == null) result = caseSAFEElement(safetyExtension);
        if (result == null) result = casePackageableElement(safetyExtension);
        if (result == null) result = caseIdentifiable(safetyExtension);
        if (result == null) result = caseReferrable(safetyExtension);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case SafetyextensionsPackage.SOFTWARE_IMPLEMENTATION_SAFETY_EXTENSION:
      {
        SoftwareImplementationSafetyExtension softwareImplementationSafetyExtension = (SoftwareImplementationSafetyExtension)theEObject;
        T result = caseSoftwareImplementationSafetyExtension(softwareImplementationSafetyExtension);
        if (result == null) result = caseImplementationSafetyExtension(softwareImplementationSafetyExtension);
        if (result == null) result = caseSafetyExtension(softwareImplementationSafetyExtension);
        if (result == null) result = caseAllocationTarget(softwareImplementationSafetyExtension);
        if (result == null) result = caseSAFEElement(softwareImplementationSafetyExtension);
        if (result == null) result = casePackageableElement(softwareImplementationSafetyExtension);
        if (result == null) result = caseIdentifiable(softwareImplementationSafetyExtension);
        if (result == null) result = caseReferrable(softwareImplementationSafetyExtension);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case SafetyextensionsPackage.TECHNICAL_SAFETY_EXTENSION:
      {
        TechnicalSafetyExtension technicalSafetyExtension = (TechnicalSafetyExtension)theEObject;
        T result = caseTechnicalSafetyExtension(technicalSafetyExtension);
        if (result == null) result = caseSafetyExtension(technicalSafetyExtension);
        if (result == null) result = caseSAFEElement(technicalSafetyExtension);
        if (result == null) result = casePackageableElement(technicalSafetyExtension);
        if (result == null) result = caseIdentifiable(technicalSafetyExtension);
        if (result == null) result = caseReferrable(technicalSafetyExtension);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      default: return defaultCase(theEObject);
    }
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Class1</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Class1</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseClass1(Class1 object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Functional Safety Extension</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Functional Safety Extension</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseFunctionalSafetyExtension(FunctionalSafetyExtension object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Hardware Implementation Safety Extension</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Hardware Implementation Safety Extension</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHardwareImplementationSafetyExtension(HardwareImplementationSafetyExtension object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Hazardand Risk Safety Extension</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Hazardand Risk Safety Extension</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHazardandRiskSafetyExtension(HazardandRiskSafetyExtension object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Implementation Safety Extension</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Implementation Safety Extension</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseImplementationSafetyExtension(ImplementationSafetyExtension object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Requirements Safety Extension</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Requirements Safety Extension</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseRequirementsSafetyExtension(RequirementsSafetyExtension object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Safety Extension</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Safety Extension</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSafetyExtension(SafetyExtension object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Software Implementation Safety Extension</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Software Implementation Safety Extension</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSoftwareImplementationSafetyExtension(SoftwareImplementationSafetyExtension object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Technical Safety Extension</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Technical Safety Extension</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseTechnicalSafetyExtension(TechnicalSafetyExtension object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Allocation Target</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Allocation Target</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAllocationTarget(AllocationTarget object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Referrable</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Referrable</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseReferrable(Referrable object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Identifiable</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Identifiable</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseIdentifiable(Identifiable object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Packageable Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Packageable Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T casePackageableElement(PackageableElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>SAFE Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>SAFE Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSAFEElement(SAFEElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch, but this is the last case anyway.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject)
   * @generated
   */
  public T defaultCase(EObject object)
  {
    return null;
  }

} //SafetyextensionsSwitch
