/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.commonstructure.toplevel;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Identifiable</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * Instances of this class can be referred to by their identifier (within the namespace borders). In addition to this, Identifiables are objects  which contribute significantly to the overall structure of an AUTOSAR description. In particular, Identifiables might contain Identifiables.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.commonstructure.toplevel.Identifiable#getCategory <em>Category</em>}</li>
 *   <li>{@link safe10.classmodel.commonstructure.toplevel.Identifiable#getUuid <em>Uuid</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.commonstructure.toplevel.ToplevelPackage#getIdentifiable()
 * @model abstract="true"
 *        annotation="MetaData guid='{87D366F9-A7B3-4c79-87B4-DB7CE21908D9}' id='1295823645' EA\040name='Identifiable'"
 *        annotation="TaggedValues xml.name='IDENTIFIABLE' xml.namePlural='IDENTIFIABLES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface Identifiable extends Referrable
{
  /**
   * Returns the value of the '<em><b>Category</b></em>' attribute.
   * The default value is <code>""</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * This element assigns a category to the parent element. The category is intended to specialize the usage and/or the content identifiable object. Such a specialization may also impose particular semantic constraints on the entire substructure (not only the identifiable itself).
   * <!-- end-model-doc -->
   * @return the value of the '<em>Category</em>' attribute.
   * @see #isSetCategory()
   * @see #unsetCategory()
   * @see #setCategory(String)
   * @see safe10.classmodel.commonstructure.toplevel.ToplevelPackage#getIdentifiable_Category()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Identifier"
   *        annotation="MetaData guid='{B1F75047-321F-4734-8346-D361C32B569B}' id='316115482' EA\040name='category'"
   *        annotation="TaggedValues xml.sequenceOffset='-50' xml.name='CATEGORY' xml.namePlural='CATEGORYS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  String getCategory();

  /**
   * Sets the value of the '{@link safe10.classmodel.commonstructure.toplevel.Identifiable#getCategory <em>Category</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Category</em>' attribute.
   * @see #isSetCategory()
   * @see #Category()
   * @see #getCategory()
   * @generated
   */
  void setCategory(String value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.commonstructure.toplevel.Identifiable#getCategory <em>Category</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetCategory()
   * @see #getCategory()
   * @see #setCategory(String)
   * @generated
   */
  void unsetCategory();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.commonstructure.toplevel.Identifiable#getCategory <em>Category</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Category</em>' attribute is set.
   * @see #Category()
   * @see #getCategory()
   * @see #setCategory(String)
   * @generated
   */
  boolean isSetCategory();

  /**
   * Returns the value of the '<em><b>Uuid</b></em>' attribute.
   * The default value is <code>""</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The purpose of this attribute is to provide a globally unique identifier for an instance of a metaclass. The values of this attribute should be globally unique strings prefixed by the type of identifier.  For example, to include a
   * DCE UUID as defined by The Open Group, the UUID would be preceded by "DCE:". The values of this attribute may be used to support merging of different AUTOSAR models. 
   * The form of the UUID (Universally Unique Identifier) is taken from a standard defined by the Open Group (was Open Software Foundation). This standard is widely used, including by Microsoft for COM (GUIDs) and by many companies for DCE, which is based on CORBA. The method for generating these 128-bit IDs is published in the standard and the effectiveness and uniqueness of the IDs is not in practice disputed.
   * If the id namespace is omitted, DCE is assumed. 
   * An example is "DCE:2fac1234-31f8-11b4-a222-08002b34c003".
   * <!-- end-model-doc -->
   * @return the value of the '<em>Uuid</em>' attribute.
   * @see #isSetUuid()
   * @see #unsetUuid()
   * @see #setUuid(String)
   * @see safe10.classmodel.commonstructure.toplevel.ToplevelPackage#getIdentifiable_Uuid()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.String"
   *        annotation="MetaData guid='{DDE508D4-4954-46c7-868C-5B1D07AE4E2A}' id='581608920' EA\040name='uuid'"
   *        annotation="TaggedValues xml.attribute='true' xml.name='UUID' xml.namePlural='UUIDS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  String getUuid();

  /**
   * Sets the value of the '{@link safe10.classmodel.commonstructure.toplevel.Identifiable#getUuid <em>Uuid</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Uuid</em>' attribute.
   * @see #isSetUuid()
   * @see #Uuid()
   * @see #getUuid()
   * @generated
   */
  void setUuid(String value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.commonstructure.toplevel.Identifiable#getUuid <em>Uuid</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetUuid()
   * @see #getUuid()
   * @see #setUuid(String)
   * @generated
   */
  void unsetUuid();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.commonstructure.toplevel.Identifiable#getUuid <em>Uuid</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Uuid</em>' attribute is set.
   * @see #Uuid()
   * @see #getUuid()
   * @see #setUuid(String)
   * @generated
   */
  boolean isSetUuid();

} // Identifiable
