/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.commonstructure.toplevel;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.commonstructure.datatypes.SafeElementType;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Safety Case Expression</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * Provide information like justification or explanation on a specific element in safety case.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.commonstructure.toplevel.SafetyCaseExpression#getElementType <em>Element Type</em>}</li>
 *   <li>{@link safe10.classmodel.commonstructure.toplevel.SafetyCaseExpression#getSupportedBy <em>Supported By</em>}</li>
 *   <li>{@link safe10.classmodel.commonstructure.toplevel.SafetyCaseExpression#getInContextOf <em>In Context Of</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.commonstructure.toplevel.ToplevelPackage#getSafetyCaseExpression()
 * @model annotation="MetaData guid='{EE8AA2E1-D1EB-49bd-B1C6-F075EED52532}' id='1354021919' EA\040name='SafetyCaseExpression'"
 *        annotation="TaggedValues xml.name='SAFETY-CASE-EXPRESSION' xml.namePlural='SAFETY-CASE-EXPRESSIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface SafetyCaseExpression extends SAFEElement
{
  /**
   * Returns the value of the '<em><b>Element Type</b></em>' attribute.
   * The default value is <code>"UNKNOWN"</code>.
   * The literals are from the enumeration {@link safe10.classmodel.commonstructure.datatypes.SafeElementType}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Element Type</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Element Type</em>' attribute.
   * @see safe10.classmodel.commonstructure.datatypes.SafeElementType
   * @see #isSetElementType()
   * @see #unsetElementType()
   * @see #setElementType(SafeElementType)
   * @see safe10.classmodel.commonstructure.toplevel.ToplevelPackage#getSafetyCaseExpression_ElementType()
   * @model default="UNKNOWN" unsettable="true" required="true"
   *        annotation="MetaData guid='{592FB376-2B61-4ea9-8DB7-9DBFD21C3FA3}' id='1838914405' EA\040name='elementType'"
   *        annotation="TaggedValues xml.name='ELEMENT-TYPE' xml.namePlural='ELEMENT-TYPES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  SafeElementType getElementType();

  /**
   * Sets the value of the '{@link safe10.classmodel.commonstructure.toplevel.SafetyCaseExpression#getElementType <em>Element Type</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Element Type</em>' attribute.
   * @see safe10.classmodel.commonstructure.datatypes.SafeElementType
   * @see #isSetElementType()
   * @see #ElementType()
   * @see #getElementType()
   * @generated
   */
  void setElementType(SafeElementType value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.commonstructure.toplevel.SafetyCaseExpression#getElementType <em>Element Type</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetElementType()
   * @see #getElementType()
   * @see #setElementType(SafeElementType)
   * @generated
   */
  void unsetElementType();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.commonstructure.toplevel.SafetyCaseExpression#getElementType <em>Element Type</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Element Type</em>' attribute is set.
   * @see #ElementType()
   * @see #getElementType()
   * @see #setElementType(SafeElementType)
   * @generated
   */
  boolean isSetElementType();

  /**
   * Returns the value of the '<em><b>Supported By</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.commonstructure.toplevel.SafetyCaseExpression}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Supported By</em>' reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Supported By</em>' reference list.
   * @see safe10.classmodel.commonstructure.toplevel.ToplevelPackage#getSafetyCaseExpression_SupportedBy()
   * @model annotation="MetaData guid='{C091AC21-F1F8-4c5f-B420-86CE5C0BE21F}' id='-145007936' EA\040name=''"
   *        annotation="TaggedValues xml.name='SUPPORTED-BY-REF' xml.namePlural='SUPPORTED-BY-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<SafetyCaseExpression> getSupportedBy();

  /**
   * Returns the value of the '<em><b>In Context Of</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.commonstructure.toplevel.SafetyCaseExpression}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>In Context Of</em>' reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>In Context Of</em>' reference list.
   * @see safe10.classmodel.commonstructure.toplevel.ToplevelPackage#getSafetyCaseExpression_InContextOf()
   * @model annotation="MetaData guid='{74952A9F-C344-457a-A948-D1FF51BF519C}' id='829416475' EA\040name=''"
   *        annotation="TaggedValues xml.name='IN-CONTEXT-OF-REF' xml.namePlural='IN-CONTEXT-OF-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<SafetyCaseExpression> getInContextOf();

} // SafetyCaseExpression
