/**
 */
package safe10.classmodel.commonstructure.toplevel;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see safe10.classmodel.commonstructure.toplevel.ToplevelFactory
 * @model kind="package"
 *        annotation="MetaData guid='{9E30C6B1-0182-4260-A9F3-CF5D129F053E}' id='21' EA\040name='TopLevel'"
 *        annotation="TaggedValues xml.name='TOPLEVEL' xml.namePlural='TOPLEVELS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface ToplevelPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "toplevel";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/commonstructure/toplevel";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  ToplevelPackage eINSTANCE = safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.toplevel.impl.ReferrableImpl <em>Referrable</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.toplevel.impl.ReferrableImpl
   * @see safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl#getReferrable()
   * @generated
   */
  int REFERRABLE = 1;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REFERRABLE__SHORT_NAME = 0;

  /**
   * The number of structural features of the '<em>Referrable</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REFERRABLE_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.toplevel.impl.IdentifiableImpl <em>Identifiable</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.toplevel.impl.IdentifiableImpl
   * @see safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl#getIdentifiable()
   * @generated
   */
  int IDENTIFIABLE = 6;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int IDENTIFIABLE__SHORT_NAME = REFERRABLE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int IDENTIFIABLE__CATEGORY = REFERRABLE_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int IDENTIFIABLE__UUID = REFERRABLE_FEATURE_COUNT + 1;

  /**
   * The number of structural features of the '<em>Identifiable</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int IDENTIFIABLE_FEATURE_COUNT = REFERRABLE_FEATURE_COUNT + 2;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.toplevel.impl.PackageableElementImpl <em>Packageable Element</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.toplevel.impl.PackageableElementImpl
   * @see safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl#getPackageableElement()
   * @generated
   */
  int PACKAGEABLE_ELEMENT = 0;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PACKAGEABLE_ELEMENT__SHORT_NAME = IDENTIFIABLE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PACKAGEABLE_ELEMENT__CATEGORY = IDENTIFIABLE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PACKAGEABLE_ELEMENT__UUID = IDENTIFIABLE__UUID;

  /**
   * The number of structural features of the '<em>Packageable Element</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PACKAGEABLE_ELEMENT_FEATURE_COUNT = IDENTIFIABLE_FEATURE_COUNT + 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.toplevel.impl.SAFEImpl <em>SAFE</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.toplevel.impl.SAFEImpl
   * @see safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl#getSAFE()
   * @generated
   */
  int SAFE = 2;

  /**
   * The feature id for the '<em><b>Top Level Package</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFE__TOP_LEVEL_PACKAGE = 0;

  /**
   * The number of structural features of the '<em>SAFE</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFE_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.toplevel.impl.SAFEElementImpl <em>SAFE Element</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.toplevel.impl.SAFEElementImpl
   * @see safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl#getSAFEElement()
   * @generated
   */
  int SAFE_ELEMENT = 3;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFE_ELEMENT__SHORT_NAME = PACKAGEABLE_ELEMENT__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFE_ELEMENT__CATEGORY = PACKAGEABLE_ELEMENT__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFE_ELEMENT__UUID = PACKAGEABLE_ELEMENT__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFE_ELEMENT__NAME = PACKAGEABLE_ELEMENT_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>SAFE Element</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFE_ELEMENT_FEATURE_COUNT = PACKAGEABLE_ELEMENT_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.toplevel.impl.SAFEPackageImpl <em>SAFE Package</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.toplevel.impl.SAFEPackageImpl
   * @see safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl#getSAFEPackage()
   * @generated
   */
  int SAFE_PACKAGE = 4;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFE_PACKAGE__SHORT_NAME = IDENTIFIABLE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFE_PACKAGE__CATEGORY = IDENTIFIABLE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFE_PACKAGE__UUID = IDENTIFIABLE__UUID;

  /**
   * The feature id for the '<em><b>Element</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFE_PACKAGE__ELEMENT = IDENTIFIABLE_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Sub Package</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFE_PACKAGE__SUB_PACKAGE = IDENTIFIABLE_FEATURE_COUNT + 1;

  /**
   * The number of structural features of the '<em>SAFE Package</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFE_PACKAGE_FEATURE_COUNT = IDENTIFIABLE_FEATURE_COUNT + 2;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.toplevel.impl.SafetyCaseExpressionImpl <em>Safety Case Expression</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.toplevel.impl.SafetyCaseExpressionImpl
   * @see safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl#getSafetyCaseExpression()
   * @generated
   */
  int SAFETY_CASE_EXPRESSION = 5;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFETY_CASE_EXPRESSION__SHORT_NAME = SAFE_ELEMENT__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFETY_CASE_EXPRESSION__CATEGORY = SAFE_ELEMENT__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFETY_CASE_EXPRESSION__UUID = SAFE_ELEMENT__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFETY_CASE_EXPRESSION__NAME = SAFE_ELEMENT__NAME;

  /**
   * The feature id for the '<em><b>Element Type</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFETY_CASE_EXPRESSION__ELEMENT_TYPE = SAFE_ELEMENT_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Supported By</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFETY_CASE_EXPRESSION__SUPPORTED_BY = SAFE_ELEMENT_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>In Context Of</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFETY_CASE_EXPRESSION__IN_CONTEXT_OF = SAFE_ELEMENT_FEATURE_COUNT + 2;

  /**
   * The number of structural features of the '<em>Safety Case Expression</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFETY_CASE_EXPRESSION_FEATURE_COUNT = SAFE_ELEMENT_FEATURE_COUNT + 3;


  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.toplevel.PackageableElement <em>Packageable Element</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Packageable Element</em>'.
   * @see safe10.classmodel.commonstructure.toplevel.PackageableElement
   * @generated
   */
  EClass getPackageableElement();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.toplevel.Referrable <em>Referrable</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Referrable</em>'.
   * @see safe10.classmodel.commonstructure.toplevel.Referrable
   * @generated
   */
  EClass getReferrable();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.commonstructure.toplevel.Referrable#getShortName <em>Short Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Short Name</em>'.
   * @see safe10.classmodel.commonstructure.toplevel.Referrable#getShortName()
   * @see #getReferrable()
   * @generated
   */
  EAttribute getReferrable_ShortName();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.toplevel.SAFE <em>SAFE</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>SAFE</em>'.
   * @see safe10.classmodel.commonstructure.toplevel.SAFE
   * @generated
   */
  EClass getSAFE();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.commonstructure.toplevel.SAFE#getTopLevelPackage <em>Top Level Package</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Top Level Package</em>'.
   * @see safe10.classmodel.commonstructure.toplevel.SAFE#getTopLevelPackage()
   * @see #getSAFE()
   * @generated
   */
  EReference getSAFE_TopLevelPackage();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.toplevel.SAFEElement <em>SAFE Element</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>SAFE Element</em>'.
   * @see safe10.classmodel.commonstructure.toplevel.SAFEElement
   * @generated
   */
  EClass getSAFEElement();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.commonstructure.toplevel.SAFEElement#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see safe10.classmodel.commonstructure.toplevel.SAFEElement#getName()
   * @see #getSAFEElement()
   * @generated
   */
  EAttribute getSAFEElement_Name();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.toplevel.SAFEPackage <em>SAFE Package</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>SAFE Package</em>'.
   * @see safe10.classmodel.commonstructure.toplevel.SAFEPackage
   * @generated
   */
  EClass getSAFEPackage();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.commonstructure.toplevel.SAFEPackage#getElement <em>Element</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Element</em>'.
   * @see safe10.classmodel.commonstructure.toplevel.SAFEPackage#getElement()
   * @see #getSAFEPackage()
   * @generated
   */
  EReference getSAFEPackage_Element();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.commonstructure.toplevel.SAFEPackage#getSubPackage <em>Sub Package</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Sub Package</em>'.
   * @see safe10.classmodel.commonstructure.toplevel.SAFEPackage#getSubPackage()
   * @see #getSAFEPackage()
   * @generated
   */
  EReference getSAFEPackage_SubPackage();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.toplevel.SafetyCaseExpression <em>Safety Case Expression</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Safety Case Expression</em>'.
   * @see safe10.classmodel.commonstructure.toplevel.SafetyCaseExpression
   * @generated
   */
  EClass getSafetyCaseExpression();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.commonstructure.toplevel.SafetyCaseExpression#getElementType <em>Element Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Element Type</em>'.
   * @see safe10.classmodel.commonstructure.toplevel.SafetyCaseExpression#getElementType()
   * @see #getSafetyCaseExpression()
   * @generated
   */
  EAttribute getSafetyCaseExpression_ElementType();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.commonstructure.toplevel.SafetyCaseExpression#getSupportedBy <em>Supported By</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Supported By</em>'.
   * @see safe10.classmodel.commonstructure.toplevel.SafetyCaseExpression#getSupportedBy()
   * @see #getSafetyCaseExpression()
   * @generated
   */
  EReference getSafetyCaseExpression_SupportedBy();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.commonstructure.toplevel.SafetyCaseExpression#getInContextOf <em>In Context Of</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>In Context Of</em>'.
   * @see safe10.classmodel.commonstructure.toplevel.SafetyCaseExpression#getInContextOf()
   * @see #getSafetyCaseExpression()
   * @generated
   */
  EReference getSafetyCaseExpression_InContextOf();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.toplevel.Identifiable <em>Identifiable</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Identifiable</em>'.
   * @see safe10.classmodel.commonstructure.toplevel.Identifiable
   * @generated
   */
  EClass getIdentifiable();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.commonstructure.toplevel.Identifiable#getCategory <em>Category</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Category</em>'.
   * @see safe10.classmodel.commonstructure.toplevel.Identifiable#getCategory()
   * @see #getIdentifiable()
   * @generated
   */
  EAttribute getIdentifiable_Category();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.commonstructure.toplevel.Identifiable#getUuid <em>Uuid</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Uuid</em>'.
   * @see safe10.classmodel.commonstructure.toplevel.Identifiable#getUuid()
   * @see #getIdentifiable()
   * @generated
   */
  EAttribute getIdentifiable_Uuid();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  ToplevelFactory getToplevelFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.toplevel.impl.PackageableElementImpl <em>Packageable Element</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.toplevel.impl.PackageableElementImpl
     * @see safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl#getPackageableElement()
     * @generated
     */
    EClass PACKAGEABLE_ELEMENT = eINSTANCE.getPackageableElement();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.toplevel.impl.ReferrableImpl <em>Referrable</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.toplevel.impl.ReferrableImpl
     * @see safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl#getReferrable()
     * @generated
     */
    EClass REFERRABLE = eINSTANCE.getReferrable();

    /**
     * The meta object literal for the '<em><b>Short Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute REFERRABLE__SHORT_NAME = eINSTANCE.getReferrable_ShortName();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.toplevel.impl.SAFEImpl <em>SAFE</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.toplevel.impl.SAFEImpl
     * @see safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl#getSAFE()
     * @generated
     */
    EClass SAFE = eINSTANCE.getSAFE();

    /**
     * The meta object literal for the '<em><b>Top Level Package</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference SAFE__TOP_LEVEL_PACKAGE = eINSTANCE.getSAFE_TopLevelPackage();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.toplevel.impl.SAFEElementImpl <em>SAFE Element</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.toplevel.impl.SAFEElementImpl
     * @see safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl#getSAFEElement()
     * @generated
     */
    EClass SAFE_ELEMENT = eINSTANCE.getSAFEElement();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute SAFE_ELEMENT__NAME = eINSTANCE.getSAFEElement_Name();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.toplevel.impl.SAFEPackageImpl <em>SAFE Package</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.toplevel.impl.SAFEPackageImpl
     * @see safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl#getSAFEPackage()
     * @generated
     */
    EClass SAFE_PACKAGE = eINSTANCE.getSAFEPackage();

    /**
     * The meta object literal for the '<em><b>Element</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference SAFE_PACKAGE__ELEMENT = eINSTANCE.getSAFEPackage_Element();

    /**
     * The meta object literal for the '<em><b>Sub Package</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference SAFE_PACKAGE__SUB_PACKAGE = eINSTANCE.getSAFEPackage_SubPackage();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.toplevel.impl.SafetyCaseExpressionImpl <em>Safety Case Expression</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.toplevel.impl.SafetyCaseExpressionImpl
     * @see safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl#getSafetyCaseExpression()
     * @generated
     */
    EClass SAFETY_CASE_EXPRESSION = eINSTANCE.getSafetyCaseExpression();

    /**
     * The meta object literal for the '<em><b>Element Type</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute SAFETY_CASE_EXPRESSION__ELEMENT_TYPE = eINSTANCE.getSafetyCaseExpression_ElementType();

    /**
     * The meta object literal for the '<em><b>Supported By</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference SAFETY_CASE_EXPRESSION__SUPPORTED_BY = eINSTANCE.getSafetyCaseExpression_SupportedBy();

    /**
     * The meta object literal for the '<em><b>In Context Of</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference SAFETY_CASE_EXPRESSION__IN_CONTEXT_OF = eINSTANCE.getSafetyCaseExpression_InContextOf();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.toplevel.impl.IdentifiableImpl <em>Identifiable</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.toplevel.impl.IdentifiableImpl
     * @see safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl#getIdentifiable()
     * @generated
     */
    EClass IDENTIFIABLE = eINSTANCE.getIdentifiable();

    /**
     * The meta object literal for the '<em><b>Category</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute IDENTIFIABLE__CATEGORY = eINSTANCE.getIdentifiable_Category();

    /**
     * The meta object literal for the '<em><b>Uuid</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute IDENTIFIABLE__UUID = eINSTANCE.getIdentifiable_Uuid();

  }

} //ToplevelPackage
