/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.errormodel.errorbehavior;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>East ADL Error Behavior</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * EASTADLErrorBehavior specifies a concrete failure logic description language, which describes the error propagation through the architectural element referenced by the containing ErrorModelType (e.g. function, hw component, sw component).
 * 
 * The failure logic is defined via a formula language called FailureLogicFormula (see "formula" association )
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.errormodel.errorbehavior.EastADLErrorBehavior#getFormula <em>Formula</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage#getEastADLErrorBehavior()
 * @model annotation="MetaData guid='{A81F5817-D6AE-4586-83DF-34E79AFB92B0}' id='47114318' EA\040name='EastADLErrorBehavior'"
 *        annotation="TaggedValues xml.name='EAST-ADL-ERROR-BEHAVIOR' xml.namePlural='EAST-ADL-ERROR-BEHAVIORS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface EastADLErrorBehavior extends AbstractErrorBehavior
{
  /**
   * Returns the value of the '<em><b>Formula</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Failure logic used to describe the error propagation
   * <!-- end-model-doc -->
   * @return the value of the '<em>Formula</em>' containment reference.
   * @see #setFormula(FailureLogicFormula)
   * @see safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage#getEastADLErrorBehavior_Formula()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{5F17A435-FDD3-46b6-8A54-41AFE5EF8D2B}' id='1618484506' EA\040name=''"
   *        annotation="TaggedValues xml.name='FORMULA' xml.namePlural='FORMULAS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  FailureLogicFormula getFormula();

  /**
   * Sets the value of the '{@link safe10.classmodel.errormodel.errorbehavior.EastADLErrorBehavior#getFormula <em>Formula</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Formula</em>' containment reference.
   * @see #getFormula()
   * @generated
   */
  void setFormula(FailureLogicFormula value);

} // EastADLErrorBehavior
