/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.errormodel.errorbehavior;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.commonstructure.formulaexpression.AtpFormulaExpressionString;

import safe10.classmodel.errormodel.malfunction.MalfunctionPrototype;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Failure Logic Formula</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * FailureLogicFormula is used to describe the error propagation through the architectural element associated with the containing ErrorModelType. The grammer of the FailureLogicFormula is defined in the respective specification document.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.errormodel.errorbehavior.FailureLogicFormula#getExternalFailure <em>External Failure</em>}</li>
 *   <li>{@link safe10.classmodel.errormodel.errorbehavior.FailureLogicFormula#getProcessFault <em>Process Fault</em>}</li>
 *   <li>{@link safe10.classmodel.errormodel.errorbehavior.FailureLogicFormula#getInternalFault <em>Internal Fault</em>}</li>
 *   <li>{@link safe10.classmodel.errormodel.errorbehavior.FailureLogicFormula#getExternalFault <em>External Fault</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage#getFailureLogicFormula()
 * @model annotation="MetaData guid='{F2BE1C24-0F13-4146-9CBA-4BE997DAE390}' id='928293017' EA\040name='FailureLogicFormula'"
 *        annotation="Stereotype Stereotype='atpMixedString'"
 *        annotation="TaggedValues xml.name='FAILURE-LOGIC-FORMULA' xml.namePlural='FAILURE-LOGIC-FORMULAS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface FailureLogicFormula extends AtpFormulaExpressionString
{
  /**
   * Returns the value of the '<em><b>External Failure</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.errormodel.malfunction.MalfunctionPrototype}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * external failures that may result from the ErrorBehavior
   * <!-- end-model-doc -->
   * @return the value of the '<em>External Failure</em>' reference list.
   * @see safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage#getFailureLogicFormula_ExternalFailure()
   * @model annotation="MetaData guid='{658803B2-F532-4cf0-9197-F954EACCC245}' id='-2070127707' EA\040name=''"
   *        annotation="TaggedValues xml.roleWrapperElement='false' xml.roleElement='true' xml.typeWrapperElement='false' xml.typeElement='true' xml.name='EXTERNAL-FAILURE-REF' xml.namePlural='EXTERNAL-FAILURE-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<MalfunctionPrototype> getExternalFailure();

  /**
   * Returns the value of the '<em><b>Process Fault</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.errormodel.malfunction.MalfunctionPrototype}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * processFaults that influence the errorBehavior 
   * <!-- end-model-doc -->
   * @return the value of the '<em>Process Fault</em>' reference list.
   * @see safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage#getFailureLogicFormula_ProcessFault()
   * @model annotation="MetaData guid='{8FAC975C-407F-451f-A7EB-9644FF11417A}' id='-1466458533' EA\040name=''"
   *        annotation="TaggedValues xml.roleWrapperElement='false' xml.roleElement='true' xml.typeWrapperElement='false' xml.typeElement='true' xml.name='PROCESS-FAULT-REF' xml.namePlural='PROCESS-FAULT-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<MalfunctionPrototype> getProcessFault();

  /**
   * Returns the value of the '<em><b>Internal Fault</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.errormodel.malfunction.MalfunctionPrototype}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * internalFaults that influence the errorBehavior 
   * <!-- end-model-doc -->
   * @return the value of the '<em>Internal Fault</em>' reference list.
   * @see safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage#getFailureLogicFormula_InternalFault()
   * @model annotation="MetaData guid='{13D924FC-0D57-41e3-A94D-747DFB46279D}' id='861607092' EA\040name=''"
   *        annotation="TaggedValues xml.roleWrapperElement='false' xml.roleElement='true' xml.typeWrapperElement='false' xml.typeElement='true' xml.name='INTERNAL-FAULT-REF' xml.namePlural='INTERNAL-FAULT-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<MalfunctionPrototype> getInternalFault();

  /**
   * Returns the value of the '<em><b>External Fault</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.errormodel.malfunction.MalfunctionPrototype}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * external(incoming) faults that influence the errorBehavior.
   * <!-- end-model-doc -->
   * @return the value of the '<em>External Fault</em>' reference list.
   * @see safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage#getFailureLogicFormula_ExternalFault()
   * @model annotation="MetaData guid='{5F6ED5D1-5D7C-46fa-9AE1-B08976AF9763}' id='1593872991' EA\040name=''"
   *        annotation="TaggedValues xml.roleWrapperElement='false' xml.roleElement='true' xml.typeWrapperElement='false' xml.typeElement='true' xml.name='EXTERNAL-FAULT-REF' xml.namePlural='EXTERNAL-FAULT-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<MalfunctionPrototype> getExternalFault();

} // FailureLogicFormula
