/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.errormodel.malfunction;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>MT Enum</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This enumeration malfunction type allows to define the different ways, how the malfunction becomes visible. As a typical example, an enumeration could have the enumerations "comission" and "omission".
 * 
 * BrakeMalfunctionType:
 * 
 * - BrakePressureTooLow
 * 
 * Semantics="brake pressure is below 20% of requested value"
 * 
 * - Omission
 * 
 * Semantics="brake pressure is below 10% of maximal brake pressure"
 * 
 * - Comission
 * 
 * Semantics="brake pressure exceeds requested value with more than 10% of maximal brake pressure"
 * 
 * Semantics may also be a more formal expression defining in the type of the nominal datatype what value range is considered a fault. This depends on the user and tooling available.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.errormodel.malfunction.MTEnum#getNameWasNotSet_0 <em>Name Was Not Set 0</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.errormodel.malfunction.MalfunctionPackage#getMTEnum()
 * @model annotation="MetaData guid='{9C299DCD-63CD-47c6-BA62-B20E19B189B4}' id='711607062' EA\040name='MTEnum'"
 *        annotation="TaggedValues xml.name='MT-ENUM' xml.namePlural='MT-ENUMS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface MTEnum extends MalfunctionType
{
  /**
   * Returns the value of the '<em><b>Name Was Not Set 0</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.errormodel.malfunction.MTEnumElement}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * elements of the malfunction type enum
   * <!-- end-model-doc -->
   * @return the value of the '<em>Name Was Not Set 0</em>' containment reference list.
   * @see safe10.classmodel.errormodel.malfunction.MalfunctionPackage#getMTEnum_NameWasNotSet_0()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{1971733D-E10D-41c8-B55C-AF4EA4FB39CD}' id='354379297' EA\040name='element'"
   *        annotation="TaggedValues xml.name='NAME-WAS-NOT-SET-0' xml.namePlural='NAME-WAS-NOT-SET-0S' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<MTEnumElement> getNameWasNotSet_0();

} // MTEnum
