/**
 */
package safe10.classmodel.errormodel.malfunction;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see safe10.classmodel.errormodel.malfunction.MalfunctionFactory
 * @model kind="package"
 *        annotation="MetaData guid='{C451A256-3662-4fb7-9DD8-F9F94AE1646C}' id='-383415927' EA\040name='Malfunction'"
 *        annotation="TaggedValues xml.name='MALFUNCTION' xml.namePlural='MALFUNCTIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface MalfunctionPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "malfunction";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/errormodel/malfunction";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  MalfunctionPackage eINSTANCE = safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.malfunction.impl.MalfunctionPrototypeImpl <em>Prototype</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPrototypeImpl
   * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMalfunctionPrototype()
   * @generated
   */
  int MALFUNCTION_PROTOTYPE = 0;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MALFUNCTION_PROTOTYPE__SHORT_NAME = ToplevelPackage.IDENTIFIABLE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MALFUNCTION_PROTOTYPE__CATEGORY = ToplevelPackage.IDENTIFIABLE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MALFUNCTION_PROTOTYPE__UUID = ToplevelPackage.IDENTIFIABLE__UUID;

  /**
   * The feature id for the '<em><b>Generic Description</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MALFUNCTION_PROTOTYPE__GENERIC_DESCRIPTION = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Malfunction</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MALFUNCTION_PROTOTYPE__MALFUNCTION = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 1;

  /**
   * The number of structural features of the '<em>Prototype</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MALFUNCTION_PROTOTYPE_FEATURE_COUNT = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 2;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.malfunction.impl.MalfunctionTypeImpl <em>Type</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionTypeImpl
   * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMalfunctionType()
   * @generated
   */
  int MALFUNCTION_TYPE = 1;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MALFUNCTION_TYPE__SHORT_NAME = ToplevelPackage.IDENTIFIABLE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MALFUNCTION_TYPE__CATEGORY = ToplevelPackage.IDENTIFIABLE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MALFUNCTION_TYPE__UUID = ToplevelPackage.IDENTIFIABLE__UUID;

  /**
   * The feature id for the '<em><b>Is Of Type</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MALFUNCTION_TYPE__IS_OF_TYPE = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Type</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MALFUNCTION_TYPE_FEATURE_COUNT = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.malfunction.impl.MFPBswPortImpl <em>MFP Bsw Port</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.malfunction.impl.MFPBswPortImpl
   * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMFPBswPort()
   * @generated
   */
  int MFP_BSW_PORT = 2;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_BSW_PORT__SHORT_NAME = MALFUNCTION_PROTOTYPE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_BSW_PORT__CATEGORY = MALFUNCTION_PROTOTYPE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_BSW_PORT__UUID = MALFUNCTION_PROTOTYPE__UUID;

  /**
   * The feature id for the '<em><b>Generic Description</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_BSW_PORT__GENERIC_DESCRIPTION = MALFUNCTION_PROTOTYPE__GENERIC_DESCRIPTION;

  /**
   * The feature id for the '<em><b>Malfunction</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_BSW_PORT__MALFUNCTION = MALFUNCTION_PROTOTYPE__MALFUNCTION;

  /**
   * The feature id for the '<em><b>Bsw Entry</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_BSW_PORT__BSW_ENTRY = MALFUNCTION_PROTOTYPE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>MFP Bsw Port</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_BSW_PORT_FEATURE_COUNT = MALFUNCTION_PROTOTYPE_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.malfunction.impl.MFPFunctionPortImpl <em>MFP Function Port</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.malfunction.impl.MFPFunctionPortImpl
   * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMFPFunctionPort()
   * @generated
   */
  int MFP_FUNCTION_PORT = 3;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_FUNCTION_PORT__SHORT_NAME = MALFUNCTION_PROTOTYPE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_FUNCTION_PORT__CATEGORY = MALFUNCTION_PROTOTYPE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_FUNCTION_PORT__UUID = MALFUNCTION_PROTOTYPE__UUID;

  /**
   * The feature id for the '<em><b>Generic Description</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_FUNCTION_PORT__GENERIC_DESCRIPTION = MALFUNCTION_PROTOTYPE__GENERIC_DESCRIPTION;

  /**
   * The feature id for the '<em><b>Malfunction</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_FUNCTION_PORT__MALFUNCTION = MALFUNCTION_PROTOTYPE__MALFUNCTION;

  /**
   * The feature id for the '<em><b>Function Target</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_FUNCTION_PORT__FUNCTION_TARGET = MALFUNCTION_PROTOTYPE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>MFP Function Port</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_FUNCTION_PORT_FEATURE_COUNT = MALFUNCTION_PROTOTYPE_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.malfunction.impl.MFPHardwarePinImpl <em>MFP Hardware Pin</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.malfunction.impl.MFPHardwarePinImpl
   * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMFPHardwarePin()
   * @generated
   */
  int MFP_HARDWARE_PIN = 4;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_HARDWARE_PIN__SHORT_NAME = MALFUNCTION_PROTOTYPE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_HARDWARE_PIN__CATEGORY = MALFUNCTION_PROTOTYPE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_HARDWARE_PIN__UUID = MALFUNCTION_PROTOTYPE__UUID;

  /**
   * The feature id for the '<em><b>Generic Description</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_HARDWARE_PIN__GENERIC_DESCRIPTION = MALFUNCTION_PROTOTYPE__GENERIC_DESCRIPTION;

  /**
   * The feature id for the '<em><b>Malfunction</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_HARDWARE_PIN__MALFUNCTION = MALFUNCTION_PROTOTYPE__MALFUNCTION;

  /**
   * The feature id for the '<em><b>Hw Target</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_HARDWARE_PIN__HW_TARGET = MALFUNCTION_PROTOTYPE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>MFP Hardware Pin</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_HARDWARE_PIN_FEATURE_COUNT = MALFUNCTION_PROTOTYPE_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.malfunction.impl.MFPSwcPortImpl <em>MFP Swc Port</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.malfunction.impl.MFPSwcPortImpl
   * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMFPSwcPort()
   * @generated
   */
  int MFP_SWC_PORT = 6;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_SWC_PORT__SHORT_NAME = MALFUNCTION_PROTOTYPE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_SWC_PORT__CATEGORY = MALFUNCTION_PROTOTYPE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_SWC_PORT__UUID = MALFUNCTION_PROTOTYPE__UUID;

  /**
   * The feature id for the '<em><b>Generic Description</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_SWC_PORT__GENERIC_DESCRIPTION = MALFUNCTION_PROTOTYPE__GENERIC_DESCRIPTION;

  /**
   * The feature id for the '<em><b>Malfunction</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_SWC_PORT__MALFUNCTION = MALFUNCTION_PROTOTYPE__MALFUNCTION;

  /**
   * The number of structural features of the '<em>MFP Swc Port</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_SWC_PORT_FEATURE_COUNT = MALFUNCTION_PROTOTYPE_FEATURE_COUNT + 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.malfunction.impl.MFPOperationImpl <em>MFP Operation</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.malfunction.impl.MFPOperationImpl
   * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMFPOperation()
   * @generated
   */
  int MFP_OPERATION = 5;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_OPERATION__SHORT_NAME = MFP_SWC_PORT__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_OPERATION__CATEGORY = MFP_SWC_PORT__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_OPERATION__UUID = MFP_SWC_PORT__UUID;

  /**
   * The feature id for the '<em><b>Generic Description</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_OPERATION__GENERIC_DESCRIPTION = MFP_SWC_PORT__GENERIC_DESCRIPTION;

  /**
   * The feature id for the '<em><b>Malfunction</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_OPERATION__MALFUNCTION = MFP_SWC_PORT__MALFUNCTION;

  /**
   * The feature id for the '<em><b>Operation</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_OPERATION__OPERATION = MFP_SWC_PORT_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>MFP Operation</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_OPERATION_FEATURE_COUNT = MFP_SWC_PORT_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.malfunction.impl.MFPVariableImpl <em>MFP Variable</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.malfunction.impl.MFPVariableImpl
   * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMFPVariable()
   * @generated
   */
  int MFP_VARIABLE = 7;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_VARIABLE__SHORT_NAME = MFP_SWC_PORT__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_VARIABLE__CATEGORY = MFP_SWC_PORT__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_VARIABLE__UUID = MFP_SWC_PORT__UUID;

  /**
   * The feature id for the '<em><b>Generic Description</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_VARIABLE__GENERIC_DESCRIPTION = MFP_SWC_PORT__GENERIC_DESCRIPTION;

  /**
   * The feature id for the '<em><b>Malfunction</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_VARIABLE__MALFUNCTION = MFP_SWC_PORT__MALFUNCTION;

  /**
   * The feature id for the '<em><b>Variable</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_VARIABLE__VARIABLE = MFP_SWC_PORT_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>MFP Variable</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MFP_VARIABLE_FEATURE_COUNT = MFP_SWC_PORT_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.malfunction.impl.MTEnumImpl <em>MT Enum</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.malfunction.impl.MTEnumImpl
   * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMTEnum()
   * @generated
   */
  int MT_ENUM = 8;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MT_ENUM__SHORT_NAME = MALFUNCTION_TYPE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MT_ENUM__CATEGORY = MALFUNCTION_TYPE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MT_ENUM__UUID = MALFUNCTION_TYPE__UUID;

  /**
   * The feature id for the '<em><b>Is Of Type</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MT_ENUM__IS_OF_TYPE = MALFUNCTION_TYPE__IS_OF_TYPE;

  /**
   * The feature id for the '<em><b>Name Was Not Set 0</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MT_ENUM__NAME_WAS_NOT_SET_0 = MALFUNCTION_TYPE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>MT Enum</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MT_ENUM_FEATURE_COUNT = MALFUNCTION_TYPE_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.malfunction.impl.MTEnumElementImpl <em>MT Enum Element</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.malfunction.impl.MTEnumElementImpl
   * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMTEnumElement()
   * @generated
   */
  int MT_ENUM_ELEMENT = 9;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MT_ENUM_ELEMENT__SHORT_NAME = ToplevelPackage.IDENTIFIABLE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MT_ENUM_ELEMENT__CATEGORY = ToplevelPackage.IDENTIFIABLE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MT_ENUM_ELEMENT__UUID = ToplevelPackage.IDENTIFIABLE__UUID;

  /**
   * The number of structural features of the '<em>MT Enum Element</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MT_ENUM_ELEMENT_FEATURE_COUNT = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.malfunction.impl.MTGeneralImpl <em>MT General</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.malfunction.impl.MTGeneralImpl
   * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMTGeneral()
   * @generated
   */
  int MT_GENERAL = 10;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MT_GENERAL__SHORT_NAME = MALFUNCTION_TYPE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MT_GENERAL__CATEGORY = MALFUNCTION_TYPE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MT_GENERAL__UUID = MALFUNCTION_TYPE__UUID;

  /**
   * The feature id for the '<em><b>Is Of Type</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MT_GENERAL__IS_OF_TYPE = MALFUNCTION_TYPE__IS_OF_TYPE;

  /**
   * The number of structural features of the '<em>MT General</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MT_GENERAL_FEATURE_COUNT = MALFUNCTION_TYPE_FEATURE_COUNT + 0;


  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.malfunction.MalfunctionPrototype <em>Prototype</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Prototype</em>'.
   * @see safe10.classmodel.errormodel.malfunction.MalfunctionPrototype
   * @generated
   */
  EClass getMalfunctionPrototype();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.errormodel.malfunction.MalfunctionPrototype#getGenericDescription <em>Generic Description</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Generic Description</em>'.
   * @see safe10.classmodel.errormodel.malfunction.MalfunctionPrototype#getGenericDescription()
   * @see #getMalfunctionPrototype()
   * @generated
   */
  EAttribute getMalfunctionPrototype_GenericDescription();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.errormodel.malfunction.MalfunctionPrototype#getMalfunction <em>Malfunction</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Malfunction</em>'.
   * @see safe10.classmodel.errormodel.malfunction.MalfunctionPrototype#getMalfunction()
   * @see #getMalfunctionPrototype()
   * @generated
   */
  EReference getMalfunctionPrototype_Malfunction();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.malfunction.MalfunctionType <em>Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Type</em>'.
   * @see safe10.classmodel.errormodel.malfunction.MalfunctionType
   * @generated
   */
  EClass getMalfunctionType();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.errormodel.malfunction.MalfunctionType#getIsOfType <em>Is Of Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Is Of Type</em>'.
   * @see safe10.classmodel.errormodel.malfunction.MalfunctionType#getIsOfType()
   * @see #getMalfunctionType()
   * @generated
   */
  EReference getMalfunctionType_IsOfType();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.malfunction.MFPBswPort <em>MFP Bsw Port</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>MFP Bsw Port</em>'.
   * @see safe10.classmodel.errormodel.malfunction.MFPBswPort
   * @generated
   */
  EClass getMFPBswPort();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.errormodel.malfunction.MFPBswPort#getBswEntry <em>Bsw Entry</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Bsw Entry</em>'.
   * @see safe10.classmodel.errormodel.malfunction.MFPBswPort#getBswEntry()
   * @see #getMFPBswPort()
   * @generated
   */
  EReference getMFPBswPort_BswEntry();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.malfunction.MFPFunctionPort <em>MFP Function Port</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>MFP Function Port</em>'.
   * @see safe10.classmodel.errormodel.malfunction.MFPFunctionPort
   * @generated
   */
  EClass getMFPFunctionPort();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.errormodel.malfunction.MFPFunctionPort#getFunctionTarget <em>Function Target</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Function Target</em>'.
   * @see safe10.classmodel.errormodel.malfunction.MFPFunctionPort#getFunctionTarget()
   * @see #getMFPFunctionPort()
   * @generated
   */
  EReference getMFPFunctionPort_FunctionTarget();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.malfunction.MFPHardwarePin <em>MFP Hardware Pin</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>MFP Hardware Pin</em>'.
   * @see safe10.classmodel.errormodel.malfunction.MFPHardwarePin
   * @generated
   */
  EClass getMFPHardwarePin();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.errormodel.malfunction.MFPHardwarePin#getHwTarget <em>Hw Target</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Hw Target</em>'.
   * @see safe10.classmodel.errormodel.malfunction.MFPHardwarePin#getHwTarget()
   * @see #getMFPHardwarePin()
   * @generated
   */
  EReference getMFPHardwarePin_HwTarget();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.malfunction.MFPOperation <em>MFP Operation</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>MFP Operation</em>'.
   * @see safe10.classmodel.errormodel.malfunction.MFPOperation
   * @generated
   */
  EClass getMFPOperation();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.errormodel.malfunction.MFPOperation#getOperation <em>Operation</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Operation</em>'.
   * @see safe10.classmodel.errormodel.malfunction.MFPOperation#getOperation()
   * @see #getMFPOperation()
   * @generated
   */
  EReference getMFPOperation_Operation();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.malfunction.MFPSwcPort <em>MFP Swc Port</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>MFP Swc Port</em>'.
   * @see safe10.classmodel.errormodel.malfunction.MFPSwcPort
   * @generated
   */
  EClass getMFPSwcPort();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.malfunction.MFPVariable <em>MFP Variable</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>MFP Variable</em>'.
   * @see safe10.classmodel.errormodel.malfunction.MFPVariable
   * @generated
   */
  EClass getMFPVariable();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.errormodel.malfunction.MFPVariable#getVariable <em>Variable</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Variable</em>'.
   * @see safe10.classmodel.errormodel.malfunction.MFPVariable#getVariable()
   * @see #getMFPVariable()
   * @generated
   */
  EReference getMFPVariable_Variable();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.malfunction.MTEnum <em>MT Enum</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>MT Enum</em>'.
   * @see safe10.classmodel.errormodel.malfunction.MTEnum
   * @generated
   */
  EClass getMTEnum();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.errormodel.malfunction.MTEnum#getNameWasNotSet_0 <em>Name Was Not Set 0</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Name Was Not Set 0</em>'.
   * @see safe10.classmodel.errormodel.malfunction.MTEnum#getNameWasNotSet_0()
   * @see #getMTEnum()
   * @generated
   */
  EReference getMTEnum_NameWasNotSet_0();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.malfunction.MTEnumElement <em>MT Enum Element</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>MT Enum Element</em>'.
   * @see safe10.classmodel.errormodel.malfunction.MTEnumElement
   * @generated
   */
  EClass getMTEnumElement();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.malfunction.MTGeneral <em>MT General</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>MT General</em>'.
   * @see safe10.classmodel.errormodel.malfunction.MTGeneral
   * @generated
   */
  EClass getMTGeneral();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  MalfunctionFactory getMalfunctionFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.malfunction.impl.MalfunctionPrototypeImpl <em>Prototype</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPrototypeImpl
     * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMalfunctionPrototype()
     * @generated
     */
    EClass MALFUNCTION_PROTOTYPE = eINSTANCE.getMalfunctionPrototype();

    /**
     * The meta object literal for the '<em><b>Generic Description</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute MALFUNCTION_PROTOTYPE__GENERIC_DESCRIPTION = eINSTANCE.getMalfunctionPrototype_GenericDescription();

    /**
     * The meta object literal for the '<em><b>Malfunction</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference MALFUNCTION_PROTOTYPE__MALFUNCTION = eINSTANCE.getMalfunctionPrototype_Malfunction();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.malfunction.impl.MalfunctionTypeImpl <em>Type</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionTypeImpl
     * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMalfunctionType()
     * @generated
     */
    EClass MALFUNCTION_TYPE = eINSTANCE.getMalfunctionType();

    /**
     * The meta object literal for the '<em><b>Is Of Type</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference MALFUNCTION_TYPE__IS_OF_TYPE = eINSTANCE.getMalfunctionType_IsOfType();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.malfunction.impl.MFPBswPortImpl <em>MFP Bsw Port</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.malfunction.impl.MFPBswPortImpl
     * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMFPBswPort()
     * @generated
     */
    EClass MFP_BSW_PORT = eINSTANCE.getMFPBswPort();

    /**
     * The meta object literal for the '<em><b>Bsw Entry</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference MFP_BSW_PORT__BSW_ENTRY = eINSTANCE.getMFPBswPort_BswEntry();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.malfunction.impl.MFPFunctionPortImpl <em>MFP Function Port</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.malfunction.impl.MFPFunctionPortImpl
     * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMFPFunctionPort()
     * @generated
     */
    EClass MFP_FUNCTION_PORT = eINSTANCE.getMFPFunctionPort();

    /**
     * The meta object literal for the '<em><b>Function Target</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference MFP_FUNCTION_PORT__FUNCTION_TARGET = eINSTANCE.getMFPFunctionPort_FunctionTarget();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.malfunction.impl.MFPHardwarePinImpl <em>MFP Hardware Pin</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.malfunction.impl.MFPHardwarePinImpl
     * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMFPHardwarePin()
     * @generated
     */
    EClass MFP_HARDWARE_PIN = eINSTANCE.getMFPHardwarePin();

    /**
     * The meta object literal for the '<em><b>Hw Target</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference MFP_HARDWARE_PIN__HW_TARGET = eINSTANCE.getMFPHardwarePin_HwTarget();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.malfunction.impl.MFPOperationImpl <em>MFP Operation</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.malfunction.impl.MFPOperationImpl
     * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMFPOperation()
     * @generated
     */
    EClass MFP_OPERATION = eINSTANCE.getMFPOperation();

    /**
     * The meta object literal for the '<em><b>Operation</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference MFP_OPERATION__OPERATION = eINSTANCE.getMFPOperation_Operation();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.malfunction.impl.MFPSwcPortImpl <em>MFP Swc Port</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.malfunction.impl.MFPSwcPortImpl
     * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMFPSwcPort()
     * @generated
     */
    EClass MFP_SWC_PORT = eINSTANCE.getMFPSwcPort();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.malfunction.impl.MFPVariableImpl <em>MFP Variable</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.malfunction.impl.MFPVariableImpl
     * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMFPVariable()
     * @generated
     */
    EClass MFP_VARIABLE = eINSTANCE.getMFPVariable();

    /**
     * The meta object literal for the '<em><b>Variable</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference MFP_VARIABLE__VARIABLE = eINSTANCE.getMFPVariable_Variable();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.malfunction.impl.MTEnumImpl <em>MT Enum</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.malfunction.impl.MTEnumImpl
     * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMTEnum()
     * @generated
     */
    EClass MT_ENUM = eINSTANCE.getMTEnum();

    /**
     * The meta object literal for the '<em><b>Name Was Not Set 0</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference MT_ENUM__NAME_WAS_NOT_SET_0 = eINSTANCE.getMTEnum_NameWasNotSet_0();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.malfunction.impl.MTEnumElementImpl <em>MT Enum Element</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.malfunction.impl.MTEnumElementImpl
     * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMTEnumElement()
     * @generated
     */
    EClass MT_ENUM_ELEMENT = eINSTANCE.getMTEnumElement();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.malfunction.impl.MTGeneralImpl <em>MT General</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.malfunction.impl.MTGeneralImpl
     * @see safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl#getMTGeneral()
     * @generated
     */
    EClass MT_GENERAL = eINSTANCE.getMTGeneral();

  }

} //MalfunctionPackage
