/**
 */
package safe10.classmodel.errormodel.malfunction.util;

import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.toplevel.Identifiable;
import safe10.classmodel.commonstructure.toplevel.Referrable;

import safe10.classmodel.errormodel.malfunction.*;

import safe10.classmodel.requirements.AllocationTarget;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.errormodel.malfunction.MalfunctionPackage
 * @generated
 */
public class MalfunctionSwitch<T>
{
  /**
   * The cached model package
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static MalfunctionPackage modelPackage;

  /**
   * Creates an instance of the switch.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public MalfunctionSwitch()
  {
    if (modelPackage == null)
    {
      modelPackage = MalfunctionPackage.eINSTANCE;
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  public T doSwitch(EObject theEObject)
  {
    return doSwitch(theEObject.eClass(), theEObject);
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(EClass theEClass, EObject theEObject)
  {
    if (theEClass.eContainer() == modelPackage)
    {
      return doSwitch(theEClass.getClassifierID(), theEObject);
    }
    else
    {
      List<EClass> eSuperTypes = theEClass.getESuperTypes();
      return
        eSuperTypes.isEmpty() ?
          defaultCase(theEObject) :
          doSwitch(eSuperTypes.get(0), theEObject);
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(int classifierID, EObject theEObject)
  {
    switch (classifierID)
    {
      case MalfunctionPackage.MALFUNCTION_PROTOTYPE:
      {
        MalfunctionPrototype malfunctionPrototype = (MalfunctionPrototype)theEObject;
        T result = caseMalfunctionPrototype(malfunctionPrototype);
        if (result == null) result = caseIdentifiable(malfunctionPrototype);
        if (result == null) result = caseReferrable(malfunctionPrototype);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MalfunctionPackage.MALFUNCTION_TYPE:
      {
        MalfunctionType malfunctionType = (MalfunctionType)theEObject;
        T result = caseMalfunctionType(malfunctionType);
        if (result == null) result = caseIdentifiable(malfunctionType);
        if (result == null) result = caseAllocationTarget(malfunctionType);
        if (result == null) result = caseReferrable(malfunctionType);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MalfunctionPackage.MFP_BSW_PORT:
      {
        MFPBswPort mfpBswPort = (MFPBswPort)theEObject;
        T result = caseMFPBswPort(mfpBswPort);
        if (result == null) result = caseMalfunctionPrototype(mfpBswPort);
        if (result == null) result = caseIdentifiable(mfpBswPort);
        if (result == null) result = caseReferrable(mfpBswPort);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MalfunctionPackage.MFP_FUNCTION_PORT:
      {
        MFPFunctionPort mfpFunctionPort = (MFPFunctionPort)theEObject;
        T result = caseMFPFunctionPort(mfpFunctionPort);
        if (result == null) result = caseMalfunctionPrototype(mfpFunctionPort);
        if (result == null) result = caseIdentifiable(mfpFunctionPort);
        if (result == null) result = caseReferrable(mfpFunctionPort);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MalfunctionPackage.MFP_HARDWARE_PIN:
      {
        MFPHardwarePin mfpHardwarePin = (MFPHardwarePin)theEObject;
        T result = caseMFPHardwarePin(mfpHardwarePin);
        if (result == null) result = caseMalfunctionPrototype(mfpHardwarePin);
        if (result == null) result = caseIdentifiable(mfpHardwarePin);
        if (result == null) result = caseReferrable(mfpHardwarePin);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MalfunctionPackage.MFP_OPERATION:
      {
        MFPOperation mfpOperation = (MFPOperation)theEObject;
        T result = caseMFPOperation(mfpOperation);
        if (result == null) result = caseMFPSwcPort(mfpOperation);
        if (result == null) result = caseMalfunctionPrototype(mfpOperation);
        if (result == null) result = caseIdentifiable(mfpOperation);
        if (result == null) result = caseReferrable(mfpOperation);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MalfunctionPackage.MFP_SWC_PORT:
      {
        MFPSwcPort mfpSwcPort = (MFPSwcPort)theEObject;
        T result = caseMFPSwcPort(mfpSwcPort);
        if (result == null) result = caseMalfunctionPrototype(mfpSwcPort);
        if (result == null) result = caseIdentifiable(mfpSwcPort);
        if (result == null) result = caseReferrable(mfpSwcPort);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MalfunctionPackage.MFP_VARIABLE:
      {
        MFPVariable mfpVariable = (MFPVariable)theEObject;
        T result = caseMFPVariable(mfpVariable);
        if (result == null) result = caseMFPSwcPort(mfpVariable);
        if (result == null) result = caseMalfunctionPrototype(mfpVariable);
        if (result == null) result = caseIdentifiable(mfpVariable);
        if (result == null) result = caseReferrable(mfpVariable);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MalfunctionPackage.MT_ENUM:
      {
        MTEnum mtEnum = (MTEnum)theEObject;
        T result = caseMTEnum(mtEnum);
        if (result == null) result = caseMalfunctionType(mtEnum);
        if (result == null) result = caseIdentifiable(mtEnum);
        if (result == null) result = caseAllocationTarget(mtEnum);
        if (result == null) result = caseReferrable(mtEnum);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MalfunctionPackage.MT_ENUM_ELEMENT:
      {
        MTEnumElement mtEnumElement = (MTEnumElement)theEObject;
        T result = caseMTEnumElement(mtEnumElement);
        if (result == null) result = caseIdentifiable(mtEnumElement);
        if (result == null) result = caseReferrable(mtEnumElement);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MalfunctionPackage.MT_GENERAL:
      {
        MTGeneral mtGeneral = (MTGeneral)theEObject;
        T result = caseMTGeneral(mtGeneral);
        if (result == null) result = caseMalfunctionType(mtGeneral);
        if (result == null) result = caseIdentifiable(mtGeneral);
        if (result == null) result = caseAllocationTarget(mtGeneral);
        if (result == null) result = caseReferrable(mtGeneral);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      default: return defaultCase(theEObject);
    }
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Prototype</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Prototype</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseMalfunctionPrototype(MalfunctionPrototype object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Type</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Type</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseMalfunctionType(MalfunctionType object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>MFP Bsw Port</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>MFP Bsw Port</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseMFPBswPort(MFPBswPort object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>MFP Function Port</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>MFP Function Port</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseMFPFunctionPort(MFPFunctionPort object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>MFP Hardware Pin</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>MFP Hardware Pin</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseMFPHardwarePin(MFPHardwarePin object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>MFP Operation</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>MFP Operation</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseMFPOperation(MFPOperation object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>MFP Swc Port</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>MFP Swc Port</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseMFPSwcPort(MFPSwcPort object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>MFP Variable</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>MFP Variable</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseMFPVariable(MFPVariable object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>MT Enum</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>MT Enum</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseMTEnum(MTEnum object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>MT Enum Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>MT Enum Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseMTEnumElement(MTEnumElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>MT General</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>MT General</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseMTGeneral(MTGeneral object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Referrable</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Referrable</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseReferrable(Referrable object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Identifiable</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Identifiable</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseIdentifiable(Identifiable object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Allocation Target</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Allocation Target</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAllocationTarget(AllocationTarget object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch, but this is the last case anyway.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject)
   * @generated
   */
  public T defaultCase(EObject object)
  {
    return null;
  }

} //MalfunctionSwitch
