/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.failure;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>HW Component Prototype Scope</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class describes the context for the definition of a hardware component. The attribute defines a results of the analysis if the Hardware Component is safety related means impacted by the contribution to the violation of the malfunction
 * 
 * During modeling a design rule must be ensured that HardwareComponentType used as BaseHwComponent for the instanceRef relation is the same as the root hierarchy on the HwComponentprototypeScope creation
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.failure.HWComponentPrototypeScope#getSafetyRelated <em>Safety Related</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.HWComponentPrototypeScope#getNameWasNotSet_3 <em>Name Was Not Set 3</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.HWComponentPrototypeScope#getHwFaultCharacterization <em>Hw Fault Characterization</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.HWComponentPrototypeScope#getHwComponentScopeInstanceRefContext <em>Hw Component Scope Instance Ref Context</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hardware.failure.FailurePackage#getHWComponentPrototypeScope()
 * @model annotation="MetaData guid='{709647B8-E848-4c09-BDB8-F795F37CCCF3}' id='-1009160888' EA\040name='HWComponentPrototypeScope'"
 *        annotation="TaggedValues xml.name='HW-COMPONENT-PROTOTYPE-SCOPE' xml.namePlural='HW-COMPONENT-PROTOTYPE-SCOPES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HWComponentPrototypeScope extends EObject
{
  /**
   * Returns the value of the '<em><b>Safety Related</b></em>' attribute.
   * The default value is <code>"false"</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * This attribute stores the contribution of the HWComponent to a malfunction as a boolean information
   * <!-- end-model-doc -->
   * @return the value of the '<em>Safety Related</em>' attribute.
   * @see #isSetSafetyRelated()
   * @see #unsetSafetyRelated()
   * @see #setSafetyRelated(Boolean)
   * @see safe10.classmodel.hardware.failure.FailurePackage#getHWComponentPrototypeScope_SafetyRelated()
   * @model default="false" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Boolean" required="true"
   *        annotation="MetaData guid='{FEB31D72-DE3F-481a-8EE7-26122D3D744F}' id='-1352211031' EA\040name='safetyRelated'"
   *        annotation="TaggedValues xml.name='SAFETY-RELATED' xml.namePlural='SAFETY-RELATEDS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Boolean getSafetyRelated();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failure.HWComponentPrototypeScope#getSafetyRelated <em>Safety Related</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Safety Related</em>' attribute.
   * @see #isSetSafetyRelated()
   * @see #SafetyRelated()
   * @see #getSafetyRelated()
   * @generated
   */
  void setSafetyRelated(Boolean value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.failure.HWComponentPrototypeScope#getSafetyRelated <em>Safety Related</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetSafetyRelated()
   * @see #getSafetyRelated()
   * @see #setSafetyRelated(Boolean)
   * @generated
   */
  void unsetSafetyRelated();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.failure.HWComponentPrototypeScope#getSafetyRelated <em>Safety Related</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Safety Related</em>' attribute is set.
   * @see #SafetyRelated()
   * @see #getSafetyRelated()
   * @see #setSafetyRelated(Boolean)
   * @generated
   */
  boolean isSetSafetyRelated();

  /**
   * Returns the value of the '<em><b>Name Was Not Set 3</b></em>' reference.
   * It is bidirectional and its opposite is '{@link safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getHardwareComponentScope <em>Hardware Component Scope</em>}'.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Name Was Not Set 3</em>' reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Name Was Not Set 3</em>' reference.
   * @see #setNameWasNotSet_3(HardwareFailureAnalysis)
   * @see safe10.classmodel.hardware.failure.FailurePackage#getHWComponentPrototypeScope_NameWasNotSet_3()
   * @see safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getHardwareComponentScope
   * @model opposite="hardwareComponentScope"
   *        annotation="MetaData guid='{C4502C23-225F-47d5-8FD2-A94884AEE8BE}' id='-1053431883' EA\040name=''"
   *        annotation="TaggedValues xml.name='NAME-WAS-NOT-SET-3-REF' xml.namePlural='NAME-WAS-NOT-SET-3-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HardwareFailureAnalysis getNameWasNotSet_3();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failure.HWComponentPrototypeScope#getNameWasNotSet_3 <em>Name Was Not Set 3</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Name Was Not Set 3</em>' reference.
   * @see #getNameWasNotSet_3()
   * @generated
   */
  void setNameWasNotSet_3(HardwareFailureAnalysis value);

  /**
   * Returns the value of the '<em><b>Hw Fault Characterization</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.hardware.failure.HWFault}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hw Fault Characterization</em>' reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hw Fault Characterization</em>' reference list.
   * @see safe10.classmodel.hardware.failure.FailurePackage#getHWComponentPrototypeScope_HwFaultCharacterization()
   * @model annotation="MetaData guid='{82DC3EBF-A42F-4198-AC5D-1DC91DF75805}' id='1225952639' EA\040name=''"
   *        annotation="TaggedValues xml.name='HW-FAULT-CHARACTERIZATION-REF' xml.namePlural='HW-FAULT-CHARACTERIZATION-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<HWFault> getHwFaultCharacterization();

  /**
   * Returns the value of the '<em><b>Hw Component Scope Instance Ref Context</b></em>' reference.
   * It is bidirectional and its opposite is '{@link safe10.classmodel.hardware.failure.HwComponentScopeInstanceRef#getNameWasNotSet_4 <em>Name Was Not Set 4</em>}'.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hw Component Scope Instance Ref Context</em>' reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hw Component Scope Instance Ref Context</em>' reference.
   * @see #setHwComponentScopeInstanceRefContext(HwComponentScopeInstanceRef)
   * @see safe10.classmodel.hardware.failure.FailurePackage#getHWComponentPrototypeScope_HwComponentScopeInstanceRefContext()
   * @see safe10.classmodel.hardware.failure.HwComponentScopeInstanceRef#getNameWasNotSet_4
   * @model opposite="NameWasNotSet_4" required="true"
   *        annotation="TaggedValues xml.name='HW-COMPONENT-SCOPE-INSTANCE-REF-CONTEXT-REF' xml.namePlural='HW-COMPONENT-SCOPE-INSTANCE-REF-CONTEXT-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HwComponentScopeInstanceRef getHwComponentScopeInstanceRefContext();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failure.HWComponentPrototypeScope#getHwComponentScopeInstanceRefContext <em>Hw Component Scope Instance Ref Context</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Hw Component Scope Instance Ref Context</em>' reference.
   * @see #getHwComponentScopeInstanceRefContext()
   * @generated
   */
  void setHwComponentScopeInstanceRefContext(HwComponentScopeInstanceRef value);

} // HWComponentPrototypeScope
