/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.failure;

import safe10.classmodel.commonstructure.toplevel.Referrable;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>HW Failure Rate</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class captures the HWFailureRate of a HWComponent.
 * 
 * The appropriate HWFailureRate can be derived from e.g. Industry Source (see ISO Part 5 8.4.3) as an allocated value or calculated via analysis.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.failure.HWFailureRate#getAllocatedValue <em>Allocated Value</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.HWFailureRate#getRationaleScalingFactor <em>Rationale Scaling Factor</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.HWFailureRate#getScalingFactor <em>Scaling Factor</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.HWFailureRate#getSource <em>Source</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hardware.failure.FailurePackage#getHWFailureRate()
 * @model annotation="MetaData guid='{32FD7A40-EF7C-4c4e-9747-3F8F4E8587AA}' id='-1735479682' EA\040name='HWFailureRate'"
 *        annotation="TaggedValues xml.name='HW-FAILURE-RATE' xml.namePlural='HW-FAILURE-RATES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HWFailureRate extends Referrable
{
  /**
   * Returns the value of the '<em><b>Allocated Value</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * FIT rate allocated to this HWComponent out of statistics for architectural evaluation and calculation of metrics and probabilistic methods.
   * 
   * It shall be expressed in FIT.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Allocated Value</em>' attribute.
   * @see #isSetAllocatedValue()
   * @see #unsetAllocatedValue()
   * @see #setAllocatedValue(Double)
   * @see safe10.classmodel.hardware.failure.FailurePackage#getHWFailureRate_AllocatedValue()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{6DEB2656-2372-4178-B326-3B4ED0C210A4}' id='-1420173273' EA\040name='allocatedValue'"
   *        annotation="TaggedValues xml.name='ALLOCATED-VALUE' xml.namePlural='ALLOCATED-VALUES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getAllocatedValue();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failure.HWFailureRate#getAllocatedValue <em>Allocated Value</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Allocated Value</em>' attribute.
   * @see #isSetAllocatedValue()
   * @see #AllocatedValue()
   * @see #getAllocatedValue()
   * @generated
   */
  void setAllocatedValue(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.failure.HWFailureRate#getAllocatedValue <em>Allocated Value</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetAllocatedValue()
   * @see #getAllocatedValue()
   * @see #setAllocatedValue(Double)
   * @generated
   */
  void unsetAllocatedValue();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.failure.HWFailureRate#getAllocatedValue <em>Allocated Value</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Allocated Value</em>' attribute is set.
   * @see #AllocatedValue()
   * @see #getAllocatedValue()
   * @see #setAllocatedValue(Double)
   * @generated
   */
  boolean isSetAllocatedValue();

  /**
   * Returns the value of the '<em><b>Rationale Scaling Factor</b></em>' attribute.
   * The default value is <code>""</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The rationaleScalingFactor shall provide a rationale, if a scaling factor different to 1.0 is applied.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Rationale Scaling Factor</em>' attribute.
   * @see #isSetRationaleScalingFactor()
   * @see #unsetRationaleScalingFactor()
   * @see #setRationaleScalingFactor(String)
   * @see safe10.classmodel.hardware.failure.FailurePackage#getHWFailureRate_RationaleScalingFactor()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.String" required="true"
   *        annotation="MetaData guid='{DE9B2BAE-5201-4424-A30F-B36EAB793D24}' id='-931365203' EA\040name='rationaleScalingFactor'"
   *        annotation="TaggedValues xml.name='RATIONALE-SCALING-FACTOR' xml.namePlural='RATIONALE-SCALING-FACTORS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  String getRationaleScalingFactor();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failure.HWFailureRate#getRationaleScalingFactor <em>Rationale Scaling Factor</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Rationale Scaling Factor</em>' attribute.
   * @see #isSetRationaleScalingFactor()
   * @see #RationaleScalingFactor()
   * @see #getRationaleScalingFactor()
   * @generated
   */
  void setRationaleScalingFactor(String value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.failure.HWFailureRate#getRationaleScalingFactor <em>Rationale Scaling Factor</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetRationaleScalingFactor()
   * @see #getRationaleScalingFactor()
   * @see #setRationaleScalingFactor(String)
   * @generated
   */
  void unsetRationaleScalingFactor();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.failure.HWFailureRate#getRationaleScalingFactor <em>Rationale Scaling Factor</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Rationale Scaling Factor</em>' attribute is set.
   * @see #RationaleScalingFactor()
   * @see #getRationaleScalingFactor()
   * @see #setRationaleScalingFactor(String)
   * @generated
   */
  boolean isSetRationaleScalingFactor();

  /**
   * Returns the value of the '<em><b>Scaling Factor</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The scalingFactor allows potential scaling between different sources of failure rates as described in ISO Part 5 Annex F.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Scaling Factor</em>' attribute.
   * @see #isSetScalingFactor()
   * @see #unsetScalingFactor()
   * @see #setScalingFactor(Double)
   * @see safe10.classmodel.hardware.failure.FailurePackage#getHWFailureRate_ScalingFactor()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{55472D52-3337-4a70-A2EB-B0B45057AF44}' id='569487978' EA\040name='scalingFactor'"
   *        annotation="TaggedValues xml.name='SCALING-FACTOR' xml.namePlural='SCALING-FACTORS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getScalingFactor();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failure.HWFailureRate#getScalingFactor <em>Scaling Factor</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Scaling Factor</em>' attribute.
   * @see #isSetScalingFactor()
   * @see #ScalingFactor()
   * @see #getScalingFactor()
   * @generated
   */
  void setScalingFactor(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.failure.HWFailureRate#getScalingFactor <em>Scaling Factor</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetScalingFactor()
   * @see #getScalingFactor()
   * @see #setScalingFactor(Double)
   * @generated
   */
  void unsetScalingFactor();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.failure.HWFailureRate#getScalingFactor <em>Scaling Factor</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Scaling Factor</em>' attribute is set.
   * @see #ScalingFactor()
   * @see #getScalingFactor()
   * @see #setScalingFactor(Double)
   * @generated
   */
  boolean isSetScalingFactor();

  /**
   * Returns the value of the '<em><b>Source</b></em>' attribute.
   * The default value is <code>""</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * FIT rate source shall documented according to possible source as described in ISO 26262 Part 5 8.4.3:
   * a) failure rate from industry source (IEC/TR 62380, IEC 61709, ...)
   * b) statistic based on return field or test
   * c) Expert judgement
   * <!-- end-model-doc -->
   * @return the value of the '<em>Source</em>' attribute.
   * @see #isSetSource()
   * @see #unsetSource()
   * @see #setSource(String)
   * @see safe10.classmodel.hardware.failure.FailurePackage#getHWFailureRate_Source()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.String" required="true"
   *        annotation="MetaData guid='{760FC84F-6A5B-4071-881F-2D94D1BAF7E7}' id='642226339' EA\040name='source'"
   *        annotation="TaggedValues xml.name='SOURCE' xml.namePlural='SOURCES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  String getSource();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failure.HWFailureRate#getSource <em>Source</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Source</em>' attribute.
   * @see #isSetSource()
   * @see #Source()
   * @see #getSource()
   * @generated
   */
  void setSource(String value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.failure.HWFailureRate#getSource <em>Source</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetSource()
   * @see #getSource()
   * @see #setSource(String)
   * @generated
   */
  void unsetSource();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.failure.HWFailureRate#getSource <em>Source</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Source</em>' attribute is set.
   * @see #Source()
   * @see #getSource()
   * @see #setSource(String)
   * @generated
   */
  boolean isSetSource();

} // HWFailureRate
