/**
 */
package safe10.classmodel.hardware.failure;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>HW Multiple Point Fault Enum</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.hardware.failure.FailurePackage#getHWMultiplePointFaultEnum()
 * @model annotation="MetaData guid='{D0BA76C9-2832-45b7-A83F-38ABC0EBF210}' id='-11993698' EA\040name='HWMultiplePointFaultEnum'"
 *        annotation="Stereotype Stereotype='enumeration'"
 *        annotation="TaggedValues xml.name='HW-MULTIPLE-POINT-FAULT-ENUM' xml.namePlural='HW-MULTIPLE-POINT-FAULT-ENUMS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public enum HWMultiplePointFaultEnum implements Enumerator
{
  /**
   * The '<em><b>No Multiple Point Fault</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #NO_MULTIPLE_POINT_FAULT_VALUE
   * @generated
   * @ordered
   */
  NO_MULTIPLE_POINT_FAULT(0, "noMultiplePointFault", "NOMULTIPLEPOINTFAULT"),

  /**
   * The '<em><b>Dual Point Fault</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #DUAL_POINT_FAULT_VALUE
   * @generated
   * @ordered
   */
  DUAL_POINT_FAULT(1, "DualPointFault", "DUALPOINTFAULT"),

  /**
   * The '<em><b>Triple Point Fault</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #TRIPLE_POINT_FAULT_VALUE
   * @generated
   * @ordered
   */
  TRIPLE_POINT_FAULT(2, "TriplePointFault", "TRIPLEPOINTFAULT"),

  /**
   * The '<em><b>Others Order Point Fault</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #OTHERS_ORDER_POINT_FAULT_VALUE
   * @generated
   * @ordered
   */
  OTHERS_ORDER_POINT_FAULT(3, "othersOrderPointFault", "OTHERSORDERPOINTFAULT");

  /**
   * The '<em><b>No Multiple Point Fault</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>No Multiple Point Fault</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #NO_MULTIPLE_POINT_FAULT
   * @model name="noMultiplePointFault" literal="NOMULTIPLEPOINTFAULT"
   *        annotation="TaggedValues xml.name='NO-MULTIPLE-POINT-FAULT' xml.namePlural='NO-MULTIPLE-POINT-FAULTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int NO_MULTIPLE_POINT_FAULT_VALUE = 0;

  /**
   * The '<em><b>Dual Point Fault</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Dual Point Fault</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #DUAL_POINT_FAULT
   * @model name="DualPointFault" literal="DUALPOINTFAULT"
   *        annotation="TaggedValues xml.name='DUAL-POINT-FAULT' xml.namePlural='DUAL-POINT-FAULTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int DUAL_POINT_FAULT_VALUE = 1;

  /**
   * The '<em><b>Triple Point Fault</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Triple Point Fault</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #TRIPLE_POINT_FAULT
   * @model name="TriplePointFault" literal="TRIPLEPOINTFAULT"
   *        annotation="TaggedValues xml.name='TRIPLE-POINT-FAULT' xml.namePlural='TRIPLE-POINT-FAULTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int TRIPLE_POINT_FAULT_VALUE = 2;

  /**
   * The '<em><b>Others Order Point Fault</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Others Order Point Fault</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #OTHERS_ORDER_POINT_FAULT
   * @model name="othersOrderPointFault" literal="OTHERSORDERPOINTFAULT"
   *        annotation="TaggedValues xml.name='OTHERS-ORDER-POINT-FAULT' xml.namePlural='OTHERS-ORDER-POINT-FAULTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int OTHERS_ORDER_POINT_FAULT_VALUE = 3;

  /**
   * An array of all the '<em><b>HW Multiple Point Fault Enum</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static final HWMultiplePointFaultEnum[] VALUES_ARRAY =
    new HWMultiplePointFaultEnum[]
    {
      NO_MULTIPLE_POINT_FAULT,
      DUAL_POINT_FAULT,
      TRIPLE_POINT_FAULT,
      OTHERS_ORDER_POINT_FAULT,
    };

  /**
   * A public read-only list of all the '<em><b>HW Multiple Point Fault Enum</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static final List<HWMultiplePointFaultEnum> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

  /**
   * Returns the '<em><b>HW Multiple Point Fault Enum</b></em>' literal with the specified literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static HWMultiplePointFaultEnum get(String literal)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      HWMultiplePointFaultEnum result = VALUES_ARRAY[i];
      if (result.toString().equals(literal))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>HW Multiple Point Fault Enum</b></em>' literal with the specified name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static HWMultiplePointFaultEnum getByName(String name)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      HWMultiplePointFaultEnum result = VALUES_ARRAY[i];
      if (result.getName().equals(name))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>HW Multiple Point Fault Enum</b></em>' literal with the specified integer value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static HWMultiplePointFaultEnum get(int value)
  {
    switch (value)
    {
      case NO_MULTIPLE_POINT_FAULT_VALUE: return NO_MULTIPLE_POINT_FAULT;
      case DUAL_POINT_FAULT_VALUE: return DUAL_POINT_FAULT;
      case TRIPLE_POINT_FAULT_VALUE: return TRIPLE_POINT_FAULT;
      case OTHERS_ORDER_POINT_FAULT_VALUE: return OTHERS_ORDER_POINT_FAULT;
    }
    return null;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final int value;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String name;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String literal;

  /**
   * Only this class can construct instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private HWMultiplePointFaultEnum(int value, String name, String literal)
  {
    this.value = value;
    this.name = name;
    this.literal = literal;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getValue()
  {
    return value;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getName()
  {
    return name;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getLiteral()
  {
    return literal;
  }

  /**
   * Returns the literal value of the enumerator, which is its string representation.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    return literal;
  }
  
} //HWMultiplePointFaultEnum
