/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.failure;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Hardware Component Failure</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class describes the failure data extension for all HWComponents, including failure rate and failure mode.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.failure.HardwareComponentFailure#getNameWasNotSet_2 <em>Name Was Not Set 2</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.HardwareComponentFailure#getHwFailureRate <em>Hw Failure Rate</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.HardwareComponentFailure#getHwFailureMode <em>Hw Failure Mode</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hardware.failure.FailurePackage#getHardwareComponentFailure()
 * @model abstract="true"
 *        annotation="MetaData guid='{9F96702C-C7D8-49bb-9E7C-81C924EDD135}' id='215288450' EA\040name='HardwareComponentFailure'"
 *        annotation="TaggedValues xml.name='HARDWARE-COMPONENT-FAILURE' xml.namePlural='HARDWARE-COMPONENT-FAILURES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HardwareComponentFailure extends EObject
{
  /**
   * Returns the value of the '<em><b>Name Was Not Set 2</b></em>' reference.
   * It is bidirectional and its opposite is '{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign#getRandomHarwareFailure <em>Random Harware Failure</em>}'.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Name Was Not Set 2</em>' reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Name Was Not Set 2</em>' reference.
   * @see #setNameWasNotSet_2(HardwareSafetyDesign)
   * @see safe10.classmodel.hardware.failure.FailurePackage#getHardwareComponentFailure_NameWasNotSet_2()
   * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign#getRandomHarwareFailure
   * @model opposite="randomHarwareFailure"
   *        annotation="MetaData guid='{6A6853A2-D3ED-4bf6-B9B2-B45FC4754708}' id='-1926490893' EA\040name=''"
   *        annotation="TaggedValues xml.name='NAME-WAS-NOT-SET-2-REF' xml.namePlural='NAME-WAS-NOT-SET-2-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HardwareSafetyDesign getNameWasNotSet_2();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failure.HardwareComponentFailure#getNameWasNotSet_2 <em>Name Was Not Set 2</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Name Was Not Set 2</em>' reference.
   * @see #getNameWasNotSet_2()
   * @generated
   */
  void setNameWasNotSet_2(HardwareSafetyDesign value);

  /**
   * Returns the value of the '<em><b>Hw Failure Rate</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hw Failure Rate</em>' containment reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hw Failure Rate</em>' containment reference.
   * @see #setHwFailureRate(HWFailureRate)
   * @see safe10.classmodel.hardware.failure.FailurePackage#getHardwareComponentFailure_HwFailureRate()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{FF71106F-D23B-4a8d-AE46-ECA3E9266614}' id='1879369852' EA\040name=''"
   *        annotation="TaggedValues xml.name='HW-FAILURE-RATE' xml.namePlural='HW-FAILURE-RATES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWFailureRate getHwFailureRate();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failure.HardwareComponentFailure#getHwFailureRate <em>Hw Failure Rate</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Hw Failure Rate</em>' containment reference.
   * @see #getHwFailureRate()
   * @generated
   */
  void setHwFailureRate(HWFailureRate value);

  /**
   * Returns the value of the '<em><b>Hw Failure Mode</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.hardware.failure.HWFailureMode}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hw Failure Mode</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hw Failure Mode</em>' containment reference list.
   * @see safe10.classmodel.hardware.failure.FailurePackage#getHardwareComponentFailure_HwFailureMode()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{66DDDE36-8FDC-4031-89B8-C240A3D9D617}' id='165135646' EA\040name=''"
   *        annotation="TaggedValues xml.name='HW-FAILURE-MODE' xml.namePlural='HW-FAILURE-MODES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<HWFailureMode> getHwFailureMode();

} // HardwareComponentFailure
