/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.failure;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign;

import safe10.classmodel.errormodel.malfunction.MalfunctionPrototype;

import safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Hardware Failure Analysis</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class represent the container for all Hardware Failure Analysis.
 * Each safety goal (as malfunction) must lead to a safety analysis, so this class contains all the information related to the analysis as :
 * - the relation to the malfunction as the malfunctionPrototype for each analysis
 * - the HwComponentPrototypeScope to identify all hardware component specific to the context as HWComponentProtype inside a type composition
 * - the HWQuantifiedFailure Analysis performed on the level of the composition
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getMalfunctionAnalysis <em>Malfunction Analysis</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getNameWasNotSet_1 <em>Name Was Not Set 1</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getHardwareComponentScope <em>Hardware Component Scope</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getHardwareQuantifiedAnalysis <em>Hardware Quantified Analysis</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hardware.failure.FailurePackage#getHardwareFailureAnalysis()
 * @model annotation="MetaData guid='{9F535868-C076-4004-ABEA-A6662698FABE}' id='1420910910' EA\040name='HardwareFailureAnalysis'"
 *        annotation="TaggedValues xml.name='HARDWARE-FAILURE-ANALYSIS' xml.namePlural='HARDWARE-FAILURE-ANALYSISS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HardwareFailureAnalysis extends EObject
{
  /**
   * Returns the value of the '<em><b>Malfunction Analysis</b></em>' reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Malfunction Analysis</em>' reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Malfunction Analysis</em>' reference.
   * @see #setMalfunctionAnalysis(MalfunctionPrototype)
   * @see safe10.classmodel.hardware.failure.FailurePackage#getHardwareFailureAnalysis_MalfunctionAnalysis()
   * @model required="true"
   *        annotation="MetaData guid='{8F2CE73F-FD6F-4b59-B2DC-37350E265FEC}' id='-1150462117' EA\040name=''"
   *        annotation="TaggedValues xml.name='MALFUNCTION-ANALYSIS-REF' xml.namePlural='MALFUNCTION-ANALYSIS-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  MalfunctionPrototype getMalfunctionAnalysis();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getMalfunctionAnalysis <em>Malfunction Analysis</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Malfunction Analysis</em>' reference.
   * @see #getMalfunctionAnalysis()
   * @generated
   */
  void setMalfunctionAnalysis(MalfunctionPrototype value);

  /**
   * Returns the value of the '<em><b>Name Was Not Set 1</b></em>' reference.
   * It is bidirectional and its opposite is '{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign#getHarwdareSafetyAnalysis <em>Harwdare Safety Analysis</em>}'.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Name Was Not Set 1</em>' reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Name Was Not Set 1</em>' reference.
   * @see #setNameWasNotSet_1(HardwareSafetyDesign)
   * @see safe10.classmodel.hardware.failure.FailurePackage#getHardwareFailureAnalysis_NameWasNotSet_1()
   * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign#getHarwdareSafetyAnalysis
   * @model opposite="harwdareSafetyAnalysis"
   *        annotation="MetaData guid='{89B31C05-09CD-42c2-A73E-E7489E2B78C6}' id='527913069' EA\040name=''"
   *        annotation="TaggedValues xml.name='NAME-WAS-NOT-SET-1-REF' xml.namePlural='NAME-WAS-NOT-SET-1-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HardwareSafetyDesign getNameWasNotSet_1();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getNameWasNotSet_1 <em>Name Was Not Set 1</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Name Was Not Set 1</em>' reference.
   * @see #getNameWasNotSet_1()
   * @generated
   */
  void setNameWasNotSet_1(HardwareSafetyDesign value);

  /**
   * Returns the value of the '<em><b>Hardware Component Scope</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.hardware.failure.HWComponentPrototypeScope}.
   * It is bidirectional and its opposite is '{@link safe10.classmodel.hardware.failure.HWComponentPrototypeScope#getNameWasNotSet_3 <em>Name Was Not Set 3</em>}'.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hardware Component Scope</em>' reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hardware Component Scope</em>' reference list.
   * @see safe10.classmodel.hardware.failure.FailurePackage#getHardwareFailureAnalysis_HardwareComponentScope()
   * @see safe10.classmodel.hardware.failure.HWComponentPrototypeScope#getNameWasNotSet_3
   * @model opposite="NameWasNotSet_3"
   *        annotation="TaggedValues xml.name='HARDWARE-COMPONENT-SCOPE-REF' xml.namePlural='HARDWARE-COMPONENT-SCOPE-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<HWComponentPrototypeScope> getHardwareComponentScope();

  /**
   * Returns the value of the '<em><b>Hardware Quantified Analysis</b></em>' reference.
   * It is bidirectional and its opposite is '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis#getNameWasNotSet_8 <em>Name Was Not Set 8</em>}'.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hardware Quantified Analysis</em>' reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hardware Quantified Analysis</em>' reference.
   * @see #setHardwareQuantifiedAnalysis(HWQuantitativeFailureAnalysis)
   * @see safe10.classmodel.hardware.failure.FailurePackage#getHardwareFailureAnalysis_HardwareQuantifiedAnalysis()
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis#getNameWasNotSet_8
   * @model opposite="NameWasNotSet_8"
   *        annotation="TaggedValues xml.name='HARDWARE-QUANTIFIED-ANALYSIS-REF' xml.namePlural='HARDWARE-QUANTIFIED-ANALYSIS-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWQuantitativeFailureAnalysis getHardwareQuantifiedAnalysis();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getHardwareQuantifiedAnalysis <em>Hardware Quantified Analysis</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Hardware Quantified Analysis</em>' reference.
   * @see #getHardwareQuantifiedAnalysis()
   * @generated
   */
  void setHardwareQuantifiedAnalysis(HWQuantitativeFailureAnalysis value);

} // HardwareFailureAnalysis
