/**
 */
package safe10.classmodel.hardware.failure.impl;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EFactoryImpl;

import org.eclipse.emf.ecore.plugin.EcorePlugin;

import safe10.classmodel.hardware.failure.*;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class FailureFactoryImpl extends EFactoryImpl implements FailureFactory
{
  /**
   * Creates the default factory implementation.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static FailureFactory init()
  {
    try
    {
      FailureFactory theFailureFactory = (FailureFactory)EPackage.Registry.INSTANCE.getEFactory("http://safe-project.eu/1.0.1/safe10/classmodel/hardware/failure"); 
      if (theFailureFactory != null)
      {
        return theFailureFactory;
      }
    }
    catch (Exception exception)
    {
      EcorePlugin.INSTANCE.log(exception);
    }
    return new FailureFactoryImpl();
  }

  /**
   * Creates an instance of the factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public FailureFactoryImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public EObject create(EClass eClass)
  {
    switch (eClass.getClassifierID())
    {
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS: return createHardwareFailureAnalysis();
      case FailurePackage.HW_FAILURE_RATE: return createHWFailureRate();
      case FailurePackage.HW_FAILURE_MODE: return createHWFailureMode();
      case FailurePackage.HW_FAULT: return createHWFault();
      case FailurePackage.HW_COMPONENT_PROTOTYPE_SCOPE: return createHWComponentPrototypeScope();
      case FailurePackage.HW_COMPONENT_SCOPE_INSTANCE_REF: return createHwComponentScopeInstanceRef();
      default:
        throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
    }
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object createFromString(EDataType eDataType, String initialValue)
  {
    switch (eDataType.getClassifierID())
    {
      case FailurePackage.HW_MULTIPLE_POINT_FAULT_ENUM:
        return createHWMultiplePointFaultEnumFromString(eDataType, initialValue);
      case FailurePackage.HW_POINT_FAULT_ENUM:
        return createHWPointFaultEnumFromString(eDataType, initialValue);
      default:
        throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
    }
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String convertToString(EDataType eDataType, Object instanceValue)
  {
    switch (eDataType.getClassifierID())
    {
      case FailurePackage.HW_MULTIPLE_POINT_FAULT_ENUM:
        return convertHWMultiplePointFaultEnumToString(eDataType, instanceValue);
      case FailurePackage.HW_POINT_FAULT_ENUM:
        return convertHWPointFaultEnumToString(eDataType, instanceValue);
      default:
        throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
    }
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HardwareFailureAnalysis createHardwareFailureAnalysis()
  {
    HardwareFailureAnalysisImpl hardwareFailureAnalysis = new HardwareFailureAnalysisImpl();
    return hardwareFailureAnalysis;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HWFailureRate createHWFailureRate()
  {
    HWFailureRateImpl hwFailureRate = new HWFailureRateImpl();
    return hwFailureRate;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HWFailureMode createHWFailureMode()
  {
    HWFailureModeImpl hwFailureMode = new HWFailureModeImpl();
    return hwFailureMode;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HWFault createHWFault()
  {
    HWFaultImpl hwFault = new HWFaultImpl();
    return hwFault;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HWComponentPrototypeScope createHWComponentPrototypeScope()
  {
    HWComponentPrototypeScopeImpl hwComponentPrototypeScope = new HWComponentPrototypeScopeImpl();
    return hwComponentPrototypeScope;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HwComponentScopeInstanceRef createHwComponentScopeInstanceRef()
  {
    HwComponentScopeInstanceRefImpl hwComponentScopeInstanceRef = new HwComponentScopeInstanceRefImpl();
    return hwComponentScopeInstanceRef;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HWMultiplePointFaultEnum createHWMultiplePointFaultEnumFromString(EDataType eDataType, String initialValue)
  {
    HWMultiplePointFaultEnum result = HWMultiplePointFaultEnum.get(initialValue);
    if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
    return result;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertHWMultiplePointFaultEnumToString(EDataType eDataType, Object instanceValue)
  {
    return instanceValue == null ? null : instanceValue.toString();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HWPointFaultEnum createHWPointFaultEnumFromString(EDataType eDataType, String initialValue)
  {
    HWPointFaultEnum result = HWPointFaultEnum.get(initialValue);
    if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
    return result;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertHWPointFaultEnumToString(EDataType eDataType, Object instanceValue)
  {
    return instanceValue == null ? null : instanceValue.toString();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public FailurePackage getFailurePackage()
  {
    return (FailurePackage)getEPackage();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @deprecated
   * @generated
   */
  @Deprecated
  public static FailurePackage getPackage()
  {
    return FailurePackage.eINSTANCE;
  }

} //FailureFactoryImpl
