/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.failurepart;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.errormodel.malfunction.MalfunctionPrototype;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>HW Part Failure Analysis</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class represent the container for all Hardware Part Failure Analysis (Autosar HWElement) for a malfunction.
 * Each malfunction (as Hardware Failure Mode) must lead to a safety part analysis, so this class contains all the information related to the analysis as :
 * - the relation to the malfunction as the malfunctionPrototype for each analysis
 * - the HwElementPrototypeScope to identify all hardware Autosar Element specific to the context as HWComponentPrototype inside a type composition
 * - the HWComponentQuantifiedFMFromPart Analysis performed on the level of the composition of hardware part for contribution to the malfunction
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis#getHwElementScope <em>Hw Element Scope</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis#getMalfunctionPartAnalysis <em>Malfunction Part Analysis</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis#getQuantifiedHardwareFMFromPart <em>Quantified Hardware FM From Part</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWPartFailureAnalysis()
 * @model annotation="MetaData guid='{5D357B7C-B93D-46f7-8E91-79BA0BC5D857}' id='-701746011' EA\040name='HWPartFailureAnalysis'"
 *        annotation="TaggedValues xml.name='HW-PART-FAILURE-ANALYSIS' xml.namePlural='HW-PART-FAILURE-ANALYSISS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HWPartFailureAnalysis extends EObject
{
  /**
   * Returns the value of the '<em><b>Hw Element Scope</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.hardware.failurepart.HWElementPrototypeScope}.
   * It is bidirectional and its opposite is '{@link safe10.classmodel.hardware.failurepart.HWElementPrototypeScope#getNameWasNotSet_5 <em>Name Was Not Set 5</em>}'.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hw Element Scope</em>' reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hw Element Scope</em>' reference list.
   * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWPartFailureAnalysis_HwElementScope()
   * @see safe10.classmodel.hardware.failurepart.HWElementPrototypeScope#getNameWasNotSet_5
   * @model opposite="NameWasNotSet_5"
   *        annotation="TaggedValues xml.name='HW-ELEMENT-SCOPE-REF' xml.namePlural='HW-ELEMENT-SCOPE-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<HWElementPrototypeScope> getHwElementScope();

  /**
   * Returns the value of the '<em><b>Malfunction Part Analysis</b></em>' reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Malfunction Part Analysis</em>' reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Malfunction Part Analysis</em>' reference.
   * @see #setMalfunctionPartAnalysis(MalfunctionPrototype)
   * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWPartFailureAnalysis_MalfunctionPartAnalysis()
   * @model required="true"
   *        annotation="MetaData guid='{ECA7947F-42D4-4ffa-95F8-E87AABEDA2D6}' id='-500185844' EA\040name=''"
   *        annotation="TaggedValues xml.name='MALFUNCTION-PART-ANALYSIS-REF' xml.namePlural='MALFUNCTION-PART-ANALYSIS-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  MalfunctionPrototype getMalfunctionPartAnalysis();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis#getMalfunctionPartAnalysis <em>Malfunction Part Analysis</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Malfunction Part Analysis</em>' reference.
   * @see #getMalfunctionPartAnalysis()
   * @generated
   */
  void setMalfunctionPartAnalysis(MalfunctionPrototype value);

  /**
   * Returns the value of the '<em><b>Quantified Hardware FM From Part</b></em>' reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Quantified Hardware FM From Part</em>' reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Quantified Hardware FM From Part</em>' reference.
   * @see #setQuantifiedHardwareFMFromPart(HWComponentQuantifiedFMFromPart)
   * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWPartFailureAnalysis_QuantifiedHardwareFMFromPart()
   * @model annotation="MetaData guid='{C687E08C-EE8E-4c15-A70B-68202A370AFF}' id='622194477' EA\040name=''"
   *        annotation="TaggedValues xml.name='QUANTIFIED-HARDWARE-FM-FROM-PART-REF' xml.namePlural='QUANTIFIED-HARDWARE-FM-FROM-PART-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWComponentQuantifiedFMFromPart getQuantifiedHardwareFMFromPart();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis#getQuantifiedHardwareFMFromPart <em>Quantified Hardware FM From Part</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Quantified Hardware FM From Part</em>' reference.
   * @see #getQuantifiedHardwareFMFromPart()
   * @generated
   */
  void setQuantifiedHardwareFMFromPart(HWComponentQuantifiedFMFromPart value);

} // HWPartFailureAnalysis
