/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.failurepart;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>HW Part Failure Rate</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class captures the HWPartFailureRate of a AUTOSAR HWElement. Each AUTOSAR HWElement has one single Part HWFailureRate.
 * 
 * The appropriate Part FailureRate can be derived from e.g. Industry Source.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate#getRationaleScalingFactor <em>Rationale Scaling Factor</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate#getScalingFactor <em>Scaling Factor</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate#getSource <em>Source</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate#getValue <em>Value</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWPartFailureRate()
 * @model annotation="MetaData guid='{21CE4AB9-1EAE-4aeb-AD68-A73C7EC6DBD3}' id='588847846' EA\040name='HWPartFailureRate'"
 *        annotation="TaggedValues xml.name='HW-PART-FAILURE-RATE' xml.namePlural='HW-PART-FAILURE-RATES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HWPartFailureRate extends EObject
{
  /**
   * Returns the value of the '<em><b>Rationale Scaling Factor</b></em>' attribute.
   * The default value is <code>""</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The rationaleScalingFactor shall provide a rationale, if a scaling factor different to 1.0 is applied.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Rationale Scaling Factor</em>' attribute.
   * @see #isSetRationaleScalingFactor()
   * @see #unsetRationaleScalingFactor()
   * @see #setRationaleScalingFactor(String)
   * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWPartFailureRate_RationaleScalingFactor()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.String" required="true"
   *        annotation="MetaData guid='{732BD3DD-47E6-4a1e-9990-651A41AA1F97}' id='1964269167' EA\040name='rationaleScalingFactor'"
   *        annotation="TaggedValues xml.name='RATIONALE-SCALING-FACTOR' xml.namePlural='RATIONALE-SCALING-FACTORS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  String getRationaleScalingFactor();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate#getRationaleScalingFactor <em>Rationale Scaling Factor</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Rationale Scaling Factor</em>' attribute.
   * @see #isSetRationaleScalingFactor()
   * @see #RationaleScalingFactor()
   * @see #getRationaleScalingFactor()
   * @generated
   */
  void setRationaleScalingFactor(String value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate#getRationaleScalingFactor <em>Rationale Scaling Factor</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetRationaleScalingFactor()
   * @see #getRationaleScalingFactor()
   * @see #setRationaleScalingFactor(String)
   * @generated
   */
  void unsetRationaleScalingFactor();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate#getRationaleScalingFactor <em>Rationale Scaling Factor</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Rationale Scaling Factor</em>' attribute is set.
   * @see #RationaleScalingFactor()
   * @see #getRationaleScalingFactor()
   * @see #setRationaleScalingFactor(String)
   * @generated
   */
  boolean isSetRationaleScalingFactor();

  /**
   * Returns the value of the '<em><b>Scaling Factor</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The scalingFactor allows potential scaling between different sources of failure rates as described in ISO Part 5 Annex F.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Scaling Factor</em>' attribute.
   * @see #isSetScalingFactor()
   * @see #unsetScalingFactor()
   * @see #setScalingFactor(Double)
   * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWPartFailureRate_ScalingFactor()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{F20E3DEC-5200-48ea-86F9-D4B41684461D}' id='-1842588796' EA\040name='scalingFactor'"
   *        annotation="TaggedValues xml.name='SCALING-FACTOR' xml.namePlural='SCALING-FACTORS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getScalingFactor();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate#getScalingFactor <em>Scaling Factor</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Scaling Factor</em>' attribute.
   * @see #isSetScalingFactor()
   * @see #ScalingFactor()
   * @see #getScalingFactor()
   * @generated
   */
  void setScalingFactor(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate#getScalingFactor <em>Scaling Factor</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetScalingFactor()
   * @see #getScalingFactor()
   * @see #setScalingFactor(Double)
   * @generated
   */
  void unsetScalingFactor();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate#getScalingFactor <em>Scaling Factor</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Scaling Factor</em>' attribute is set.
   * @see #ScalingFactor()
   * @see #getScalingFactor()
   * @see #setScalingFactor(Double)
   * @generated
   */
  boolean isSetScalingFactor();

  /**
   * Returns the value of the '<em><b>Source</b></em>' attribute.
   * The default value is <code>""</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * FIT rate source shall documented according to possible source as described in ISO 26262 Part 5 8.4.3:
   * a) failure rate from industry source (IEC/TR 62380, IEC 61709, ...)
   * b) statistic based on return field or test
   * c) Expert judgement
   * <!-- end-model-doc -->
   * @return the value of the '<em>Source</em>' attribute.
   * @see #isSetSource()
   * @see #unsetSource()
   * @see #setSource(String)
   * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWPartFailureRate_Source()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.String" required="true"
   *        annotation="MetaData guid='{DD61E4BF-9541-4c90-9102-62FEAF7D75CB}' id='-774683083' EA\040name='source'"
   *        annotation="TaggedValues xml.name='SOURCE' xml.namePlural='SOURCES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  String getSource();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate#getSource <em>Source</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Source</em>' attribute.
   * @see #isSetSource()
   * @see #Source()
   * @see #getSource()
   * @generated
   */
  void setSource(String value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate#getSource <em>Source</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetSource()
   * @see #getSource()
   * @see #setSource(String)
   * @generated
   */
  void unsetSource();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate#getSource <em>Source</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Source</em>' attribute is set.
   * @see #Source()
   * @see #getSource()
   * @see #setSource(String)
   * @generated
   */
  boolean isSetSource();

  /**
   * Returns the value of the '<em><b>Value</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * FIT rate for the hardware part element.
   * 
   * It shall be expressed in FIT.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Value</em>' attribute.
   * @see #isSetValue()
   * @see #unsetValue()
   * @see #setValue(Double)
   * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWPartFailureRate_Value()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{1FB8F0BA-2776-4120-8281-581B6EF75FCF}' id='-143198894' EA\040name='value'"
   *        annotation="TaggedValues xml.name='VALUE' xml.namePlural='VALUES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getValue();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate#getValue <em>Value</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Value</em>' attribute.
   * @see #isSetValue()
   * @see #Value()
   * @see #getValue()
   * @generated
   */
  void setValue(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate#getValue <em>Value</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetValue()
   * @see #getValue()
   * @see #setValue(Double)
   * @generated
   */
  void unsetValue();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate#getValue <em>Value</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Value</em>' attribute is set.
   * @see #Value()
   * @see #getValue()
   * @see #setValue(Double)
   * @generated
   */
  boolean isSetValue();

} // HWPartFailureRate
