/**
 */
package safe10.classmodel.hardware.failurepart.impl;

import autosar40.bswmodule.bswinterfaces.BswinterfacesPackage;

import autosar40.bswmodule.bswoverview.BswoverviewPackage;

import autosar40.commonstructure.modedeclaration.ModedeclarationPackage;

import autosar40.ecuresource.EcuresourcePackage;

import autosar40.swcomponent.components.ComponentsPackage;

import autosar40.swcomponent.composition.CompositionPackage;

import autosar40.swcomponent.datatype.dataprototypes.DataprototypesPackage;

import autosar40.swcomponent.portinterface.PortinterfacePackage;

import autosar40.swcomponent.swcinternalbehavior.SwcinternalbehaviorPackage;

import autosar40.system.SystemPackage;

import eastadl21.east_adl.environment.EnvironmentPackage;

import eastadl21.east_adl.requirements.RequirementsPackage;

import eastadl21.east_adl.structure.featuremodeling.FeaturemodelingPackage;

import eastadl21.east_adl.structure.functionmodeling.FunctionmodelingPackage;

import eastadl21.east_adl.structure.hardwaremodeling.HardwaremodelingPackage;

import eastadl21.east_adl.structure.systemmodeling.SystemmodelingPackage;

import eastadl21.east_adl.structure.vehiclefeaturemodeling.VehiclefeaturemodelingPackage;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.emf.ecore.impl.EPackageImpl;

import safe10.classmodel.commonstructure.datatypes.DatatypesPackage;

import safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl;

import safe10.classmodel.commonstructure.formulaexpression.FormulaexpressionPackage;

import safe10.classmodel.commonstructure.formulaexpression.impl.FormulaexpressionPackageImpl;

import safe10.classmodel.commonstructure.references.ReferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.ChromosomereferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.impl.ChromosomereferencesPackageImpl;

import safe10.classmodel.commonstructure.references.impl.ReferencesPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage;

import safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.TechnicalsafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

import safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl;

import safe10.classmodel.configuration.ConfigurationPackage;

import safe10.classmodel.configuration.impl.ConfigurationPackageImpl;

import safe10.classmodel.errormodel.ErrormodelPackage;

import safe10.classmodel.errormodel._instanceref._instancerefPackage;

import safe10.classmodel.errormodel._instanceref.impl._instancerefPackageImpl;

import safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage;

import safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl;

import safe10.classmodel.errormodel.errormodeltype.ErrormodeltypePackage;

import safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl;

import safe10.classmodel.errormodel.impl.ErrormodelPackageImpl;

import safe10.classmodel.errormodel.malfunction.MalfunctionPackage;

import safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl;

import safe10.classmodel.hardware.failure.FailurePackage;

import safe10.classmodel.hardware.failure.impl.FailurePackageImpl;

import safe10.classmodel.hardware.failureformula.FailureformulaPackage;

import safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl;

import safe10.classmodel.hardware.failurepart.FailurepartFactory;
import safe10.classmodel.hardware.failurepart.FailurepartPackage;
import safe10.classmodel.hardware.failurepart.HWComponentQuantifiedFMFromPart;
import safe10.classmodel.hardware.failurepart.HWElementPrototypeScope;
import safe10.classmodel.hardware.failurepart.HWElementScopeInstanceRef;
import safe10.classmodel.hardware.failurepart.HWPartFailure;
import safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis;
import safe10.classmodel.hardware.failurepart.HWPartFailureMode;
import safe10.classmodel.hardware.failurepart.HWPartFailureRate;

import safe10.classmodel.hardware.hwarchitecturalmetrics.HwarchitecturalmetricsPackage;

import safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl;

import safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage;

import safe10.classmodel.hardware.hwquantitativemeasure.impl.HwquantitativemeasurePackageImpl;

import safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage;

import safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl;

import safe10.classmodel.hazards.HazardsPackage;

import safe10.classmodel.hazards.impl.HazardsPackageImpl;

import safe10.classmodel.requirements.impl.RequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.SoftwaresafetyrequirementsPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatormonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.impl.ActuatormonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.impl.AlivenessmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.impl.ComparisonPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.impl.ContextrangecheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.impl.CpuselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CrcchecksumPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.impl.CrcchecksumPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.FilterPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.impl.FilterPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientcheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.impl.GradientcheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.impl.HealthmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.impl.SoftwaresafetyrequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.MemoryselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.impl.MemoryselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.impl.VotingPackageImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class FailurepartPackageImpl extends EPackageImpl implements FailurepartPackage
{
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hwComponentQuantifiedFMFromPartEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hwElementPrototypeScopeEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hwPartFailureEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hwPartFailureAnalysisEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hwPartFailureModeEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hwPartFailureRateEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hwElementScopeInstanceRefEClass = null;

  /**
   * Creates an instance of the model <b>Package</b>, registered with
   * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
   * package URI value.
   * <p>Note: the correct way to create the package is via the static
   * factory method {@link #init init()}, which also performs
   * initialization of the package, or returns the registered package,
   * if one already exists.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.emf.ecore.EPackage.Registry
   * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#eNS_URI
   * @see #init()
   * @generated
   */
  private FailurepartPackageImpl()
  {
    super(eNS_URI, FailurepartFactory.eINSTANCE);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static boolean isInited = false;

  /**
   * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
   * 
   * <p>This method is used to initialize {@link FailurepartPackage#eINSTANCE} when that field is accessed.
   * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #eNS_URI
   * @see #createPackageContents()
   * @see #initializePackageContents()
   * @generated
   */
  public static FailurepartPackage init()
  {
    if (isInited) return (FailurepartPackage)EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI);

    // Obtain or create and register package
    FailurepartPackageImpl theFailurepartPackage = (FailurepartPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof FailurepartPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new FailurepartPackageImpl());

    isInited = true;

    // Initialize simple dependencies
    SystemmodelingPackage.eINSTANCE.eClass();
    FeaturemodelingPackage.eINSTANCE.eClass();
    VehiclefeaturemodelingPackage.eINSTANCE.eClass();
    FunctionmodelingPackage.eINSTANCE.eClass();
    HardwaremodelingPackage.eINSTANCE.eClass();
    RequirementsPackage.eINSTANCE.eClass();
    EnvironmentPackage.eINSTANCE.eClass();
    EcuresourcePackage.eINSTANCE.eClass();
    ModedeclarationPackage.eINSTANCE.eClass();
    DataprototypesPackage.eINSTANCE.eClass();
    CompositionPackage.eINSTANCE.eClass();
    ComponentsPackage.eINSTANCE.eClass();
    PortinterfacePackage.eINSTANCE.eClass();
    SwcinternalbehaviorPackage.eINSTANCE.eClass();
    SystemPackage.eINSTANCE.eClass();
    BswoverviewPackage.eINSTANCE.eClass();
    BswinterfacesPackage.eINSTANCE.eClass();

    // Obtain or create and register interdependencies
    DatatypesPackageImpl theDatatypesPackage = (DatatypesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) instanceof DatatypesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) : DatatypesPackage.eINSTANCE);
    FormulaexpressionPackageImpl theFormulaexpressionPackage = (FormulaexpressionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) instanceof FormulaexpressionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) : FormulaexpressionPackage.eINSTANCE);
    ReferencesPackageImpl theReferencesPackage = (ReferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) instanceof ReferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) : ReferencesPackage.eINSTANCE);
    ChromosomereferencesPackageImpl theChromosomereferencesPackage = (ChromosomereferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) instanceof ChromosomereferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) : ChromosomereferencesPackage.eINSTANCE);
    SafetyextensionsPackageImpl theSafetyextensionsPackage = (SafetyextensionsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) instanceof SafetyextensionsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) : SafetyextensionsPackage.eINSTANCE);
    SoftwaresafetyextensionPackageImpl theSoftwaresafetyextensionPackage = (SoftwaresafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) instanceof SoftwaresafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) : SoftwaresafetyextensionPackage.eINSTANCE);
    TechnicalsafetyextensionPackageImpl theTechnicalsafetyextensionPackage = (TechnicalsafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) instanceof TechnicalsafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) : TechnicalsafetyextensionPackage.eINSTANCE);
    ToplevelPackageImpl theToplevelPackage = (ToplevelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) instanceof ToplevelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) : ToplevelPackage.eINSTANCE);
    ConfigurationPackageImpl theConfigurationPackage = (ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) instanceof ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) : ConfigurationPackage.eINSTANCE);
    ErrormodelPackageImpl theErrormodelPackage = (ErrormodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) instanceof ErrormodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) : ErrormodelPackage.eINSTANCE);
    _instancerefPackageImpl the_instancerefPackage = (_instancerefPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) instanceof _instancerefPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) : _instancerefPackage.eINSTANCE);
    ErrorbehaviorPackageImpl theErrorbehaviorPackage = (ErrorbehaviorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) instanceof ErrorbehaviorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) : ErrorbehaviorPackage.eINSTANCE);
    ErrormodeltypePackageImpl theErrormodeltypePackage = (ErrormodeltypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) instanceof ErrormodeltypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) : ErrormodeltypePackage.eINSTANCE);
    MalfunctionPackageImpl theMalfunctionPackage = (MalfunctionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) instanceof MalfunctionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) : MalfunctionPackage.eINSTANCE);
    FailureformulaPackageImpl theFailureformulaPackage = (FailureformulaPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) instanceof FailureformulaPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) : FailureformulaPackage.eINSTANCE);
    FailurePackageImpl theFailurePackage = (FailurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) instanceof FailurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) : FailurePackage.eINSTANCE);
    HwquantitativemeasurePackageImpl theHwquantitativemeasurePackage = (HwquantitativemeasurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) instanceof HwquantitativemeasurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) : HwquantitativemeasurePackage.eINSTANCE);
    HwarchitecturalmetricsPackageImpl theHwarchitecturalmetricsPackage = (HwarchitecturalmetricsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) instanceof HwarchitecturalmetricsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) : HwarchitecturalmetricsPackage.eINSTANCE);
    ProbabilisticmethodsPackageImpl theProbabilisticmethodsPackage = (ProbabilisticmethodsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) instanceof ProbabilisticmethodsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) : ProbabilisticmethodsPackage.eINSTANCE);
    HazardsPackageImpl theHazardsPackage = (HazardsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) instanceof HazardsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) : HazardsPackage.eINSTANCE);
    RequirementsPackageImpl theRequirementsPackage_1 = (RequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) instanceof RequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) : safe10.classmodel.requirements.RequirementsPackage.eINSTANCE);
    SoftwaresafetyrequirementsPackageImpl theSoftwaresafetyrequirementsPackage = (SoftwaresafetyrequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) instanceof SoftwaresafetyrequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) : SoftwaresafetyrequirementsPackage.eINSTANCE);
    AlivenessmonitorPackageImpl theAlivenessmonitorPackage = (AlivenessmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) instanceof AlivenessmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) : AlivenessmonitorPackage.eINSTANCE);
    ActuatormonitorPackageImpl theActuatormonitorPackage = (ActuatormonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) instanceof ActuatormonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) : ActuatormonitorPackage.eINSTANCE);
    CrcchecksumPackageImpl theCrcchecksumPackage = (CrcchecksumPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) instanceof CrcchecksumPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) : CrcchecksumPackage.eINSTANCE);
    ComparisonPackageImpl theComparisonPackage = (ComparisonPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) instanceof ComparisonPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) : ComparisonPackage.eINSTANCE);
    ContextrangecheckPackageImpl theContextrangecheckPackage = (ContextrangecheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) instanceof ContextrangecheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) : ContextrangecheckPackage.eINSTANCE);
    CpuselftestPackageImpl theCpuselftestPackage = (CpuselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) instanceof CpuselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) : CpuselftestPackage.eINSTANCE);
    FilterPackageImpl theFilterPackage = (FilterPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) instanceof FilterPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) : FilterPackage.eINSTANCE);
    GradientcheckPackageImpl theGradientcheckPackage = (GradientcheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) instanceof GradientcheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) : GradientcheckPackage.eINSTANCE);
    HealthmonitorPackageImpl theHealthmonitorPackage = (HealthmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) instanceof HealthmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) : HealthmonitorPackage.eINSTANCE);
    HeartbeatPackageImpl theHeartbeatPackage = (HeartbeatPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) instanceof HeartbeatPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) : HeartbeatPackage.eINSTANCE);
    MemoryselftestPackageImpl theMemoryselftestPackage = (MemoryselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) instanceof MemoryselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) : MemoryselftestPackage.eINSTANCE);
    VotingPackageImpl theVotingPackage = (VotingPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) instanceof VotingPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) : VotingPackage.eINSTANCE);
    safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl theConfigurationPackage_1 = (safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) instanceof safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) : safe10.classmodel.software.configuration.ConfigurationPackage.eINSTANCE);

    // Create package meta-data objects
    theFailurepartPackage.createPackageContents();
    theDatatypesPackage.createPackageContents();
    theFormulaexpressionPackage.createPackageContents();
    theReferencesPackage.createPackageContents();
    theChromosomereferencesPackage.createPackageContents();
    theSafetyextensionsPackage.createPackageContents();
    theSoftwaresafetyextensionPackage.createPackageContents();
    theTechnicalsafetyextensionPackage.createPackageContents();
    theToplevelPackage.createPackageContents();
    theConfigurationPackage.createPackageContents();
    theErrormodelPackage.createPackageContents();
    the_instancerefPackage.createPackageContents();
    theErrorbehaviorPackage.createPackageContents();
    theErrormodeltypePackage.createPackageContents();
    theMalfunctionPackage.createPackageContents();
    theFailureformulaPackage.createPackageContents();
    theFailurePackage.createPackageContents();
    theHwquantitativemeasurePackage.createPackageContents();
    theHwarchitecturalmetricsPackage.createPackageContents();
    theProbabilisticmethodsPackage.createPackageContents();
    theHazardsPackage.createPackageContents();
    theRequirementsPackage_1.createPackageContents();
    theSoftwaresafetyrequirementsPackage.createPackageContents();
    theAlivenessmonitorPackage.createPackageContents();
    theActuatormonitorPackage.createPackageContents();
    theCrcchecksumPackage.createPackageContents();
    theComparisonPackage.createPackageContents();
    theContextrangecheckPackage.createPackageContents();
    theCpuselftestPackage.createPackageContents();
    theFilterPackage.createPackageContents();
    theGradientcheckPackage.createPackageContents();
    theHealthmonitorPackage.createPackageContents();
    theHeartbeatPackage.createPackageContents();
    theMemoryselftestPackage.createPackageContents();
    theVotingPackage.createPackageContents();
    theConfigurationPackage_1.createPackageContents();

    // Initialize created meta-data
    theFailurepartPackage.initializePackageContents();
    theDatatypesPackage.initializePackageContents();
    theFormulaexpressionPackage.initializePackageContents();
    theReferencesPackage.initializePackageContents();
    theChromosomereferencesPackage.initializePackageContents();
    theSafetyextensionsPackage.initializePackageContents();
    theSoftwaresafetyextensionPackage.initializePackageContents();
    theTechnicalsafetyextensionPackage.initializePackageContents();
    theToplevelPackage.initializePackageContents();
    theConfigurationPackage.initializePackageContents();
    theErrormodelPackage.initializePackageContents();
    the_instancerefPackage.initializePackageContents();
    theErrorbehaviorPackage.initializePackageContents();
    theErrormodeltypePackage.initializePackageContents();
    theMalfunctionPackage.initializePackageContents();
    theFailureformulaPackage.initializePackageContents();
    theFailurePackage.initializePackageContents();
    theHwquantitativemeasurePackage.initializePackageContents();
    theHwarchitecturalmetricsPackage.initializePackageContents();
    theProbabilisticmethodsPackage.initializePackageContents();
    theHazardsPackage.initializePackageContents();
    theRequirementsPackage_1.initializePackageContents();
    theSoftwaresafetyrequirementsPackage.initializePackageContents();
    theAlivenessmonitorPackage.initializePackageContents();
    theActuatormonitorPackage.initializePackageContents();
    theCrcchecksumPackage.initializePackageContents();
    theComparisonPackage.initializePackageContents();
    theContextrangecheckPackage.initializePackageContents();
    theCpuselftestPackage.initializePackageContents();
    theFilterPackage.initializePackageContents();
    theGradientcheckPackage.initializePackageContents();
    theHealthmonitorPackage.initializePackageContents();
    theHeartbeatPackage.initializePackageContents();
    theMemoryselftestPackage.initializePackageContents();
    theVotingPackage.initializePackageContents();
    theConfigurationPackage_1.initializePackageContents();

    // Mark meta-data to indicate it can't be changed
    theFailurepartPackage.freeze();

  
    // Update the registry and return the package
    EPackage.Registry.INSTANCE.put(FailurepartPackage.eNS_URI, theFailurepartPackage);
    return theFailurepartPackage;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHWComponentQuantifiedFMFromPart()
  {
    return hwComponentQuantifiedFMFromPartEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWComponentQuantifiedFMFromPart_LambdaFailureMode()
  {
    return (EAttribute)hwComponentQuantifiedFMFromPartEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWComponentQuantifiedFMFromPart_HwCQFMlambdaFailureModeValue()
  {
    return (EReference)hwComponentQuantifiedFMFromPartEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHWElementPrototypeScope()
  {
    return hwElementPrototypeScopeEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWElementPrototypeScope_SafetyRelated()
  {
    return (EAttribute)hwElementPrototypeScopeEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWElementPrototypeScope_NameWasNotSet_5()
  {
    return (EReference)hwElementPrototypeScopeEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWElementPrototypeScope_HwElementScopeInstanceRefContext()
  {
    return (EReference)hwElementPrototypeScopeEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHWPartFailure()
  {
    return hwPartFailureEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWPartFailure_NameWasNotSet_6()
  {
    return (EReference)hwPartFailureEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWPartFailure_HwPartFailureMode()
  {
    return (EReference)hwPartFailureEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWPartFailure_HwPartFailureRate()
  {
    return (EReference)hwPartFailureEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHWPartFailureAnalysis()
  {
    return hwPartFailureAnalysisEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWPartFailureAnalysis_HwElementScope()
  {
    return (EReference)hwPartFailureAnalysisEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWPartFailureAnalysis_MalfunctionPartAnalysis()
  {
    return (EReference)hwPartFailureAnalysisEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWPartFailureAnalysis_QuantifiedHardwareFMFromPart()
  {
    return (EReference)hwPartFailureAnalysisEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHWPartFailureMode()
  {
    return hwPartFailureModeEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWPartFailureMode_PartFailureModeType()
  {
    return (EAttribute)hwPartFailureModeEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWPartFailureMode_FailureRateDistribution()
  {
    return (EAttribute)hwPartFailureModeEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWPartFailureMode_PartPotentialCause()
  {
    return (EAttribute)hwPartFailureModeEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHWPartFailureRate()
  {
    return hwPartFailureRateEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWPartFailureRate_RationaleScalingFactor()
  {
    return (EAttribute)hwPartFailureRateEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWPartFailureRate_ScalingFactor()
  {
    return (EAttribute)hwPartFailureRateEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWPartFailureRate_Source()
  {
    return (EAttribute)hwPartFailureRateEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWPartFailureRate_Value()
  {
    return (EAttribute)hwPartFailureRateEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHWElementScopeInstanceRef()
  {
    return hwElementScopeInstanceRefEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWElementScopeInstanceRef_ContextHwElementScope()
  {
    return (EReference)hwElementScopeInstanceRefEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWElementScopeInstanceRef_BaseHardwareElementScope()
  {
    return (EReference)hwElementScopeInstanceRefEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWElementScopeInstanceRef_TargetHwElementScope()
  {
    return (EReference)hwElementScopeInstanceRefEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public FailurepartFactory getFailurepartFactory()
  {
    return (FailurepartFactory)getEFactoryInstance();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isCreated = false;

  /**
   * Creates the meta-model objects for the package.  This method is
   * guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void createPackageContents()
  {
    if (isCreated) return;
    isCreated = true;

    // Create classes and their features
    hwComponentQuantifiedFMFromPartEClass = createEClass(HW_COMPONENT_QUANTIFIED_FM_FROM_PART);
    createEAttribute(hwComponentQuantifiedFMFromPartEClass, HW_COMPONENT_QUANTIFIED_FM_FROM_PART__LAMBDA_FAILURE_MODE);
    createEReference(hwComponentQuantifiedFMFromPartEClass, HW_COMPONENT_QUANTIFIED_FM_FROM_PART__HW_CQF_MLAMBDA_FAILURE_MODE_VALUE);

    hwElementPrototypeScopeEClass = createEClass(HW_ELEMENT_PROTOTYPE_SCOPE);
    createEAttribute(hwElementPrototypeScopeEClass, HW_ELEMENT_PROTOTYPE_SCOPE__SAFETY_RELATED);
    createEReference(hwElementPrototypeScopeEClass, HW_ELEMENT_PROTOTYPE_SCOPE__NAME_WAS_NOT_SET_5);
    createEReference(hwElementPrototypeScopeEClass, HW_ELEMENT_PROTOTYPE_SCOPE__HW_ELEMENT_SCOPE_INSTANCE_REF_CONTEXT);

    hwPartFailureEClass = createEClass(HW_PART_FAILURE);
    createEReference(hwPartFailureEClass, HW_PART_FAILURE__NAME_WAS_NOT_SET_6);
    createEReference(hwPartFailureEClass, HW_PART_FAILURE__HW_PART_FAILURE_MODE);
    createEReference(hwPartFailureEClass, HW_PART_FAILURE__HW_PART_FAILURE_RATE);

    hwPartFailureAnalysisEClass = createEClass(HW_PART_FAILURE_ANALYSIS);
    createEReference(hwPartFailureAnalysisEClass, HW_PART_FAILURE_ANALYSIS__HW_ELEMENT_SCOPE);
    createEReference(hwPartFailureAnalysisEClass, HW_PART_FAILURE_ANALYSIS__MALFUNCTION_PART_ANALYSIS);
    createEReference(hwPartFailureAnalysisEClass, HW_PART_FAILURE_ANALYSIS__QUANTIFIED_HARDWARE_FM_FROM_PART);

    hwPartFailureModeEClass = createEClass(HW_PART_FAILURE_MODE);
    createEAttribute(hwPartFailureModeEClass, HW_PART_FAILURE_MODE__PART_FAILURE_MODE_TYPE);
    createEAttribute(hwPartFailureModeEClass, HW_PART_FAILURE_MODE__FAILURE_RATE_DISTRIBUTION);
    createEAttribute(hwPartFailureModeEClass, HW_PART_FAILURE_MODE__PART_POTENTIAL_CAUSE);

    hwPartFailureRateEClass = createEClass(HW_PART_FAILURE_RATE);
    createEAttribute(hwPartFailureRateEClass, HW_PART_FAILURE_RATE__RATIONALE_SCALING_FACTOR);
    createEAttribute(hwPartFailureRateEClass, HW_PART_FAILURE_RATE__SCALING_FACTOR);
    createEAttribute(hwPartFailureRateEClass, HW_PART_FAILURE_RATE__SOURCE);
    createEAttribute(hwPartFailureRateEClass, HW_PART_FAILURE_RATE__VALUE);

    hwElementScopeInstanceRefEClass = createEClass(HW_ELEMENT_SCOPE_INSTANCE_REF);
    createEReference(hwElementScopeInstanceRefEClass, HW_ELEMENT_SCOPE_INSTANCE_REF__CONTEXT_HW_ELEMENT_SCOPE);
    createEReference(hwElementScopeInstanceRefEClass, HW_ELEMENT_SCOPE_INSTANCE_REF__BASE_HARDWARE_ELEMENT_SCOPE);
    createEReference(hwElementScopeInstanceRefEClass, HW_ELEMENT_SCOPE_INSTANCE_REF__TARGET_HW_ELEMENT_SCOPE);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isInitialized = false;

  /**
   * Complete the initialization of the package and its meta-model.  This
   * method is guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void initializePackageContents()
  {
    if (isInitialized) return;
    isInitialized = true;

    // Initialize package
    setName(eNAME);
    setNsPrefix(eNS_PREFIX);
    setNsURI(eNS_URI);

    // Obtain other dependent packages
    ToplevelPackage theToplevelPackage = (ToplevelPackage)EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI);
    DatatypesPackage theDatatypesPackage = (DatatypesPackage)EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI);
    FailureformulaPackage theFailureformulaPackage = (FailureformulaPackage)EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI);
    SafetyextensionsPackage theSafetyextensionsPackage = (SafetyextensionsPackage)EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI);
    MalfunctionPackage theMalfunctionPackage = (MalfunctionPackage)EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI);
    EcuresourcePackage theEcuresourcePackage = (EcuresourcePackage)EPackage.Registry.INSTANCE.getEPackage(EcuresourcePackage.eNS_URI);

    // Create type parameters

    // Set bounds for type parameters

    // Add supertypes to classes
    hwComponentQuantifiedFMFromPartEClass.getESuperTypes().add(theToplevelPackage.getReferrable());

    // Initialize classes and features; add operations and parameters
    initEClass(hwComponentQuantifiedFMFromPartEClass, HWComponentQuantifiedFMFromPart.class, "HWComponentQuantifiedFMFromPart", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getHWComponentQuantifiedFMFromPart_LambdaFailureMode(), theDatatypesPackage.getFloat(), "lambdaFailureMode", "0.0", 1, 1, HWComponentQuantifiedFMFromPart.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWComponentQuantifiedFMFromPart_HwCQFMlambdaFailureModeValue(), theFailureformulaPackage.getHWLambdaPartFormula(), null, "hwCQFMlambdaFailureModeValue", null, 1, 1, HWComponentQuantifiedFMFromPart.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hwElementPrototypeScopeEClass, HWElementPrototypeScope.class, "HWElementPrototypeScope", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getHWElementPrototypeScope_SafetyRelated(), theDatatypesPackage.getBoolean(), "safetyRelated", "false", 1, 1, HWElementPrototypeScope.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWElementPrototypeScope_NameWasNotSet_5(), this.getHWPartFailureAnalysis(), this.getHWPartFailureAnalysis_HwElementScope(), "NameWasNotSet_5", null, 0, 1, HWElementPrototypeScope.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWElementPrototypeScope_HwElementScopeInstanceRefContext(), this.getHWElementScopeInstanceRef(), null, "hwElementScopeInstanceRefContext", null, 1, 1, HWElementPrototypeScope.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hwPartFailureEClass, HWPartFailure.class, "HWPartFailure", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getHWPartFailure_NameWasNotSet_6(), theSafetyextensionsPackage.getHardwareImplementationSafetyExtension(), theSafetyextensionsPackage.getHardwareImplementationSafetyExtension_RamdomHardwarePartFailure(), "NameWasNotSet_6", null, 0, 1, HWPartFailure.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWPartFailure_HwPartFailureMode(), this.getHWPartFailureMode(), null, "hwPartFailureMode", null, 0, -1, HWPartFailure.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWPartFailure_HwPartFailureRate(), this.getHWPartFailureRate(), null, "hwPartFailureRate", null, 1, 1, HWPartFailure.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hwPartFailureAnalysisEClass, HWPartFailureAnalysis.class, "HWPartFailureAnalysis", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getHWPartFailureAnalysis_HwElementScope(), this.getHWElementPrototypeScope(), this.getHWElementPrototypeScope_NameWasNotSet_5(), "hwElementScope", null, 0, -1, HWPartFailureAnalysis.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWPartFailureAnalysis_MalfunctionPartAnalysis(), theMalfunctionPackage.getMalfunctionPrototype(), null, "malfunctionPartAnalysis", null, 1, 1, HWPartFailureAnalysis.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWPartFailureAnalysis_QuantifiedHardwareFMFromPart(), this.getHWComponentQuantifiedFMFromPart(), null, "quantifiedHardwareFMFromPart", null, 0, 1, HWPartFailureAnalysis.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hwPartFailureModeEClass, HWPartFailureMode.class, "HWPartFailureMode", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getHWPartFailureMode_PartFailureModeType(), theDatatypesPackage.getString(), "partFailureModeType", "", 1, 1, HWPartFailureMode.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWPartFailureMode_FailureRateDistribution(), theDatatypesPackage.getInteger(), "FailureRateDistribution", "0", 1, 1, HWPartFailureMode.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWPartFailureMode_PartPotentialCause(), theDatatypesPackage.getString(), "partPotentialCause", "", 1, 1, HWPartFailureMode.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hwPartFailureRateEClass, HWPartFailureRate.class, "HWPartFailureRate", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getHWPartFailureRate_RationaleScalingFactor(), theDatatypesPackage.getString(), "rationaleScalingFactor", "", 1, 1, HWPartFailureRate.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWPartFailureRate_ScalingFactor(), theDatatypesPackage.getFloat(), "scalingFactor", "0.0", 1, 1, HWPartFailureRate.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWPartFailureRate_Source(), theDatatypesPackage.getString(), "source", "", 1, 1, HWPartFailureRate.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWPartFailureRate_Value(), theDatatypesPackage.getFloat(), "value", "0.0", 1, 1, HWPartFailureRate.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hwElementScopeInstanceRefEClass, HWElementScopeInstanceRef.class, "HWElementScopeInstanceRef", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getHWElementScopeInstanceRef_ContextHwElementScope(), theEcuresourcePackage.getHwElement(), null, "ContextHwElementScope", null, 0, 1, HWElementScopeInstanceRef.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWElementScopeInstanceRef_BaseHardwareElementScope(), theEcuresourcePackage.getHwElement(), null, "baseHardwareElementScope", null, 0, 1, HWElementScopeInstanceRef.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWElementScopeInstanceRef_TargetHwElementScope(), theEcuresourcePackage.getHwElement(), null, "targetHwElementScope", null, 1, 1, HWElementScopeInstanceRef.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    // Create resource
    createResource(eNS_URI);

    // Create annotations
    // MetaData
    createMetaDataAnnotations();
    // TaggedValues
    createTaggedValuesAnnotations();
    // EAAdapter
    createEAAdapterAnnotations();
    // Stereotype
    createStereotypeAnnotations();
  }

  /**
   * Initializes the annotations for <b>MetaData</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createMetaDataAnnotations()
  {
    String source = "MetaData";		
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "guid", "{040713A6-0199-4fa0-B9DB-58C6543AB40D}",
       "id", "1366382536",
       "EA name", "FailurePart"
       });				
    addAnnotation
      (hwComponentQuantifiedFMFromPartEClass, 
       source, 
       new String[] 
       {
       "guid", "{726B19DF-2C80-416c-B58E-DF85CEA7F3AA}",
       "id", "456355323",
       "EA name", "HWComponentQuantifiedFMFromPart"
       });					
    addAnnotation
      (getHWComponentQuantifiedFMFromPart_LambdaFailureMode(), 
       source, 
       new String[] 
       {
       "guid", "{C0259858-5320-4e3f-A944-45DBDFAC0828}",
       "id", "-728115424",
       "EA name", "lambdaFailureMode"
       });					
    addAnnotation
      (getHWComponentQuantifiedFMFromPart_HwCQFMlambdaFailureModeValue(), 
       source, 
       new String[] 
       {
       "guid", "{64AF4971-5CEE-4991-9DF0-4E265FB60A7E}",
       "id", "405641111",
       "EA name", ""
       });				
    addAnnotation
      (hwElementPrototypeScopeEClass, 
       source, 
       new String[] 
       {
       "guid", "{56EFC5F4-FD04-49da-8632-7956D475CF7B}",
       "id", "-1763263864",
       "EA name", "HWElementPrototypeScope"
       });					
    addAnnotation
      (getHWElementPrototypeScope_SafetyRelated(), 
       source, 
       new String[] 
       {
       "guid", "{DD9A0D1D-972D-4fe8-9C44-DCF3DBEBFC44}",
       "id", "-1786580556",
       "EA name", "safetyRelated"
       });					
    addAnnotation
      (getHWElementPrototypeScope_NameWasNotSet_5(), 
       source, 
       new String[] 
       {
       "guid", "{8C9EDB06-1EA5-4626-9E6C-A4FC8B13C4C5}",
       "id", "-1562844396",
       "EA name", ""
       });				
    addAnnotation
      (getHWElementPrototypeScope_HwElementScopeInstanceRefContext(), 
       source, 
       new String[] 
       {
       "guid", "{A64CAB43-407F-4661-96DD-6A87EA12E223}",
       "id", "1904714137",
       "EA name", ""
       });				
    addAnnotation
      (hwPartFailureEClass, 
       source, 
       new String[] 
       {
       "guid", "{0AEB08CF-B1E5-45d4-BC94-281F8E6A39BE}",
       "id", "-1697592469",
       "EA name", "HWPartFailure"
       });					
    addAnnotation
      (getHWPartFailure_NameWasNotSet_6(), 
       source, 
       new String[] 
       {
       "guid", "{BD4D6686-7DD8-4a72-A20A-7BD0381B3E39}",
       "id", "-327469539",
       "EA name", ""
       });				
    addAnnotation
      (getHWPartFailure_HwPartFailureMode(), 
       source, 
       new String[] 
       {
       "guid", "{D7C1FBA7-00D0-43ce-A3FF-D70872E1404C}",
       "id", "302887607",
       "EA name", ""
       });				
    addAnnotation
      (getHWPartFailure_HwPartFailureRate(), 
       source, 
       new String[] 
       {
       "guid", "{E20101F2-231F-4f30-85C4-BBAEC1D992D3}",
       "id", "-917555274",
       "EA name", ""
       });				
    addAnnotation
      (hwPartFailureAnalysisEClass, 
       source, 
       new String[] 
       {
       "guid", "{5D357B7C-B93D-46f7-8E91-79BA0BC5D857}",
       "id", "-701746011",
       "EA name", "HWPartFailureAnalysis"
       });							
    addAnnotation
      (getHWPartFailureAnalysis_MalfunctionPartAnalysis(), 
       source, 
       new String[] 
       {
       "guid", "{ECA7947F-42D4-4ffa-95F8-E87AABEDA2D6}",
       "id", "-500185844",
       "EA name", ""
       });				
    addAnnotation
      (getHWPartFailureAnalysis_QuantifiedHardwareFMFromPart(), 
       source, 
       new String[] 
       {
       "guid", "{C687E08C-EE8E-4c15-A70B-68202A370AFF}",
       "id", "622194477",
       "EA name", ""
       });				
    addAnnotation
      (hwPartFailureModeEClass, 
       source, 
       new String[] 
       {
       "guid", "{0A9E2147-2B2C-4c8c-9CB7-D6C6023CEA0B}",
       "id", "1226885119",
       "EA name", "HWPartFailureMode"
       });					
    addAnnotation
      (getHWPartFailureMode_PartFailureModeType(), 
       source, 
       new String[] 
       {
       "guid", "{0893FFFD-1237-4590-9760-C4F558DA2E9B}",
       "id", "1476004421",
       "EA name", "partFailureModeType"
       });					
    addAnnotation
      (getHWPartFailureMode_FailureRateDistribution(), 
       source, 
       new String[] 
       {
       "guid", "{8783BE94-14A7-4304-8386-2C7E2AB653AE}",
       "id", "-1825422892",
       "EA name", "FailureRateDistribution"
       });					
    addAnnotation
      (getHWPartFailureMode_PartPotentialCause(), 
       source, 
       new String[] 
       {
       "guid", "{39B5E2BC-D226-46f6-BE22-D93B0495283D}",
       "id", "342740002",
       "EA name", "partPotentialCause"
       });					
    addAnnotation
      (hwPartFailureRateEClass, 
       source, 
       new String[] 
       {
       "guid", "{21CE4AB9-1EAE-4aeb-AD68-A73C7EC6DBD3}",
       "id", "588847846",
       "EA name", "HWPartFailureRate"
       });					
    addAnnotation
      (getHWPartFailureRate_RationaleScalingFactor(), 
       source, 
       new String[] 
       {
       "guid", "{732BD3DD-47E6-4a1e-9990-651A41AA1F97}",
       "id", "1964269167",
       "EA name", "rationaleScalingFactor"
       });					
    addAnnotation
      (getHWPartFailureRate_ScalingFactor(), 
       source, 
       new String[] 
       {
       "guid", "{F20E3DEC-5200-48ea-86F9-D4B41684461D}",
       "id", "-1842588796",
       "EA name", "scalingFactor"
       });					
    addAnnotation
      (getHWPartFailureRate_Source(), 
       source, 
       new String[] 
       {
       "guid", "{DD61E4BF-9541-4c90-9102-62FEAF7D75CB}",
       "id", "-774683083",
       "EA name", "source"
       });					
    addAnnotation
      (getHWPartFailureRate_Value(), 
       source, 
       new String[] 
       {
       "guid", "{1FB8F0BA-2776-4120-8281-581B6EF75FCF}",
       "id", "-143198894",
       "EA name", "value"
       });					
    addAnnotation
      (hwElementScopeInstanceRefEClass, 
       source, 
       new String[] 
       {
       "guid", "{9A9E1A06-E68C-4ad9-A08E-098B629DBA56}",
       "id", "615265462",
       "EA name", "HWElementScopeInstanceRef"
       });						
    addAnnotation
      (getHWElementScopeInstanceRef_ContextHwElementScope(), 
       source, 
       new String[] 
       {
       "guid", "{7592424C-B20E-4aef-B591-B7D76B6BCD67}",
       "id", "-306464718",
       "EA name", ""
       });				
    addAnnotation
      (getHWElementScopeInstanceRef_BaseHardwareElementScope(), 
       source, 
       new String[] 
       {
       "guid", "{B1A071E8-3847-4413-9E49-1F26F1DD3947}",
       "id", "66866379",
       "EA name", ""
       });				
    addAnnotation
      (getHWElementScopeInstanceRef_TargetHwElementScope(), 
       source, 
       new String[] 
       {
       "guid", "{6912406C-FABF-4bba-8B4D-FFDD6C5B3AC0}",
       "id", "350368819",
       "EA name", ""
       });		
  }

  /**
   * Initializes the annotations for <b>TaggedValues</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createTaggedValuesAnnotations()
  {
    String source = "TaggedValues";			
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "xml.name", "FAILUREPART",
       "xml.namePlural", "FAILUREPARTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (hwComponentQuantifiedFMFromPartEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HW-COMPONENT-QUANTIFIED-FM-FROM-PART",
       "xml.namePlural", "HW-COMPONENT-QUANTIFIED-FM-FROM-PARTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getHWComponentQuantifiedFMFromPart_LambdaFailureMode(), 
       source, 
       new String[] 
       {
       "xml.name", "LAMBDA-FAILURE-MODE",
       "xml.namePlural", "LAMBDA-FAILURE-MODES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWComponentQuantifiedFMFromPart_HwCQFMlambdaFailureModeValue(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-CQF-MLAMBDA-FAILURE-MODE-VALUE",
       "xml.namePlural", "HW-CQF-MLAMBDA-FAILURE-MODE-VALUES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hwElementPrototypeScopeEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HW-ELEMENT-PROTOTYPE-SCOPE",
       "xml.namePlural", "HW-ELEMENT-PROTOTYPE-SCOPES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getHWElementPrototypeScope_SafetyRelated(), 
       source, 
       new String[] 
       {
       "xml.name", "SAFETY-RELATED",
       "xml.namePlural", "SAFETY-RELATEDS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWElementPrototypeScope_NameWasNotSet_5(), 
       source, 
       new String[] 
       {
       "xml.name", "NAME-WAS-NOT-SET-5-REF",
       "xml.namePlural", "NAME-WAS-NOT-SET-5-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWElementPrototypeScope_HwElementScopeInstanceRefContext(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-ELEMENT-SCOPE-INSTANCE-REF-CONTEXT-REF",
       "xml.namePlural", "HW-ELEMENT-SCOPE-INSTANCE-REF-CONTEXT-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hwPartFailureEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HW-PART-FAILURE",
       "xml.namePlural", "HW-PART-FAILURES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getHWPartFailure_NameWasNotSet_6(), 
       source, 
       new String[] 
       {
       "xml.name", "NAME-WAS-NOT-SET-6-REF",
       "xml.namePlural", "NAME-WAS-NOT-SET-6-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWPartFailure_HwPartFailureMode(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-PART-FAILURE-MODE",
       "xml.namePlural", "HW-PART-FAILURE-MODES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWPartFailure_HwPartFailureRate(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-PART-FAILURE-RATE",
       "xml.namePlural", "HW-PART-FAILURE-RATES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hwPartFailureAnalysisEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HW-PART-FAILURE-ANALYSIS",
       "xml.namePlural", "HW-PART-FAILURE-ANALYSISS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (getHWPartFailureAnalysis_HwElementScope(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-ELEMENT-SCOPE-REF",
       "xml.namePlural", "HW-ELEMENT-SCOPE-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWPartFailureAnalysis_MalfunctionPartAnalysis(), 
       source, 
       new String[] 
       {
       "xml.name", "MALFUNCTION-PART-ANALYSIS-REF",
       "xml.namePlural", "MALFUNCTION-PART-ANALYSIS-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWPartFailureAnalysis_QuantifiedHardwareFMFromPart(), 
       source, 
       new String[] 
       {
       "xml.name", "QUANTIFIED-HARDWARE-FM-FROM-PART-REF",
       "xml.namePlural", "QUANTIFIED-HARDWARE-FM-FROM-PART-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hwPartFailureModeEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HW-PART-FAILURE-MODE",
       "xml.namePlural", "HW-PART-FAILURE-MODES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getHWPartFailureMode_PartFailureModeType(), 
       source, 
       new String[] 
       {
       "xml.name", "PART-FAILURE-MODE-TYPE",
       "xml.namePlural", "PART-FAILURE-MODE-TYPES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWPartFailureMode_FailureRateDistribution(), 
       source, 
       new String[] 
       {
       "xml.name", "FAILURE-RATE-DISTRIBUTION",
       "xml.namePlural", "FAILURE-RATE-DISTRIBUTIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWPartFailureMode_PartPotentialCause(), 
       source, 
       new String[] 
       {
       "xml.name", "PART-POTENTIAL-CAUSE",
       "xml.namePlural", "PART-POTENTIAL-CAUSES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hwPartFailureRateEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HW-PART-FAILURE-RATE",
       "xml.namePlural", "HW-PART-FAILURE-RATES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getHWPartFailureRate_RationaleScalingFactor(), 
       source, 
       new String[] 
       {
       "xml.name", "RATIONALE-SCALING-FACTOR",
       "xml.namePlural", "RATIONALE-SCALING-FACTORS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWPartFailureRate_ScalingFactor(), 
       source, 
       new String[] 
       {
       "xml.name", "SCALING-FACTOR",
       "xml.namePlural", "SCALING-FACTORS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWPartFailureRate_Source(), 
       source, 
       new String[] 
       {
       "xml.name", "SOURCE",
       "xml.namePlural", "SOURCES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWPartFailureRate_Value(), 
       source, 
       new String[] 
       {
       "xml.name", "VALUE",
       "xml.namePlural", "VALUES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });						
    addAnnotation
      (hwElementScopeInstanceRefEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HW-ELEMENT-SCOPE-INSTANCE-REF",
       "xml.namePlural", "HW-ELEMENT-SCOPE-INSTANCE-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getHWElementScopeInstanceRef_ContextHwElementScope(), 
       source, 
       new String[] 
       {
       "xml.name", "CONTEXT-HW-ELEMENT-SCOPE-REF",
       "xml.namePlural", "CONTEXT-HW-ELEMENT-SCOPE-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWElementScopeInstanceRef_BaseHardwareElementScope(), 
       source, 
       new String[] 
       {
       "xml.name", "BASE-HARDWARE-ELEMENT-SCOPE-REF",
       "xml.namePlural", "BASE-HARDWARE-ELEMENT-SCOPE-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWElementScopeInstanceRef_TargetHwElementScope(), 
       source, 
       new String[] 
       {
       "xml.name", "TARGET-HW-ELEMENT-SCOPE-REF",
       "xml.namePlural", "TARGET-HW-ELEMENT-SCOPE-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });	
  }

  /**
   * Initializes the annotations for <b>EAAdapter</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createEAAdapterAnnotations()
  {
    String source = "EAAdapter";				
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hwComponentQuantifiedFMFromPartEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWComponentQuantifiedFMFromPart_LambdaFailureMode(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWComponentQuantifiedFMFromPart_HwCQFMlambdaFailureModeValue(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hwElementPrototypeScopeEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWElementPrototypeScope_SafetyRelated(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWElementPrototypeScope_NameWasNotSet_5(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWElementPrototypeScope_HwElementScopeInstanceRefContext(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hwPartFailureEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWPartFailure_NameWasNotSet_6(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWPartFailure_HwPartFailureMode(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWPartFailure_HwPartFailureRate(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hwPartFailureAnalysisEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (getHWPartFailureAnalysis_HwElementScope(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWPartFailureAnalysis_MalfunctionPartAnalysis(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWPartFailureAnalysis_QuantifiedHardwareFMFromPart(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hwPartFailureModeEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWPartFailureMode_PartFailureModeType(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWPartFailureMode_FailureRateDistribution(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWPartFailureMode_PartPotentialCause(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hwPartFailureRateEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWPartFailureRate_RationaleScalingFactor(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWPartFailureRate_ScalingFactor(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWPartFailureRate_Source(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWPartFailureRate_Value(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });						
    addAnnotation
      (hwElementScopeInstanceRefEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWElementScopeInstanceRef_ContextHwElementScope(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWElementScopeInstanceRef_BaseHardwareElementScope(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWElementScopeInstanceRef_TargetHwElementScope(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });
  }

  /**
   * Initializes the annotations for <b>Stereotype</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createStereotypeAnnotations()
  {
    String source = "Stereotype";																																																																																													
    addAnnotation
      (hwElementScopeInstanceRefEClass, 
       source, 
       new String[] 
       {
       "Stereotype", "InstanceRef"
       });											
  }

} //FailurepartPackageImpl
