/**
 */
package safe10.classmodel.hardware.failurepart.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.toplevel.Referrable;

import safe10.classmodel.hardware.failurepart.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.hardware.failurepart.FailurepartPackage
 * @generated
 */
public class FailurepartAdapterFactory extends AdapterFactoryImpl
{
  /**
   * The cached model package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static FailurepartPackage modelPackage;

  /**
   * Creates an instance of the adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public FailurepartAdapterFactory()
  {
    if (modelPackage == null)
    {
      modelPackage = FailurepartPackage.eINSTANCE;
    }
  }

  /**
   * Returns whether this factory is applicable for the type of the object.
   * <!-- begin-user-doc -->
   * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
   * <!-- end-user-doc -->
   * @return whether this factory is applicable for the type of the object.
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object object)
  {
    if (object == modelPackage)
    {
      return true;
    }
    if (object instanceof EObject)
    {
      return ((EObject)object).eClass().getEPackage() == modelPackage;
    }
    return false;
  }

  /**
   * The switch that delegates to the <code>createXXX</code> methods.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected FailurepartSwitch<Adapter> modelSwitch =
    new FailurepartSwitch<Adapter>()
    {
      @Override
      public Adapter caseHWComponentQuantifiedFMFromPart(HWComponentQuantifiedFMFromPart object)
      {
        return createHWComponentQuantifiedFMFromPartAdapter();
      }
      @Override
      public Adapter caseHWElementPrototypeScope(HWElementPrototypeScope object)
      {
        return createHWElementPrototypeScopeAdapter();
      }
      @Override
      public Adapter caseHWPartFailure(HWPartFailure object)
      {
        return createHWPartFailureAdapter();
      }
      @Override
      public Adapter caseHWPartFailureAnalysis(HWPartFailureAnalysis object)
      {
        return createHWPartFailureAnalysisAdapter();
      }
      @Override
      public Adapter caseHWPartFailureMode(HWPartFailureMode object)
      {
        return createHWPartFailureModeAdapter();
      }
      @Override
      public Adapter caseHWPartFailureRate(HWPartFailureRate object)
      {
        return createHWPartFailureRateAdapter();
      }
      @Override
      public Adapter caseHWElementScopeInstanceRef(HWElementScopeInstanceRef object)
      {
        return createHWElementScopeInstanceRefAdapter();
      }
      @Override
      public Adapter caseReferrable(Referrable object)
      {
        return createReferrableAdapter();
      }
      @Override
      public Adapter defaultCase(EObject object)
      {
        return createEObjectAdapter();
      }
    };

  /**
   * Creates an adapter for the <code>target</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param target the object to adapt.
   * @return the adapter for the <code>target</code>.
   * @generated
   */
  @Override
  public Adapter createAdapter(Notifier target)
  {
    return modelSwitch.doSwitch((EObject)target);
  }


  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.hardware.failurepart.HWComponentQuantifiedFMFromPart <em>HW Component Quantified FM From Part</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.hardware.failurepart.HWComponentQuantifiedFMFromPart
   * @generated
   */
  public Adapter createHWComponentQuantifiedFMFromPartAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.hardware.failurepart.HWElementPrototypeScope <em>HW Element Prototype Scope</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.hardware.failurepart.HWElementPrototypeScope
   * @generated
   */
  public Adapter createHWElementPrototypeScopeAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.hardware.failurepart.HWPartFailure <em>HW Part Failure</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailure
   * @generated
   */
  public Adapter createHWPartFailureAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis <em>HW Part Failure Analysis</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis
   * @generated
   */
  public Adapter createHWPartFailureAnalysisAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.hardware.failurepart.HWPartFailureMode <em>HW Part Failure Mode</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailureMode
   * @generated
   */
  public Adapter createHWPartFailureModeAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate <em>HW Part Failure Rate</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailureRate
   * @generated
   */
  public Adapter createHWPartFailureRateAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.hardware.failurepart.HWElementScopeInstanceRef <em>HW Element Scope Instance Ref</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.hardware.failurepart.HWElementScopeInstanceRef
   * @generated
   */
  public Adapter createHWElementScopeInstanceRefAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.toplevel.Referrable <em>Referrable</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.toplevel.Referrable
   * @generated
   */
  public Adapter createReferrableAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for the default case.
   * <!-- begin-user-doc -->
   * This default implementation returns null.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @generated
   */
  public Adapter createEObjectAdapter()
  {
    return null;
  }

} //FailurepartAdapterFactory
