/**
 */
package safe10.classmodel.hardware.failurepart.util;

import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.toplevel.Referrable;

import safe10.classmodel.hardware.failurepart.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.hardware.failurepart.FailurepartPackage
 * @generated
 */
public class FailurepartSwitch<T>
{
  /**
   * The cached model package
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static FailurepartPackage modelPackage;

  /**
   * Creates an instance of the switch.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public FailurepartSwitch()
  {
    if (modelPackage == null)
    {
      modelPackage = FailurepartPackage.eINSTANCE;
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  public T doSwitch(EObject theEObject)
  {
    return doSwitch(theEObject.eClass(), theEObject);
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(EClass theEClass, EObject theEObject)
  {
    if (theEClass.eContainer() == modelPackage)
    {
      return doSwitch(theEClass.getClassifierID(), theEObject);
    }
    else
    {
      List<EClass> eSuperTypes = theEClass.getESuperTypes();
      return
        eSuperTypes.isEmpty() ?
          defaultCase(theEObject) :
          doSwitch(eSuperTypes.get(0), theEObject);
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(int classifierID, EObject theEObject)
  {
    switch (classifierID)
    {
      case FailurepartPackage.HW_COMPONENT_QUANTIFIED_FM_FROM_PART:
      {
        HWComponentQuantifiedFMFromPart hwComponentQuantifiedFMFromPart = (HWComponentQuantifiedFMFromPart)theEObject;
        T result = caseHWComponentQuantifiedFMFromPart(hwComponentQuantifiedFMFromPart);
        if (result == null) result = caseReferrable(hwComponentQuantifiedFMFromPart);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case FailurepartPackage.HW_ELEMENT_PROTOTYPE_SCOPE:
      {
        HWElementPrototypeScope hwElementPrototypeScope = (HWElementPrototypeScope)theEObject;
        T result = caseHWElementPrototypeScope(hwElementPrototypeScope);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case FailurepartPackage.HW_PART_FAILURE:
      {
        HWPartFailure hwPartFailure = (HWPartFailure)theEObject;
        T result = caseHWPartFailure(hwPartFailure);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case FailurepartPackage.HW_PART_FAILURE_ANALYSIS:
      {
        HWPartFailureAnalysis hwPartFailureAnalysis = (HWPartFailureAnalysis)theEObject;
        T result = caseHWPartFailureAnalysis(hwPartFailureAnalysis);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case FailurepartPackage.HW_PART_FAILURE_MODE:
      {
        HWPartFailureMode hwPartFailureMode = (HWPartFailureMode)theEObject;
        T result = caseHWPartFailureMode(hwPartFailureMode);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case FailurepartPackage.HW_PART_FAILURE_RATE:
      {
        HWPartFailureRate hwPartFailureRate = (HWPartFailureRate)theEObject;
        T result = caseHWPartFailureRate(hwPartFailureRate);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case FailurepartPackage.HW_ELEMENT_SCOPE_INSTANCE_REF:
      {
        HWElementScopeInstanceRef hwElementScopeInstanceRef = (HWElementScopeInstanceRef)theEObject;
        T result = caseHWElementScopeInstanceRef(hwElementScopeInstanceRef);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      default: return defaultCase(theEObject);
    }
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>HW Component Quantified FM From Part</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>HW Component Quantified FM From Part</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHWComponentQuantifiedFMFromPart(HWComponentQuantifiedFMFromPart object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>HW Element Prototype Scope</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>HW Element Prototype Scope</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHWElementPrototypeScope(HWElementPrototypeScope object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>HW Part Failure</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>HW Part Failure</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHWPartFailure(HWPartFailure object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>HW Part Failure Analysis</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>HW Part Failure Analysis</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHWPartFailureAnalysis(HWPartFailureAnalysis object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>HW Part Failure Mode</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>HW Part Failure Mode</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHWPartFailureMode(HWPartFailureMode object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>HW Part Failure Rate</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>HW Part Failure Rate</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHWPartFailureRate(HWPartFailureRate object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>HW Element Scope Instance Ref</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>HW Element Scope Instance Ref</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHWElementScopeInstanceRef(HWElementScopeInstanceRef object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Referrable</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Referrable</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseReferrable(Referrable object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch, but this is the last case anyway.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject)
   * @generated
   */
  public T defaultCase(EObject object)
  {
    return null;
  }

} //FailurepartSwitch
