/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.hwarchitecturalmetrics;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.hardware.failureformula.HWLatentFaultMetricFormula;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>HW Latent Fault Metric</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class is the representation of the latent fault metric, demanded by ISO Part 5 Clause 8. The latent fault metric describes the robustness of the hardware architecture to cope with multiple-point latent faults (also see ISO Part 5 Annex C).
 * 
 * The calculation is included in the class HWLatentFaultMetricFormula.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.hwarchitecturalmetrics.HWLatentFaultMetric#getCalculatedValue <em>Calculated Value</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.hwarchitecturalmetrics.HWLatentFaultMetric#getLfmCalculatedValue <em>Lfm Calculated Value</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hardware.hwarchitecturalmetrics.HwarchitecturalmetricsPackage#getHWLatentFaultMetric()
 * @model annotation="MetaData guid='{15FF9875-93B0-47c7-91BF-59D1536C161C}' id='798161483' EA\040name='HWLatentFaultMetric'"
 *        annotation="TaggedValues xml.name='HW-LATENT-FAULT-METRIC' xml.namePlural='HW-LATENT-FAULT-METRICS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HWLatentFaultMetric extends EObject
{
  /**
   * Returns the value of the '<em><b>Calculated Value</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The calculatedValue is the result of the calculation of the latent fault metric (in %).
   * <!-- end-model-doc -->
   * @return the value of the '<em>Calculated Value</em>' attribute.
   * @see #isSetCalculatedValue()
   * @see #unsetCalculatedValue()
   * @see #setCalculatedValue(Double)
   * @see safe10.classmodel.hardware.hwarchitecturalmetrics.HwarchitecturalmetricsPackage#getHWLatentFaultMetric_CalculatedValue()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{B7548432-8C62-4fab-87B8-12909CF97214}' id='-982163152' EA\040name='calculatedValue'"
   *        annotation="TaggedValues xml.name='CALCULATED-VALUE' xml.namePlural='CALCULATED-VALUES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getCalculatedValue();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.HWLatentFaultMetric#getCalculatedValue <em>Calculated Value</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Calculated Value</em>' attribute.
   * @see #isSetCalculatedValue()
   * @see #CalculatedValue()
   * @see #getCalculatedValue()
   * @generated
   */
  void setCalculatedValue(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.HWLatentFaultMetric#getCalculatedValue <em>Calculated Value</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetCalculatedValue()
   * @see #getCalculatedValue()
   * @see #setCalculatedValue(Double)
   * @generated
   */
  void unsetCalculatedValue();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.HWLatentFaultMetric#getCalculatedValue <em>Calculated Value</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Calculated Value</em>' attribute is set.
   * @see #CalculatedValue()
   * @see #getCalculatedValue()
   * @see #setCalculatedValue(Double)
   * @generated
   */
  boolean isSetCalculatedValue();

  /**
   * Returns the value of the '<em><b>Lfm Calculated Value</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Lfm Calculated Value</em>' containment reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Lfm Calculated Value</em>' containment reference.
   * @see #setLfmCalculatedValue(HWLatentFaultMetricFormula)
   * @see safe10.classmodel.hardware.hwarchitecturalmetrics.HwarchitecturalmetricsPackage#getHWLatentFaultMetric_LfmCalculatedValue()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{93DD0114-27C2-4b23-ADE3-C0EFFD275B69}' id='1760907148' EA\040name=''"
   *        annotation="TaggedValues xml.name='LFM-CALCULATED-VALUE' xml.namePlural='LFM-CALCULATED-VALUES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWLatentFaultMetricFormula getLfmCalculatedValue();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.HWLatentFaultMetric#getLfmCalculatedValue <em>Lfm Calculated Value</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Lfm Calculated Value</em>' containment reference.
   * @see #getLfmCalculatedValue()
   * @generated
   */
  void setLfmCalculatedValue(HWLatentFaultMetricFormula value);

} // HWLatentFaultMetric
