/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.hwarchitecturalmetrics;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.hardware.failureformula.HWSinglePointFaultMetricFormula;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>HW Single Point Fault Metric</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class is the representation of the single-point fault metric, demanded by ISO Part 5 Clause 8. The single-point fault metric describes the robustness of the hardware architecture to cope with single-point and residual faults (also see ISO Part 5 Annex C).
 * 
 * The calculation is included in the class HWSinglePointFaultMetricFormula.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.hwarchitecturalmetrics.HWSinglePointFaultMetric#getCalculatedValue <em>Calculated Value</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.hwarchitecturalmetrics.HWSinglePointFaultMetric#getSpfmCalculatedValue <em>Spfm Calculated Value</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hardware.hwarchitecturalmetrics.HwarchitecturalmetricsPackage#getHWSinglePointFaultMetric()
 * @model annotation="MetaData guid='{0A8A8236-5EE9-4c44-B763-4DD9F3B34FFD}' id='-1061699761' EA\040name='HWSinglePointFaultMetric'"
 *        annotation="TaggedValues xml.name='HW-SINGLE-POINT-FAULT-METRIC' xml.namePlural='HW-SINGLE-POINT-FAULT-METRICS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HWSinglePointFaultMetric extends EObject
{
  /**
   * Returns the value of the '<em><b>Calculated Value</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The calculatedValue is the result of the calculation of the single-point fault metric (in %).
   * <!-- end-model-doc -->
   * @return the value of the '<em>Calculated Value</em>' attribute.
   * @see #isSetCalculatedValue()
   * @see #unsetCalculatedValue()
   * @see #setCalculatedValue(Double)
   * @see safe10.classmodel.hardware.hwarchitecturalmetrics.HwarchitecturalmetricsPackage#getHWSinglePointFaultMetric_CalculatedValue()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{5EC000DD-8EC9-4043-B040-40280E79625F}' id='2129500900' EA\040name='calculatedValue'"
   *        annotation="TaggedValues xml.name='CALCULATED-VALUE' xml.namePlural='CALCULATED-VALUES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getCalculatedValue();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.HWSinglePointFaultMetric#getCalculatedValue <em>Calculated Value</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Calculated Value</em>' attribute.
   * @see #isSetCalculatedValue()
   * @see #CalculatedValue()
   * @see #getCalculatedValue()
   * @generated
   */
  void setCalculatedValue(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.HWSinglePointFaultMetric#getCalculatedValue <em>Calculated Value</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetCalculatedValue()
   * @see #getCalculatedValue()
   * @see #setCalculatedValue(Double)
   * @generated
   */
  void unsetCalculatedValue();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.HWSinglePointFaultMetric#getCalculatedValue <em>Calculated Value</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Calculated Value</em>' attribute is set.
   * @see #CalculatedValue()
   * @see #getCalculatedValue()
   * @see #setCalculatedValue(Double)
   * @generated
   */
  boolean isSetCalculatedValue();

  /**
   * Returns the value of the '<em><b>Spfm Calculated Value</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Spfm Calculated Value</em>' containment reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Spfm Calculated Value</em>' containment reference.
   * @see #setSpfmCalculatedValue(HWSinglePointFaultMetricFormula)
   * @see safe10.classmodel.hardware.hwarchitecturalmetrics.HwarchitecturalmetricsPackage#getHWSinglePointFaultMetric_SpfmCalculatedValue()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{76596F3D-1199-4863-9963-813B359DF3F2}' id='-2027442618' EA\040name=''"
   *        annotation="TaggedValues xml.name='SPFM-CALCULATED-VALUE' xml.namePlural='SPFM-CALCULATED-VALUES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWSinglePointFaultMetricFormula getSpfmCalculatedValue();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.HWSinglePointFaultMetric#getSpfmCalculatedValue <em>Spfm Calculated Value</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Spfm Calculated Value</em>' containment reference.
   * @see #getSpfmCalculatedValue()
   * @generated
   */
  void setSpfmCalculatedValue(HWSinglePointFaultMetricFormula value);

} // HWSinglePointFaultMetric
