/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.hwquantitativemeasure;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.hardware.hwarchitecturalmetrics.HWLatentFaultMetric;
import safe10.classmodel.hardware.hwarchitecturalmetrics.HWSinglePointFaultMetric;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>HW Architectural Metrics</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class represents an abstract definition of all quantified failure analysis required by the ISO Part 5 Clause 8. This class allows to map all meta class for the HWArchitecturalMetrics also described in the ISO Part 5-Annex C (Single-Point-Fault Metric, Latent-Fault Metric). 
 * 
 * Each HWQuantifiedFailureAnalysis belongs to exactly one malfunction (link to violation of a SafetyGoal). The ASIL-TargetValue (e.g. ASIL-D) is derived from the SafetyGoal.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.hwquantitativemeasure.HWArchitecturalMetrics#getHwLantentFaultMetric <em>Hw Lantent Fault Metric</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.hwquantitativemeasure.HWArchitecturalMetrics#getHwSinglePointFaultMetric <em>Hw Single Point Fault Metric</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage#getHWArchitecturalMetrics()
 * @model abstract="true"
 *        annotation="MetaData guid='{D019A521-C90A-4cc3-8EED-AD582084AF69}' id='779220654' EA\040name='HWArchitecturalMetrics'"
 *        annotation="TaggedValues xml.name='HW-ARCHITECTURAL-METRICS' xml.namePlural='HW-ARCHITECTURAL-METRICSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HWArchitecturalMetrics extends EObject
{
  /**
   * Returns the value of the '<em><b>Hw Lantent Fault Metric</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hw Lantent Fault Metric</em>' containment reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hw Lantent Fault Metric</em>' containment reference.
   * @see #setHwLantentFaultMetric(HWLatentFaultMetric)
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage#getHWArchitecturalMetrics_HwLantentFaultMetric()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{F9184928-D679-4154-9D31-4EC09F62AAEC}' id='513706188' EA\040name=''"
   *        annotation="TaggedValues xml.name='HW-LANTENT-FAULT-METRIC' xml.namePlural='HW-LANTENT-FAULT-METRICS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWLatentFaultMetric getHwLantentFaultMetric();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWArchitecturalMetrics#getHwLantentFaultMetric <em>Hw Lantent Fault Metric</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Hw Lantent Fault Metric</em>' containment reference.
   * @see #getHwLantentFaultMetric()
   * @generated
   */
  void setHwLantentFaultMetric(HWLatentFaultMetric value);

  /**
   * Returns the value of the '<em><b>Hw Single Point Fault Metric</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hw Single Point Fault Metric</em>' containment reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hw Single Point Fault Metric</em>' containment reference.
   * @see #setHwSinglePointFaultMetric(HWSinglePointFaultMetric)
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage#getHWArchitecturalMetrics_HwSinglePointFaultMetric()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{0478FEA3-D223-401a-9BF4-F57D9DF9BF32}' id='130372573' EA\040name=''"
   *        annotation="TaggedValues xml.name='HW-SINGLE-POINT-FAULT-METRIC' xml.namePlural='HW-SINGLE-POINT-FAULT-METRICS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWSinglePointFaultMetric getHwSinglePointFaultMetric();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWArchitecturalMetrics#getHwSinglePointFaultMetric <em>Hw Single Point Fault Metric</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Hw Single Point Fault Metric</em>' containment reference.
   * @see #getHwSinglePointFaultMetric()
   * @generated
   */
  void setHwSinglePointFaultMetric(HWSinglePointFaultMetric value);

} // HWArchitecturalMetrics
