/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.hwquantitativemeasure;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.hardware.failure.HWFault;

import safe10.classmodel.hardware.failureformula.HWFMSingleContributionFormula;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>HWFM Single Contribution</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class describes the single contribution in term of failure rate (lambda) to the elementary metrics of the HW Fault for each failure mode of a HWComponent. This entity is used to store preliminary element used in the context of architectural metrics and probabilistic measurement.
 * 
 * The calculation of the attribute is derived from the Formula Expression HWFMSingleContributionFormula
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaMultiplePointFaultLatent <em>Lambda Multiple Point Fault Latent</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaResidualFault <em>Lambda Residual Fault</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaSafeFault <em>Lambda Safe Fault</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaSafetyComponent <em>Lambda Safety Component</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaSinglePointFault <em>Lambda Single Point Fault</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getSafetyComponentClassName <em>Safety Component Class Name</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getHwFMSCLambdaValue <em>Hw FMSC Lambda Value</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getNameWasNotSet_7 <em>Name Was Not Set 7</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage#getHWFMSingleContribution()
 * @model annotation="MetaData guid='{04B167DE-DD23-41f1-962F-C8628E3574F7}' id='1395175575' EA\040name='HWFMSingleContribution'"
 *        annotation="TaggedValues xml.name='HWFM-SINGLE-CONTRIBUTION' xml.namePlural='HWFM-SINGLE-CONTRIBUTIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HWFMSingleContribution extends EObject
{
  /**
   * Returns the value of the '<em><b>Lambda Multiple Point Fault Latent</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * This attribute stores the specific failure rate for single failure mode contribution as multiple-point latent, lambda(MPF,L).
   * <!-- end-model-doc -->
   * @return the value of the '<em>Lambda Multiple Point Fault Latent</em>' attribute.
   * @see #isSetLambdaMultiplePointFaultLatent()
   * @see #unsetLambdaMultiplePointFaultLatent()
   * @see #setLambdaMultiplePointFaultLatent(Double)
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage#getHWFMSingleContribution_LambdaMultiplePointFaultLatent()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{A7319F57-5D21-44d5-84AA-7DFEC00ABA66}' id='-1618037620' EA\040name='lambdaMultiplePointFaultLatent'"
   *        annotation="TaggedValues xml.name='LAMBDA-MULTIPLE-POINT-FAULT-LATENT' xml.namePlural='LAMBDA-MULTIPLE-POINT-FAULT-LATENTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getLambdaMultiplePointFaultLatent();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaMultiplePointFaultLatent <em>Lambda Multiple Point Fault Latent</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Lambda Multiple Point Fault Latent</em>' attribute.
   * @see #isSetLambdaMultiplePointFaultLatent()
   * @see #LambdaMultiplePointFaultLatent()
   * @see #getLambdaMultiplePointFaultLatent()
   * @generated
   */
  void setLambdaMultiplePointFaultLatent(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaMultiplePointFaultLatent <em>Lambda Multiple Point Fault Latent</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetLambdaMultiplePointFaultLatent()
   * @see #getLambdaMultiplePointFaultLatent()
   * @see #setLambdaMultiplePointFaultLatent(Double)
   * @generated
   */
  void unsetLambdaMultiplePointFaultLatent();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaMultiplePointFaultLatent <em>Lambda Multiple Point Fault Latent</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Lambda Multiple Point Fault Latent</em>' attribute is set.
   * @see #LambdaMultiplePointFaultLatent()
   * @see #getLambdaMultiplePointFaultLatent()
   * @see #setLambdaMultiplePointFaultLatent(Double)
   * @generated
   */
  boolean isSetLambdaMultiplePointFaultLatent();

  /**
   * Returns the value of the '<em><b>Lambda Residual Fault</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * This attribute stores the specific failure rate for single failure mode contribution as residual fault, lambda(RF).
   * <!-- end-model-doc -->
   * @return the value of the '<em>Lambda Residual Fault</em>' attribute.
   * @see #isSetLambdaResidualFault()
   * @see #unsetLambdaResidualFault()
   * @see #setLambdaResidualFault(Double)
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage#getHWFMSingleContribution_LambdaResidualFault()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{8EA7A7FC-971C-4214-9A95-830CD4AC44F1}' id='-1454668643' EA\040name='lambdaResidualFault'"
   *        annotation="TaggedValues xml.name='LAMBDA-RESIDUAL-FAULT' xml.namePlural='LAMBDA-RESIDUAL-FAULTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getLambdaResidualFault();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaResidualFault <em>Lambda Residual Fault</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Lambda Residual Fault</em>' attribute.
   * @see #isSetLambdaResidualFault()
   * @see #LambdaResidualFault()
   * @see #getLambdaResidualFault()
   * @generated
   */
  void setLambdaResidualFault(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaResidualFault <em>Lambda Residual Fault</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetLambdaResidualFault()
   * @see #getLambdaResidualFault()
   * @see #setLambdaResidualFault(Double)
   * @generated
   */
  void unsetLambdaResidualFault();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaResidualFault <em>Lambda Residual Fault</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Lambda Residual Fault</em>' attribute is set.
   * @see #LambdaResidualFault()
   * @see #getLambdaResidualFault()
   * @see #setLambdaResidualFault(Double)
   * @generated
   */
  boolean isSetLambdaResidualFault();

  /**
   * Returns the value of the '<em><b>Lambda Safe Fault</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * This attribute stores the specific failure rate for single failure mode contribution as safe fault, lambda(SF).
   * <!-- end-model-doc -->
   * @return the value of the '<em>Lambda Safe Fault</em>' attribute.
   * @see #isSetLambdaSafeFault()
   * @see #unsetLambdaSafeFault()
   * @see #setLambdaSafeFault(Double)
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage#getHWFMSingleContribution_LambdaSafeFault()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{91E80393-5C03-4c48-963C-62D3FE124810}' id='1907056026' EA\040name='lambdaSafeFault'"
   *        annotation="TaggedValues xml.name='LAMBDA-SAFE-FAULT' xml.namePlural='LAMBDA-SAFE-FAULTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getLambdaSafeFault();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaSafeFault <em>Lambda Safe Fault</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Lambda Safe Fault</em>' attribute.
   * @see #isSetLambdaSafeFault()
   * @see #LambdaSafeFault()
   * @see #getLambdaSafeFault()
   * @generated
   */
  void setLambdaSafeFault(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaSafeFault <em>Lambda Safe Fault</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetLambdaSafeFault()
   * @see #getLambdaSafeFault()
   * @see #setLambdaSafeFault(Double)
   * @generated
   */
  void unsetLambdaSafeFault();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaSafeFault <em>Lambda Safe Fault</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Lambda Safe Fault</em>' attribute is set.
   * @see #LambdaSafeFault()
   * @see #getLambdaSafeFault()
   * @see #setLambdaSafeFault(Double)
   * @generated
   */
  boolean isSetLambdaSafeFault();

  /**
   * Returns the value of the '<em><b>Lambda Safety Component</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * This attribute stores the sum of specific failure rates for the hardware component for verification.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Lambda Safety Component</em>' attribute.
   * @see #isSetLambdaSafetyComponent()
   * @see #unsetLambdaSafetyComponent()
   * @see #setLambdaSafetyComponent(Double)
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage#getHWFMSingleContribution_LambdaSafetyComponent()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{A5B3A8DC-56BB-491d-983F-EB8C56E0324F}' id='-709373933' EA\040name='lambdaSafetyComponent'"
   *        annotation="TaggedValues xml.name='LAMBDA-SAFETY-COMPONENT' xml.namePlural='LAMBDA-SAFETY-COMPONENTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getLambdaSafetyComponent();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaSafetyComponent <em>Lambda Safety Component</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Lambda Safety Component</em>' attribute.
   * @see #isSetLambdaSafetyComponent()
   * @see #LambdaSafetyComponent()
   * @see #getLambdaSafetyComponent()
   * @generated
   */
  void setLambdaSafetyComponent(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaSafetyComponent <em>Lambda Safety Component</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetLambdaSafetyComponent()
   * @see #getLambdaSafetyComponent()
   * @see #setLambdaSafetyComponent(Double)
   * @generated
   */
  void unsetLambdaSafetyComponent();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaSafetyComponent <em>Lambda Safety Component</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Lambda Safety Component</em>' attribute is set.
   * @see #LambdaSafetyComponent()
   * @see #getLambdaSafetyComponent()
   * @see #setLambdaSafetyComponent(Double)
   * @generated
   */
  boolean isSetLambdaSafetyComponent();

  /**
   * Returns the value of the '<em><b>Lambda Single Point Fault</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * This attribute stores the specific failure rate for single failure mode contribution as single-point fault, lambda(SPF).
   * <!-- end-model-doc -->
   * @return the value of the '<em>Lambda Single Point Fault</em>' attribute.
   * @see #isSetLambdaSinglePointFault()
   * @see #unsetLambdaSinglePointFault()
   * @see #setLambdaSinglePointFault(Double)
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage#getHWFMSingleContribution_LambdaSinglePointFault()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{6BB87DC1-C4D4-4324-9314-832D2E8F689F}' id='-1677679272' EA\040name='lambdaSinglePointFault'"
   *        annotation="TaggedValues xml.name='LAMBDA-SINGLE-POINT-FAULT' xml.namePlural='LAMBDA-SINGLE-POINT-FAULTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getLambdaSinglePointFault();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaSinglePointFault <em>Lambda Single Point Fault</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Lambda Single Point Fault</em>' attribute.
   * @see #isSetLambdaSinglePointFault()
   * @see #LambdaSinglePointFault()
   * @see #getLambdaSinglePointFault()
   * @generated
   */
  void setLambdaSinglePointFault(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaSinglePointFault <em>Lambda Single Point Fault</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetLambdaSinglePointFault()
   * @see #getLambdaSinglePointFault()
   * @see #setLambdaSinglePointFault(Double)
   * @generated
   */
  void unsetLambdaSinglePointFault();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaSinglePointFault <em>Lambda Single Point Fault</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Lambda Single Point Fault</em>' attribute is set.
   * @see #LambdaSinglePointFault()
   * @see #getLambdaSinglePointFault()
   * @see #setLambdaSinglePointFault(Double)
   * @generated
   */
  boolean isSetLambdaSinglePointFault();

  /**
   * Returns the value of the '<em><b>Safety Component Class Name</b></em>' attribute.
   * The default value is <code>""</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * This attribute stores the name of the hardware component class.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Safety Component Class Name</em>' attribute.
   * @see #isSetSafetyComponentClassName()
   * @see #unsetSafetyComponentClassName()
   * @see #setSafetyComponentClassName(String)
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage#getHWFMSingleContribution_SafetyComponentClassName()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Identifier" required="true"
   *        annotation="MetaData guid='{9457CFF5-5CFE-499d-BCE9-BBFDAA85058F}' id='-1633017735' EA\040name='safetyComponentClassName'"
   *        annotation="TaggedValues xml.name='SAFETY-COMPONENT-CLASS-NAME' xml.namePlural='SAFETY-COMPONENT-CLASS-NAMES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  String getSafetyComponentClassName();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getSafetyComponentClassName <em>Safety Component Class Name</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Safety Component Class Name</em>' attribute.
   * @see #isSetSafetyComponentClassName()
   * @see #SafetyComponentClassName()
   * @see #getSafetyComponentClassName()
   * @generated
   */
  void setSafetyComponentClassName(String value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getSafetyComponentClassName <em>Safety Component Class Name</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetSafetyComponentClassName()
   * @see #getSafetyComponentClassName()
   * @see #setSafetyComponentClassName(String)
   * @generated
   */
  void unsetSafetyComponentClassName();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getSafetyComponentClassName <em>Safety Component Class Name</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Safety Component Class Name</em>' attribute is set.
   * @see #SafetyComponentClassName()
   * @see #getSafetyComponentClassName()
   * @see #setSafetyComponentClassName(String)
   * @generated
   */
  boolean isSetSafetyComponentClassName();

  /**
   * Returns the value of the '<em><b>Hw FMSC Lambda Value</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hw FMSC Lambda Value</em>' containment reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hw FMSC Lambda Value</em>' containment reference.
   * @see #setHwFMSCLambdaValue(HWFMSingleContributionFormula)
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage#getHWFMSingleContribution_HwFMSCLambdaValue()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{706A6B8C-0C28-4d22-AF9F-5E31624193E4}' id='-979063756' EA\040name=''"
   *        annotation="TaggedValues xml.name='HW-FMSC-LAMBDA-VALUE' xml.namePlural='HW-FMSC-LAMBDA-VALUES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWFMSingleContributionFormula getHwFMSCLambdaValue();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getHwFMSCLambdaValue <em>Hw FMSC Lambda Value</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Hw FMSC Lambda Value</em>' containment reference.
   * @see #getHwFMSCLambdaValue()
   * @generated
   */
  void setHwFMSCLambdaValue(HWFMSingleContributionFormula value);

  /**
   * Returns the value of the '<em><b>Name Was Not Set 7</b></em>' reference.
   * It is bidirectional and its opposite is '{@link safe10.classmodel.hardware.failure.HWFault#getHwFailureModeSingleContribution <em>Hw Failure Mode Single Contribution</em>}'.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Name Was Not Set 7</em>' reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Name Was Not Set 7</em>' reference.
   * @see #setNameWasNotSet_7(HWFault)
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage#getHWFMSingleContribution_NameWasNotSet_7()
   * @see safe10.classmodel.hardware.failure.HWFault#getHwFailureModeSingleContribution
   * @model opposite="hwFailureModeSingleContribution"
   *        annotation="MetaData guid='{6DC2DD82-EFA9-4fec-84CF-C40C94FB337F}' id='-929536506' EA\040name=''"
   *        annotation="TaggedValues xml.name='NAME-WAS-NOT-SET-7-REF' xml.namePlural='NAME-WAS-NOT-SET-7-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWFault getNameWasNotSet_7();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getNameWasNotSet_7 <em>Name Was Not Set 7</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Name Was Not Set 7</em>' reference.
   * @see #getNameWasNotSet_7()
   * @generated
   */
  void setNameWasNotSet_7(HWFault value);

} // HWFMSingleContribution
