/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.hwquantitativemeasure;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.hardware.probabilisticmethods.HWFailureClassContainer;
import safe10.classmodel.hardware.probabilisticmethods.HWPMHF;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>HW Probabilistic Value</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class represents an abstract definition of all failure analysis required by the ISO Part 5 Clause 9. This class allows to map all meta class for the evaluation of safety goal violation (PMHF and Failure Rate Class). 
 * 
 * Each HWQuantifiedFailureAnalysis belongs to exactly one malfunction (link to violation of a SafetyGoal). The ASIL-TargetValue (e.g. ASIL-D) is derived from the SafetyGoal.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.hwquantitativemeasure.HWProbabilisticValue#getHwFailureClassContainer <em>Hw Failure Class Container</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.hwquantitativemeasure.HWProbabilisticValue#getHwPMHF <em>Hw PMHF</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage#getHWProbabilisticValue()
 * @model abstract="true"
 *        annotation="MetaData guid='{65103584-DF55-4b7e-B8EB-EBF6A0DE90F2}' id='-631194496' EA\040name='HWProbabilisticValue'"
 *        annotation="TaggedValues xml.name='HW-PROBABILISTIC-VALUE' xml.namePlural='HW-PROBABILISTIC-VALUES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HWProbabilisticValue extends EObject
{
  /**
   * Returns the value of the '<em><b>Hw Failure Class Container</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hw Failure Class Container</em>' containment reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hw Failure Class Container</em>' containment reference.
   * @see #setHwFailureClassContainer(HWFailureClassContainer)
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage#getHWProbabilisticValue_HwFailureClassContainer()
   * @model containment="true"
   *        annotation="MetaData guid='{DA80471E-2B3D-407a-9471-93C6CA7609F1}' id='1395722581' EA\040name=''"
   *        annotation="TaggedValues xml.name='HW-FAILURE-CLASS-CONTAINER' xml.namePlural='HW-FAILURE-CLASS-CONTAINERS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWFailureClassContainer getHwFailureClassContainer();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWProbabilisticValue#getHwFailureClassContainer <em>Hw Failure Class Container</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Hw Failure Class Container</em>' containment reference.
   * @see #getHwFailureClassContainer()
   * @generated
   */
  void setHwFailureClassContainer(HWFailureClassContainer value);

  /**
   * Returns the value of the '<em><b>Hw PMHF</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hw PMHF</em>' containment reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hw PMHF</em>' containment reference.
   * @see #setHwPMHF(HWPMHF)
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage#getHWProbabilisticValue_HwPMHF()
   * @model containment="true"
   *        annotation="MetaData guid='{089F8924-9732-4664-9BBD-4AAAAE7B39C0}' id='-1238288604' EA\040name=''"
   *        annotation="TaggedValues xml.name='HW-PMHF' xml.namePlural='HW-PMHFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWPMHF getHwPMHF();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWProbabilisticValue#getHwPMHF <em>Hw PMHF</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Hw PMHF</em>' containment reference.
   * @see #getHwPMHF()
   * @generated
   */
  void setHwPMHF(HWPMHF value);

} // HWProbabilisticValue
