/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.hwquantitativemeasure;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.hardware.failure.HardwareFailureAnalysis;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>HW Quantitative Failure Analysis</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class represent the container for all quantified failure analysis required by the ISO 26262 Part 5 for a dedicated SafetyGoal. This class allows to cluster all meta class  for the HWArchitecturalMetrics described in the ISO Part 5 Clause 8 (Single-Point-Fault Metric, Latent-Fault Metric) and probabilistic value for violation of safety goal (PMH) or Failure Class Method described in the ISO Part 5 Clause 9.
 * 
 * Each HWFailureAnalysis belongs to exactly one SafetyGoal. The ASIL-TargetValue (e.g. ASIL-D) is derived from the SafetyGoal.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis#getHwArchitecturalMetrics <em>Hw Architectural Metrics</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis#getHwProbalisticValue <em>Hw Probalistic Value</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis#getNameWasNotSet_8 <em>Name Was Not Set 8</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage#getHWQuantitativeFailureAnalysis()
 * @model annotation="MetaData guid='{27C9F4D1-6DF3-4010-98F5-532862230C97}' id='-329506175' EA\040name='HWQuantitativeFailureAnalysis'"
 *        annotation="TaggedValues xml.name='HW-QUANTITATIVE-FAILURE-ANALYSIS' xml.namePlural='HW-QUANTITATIVE-FAILURE-ANALYSISS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HWQuantitativeFailureAnalysis extends EObject
{
  /**
   * Returns the value of the '<em><b>Hw Architectural Metrics</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hw Architectural Metrics</em>' containment reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hw Architectural Metrics</em>' containment reference.
   * @see #setHwArchitecturalMetrics(HWArchitecturalMetrics)
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage#getHWQuantitativeFailureAnalysis_HwArchitecturalMetrics()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{7C813744-BCB3-44d7-98BE-9C355198EB60}' id='437796248' EA\040name=''"
   *        annotation="TaggedValues xml.name='HW-ARCHITECTURAL-METRICS' xml.namePlural='HW-ARCHITECTURAL-METRICSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWArchitecturalMetrics getHwArchitecturalMetrics();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis#getHwArchitecturalMetrics <em>Hw Architectural Metrics</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Hw Architectural Metrics</em>' containment reference.
   * @see #getHwArchitecturalMetrics()
   * @generated
   */
  void setHwArchitecturalMetrics(HWArchitecturalMetrics value);

  /**
   * Returns the value of the '<em><b>Hw Probalistic Value</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hw Probalistic Value</em>' containment reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hw Probalistic Value</em>' containment reference.
   * @see #setHwProbalisticValue(HWProbabilisticValue)
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage#getHWQuantitativeFailureAnalysis_HwProbalisticValue()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{FC725FC3-9AAB-4157-8EA1-1DEC2D55003A}' id='-1429291642' EA\040name=''"
   *        annotation="TaggedValues xml.name='HW-PROBALISTIC-VALUE' xml.namePlural='HW-PROBALISTIC-VALUES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWProbabilisticValue getHwProbalisticValue();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis#getHwProbalisticValue <em>Hw Probalistic Value</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Hw Probalistic Value</em>' containment reference.
   * @see #getHwProbalisticValue()
   * @generated
   */
  void setHwProbalisticValue(HWProbabilisticValue value);

  /**
   * Returns the value of the '<em><b>Name Was Not Set 8</b></em>' reference.
   * It is bidirectional and its opposite is '{@link safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getHardwareQuantifiedAnalysis <em>Hardware Quantified Analysis</em>}'.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Name Was Not Set 8</em>' reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Name Was Not Set 8</em>' reference.
   * @see #setNameWasNotSet_8(HardwareFailureAnalysis)
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage#getHWQuantitativeFailureAnalysis_NameWasNotSet_8()
   * @see safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getHardwareQuantifiedAnalysis
   * @model opposite="hardwareQuantifiedAnalysis"
   *        annotation="MetaData guid='{4B7F9C9D-A743-4ee8-9E95-E5298B110864}' id='-520403363' EA\040name=''"
   *        annotation="TaggedValues xml.name='NAME-WAS-NOT-SET-8-REF' xml.namePlural='NAME-WAS-NOT-SET-8-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HardwareFailureAnalysis getNameWasNotSet_8();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis#getNameWasNotSet_8 <em>Name Was Not Set 8</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Name Was Not Set 8</em>' reference.
   * @see #getNameWasNotSet_8()
   * @generated
   */
  void setNameWasNotSet_8(HardwareFailureAnalysis value);

} // HWQuantitativeFailureAnalysis
