/**
 */
package safe10.classmodel.hardware.hwquantitativemeasure.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.hardware.hwquantitativemeasure.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage
 * @generated
 */
public class HwquantitativemeasureAdapterFactory extends AdapterFactoryImpl
{
  /**
   * The cached model package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static HwquantitativemeasurePackage modelPackage;

  /**
   * Creates an instance of the adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HwquantitativemeasureAdapterFactory()
  {
    if (modelPackage == null)
    {
      modelPackage = HwquantitativemeasurePackage.eINSTANCE;
    }
  }

  /**
   * Returns whether this factory is applicable for the type of the object.
   * <!-- begin-user-doc -->
   * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
   * <!-- end-user-doc -->
   * @return whether this factory is applicable for the type of the object.
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object object)
  {
    if (object == modelPackage)
    {
      return true;
    }
    if (object instanceof EObject)
    {
      return ((EObject)object).eClass().getEPackage() == modelPackage;
    }
    return false;
  }

  /**
   * The switch that delegates to the <code>createXXX</code> methods.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HwquantitativemeasureSwitch<Adapter> modelSwitch =
    new HwquantitativemeasureSwitch<Adapter>()
    {
      @Override
      public Adapter caseHWArchitecturalMetrics(HWArchitecturalMetrics object)
      {
        return createHWArchitecturalMetricsAdapter();
      }
      @Override
      public Adapter caseHWFMSingleContribution(HWFMSingleContribution object)
      {
        return createHWFMSingleContributionAdapter();
      }
      @Override
      public Adapter caseHWProbabilisticValue(HWProbabilisticValue object)
      {
        return createHWProbabilisticValueAdapter();
      }
      @Override
      public Adapter caseHWQuantitativeFailureAnalysis(HWQuantitativeFailureAnalysis object)
      {
        return createHWQuantitativeFailureAnalysisAdapter();
      }
      @Override
      public Adapter defaultCase(EObject object)
      {
        return createEObjectAdapter();
      }
    };

  /**
   * Creates an adapter for the <code>target</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param target the object to adapt.
   * @return the adapter for the <code>target</code>.
   * @generated
   */
  @Override
  public Adapter createAdapter(Notifier target)
  {
    return modelSwitch.doSwitch((EObject)target);
  }


  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWArchitecturalMetrics <em>HW Architectural Metrics</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWArchitecturalMetrics
   * @generated
   */
  public Adapter createHWArchitecturalMetricsAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution <em>HWFM Single Contribution</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution
   * @generated
   */
  public Adapter createHWFMSingleContributionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWProbabilisticValue <em>HW Probabilistic Value</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWProbabilisticValue
   * @generated
   */
  public Adapter createHWProbabilisticValueAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis <em>HW Quantitative Failure Analysis</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis
   * @generated
   */
  public Adapter createHWQuantitativeFailureAnalysisAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for the default case.
   * <!-- begin-user-doc -->
   * This default implementation returns null.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @generated
   */
  public Adapter createEObjectAdapter()
  {
    return null;
  }

} //HwquantitativemeasureAdapterFactory
