/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.probabilisticmethods;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.hardware.failureformula.HWFailureClassContributionFormula;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>HW Element Failure Rate Class</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class describes for a HWComponent, the FailureRateClass element to evaluate measure for a malfunction (link to violation of a safety goal) for a single element. This violation is based on failure rate class according to context of evaluation such as ASIL level, list of HWFault and diagnosis coverage of the HWComponent as HW Element.  It allows also storing the target for failure rate class, relevant or not depending of the possible HWFault of the failure mode of the HWComponent as  hardware Element. Furthermore if dedicated measures (DM) are required due to failure class target matching and the necessary information are captured as a textual description.
 * 
 * The calculation of the attribute HWElementFailureClass and HWElementDiagnosisCoverage is derived from the Formula Expression FMSingleContributionFormula.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwElementFailureClass <em>Hw Element Failure Class</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwElementLatentDiagnosisCoverage <em>Hw Element Latent Diagnosis Coverage</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwElementResidualDiagnosisCoverage <em>Hw Element Residual Diagnosis Coverage</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getLFTargetFailureRateClass <em>LF Target Failure Rate Class</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getRationaleDedicatedMeasures <em>Rationale Dedicated Measures</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getRationaleFailureRateClass <em>Rationale Failure Rate Class</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getRFTargetFailureRateClass <em>RF Target Failure Rate Class</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getSPFTargetFailureRateClass <em>SPF Target Failure Rate Class</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwEFRChwElementValue <em>Hw EFR Chw Element Value</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWElementFailureRateClass()
 * @model annotation="MetaData guid='{236B1260-994E-420c-871F-2F39A1649694}' id='1701386264' EA\040name='HWElementFailureRateClass'"
 *        annotation="TaggedValues xml.name='HW-ELEMENT-FAILURE-RATE-CLASS' xml.namePlural='HW-ELEMENT-FAILURE-RATE-CLASSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HWElementFailureRateClass extends EObject
{
  /**
   * Returns the value of the '<em><b>Hw Element Failure Class</b></em>' attribute.
   * The default value is <code>"FAILURERATECLASS1"</code>.
   * The literals are from the enumeration {@link safe10.classmodel.hardware.probabilisticmethods.HWValuesFailureRateClassEnum}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Failure Rate Class taken from HWValuesRateClassEnum based on the failure rate of the hardware component.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Hw Element Failure Class</em>' attribute.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWValuesFailureRateClassEnum
   * @see #isSetHwElementFailureClass()
   * @see #unsetHwElementFailureClass()
   * @see #setHwElementFailureClass(HWValuesFailureRateClassEnum)
   * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWElementFailureRateClass_HwElementFailureClass()
   * @model default="FAILURERATECLASS1" unsettable="true" required="true"
   *        annotation="MetaData guid='{860324C4-363D-4538-A120-34033E656501}' id='-853619655' EA\040name='hwElementFailureClass'"
   *        annotation="TaggedValues xml.name='HW-ELEMENT-FAILURE-CLASS' xml.namePlural='HW-ELEMENT-FAILURE-CLASSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWValuesFailureRateClassEnum getHwElementFailureClass();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwElementFailureClass <em>Hw Element Failure Class</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Hw Element Failure Class</em>' attribute.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWValuesFailureRateClassEnum
   * @see #isSetHwElementFailureClass()
   * @see #HwElementFailureClass()
   * @see #getHwElementFailureClass()
   * @generated
   */
  void setHwElementFailureClass(HWValuesFailureRateClassEnum value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwElementFailureClass <em>Hw Element Failure Class</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetHwElementFailureClass()
   * @see #getHwElementFailureClass()
   * @see #setHwElementFailureClass(HWValuesFailureRateClassEnum)
   * @generated
   */
  void unsetHwElementFailureClass();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwElementFailureClass <em>Hw Element Failure Class</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Hw Element Failure Class</em>' attribute is set.
   * @see #HwElementFailureClass()
   * @see #getHwElementFailureClass()
   * @see #setHwElementFailureClass(HWValuesFailureRateClassEnum)
   * @generated
   */
  boolean isSetHwElementFailureClass();

  /**
   * Returns the value of the '<em><b>Hw Element Latent Diagnosis Coverage</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The diagnostic coverage with respect to latent faults on hardware element level, calculated with the specific failure rate of all latent multiple-point faults and the overall failure rate of the hardware part element.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Hw Element Latent Diagnosis Coverage</em>' attribute.
   * @see #isSetHwElementLatentDiagnosisCoverage()
   * @see #unsetHwElementLatentDiagnosisCoverage()
   * @see #setHwElementLatentDiagnosisCoverage(Double)
   * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWElementFailureRateClass_HwElementLatentDiagnosisCoverage()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{3DA0E041-A7FD-4bd2-8A40-F060E25BF82A}' id='1797594118' EA\040name='hwElementLatentDiagnosisCoverage'"
   *        annotation="TaggedValues xml.name='HW-ELEMENT-LATENT-DIAGNOSIS-COVERAGE' xml.namePlural='HW-ELEMENT-LATENT-DIAGNOSIS-COVERAGES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getHwElementLatentDiagnosisCoverage();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwElementLatentDiagnosisCoverage <em>Hw Element Latent Diagnosis Coverage</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Hw Element Latent Diagnosis Coverage</em>' attribute.
   * @see #isSetHwElementLatentDiagnosisCoverage()
   * @see #HwElementLatentDiagnosisCoverage()
   * @see #getHwElementLatentDiagnosisCoverage()
   * @generated
   */
  void setHwElementLatentDiagnosisCoverage(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwElementLatentDiagnosisCoverage <em>Hw Element Latent Diagnosis Coverage</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetHwElementLatentDiagnosisCoverage()
   * @see #getHwElementLatentDiagnosisCoverage()
   * @see #setHwElementLatentDiagnosisCoverage(Double)
   * @generated
   */
  void unsetHwElementLatentDiagnosisCoverage();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwElementLatentDiagnosisCoverage <em>Hw Element Latent Diagnosis Coverage</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Hw Element Latent Diagnosis Coverage</em>' attribute is set.
   * @see #HwElementLatentDiagnosisCoverage()
   * @see #getHwElementLatentDiagnosisCoverage()
   * @see #setHwElementLatentDiagnosisCoverage(Double)
   * @generated
   */
  boolean isSetHwElementLatentDiagnosisCoverage();

  /**
   * Returns the value of the '<em><b>Hw Element Residual Diagnosis Coverage</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The diagnostic coverage with respect to residual faults on hardware element level, calculated with the specific failure rate of all single-point and residual faults and the overall failure rate of the hardware part element.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Hw Element Residual Diagnosis Coverage</em>' attribute.
   * @see #isSetHwElementResidualDiagnosisCoverage()
   * @see #unsetHwElementResidualDiagnosisCoverage()
   * @see #setHwElementResidualDiagnosisCoverage(Double)
   * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWElementFailureRateClass_HwElementResidualDiagnosisCoverage()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{E6936D04-5F14-4c09-9999-A8947E16047C}' id='-1875685105' EA\040name='hwElementResidualDiagnosisCoverage'"
   *        annotation="TaggedValues xml.name='HW-ELEMENT-RESIDUAL-DIAGNOSIS-COVERAGE' xml.namePlural='HW-ELEMENT-RESIDUAL-DIAGNOSIS-COVERAGES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getHwElementResidualDiagnosisCoverage();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwElementResidualDiagnosisCoverage <em>Hw Element Residual Diagnosis Coverage</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Hw Element Residual Diagnosis Coverage</em>' attribute.
   * @see #isSetHwElementResidualDiagnosisCoverage()
   * @see #HwElementResidualDiagnosisCoverage()
   * @see #getHwElementResidualDiagnosisCoverage()
   * @generated
   */
  void setHwElementResidualDiagnosisCoverage(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwElementResidualDiagnosisCoverage <em>Hw Element Residual Diagnosis Coverage</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetHwElementResidualDiagnosisCoverage()
   * @see #getHwElementResidualDiagnosisCoverage()
   * @see #setHwElementResidualDiagnosisCoverage(Double)
   * @generated
   */
  void unsetHwElementResidualDiagnosisCoverage();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwElementResidualDiagnosisCoverage <em>Hw Element Residual Diagnosis Coverage</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Hw Element Residual Diagnosis Coverage</em>' attribute is set.
   * @see #HwElementResidualDiagnosisCoverage()
   * @see #getHwElementResidualDiagnosisCoverage()
   * @see #setHwElementResidualDiagnosisCoverage(Double)
   * @generated
   */
  boolean isSetHwElementResidualDiagnosisCoverage();

  /**
   * Returns the value of the '<em><b>LF Target Failure Rate Class</b></em>' attribute.
   * The default value is <code>"OUTOFSCOPE"</code>.
   * The literals are from the enumeration {@link safe10.classmodel.hardware.probabilisticmethods.HWLFTargetFailureRateClassEnum}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Target Failure Rate Class for multiple-point latent faults, taken from HWLFTargetFailureRateClassEnum.
   * <!-- end-model-doc -->
   * @return the value of the '<em>LF Target Failure Rate Class</em>' attribute.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWLFTargetFailureRateClassEnum
   * @see #isSetLFTargetFailureRateClass()
   * @see #unsetLFTargetFailureRateClass()
   * @see #setLFTargetFailureRateClass(HWLFTargetFailureRateClassEnum)
   * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWElementFailureRateClass_LFTargetFailureRateClass()
   * @model default="OUTOFSCOPE" unsettable="true" required="true"
   *        annotation="MetaData guid='{49A4436F-F708-441c-AE3D-4F0D1417F521}' id='-1399277148' EA\040name='LFTargetFailureRateClass'"
   *        annotation="TaggedValues xml.name='LF-TARGET-FAILURE-RATE-CLASS' xml.namePlural='LF-TARGET-FAILURE-RATE-CLASSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWLFTargetFailureRateClassEnum getLFTargetFailureRateClass();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getLFTargetFailureRateClass <em>LF Target Failure Rate Class</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>LF Target Failure Rate Class</em>' attribute.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWLFTargetFailureRateClassEnum
   * @see #isSetLFTargetFailureRateClass()
   * @see #LFTargetFailureRateClass()
   * @see #getLFTargetFailureRateClass()
   * @generated
   */
  void setLFTargetFailureRateClass(HWLFTargetFailureRateClassEnum value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getLFTargetFailureRateClass <em>LF Target Failure Rate Class</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetLFTargetFailureRateClass()
   * @see #getLFTargetFailureRateClass()
   * @see #setLFTargetFailureRateClass(HWLFTargetFailureRateClassEnum)
   * @generated
   */
  void unsetLFTargetFailureRateClass();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getLFTargetFailureRateClass <em>LF Target Failure Rate Class</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>LF Target Failure Rate Class</em>' attribute is set.
   * @see #LFTargetFailureRateClass()
   * @see #getLFTargetFailureRateClass()
   * @see #setLFTargetFailureRateClass(HWLFTargetFailureRateClassEnum)
   * @generated
   */
  boolean isSetLFTargetFailureRateClass();

  /**
   * Returns the value of the '<em><b>Rationale Dedicated Measures</b></em>' attribute.
   * The default value is <code>""</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Provides rationale for dedicated measures, if required.
   * 
   * According to ISO 26262 Part 5 9.4.2.4, examples for dedicated measures are
   * 
   * a) design features such as hardware part over design (e.g. electrical or thermal stress rating) or physical separation (e.g. spacing of contacts on a printed circuit board); 
   * b) a special sample test of incoming material to reduce the risk of occurrence of this failure mode; 
   * c) a burn-in test; 
   * d) a dedicated control set as part of the control plan; and 
   * e) assignment of safety-related special characteristics. 
   * <!-- end-model-doc -->
   * @return the value of the '<em>Rationale Dedicated Measures</em>' attribute.
   * @see #isSetRationaleDedicatedMeasures()
   * @see #unsetRationaleDedicatedMeasures()
   * @see #setRationaleDedicatedMeasures(String)
   * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWElementFailureRateClass_RationaleDedicatedMeasures()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.String" required="true"
   *        annotation="MetaData guid='{FC2B73AA-2858-45de-88B0-D80F3FB6B1C9}' id='-1029572139' EA\040name='rationaleDedicatedMeasures'"
   *        annotation="TaggedValues xml.name='RATIONALE-DEDICATED-MEASURES' xml.namePlural='RATIONALE-DEDICATED-MEASURESS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  String getRationaleDedicatedMeasures();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getRationaleDedicatedMeasures <em>Rationale Dedicated Measures</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Rationale Dedicated Measures</em>' attribute.
   * @see #isSetRationaleDedicatedMeasures()
   * @see #RationaleDedicatedMeasures()
   * @see #getRationaleDedicatedMeasures()
   * @generated
   */
  void setRationaleDedicatedMeasures(String value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getRationaleDedicatedMeasures <em>Rationale Dedicated Measures</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetRationaleDedicatedMeasures()
   * @see #getRationaleDedicatedMeasures()
   * @see #setRationaleDedicatedMeasures(String)
   * @generated
   */
  void unsetRationaleDedicatedMeasures();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getRationaleDedicatedMeasures <em>Rationale Dedicated Measures</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Rationale Dedicated Measures</em>' attribute is set.
   * @see #RationaleDedicatedMeasures()
   * @see #getRationaleDedicatedMeasures()
   * @see #setRationaleDedicatedMeasures(String)
   * @generated
   */
  boolean isSetRationaleDedicatedMeasures();

  /**
   * Returns the value of the '<em><b>Rationale Failure Rate Class</b></em>' attribute.
   * The default value is <code>""</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Rationale for matching criteria on Failure Rate Class.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Rationale Failure Rate Class</em>' attribute.
   * @see #isSetRationaleFailureRateClass()
   * @see #unsetRationaleFailureRateClass()
   * @see #setRationaleFailureRateClass(String)
   * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWElementFailureRateClass_RationaleFailureRateClass()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.String" required="true"
   *        annotation="MetaData guid='{A2DDA5A6-E56C-46c0-A1B1-31B99B572DE6}' id='-919713678' EA\040name='rationaleFailureRateClass'"
   *        annotation="TaggedValues xml.name='RATIONALE-FAILURE-RATE-CLASS' xml.namePlural='RATIONALE-FAILURE-RATE-CLASSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  String getRationaleFailureRateClass();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getRationaleFailureRateClass <em>Rationale Failure Rate Class</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Rationale Failure Rate Class</em>' attribute.
   * @see #isSetRationaleFailureRateClass()
   * @see #RationaleFailureRateClass()
   * @see #getRationaleFailureRateClass()
   * @generated
   */
  void setRationaleFailureRateClass(String value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getRationaleFailureRateClass <em>Rationale Failure Rate Class</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetRationaleFailureRateClass()
   * @see #getRationaleFailureRateClass()
   * @see #setRationaleFailureRateClass(String)
   * @generated
   */
  void unsetRationaleFailureRateClass();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getRationaleFailureRateClass <em>Rationale Failure Rate Class</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Rationale Failure Rate Class</em>' attribute is set.
   * @see #RationaleFailureRateClass()
   * @see #getRationaleFailureRateClass()
   * @see #setRationaleFailureRateClass(String)
   * @generated
   */
  boolean isSetRationaleFailureRateClass();

  /**
   * Returns the value of the '<em><b>RF Target Failure Rate Class</b></em>' attribute.
   * The default value is <code>"OUTOFSCOPE"</code>.
   * The literals are from the enumeration {@link safe10.classmodel.hardware.probabilisticmethods.HWRFTargetFailureRateClassEnum}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Target Failure Rate Class for residual faults, taken from HWRFTargetFailureRateClassEnum.
   * <!-- end-model-doc -->
   * @return the value of the '<em>RF Target Failure Rate Class</em>' attribute.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWRFTargetFailureRateClassEnum
   * @see #isSetRFTargetFailureRateClass()
   * @see #unsetRFTargetFailureRateClass()
   * @see #setRFTargetFailureRateClass(HWRFTargetFailureRateClassEnum)
   * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWElementFailureRateClass_RFTargetFailureRateClass()
   * @model default="OUTOFSCOPE" unsettable="true" required="true"
   *        annotation="MetaData guid='{DF535B12-2D50-4e0c-AC1C-E3D79521BD76}' id='1421420555' EA\040name='RFTargetFailureRateClass'"
   *        annotation="TaggedValues xml.name='RF-TARGET-FAILURE-RATE-CLASS' xml.namePlural='RF-TARGET-FAILURE-RATE-CLASSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWRFTargetFailureRateClassEnum getRFTargetFailureRateClass();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getRFTargetFailureRateClass <em>RF Target Failure Rate Class</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>RF Target Failure Rate Class</em>' attribute.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWRFTargetFailureRateClassEnum
   * @see #isSetRFTargetFailureRateClass()
   * @see #RFTargetFailureRateClass()
   * @see #getRFTargetFailureRateClass()
   * @generated
   */
  void setRFTargetFailureRateClass(HWRFTargetFailureRateClassEnum value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getRFTargetFailureRateClass <em>RF Target Failure Rate Class</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetRFTargetFailureRateClass()
   * @see #getRFTargetFailureRateClass()
   * @see #setRFTargetFailureRateClass(HWRFTargetFailureRateClassEnum)
   * @generated
   */
  void unsetRFTargetFailureRateClass();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getRFTargetFailureRateClass <em>RF Target Failure Rate Class</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>RF Target Failure Rate Class</em>' attribute is set.
   * @see #RFTargetFailureRateClass()
   * @see #getRFTargetFailureRateClass()
   * @see #setRFTargetFailureRateClass(HWRFTargetFailureRateClassEnum)
   * @generated
   */
  boolean isSetRFTargetFailureRateClass();

  /**
   * Returns the value of the '<em><b>SPF Target Failure Rate Class</b></em>' attribute.
   * The default value is <code>"OUTOFSCOPE"</code>.
   * The literals are from the enumeration {@link safe10.classmodel.hardware.probabilisticmethods.HWSPFTargetFailureRateClassEnum}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Target Failure Rate Class for single-point faults, taken from HWSPFTargetFailureRateClassEnum.
   * <!-- end-model-doc -->
   * @return the value of the '<em>SPF Target Failure Rate Class</em>' attribute.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWSPFTargetFailureRateClassEnum
   * @see #isSetSPFTargetFailureRateClass()
   * @see #unsetSPFTargetFailureRateClass()
   * @see #setSPFTargetFailureRateClass(HWSPFTargetFailureRateClassEnum)
   * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWElementFailureRateClass_SPFTargetFailureRateClass()
   * @model default="OUTOFSCOPE" unsettable="true" required="true"
   *        annotation="MetaData guid='{68399B96-FB31-4ee0-B463-5BB43E7309B3}' id='1246096368' EA\040name='SPFTargetFailureRateClass'"
   *        annotation="TaggedValues xml.name='SPF-TARGET-FAILURE-RATE-CLASS' xml.namePlural='SPF-TARGET-FAILURE-RATE-CLASSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWSPFTargetFailureRateClassEnum getSPFTargetFailureRateClass();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getSPFTargetFailureRateClass <em>SPF Target Failure Rate Class</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>SPF Target Failure Rate Class</em>' attribute.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWSPFTargetFailureRateClassEnum
   * @see #isSetSPFTargetFailureRateClass()
   * @see #SPFTargetFailureRateClass()
   * @see #getSPFTargetFailureRateClass()
   * @generated
   */
  void setSPFTargetFailureRateClass(HWSPFTargetFailureRateClassEnum value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getSPFTargetFailureRateClass <em>SPF Target Failure Rate Class</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetSPFTargetFailureRateClass()
   * @see #getSPFTargetFailureRateClass()
   * @see #setSPFTargetFailureRateClass(HWSPFTargetFailureRateClassEnum)
   * @generated
   */
  void unsetSPFTargetFailureRateClass();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getSPFTargetFailureRateClass <em>SPF Target Failure Rate Class</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>SPF Target Failure Rate Class</em>' attribute is set.
   * @see #SPFTargetFailureRateClass()
   * @see #getSPFTargetFailureRateClass()
   * @see #setSPFTargetFailureRateClass(HWSPFTargetFailureRateClassEnum)
   * @generated
   */
  boolean isSetSPFTargetFailureRateClass();

  /**
   * Returns the value of the '<em><b>Hw EFR Chw Element Value</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hw EFR Chw Element Value</em>' containment reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hw EFR Chw Element Value</em>' containment reference.
   * @see #setHwEFRChwElementValue(HWFailureClassContributionFormula)
   * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWElementFailureRateClass_HwEFRChwElementValue()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{883078D8-C396-4e97-8075-A2866A2C70C3}' id='1128727914' EA\040name=''"
   *        annotation="TaggedValues xml.name='HW-EFR-CHW-ELEMENT-VALUE' xml.namePlural='HW-EFR-CHW-ELEMENT-VALUES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWFailureClassContributionFormula getHwEFRChwElementValue();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwEFRChwElementValue <em>Hw EFR Chw Element Value</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Hw EFR Chw Element Value</em>' containment reference.
   * @see #getHwEFRChwElementValue()
   * @generated
   */
  void setHwEFRChwElementValue(HWFailureClassContributionFormula value);

} // HWElementFailureRateClass
