/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.probabilisticmethods;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.hardware.failureformula.HWPMHFFormula;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>HWPMHF</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class describes the Probabilistic Metric for random Hardware Failures (PMHF) as in ISO Part 5 Clause 9.4.2.
 * 
 * A simplified alculation is included in the class HWPMHFFormula.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getCalculatedValue <em>Calculated Value</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getRationaleDedicatedMeasures <em>Rationale Dedicated Measures</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getExposureTime <em>Exposure Time</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getRationaleExposureTime <em>Rationale Exposure Time</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getHwPMHFCalculatedValue <em>Hw PMHF Calculated Value</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWPMHF()
 * @model annotation="MetaData guid='{F5507EF8-B579-4626-B169-2832A4914A0A}' id='-1322629448' EA\040name='HWPMHF'"
 *        annotation="TaggedValues xml.name='HWPMHF' xml.namePlural='HWPMHFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HWPMHF extends EObject
{
  /**
   * Returns the value of the '<em><b>Calculated Value</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The calculatedValue is the result of the calculation of the PMHF (in FIT).
   * <!-- end-model-doc -->
   * @return the value of the '<em>Calculated Value</em>' attribute.
   * @see #isSetCalculatedValue()
   * @see #unsetCalculatedValue()
   * @see #setCalculatedValue(Double)
   * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWPMHF_CalculatedValue()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{62631271-8F83-4624-9591-F582D270FC4F}' id='905428569' EA\040name='calculatedValue'"
   *        annotation="TaggedValues xml.name='CALCULATED-VALUE' xml.namePlural='CALCULATED-VALUES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getCalculatedValue();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getCalculatedValue <em>Calculated Value</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Calculated Value</em>' attribute.
   * @see #isSetCalculatedValue()
   * @see #CalculatedValue()
   * @see #getCalculatedValue()
   * @generated
   */
  void setCalculatedValue(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getCalculatedValue <em>Calculated Value</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetCalculatedValue()
   * @see #getCalculatedValue()
   * @see #setCalculatedValue(Double)
   * @generated
   */
  void unsetCalculatedValue();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getCalculatedValue <em>Calculated Value</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Calculated Value</em>' attribute is set.
   * @see #CalculatedValue()
   * @see #getCalculatedValue()
   * @see #setCalculatedValue(Double)
   * @generated
   */
  boolean isSetCalculatedValue();

  /**
   * Returns the value of the '<em><b>Rationale Dedicated Measures</b></em>' attribute.
   * The default value is <code>""</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The attribute rationaleDedicatedMeasures shall allow to define a rationale for applied dedicated measures in the design.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Rationale Dedicated Measures</em>' attribute.
   * @see #isSetRationaleDedicatedMeasures()
   * @see #unsetRationaleDedicatedMeasures()
   * @see #setRationaleDedicatedMeasures(String)
   * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWPMHF_RationaleDedicatedMeasures()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.String" required="true"
   *        annotation="MetaData guid='{E539AAD5-252D-4335-95F9-4C0FADAE8B15}' id='1926893615' EA\040name='rationaleDedicatedMeasures'"
   *        annotation="TaggedValues xml.name='RATIONALE-DEDICATED-MEASURES' xml.namePlural='RATIONALE-DEDICATED-MEASURESS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  String getRationaleDedicatedMeasures();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getRationaleDedicatedMeasures <em>Rationale Dedicated Measures</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Rationale Dedicated Measures</em>' attribute.
   * @see #isSetRationaleDedicatedMeasures()
   * @see #RationaleDedicatedMeasures()
   * @see #getRationaleDedicatedMeasures()
   * @generated
   */
  void setRationaleDedicatedMeasures(String value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getRationaleDedicatedMeasures <em>Rationale Dedicated Measures</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetRationaleDedicatedMeasures()
   * @see #getRationaleDedicatedMeasures()
   * @see #setRationaleDedicatedMeasures(String)
   * @generated
   */
  void unsetRationaleDedicatedMeasures();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getRationaleDedicatedMeasures <em>Rationale Dedicated Measures</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Rationale Dedicated Measures</em>' attribute is set.
   * @see #RationaleDedicatedMeasures()
   * @see #getRationaleDedicatedMeasures()
   * @see #setRationaleDedicatedMeasures(String)
   * @generated
   */
  boolean isSetRationaleDedicatedMeasures();

  /**
   * Returns the value of the '<em><b>Exposure Time</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The exposure time is the duration of exposure, shall be expressed in h.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Exposure Time</em>' attribute.
   * @see #isSetExposureTime()
   * @see #unsetExposureTime()
   * @see #setExposureTime(Double)
   * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWPMHF_ExposureTime()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{7AF37B91-804F-4c84-ADEE-41492CD1AF9A}' id='-1429181530' EA\040name='exposureTime'"
   *        annotation="TaggedValues xml.name='EXPOSURE-TIME' xml.namePlural='EXPOSURE-TIMES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getExposureTime();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getExposureTime <em>Exposure Time</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Exposure Time</em>' attribute.
   * @see #isSetExposureTime()
   * @see #ExposureTime()
   * @see #getExposureTime()
   * @generated
   */
  void setExposureTime(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getExposureTime <em>Exposure Time</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetExposureTime()
   * @see #getExposureTime()
   * @see #setExposureTime(Double)
   * @generated
   */
  void unsetExposureTime();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getExposureTime <em>Exposure Time</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Exposure Time</em>' attribute is set.
   * @see #ExposureTime()
   * @see #getExposureTime()
   * @see #setExposureTime(Double)
   * @generated
   */
  boolean isSetExposureTime();

  /**
   * Returns the value of the '<em><b>Rationale Exposure Time</b></em>' attribute.
   * The default value is <code>""</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The attribute rationaleExposureTime is for Documentation of rationale for Exposure Time.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Rationale Exposure Time</em>' attribute.
   * @see #isSetRationaleExposureTime()
   * @see #unsetRationaleExposureTime()
   * @see #setRationaleExposureTime(String)
   * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWPMHF_RationaleExposureTime()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.String" required="true"
   *        annotation="MetaData guid='{3AAE42FE-CC99-4273-9D5A-793FAF4A9322}' id='2074022468' EA\040name='rationaleExposureTime'"
   *        annotation="TaggedValues xml.name='RATIONALE-EXPOSURE-TIME' xml.namePlural='RATIONALE-EXPOSURE-TIMES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  String getRationaleExposureTime();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getRationaleExposureTime <em>Rationale Exposure Time</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Rationale Exposure Time</em>' attribute.
   * @see #isSetRationaleExposureTime()
   * @see #RationaleExposureTime()
   * @see #getRationaleExposureTime()
   * @generated
   */
  void setRationaleExposureTime(String value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getRationaleExposureTime <em>Rationale Exposure Time</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetRationaleExposureTime()
   * @see #getRationaleExposureTime()
   * @see #setRationaleExposureTime(String)
   * @generated
   */
  void unsetRationaleExposureTime();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getRationaleExposureTime <em>Rationale Exposure Time</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Rationale Exposure Time</em>' attribute is set.
   * @see #RationaleExposureTime()
   * @see #getRationaleExposureTime()
   * @see #setRationaleExposureTime(String)
   * @generated
   */
  boolean isSetRationaleExposureTime();

  /**
   * Returns the value of the '<em><b>Hw PMHF Calculated Value</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hw PMHF Calculated Value</em>' containment reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hw PMHF Calculated Value</em>' containment reference.
   * @see #setHwPMHFCalculatedValue(HWPMHFFormula)
   * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWPMHF_HwPMHFCalculatedValue()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{9242DB34-6508-4b70-99B5-9EB8AD1DAA35}' id='1110729735' EA\040name=''"
   *        annotation="TaggedValues xml.name='HW-PMHF-CALCULATED-VALUE' xml.namePlural='HW-PMHF-CALCULATED-VALUES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWPMHFFormula getHwPMHFCalculatedValue();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getHwPMHFCalculatedValue <em>Hw PMHF Calculated Value</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Hw PMHF Calculated Value</em>' containment reference.
   * @see #getHwPMHFCalculatedValue()
   * @generated
   */
  void setHwPMHFCalculatedValue(HWPMHFFormula value);

} // HWPMHF
