/**
 */
package safe10.classmodel.hardware.probabilisticmethods;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * This sub-package describes the residual risk of safety goal violation due to random hardware failures as claimed by ISO 26262 Part 5 Clause 9. This contains the probabilistic metric for random hardware failures (PMHF) and as an alternative the failure rate class method (FRC).
 * <!-- end-model-doc -->
 * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsFactory
 * @model kind="package"
 *        annotation="MetaData guid='{A67217FA-6454-4217-B5A3-4B874AC8FE86}' id='-1433040449' EA\040name='ProbabilisticMethods'"
 *        annotation="TaggedValues xml.name='PROBABILISTICMETHODS' xml.namePlural='PROBABILISTICMETHODSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface ProbabilisticmethodsPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "probabilisticmethods";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/hardware/probabilisticmethods";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  ProbabilisticmethodsPackage eINSTANCE = safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.probabilisticmethods.impl.HWElementFailureRateClassImpl <em>HW Element Failure Rate Class</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.probabilisticmethods.impl.HWElementFailureRateClassImpl
   * @see safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl#getHWElementFailureRateClass()
   * @generated
   */
  int HW_ELEMENT_FAILURE_RATE_CLASS = 0;

  /**
   * The feature id for the '<em><b>Hw Element Failure Class</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ELEMENT_FAILURE_RATE_CLASS__HW_ELEMENT_FAILURE_CLASS = 0;

  /**
   * The feature id for the '<em><b>Hw Element Latent Diagnosis Coverage</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ELEMENT_FAILURE_RATE_CLASS__HW_ELEMENT_LATENT_DIAGNOSIS_COVERAGE = 1;

  /**
   * The feature id for the '<em><b>Hw Element Residual Diagnosis Coverage</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ELEMENT_FAILURE_RATE_CLASS__HW_ELEMENT_RESIDUAL_DIAGNOSIS_COVERAGE = 2;

  /**
   * The feature id for the '<em><b>LF Target Failure Rate Class</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ELEMENT_FAILURE_RATE_CLASS__LF_TARGET_FAILURE_RATE_CLASS = 3;

  /**
   * The feature id for the '<em><b>Rationale Dedicated Measures</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ELEMENT_FAILURE_RATE_CLASS__RATIONALE_DEDICATED_MEASURES = 4;

  /**
   * The feature id for the '<em><b>Rationale Failure Rate Class</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ELEMENT_FAILURE_RATE_CLASS__RATIONALE_FAILURE_RATE_CLASS = 5;

  /**
   * The feature id for the '<em><b>RF Target Failure Rate Class</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ELEMENT_FAILURE_RATE_CLASS__RF_TARGET_FAILURE_RATE_CLASS = 6;

  /**
   * The feature id for the '<em><b>SPF Target Failure Rate Class</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ELEMENT_FAILURE_RATE_CLASS__SPF_TARGET_FAILURE_RATE_CLASS = 7;

  /**
   * The feature id for the '<em><b>Hw EFR Chw Element Value</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ELEMENT_FAILURE_RATE_CLASS__HW_EFR_CHW_ELEMENT_VALUE = 8;

  /**
   * The number of structural features of the '<em>HW Element Failure Rate Class</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ELEMENT_FAILURE_RATE_CLASS_FEATURE_COUNT = 9;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.probabilisticmethods.impl.HWFailureClassContainerImpl <em>HW Failure Class Container</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.probabilisticmethods.impl.HWFailureClassContainerImpl
   * @see safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl#getHWFailureClassContainer()
   * @generated
   */
  int HW_FAILURE_CLASS_CONTAINER = 1;

  /**
   * The feature id for the '<em><b>Rationale Cut Set</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAILURE_CLASS_CONTAINER__RATIONALE_CUT_SET = 0;

  /**
   * The feature id for the '<em><b>Relevant Cut Set</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAILURE_CLASS_CONTAINER__RELEVANT_CUT_SET = 1;

  /**
   * The feature id for the '<em><b>Hwelement Failure Rate Class</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAILURE_CLASS_CONTAINER__HWELEMENT_FAILURE_RATE_CLASS = 2;

  /**
   * The number of structural features of the '<em>HW Failure Class Container</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAILURE_CLASS_CONTAINER_FEATURE_COUNT = 3;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.probabilisticmethods.impl.HWPMHFImpl <em>HWPMHF</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.probabilisticmethods.impl.HWPMHFImpl
   * @see safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl#getHWPMHF()
   * @generated
   */
  int HWPMHF = 2;

  /**
   * The feature id for the '<em><b>Calculated Value</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWPMHF__CALCULATED_VALUE = 0;

  /**
   * The feature id for the '<em><b>Rationale Dedicated Measures</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWPMHF__RATIONALE_DEDICATED_MEASURES = 1;

  /**
   * The feature id for the '<em><b>Exposure Time</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWPMHF__EXPOSURE_TIME = 2;

  /**
   * The feature id for the '<em><b>Rationale Exposure Time</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWPMHF__RATIONALE_EXPOSURE_TIME = 3;

  /**
   * The feature id for the '<em><b>Hw PMHF Calculated Value</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWPMHF__HW_PMHF_CALCULATED_VALUE = 4;

  /**
   * The number of structural features of the '<em>HWPMHF</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWPMHF_FEATURE_COUNT = 5;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.probabilisticmethods.HWLFTargetFailureRateClassEnum <em>HWLF Target Failure Rate Class Enum</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.probabilisticmethods.HWLFTargetFailureRateClassEnum
   * @see safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl#getHWLFTargetFailureRateClassEnum()
   * @generated
   */
  int HWLF_TARGET_FAILURE_RATE_CLASS_ENUM = 3;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.probabilisticmethods.HWRFTargetFailureRateClassEnum <em>HWRF Target Failure Rate Class Enum</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.probabilisticmethods.HWRFTargetFailureRateClassEnum
   * @see safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl#getHWRFTargetFailureRateClassEnum()
   * @generated
   */
  int HWRF_TARGET_FAILURE_RATE_CLASS_ENUM = 4;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.probabilisticmethods.HWSPFTargetFailureRateClassEnum <em>HWSPF Target Failure Rate Class Enum</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.probabilisticmethods.HWSPFTargetFailureRateClassEnum
   * @see safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl#getHWSPFTargetFailureRateClassEnum()
   * @generated
   */
  int HWSPF_TARGET_FAILURE_RATE_CLASS_ENUM = 5;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.probabilisticmethods.HWTargetValuesPMHFEnum <em>HW Target Values PMHF Enum</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.probabilisticmethods.HWTargetValuesPMHFEnum
   * @see safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl#getHWTargetValuesPMHFEnum()
   * @generated
   */
  int HW_TARGET_VALUES_PMHF_ENUM = 6;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.probabilisticmethods.HWValuesFailureRateClassEnum <em>HW Values Failure Rate Class Enum</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.probabilisticmethods.HWValuesFailureRateClassEnum
   * @see safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl#getHWValuesFailureRateClassEnum()
   * @generated
   */
  int HW_VALUES_FAILURE_RATE_CLASS_ENUM = 7;


  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass <em>HW Element Failure Rate Class</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Element Failure Rate Class</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass
   * @generated
   */
  EClass getHWElementFailureRateClass();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwElementFailureClass <em>Hw Element Failure Class</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Hw Element Failure Class</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwElementFailureClass()
   * @see #getHWElementFailureRateClass()
   * @generated
   */
  EAttribute getHWElementFailureRateClass_HwElementFailureClass();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwElementLatentDiagnosisCoverage <em>Hw Element Latent Diagnosis Coverage</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Hw Element Latent Diagnosis Coverage</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwElementLatentDiagnosisCoverage()
   * @see #getHWElementFailureRateClass()
   * @generated
   */
  EAttribute getHWElementFailureRateClass_HwElementLatentDiagnosisCoverage();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwElementResidualDiagnosisCoverage <em>Hw Element Residual Diagnosis Coverage</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Hw Element Residual Diagnosis Coverage</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwElementResidualDiagnosisCoverage()
   * @see #getHWElementFailureRateClass()
   * @generated
   */
  EAttribute getHWElementFailureRateClass_HwElementResidualDiagnosisCoverage();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getLFTargetFailureRateClass <em>LF Target Failure Rate Class</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>LF Target Failure Rate Class</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getLFTargetFailureRateClass()
   * @see #getHWElementFailureRateClass()
   * @generated
   */
  EAttribute getHWElementFailureRateClass_LFTargetFailureRateClass();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getRationaleDedicatedMeasures <em>Rationale Dedicated Measures</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Rationale Dedicated Measures</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getRationaleDedicatedMeasures()
   * @see #getHWElementFailureRateClass()
   * @generated
   */
  EAttribute getHWElementFailureRateClass_RationaleDedicatedMeasures();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getRationaleFailureRateClass <em>Rationale Failure Rate Class</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Rationale Failure Rate Class</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getRationaleFailureRateClass()
   * @see #getHWElementFailureRateClass()
   * @generated
   */
  EAttribute getHWElementFailureRateClass_RationaleFailureRateClass();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getRFTargetFailureRateClass <em>RF Target Failure Rate Class</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>RF Target Failure Rate Class</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getRFTargetFailureRateClass()
   * @see #getHWElementFailureRateClass()
   * @generated
   */
  EAttribute getHWElementFailureRateClass_RFTargetFailureRateClass();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getSPFTargetFailureRateClass <em>SPF Target Failure Rate Class</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>SPF Target Failure Rate Class</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getSPFTargetFailureRateClass()
   * @see #getHWElementFailureRateClass()
   * @generated
   */
  EAttribute getHWElementFailureRateClass_SPFTargetFailureRateClass();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwEFRChwElementValue <em>Hw EFR Chw Element Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Hw EFR Chw Element Value</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass#getHwEFRChwElementValue()
   * @see #getHWElementFailureRateClass()
   * @generated
   */
  EReference getHWElementFailureRateClass_HwEFRChwElementValue();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.probabilisticmethods.HWFailureClassContainer <em>HW Failure Class Container</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Failure Class Container</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWFailureClassContainer
   * @generated
   */
  EClass getHWFailureClassContainer();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.probabilisticmethods.HWFailureClassContainer#getRationaleCutSet <em>Rationale Cut Set</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Rationale Cut Set</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWFailureClassContainer#getRationaleCutSet()
   * @see #getHWFailureClassContainer()
   * @generated
   */
  EAttribute getHWFailureClassContainer_RationaleCutSet();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.probabilisticmethods.HWFailureClassContainer#getRelevantCutSet <em>Relevant Cut Set</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Relevant Cut Set</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWFailureClassContainer#getRelevantCutSet()
   * @see #getHWFailureClassContainer()
   * @generated
   */
  EAttribute getHWFailureClassContainer_RelevantCutSet();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.hardware.probabilisticmethods.HWFailureClassContainer#getHwelementFailureRateClass <em>Hwelement Failure Rate Class</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Hwelement Failure Rate Class</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWFailureClassContainer#getHwelementFailureRateClass()
   * @see #getHWFailureClassContainer()
   * @generated
   */
  EReference getHWFailureClassContainer_HwelementFailureRateClass();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF <em>HWPMHF</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HWPMHF</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWPMHF
   * @generated
   */
  EClass getHWPMHF();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getCalculatedValue <em>Calculated Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Calculated Value</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getCalculatedValue()
   * @see #getHWPMHF()
   * @generated
   */
  EAttribute getHWPMHF_CalculatedValue();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getRationaleDedicatedMeasures <em>Rationale Dedicated Measures</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Rationale Dedicated Measures</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getRationaleDedicatedMeasures()
   * @see #getHWPMHF()
   * @generated
   */
  EAttribute getHWPMHF_RationaleDedicatedMeasures();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getExposureTime <em>Exposure Time</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Exposure Time</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getExposureTime()
   * @see #getHWPMHF()
   * @generated
   */
  EAttribute getHWPMHF_ExposureTime();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getRationaleExposureTime <em>Rationale Exposure Time</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Rationale Exposure Time</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getRationaleExposureTime()
   * @see #getHWPMHF()
   * @generated
   */
  EAttribute getHWPMHF_RationaleExposureTime();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getHwPMHFCalculatedValue <em>Hw PMHF Calculated Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Hw PMHF Calculated Value</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWPMHF#getHwPMHFCalculatedValue()
   * @see #getHWPMHF()
   * @generated
   */
  EReference getHWPMHF_HwPMHFCalculatedValue();

  /**
   * Returns the meta object for enum '{@link safe10.classmodel.hardware.probabilisticmethods.HWLFTargetFailureRateClassEnum <em>HWLF Target Failure Rate Class Enum</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>HWLF Target Failure Rate Class Enum</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWLFTargetFailureRateClassEnum
   * @generated
   */
  EEnum getHWLFTargetFailureRateClassEnum();

  /**
   * Returns the meta object for enum '{@link safe10.classmodel.hardware.probabilisticmethods.HWRFTargetFailureRateClassEnum <em>HWRF Target Failure Rate Class Enum</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>HWRF Target Failure Rate Class Enum</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWRFTargetFailureRateClassEnum
   * @generated
   */
  EEnum getHWRFTargetFailureRateClassEnum();

  /**
   * Returns the meta object for enum '{@link safe10.classmodel.hardware.probabilisticmethods.HWSPFTargetFailureRateClassEnum <em>HWSPF Target Failure Rate Class Enum</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>HWSPF Target Failure Rate Class Enum</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWSPFTargetFailureRateClassEnum
   * @generated
   */
  EEnum getHWSPFTargetFailureRateClassEnum();

  /**
   * Returns the meta object for enum '{@link safe10.classmodel.hardware.probabilisticmethods.HWTargetValuesPMHFEnum <em>HW Target Values PMHF Enum</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>HW Target Values PMHF Enum</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWTargetValuesPMHFEnum
   * @generated
   */
  EEnum getHWTargetValuesPMHFEnum();

  /**
   * Returns the meta object for enum '{@link safe10.classmodel.hardware.probabilisticmethods.HWValuesFailureRateClassEnum <em>HW Values Failure Rate Class Enum</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>HW Values Failure Rate Class Enum</em>'.
   * @see safe10.classmodel.hardware.probabilisticmethods.HWValuesFailureRateClassEnum
   * @generated
   */
  EEnum getHWValuesFailureRateClassEnum();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  ProbabilisticmethodsFactory getProbabilisticmethodsFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.probabilisticmethods.impl.HWElementFailureRateClassImpl <em>HW Element Failure Rate Class</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.probabilisticmethods.impl.HWElementFailureRateClassImpl
     * @see safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl#getHWElementFailureRateClass()
     * @generated
     */
    EClass HW_ELEMENT_FAILURE_RATE_CLASS = eINSTANCE.getHWElementFailureRateClass();

    /**
     * The meta object literal for the '<em><b>Hw Element Failure Class</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_ELEMENT_FAILURE_RATE_CLASS__HW_ELEMENT_FAILURE_CLASS = eINSTANCE.getHWElementFailureRateClass_HwElementFailureClass();

    /**
     * The meta object literal for the '<em><b>Hw Element Latent Diagnosis Coverage</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_ELEMENT_FAILURE_RATE_CLASS__HW_ELEMENT_LATENT_DIAGNOSIS_COVERAGE = eINSTANCE.getHWElementFailureRateClass_HwElementLatentDiagnosisCoverage();

    /**
     * The meta object literal for the '<em><b>Hw Element Residual Diagnosis Coverage</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_ELEMENT_FAILURE_RATE_CLASS__HW_ELEMENT_RESIDUAL_DIAGNOSIS_COVERAGE = eINSTANCE.getHWElementFailureRateClass_HwElementResidualDiagnosisCoverage();

    /**
     * The meta object literal for the '<em><b>LF Target Failure Rate Class</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_ELEMENT_FAILURE_RATE_CLASS__LF_TARGET_FAILURE_RATE_CLASS = eINSTANCE.getHWElementFailureRateClass_LFTargetFailureRateClass();

    /**
     * The meta object literal for the '<em><b>Rationale Dedicated Measures</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_ELEMENT_FAILURE_RATE_CLASS__RATIONALE_DEDICATED_MEASURES = eINSTANCE.getHWElementFailureRateClass_RationaleDedicatedMeasures();

    /**
     * The meta object literal for the '<em><b>Rationale Failure Rate Class</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_ELEMENT_FAILURE_RATE_CLASS__RATIONALE_FAILURE_RATE_CLASS = eINSTANCE.getHWElementFailureRateClass_RationaleFailureRateClass();

    /**
     * The meta object literal for the '<em><b>RF Target Failure Rate Class</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_ELEMENT_FAILURE_RATE_CLASS__RF_TARGET_FAILURE_RATE_CLASS = eINSTANCE.getHWElementFailureRateClass_RFTargetFailureRateClass();

    /**
     * The meta object literal for the '<em><b>SPF Target Failure Rate Class</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_ELEMENT_FAILURE_RATE_CLASS__SPF_TARGET_FAILURE_RATE_CLASS = eINSTANCE.getHWElementFailureRateClass_SPFTargetFailureRateClass();

    /**
     * The meta object literal for the '<em><b>Hw EFR Chw Element Value</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_ELEMENT_FAILURE_RATE_CLASS__HW_EFR_CHW_ELEMENT_VALUE = eINSTANCE.getHWElementFailureRateClass_HwEFRChwElementValue();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.probabilisticmethods.impl.HWFailureClassContainerImpl <em>HW Failure Class Container</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.probabilisticmethods.impl.HWFailureClassContainerImpl
     * @see safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl#getHWFailureClassContainer()
     * @generated
     */
    EClass HW_FAILURE_CLASS_CONTAINER = eINSTANCE.getHWFailureClassContainer();

    /**
     * The meta object literal for the '<em><b>Rationale Cut Set</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_FAILURE_CLASS_CONTAINER__RATIONALE_CUT_SET = eINSTANCE.getHWFailureClassContainer_RationaleCutSet();

    /**
     * The meta object literal for the '<em><b>Relevant Cut Set</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_FAILURE_CLASS_CONTAINER__RELEVANT_CUT_SET = eINSTANCE.getHWFailureClassContainer_RelevantCutSet();

    /**
     * The meta object literal for the '<em><b>Hwelement Failure Rate Class</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_FAILURE_CLASS_CONTAINER__HWELEMENT_FAILURE_RATE_CLASS = eINSTANCE.getHWFailureClassContainer_HwelementFailureRateClass();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.probabilisticmethods.impl.HWPMHFImpl <em>HWPMHF</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.probabilisticmethods.impl.HWPMHFImpl
     * @see safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl#getHWPMHF()
     * @generated
     */
    EClass HWPMHF = eINSTANCE.getHWPMHF();

    /**
     * The meta object literal for the '<em><b>Calculated Value</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HWPMHF__CALCULATED_VALUE = eINSTANCE.getHWPMHF_CalculatedValue();

    /**
     * The meta object literal for the '<em><b>Rationale Dedicated Measures</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HWPMHF__RATIONALE_DEDICATED_MEASURES = eINSTANCE.getHWPMHF_RationaleDedicatedMeasures();

    /**
     * The meta object literal for the '<em><b>Exposure Time</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HWPMHF__EXPOSURE_TIME = eINSTANCE.getHWPMHF_ExposureTime();

    /**
     * The meta object literal for the '<em><b>Rationale Exposure Time</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HWPMHF__RATIONALE_EXPOSURE_TIME = eINSTANCE.getHWPMHF_RationaleExposureTime();

    /**
     * The meta object literal for the '<em><b>Hw PMHF Calculated Value</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HWPMHF__HW_PMHF_CALCULATED_VALUE = eINSTANCE.getHWPMHF_HwPMHFCalculatedValue();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.probabilisticmethods.HWLFTargetFailureRateClassEnum <em>HWLF Target Failure Rate Class Enum</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.probabilisticmethods.HWLFTargetFailureRateClassEnum
     * @see safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl#getHWLFTargetFailureRateClassEnum()
     * @generated
     */
    EEnum HWLF_TARGET_FAILURE_RATE_CLASS_ENUM = eINSTANCE.getHWLFTargetFailureRateClassEnum();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.probabilisticmethods.HWRFTargetFailureRateClassEnum <em>HWRF Target Failure Rate Class Enum</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.probabilisticmethods.HWRFTargetFailureRateClassEnum
     * @see safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl#getHWRFTargetFailureRateClassEnum()
     * @generated
     */
    EEnum HWRF_TARGET_FAILURE_RATE_CLASS_ENUM = eINSTANCE.getHWRFTargetFailureRateClassEnum();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.probabilisticmethods.HWSPFTargetFailureRateClassEnum <em>HWSPF Target Failure Rate Class Enum</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.probabilisticmethods.HWSPFTargetFailureRateClassEnum
     * @see safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl#getHWSPFTargetFailureRateClassEnum()
     * @generated
     */
    EEnum HWSPF_TARGET_FAILURE_RATE_CLASS_ENUM = eINSTANCE.getHWSPFTargetFailureRateClassEnum();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.probabilisticmethods.HWTargetValuesPMHFEnum <em>HW Target Values PMHF Enum</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.probabilisticmethods.HWTargetValuesPMHFEnum
     * @see safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl#getHWTargetValuesPMHFEnum()
     * @generated
     */
    EEnum HW_TARGET_VALUES_PMHF_ENUM = eINSTANCE.getHWTargetValuesPMHFEnum();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.probabilisticmethods.HWValuesFailureRateClassEnum <em>HW Values Failure Rate Class Enum</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.probabilisticmethods.HWValuesFailureRateClassEnum
     * @see safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl#getHWValuesFailureRateClassEnum()
     * @generated
     */
    EEnum HW_VALUES_FAILURE_RATE_CLASS_ENUM = eINSTANCE.getHWValuesFailureRateClassEnum();

  }

} //ProbabilisticmethodsPackage
