/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hazards;

import safe10.classmodel.commonstructure.toplevel.Identifiable;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Controllability Reference</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * The class ControllabilityReference is introduced to provide the possibility to capture diagrams. These diagrams are based on road tests and enable a determination of the controllability parameter of the hazardous event.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hazards.ControllabilityReference#getTableOfValues <em>Table Of Values</em>}</li>
 *   <li>{@link safe10.classmodel.hazards.ControllabilityReference#getFunction <em>Function</em>}</li>
 *   <li>{@link safe10.classmodel.hazards.ControllabilityReference#getClassification <em>Classification</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hazards.HazardsPackage#getControllabilityReference()
 * @model annotation="MetaData guid='{F9B3E6C3-775A-447c-87A2-431526F0E23F}' id='-105606735' EA\040name='ControllabilityReference'"
 *        annotation="TaggedValues xml.name='CONTROLLABILITY-REFERENCE' xml.namePlural='CONTROLLABILITY-REFERENCES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface ControllabilityReference extends Identifiable
{
  /**
   * Returns the value of the '<em><b>Table Of Values</b></em>' attribute.
   * The default value is <code>""</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Provides the possibility to capture the diagrams in form of tables of values.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Table Of Values</em>' attribute.
   * @see #isSetTableOfValues()
   * @see #unsetTableOfValues()
   * @see #setTableOfValues(String)
   * @see safe10.classmodel.hazards.HazardsPackage#getControllabilityReference_TableOfValues()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.String"
   *        annotation="MetaData guid='{FFA4C02C-9B0B-48de-9F43-83E0D77FF2D3}' id='-721587385' EA\040name='tableOfValues'"
   *        annotation="TaggedValues xml.name='TABLE-OF-VALUES' xml.namePlural='TABLE-OF-VALUESS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  String getTableOfValues();

  /**
   * Sets the value of the '{@link safe10.classmodel.hazards.ControllabilityReference#getTableOfValues <em>Table Of Values</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Table Of Values</em>' attribute.
   * @see #isSetTableOfValues()
   * @see #TableOfValues()
   * @see #getTableOfValues()
   * @generated
   */
  void setTableOfValues(String value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hazards.ControllabilityReference#getTableOfValues <em>Table Of Values</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetTableOfValues()
   * @see #getTableOfValues()
   * @see #setTableOfValues(String)
   * @generated
   */
  void unsetTableOfValues();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hazards.ControllabilityReference#getTableOfValues <em>Table Of Values</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Table Of Values</em>' attribute is set.
   * @see #TableOfValues()
   * @see #getTableOfValues()
   * @see #setTableOfValues(String)
   * @generated
   */
  boolean isSetTableOfValues();

  /**
   * Returns the value of the '<em><b>Function</b></em>' attribute.
   * The default value is <code>""</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Provides the possibility to capture the diagram in form of functions.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Function</em>' attribute.
   * @see #isSetFunction()
   * @see #unsetFunction()
   * @see #setFunction(String)
   * @see safe10.classmodel.hazards.HazardsPackage#getControllabilityReference_Function()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.String" required="true"
   *        annotation="MetaData guid='{33BB7727-BD24-410d-8EFB-A79515358B38}' id='-689790434' EA\040name='function'"
   *        annotation="TaggedValues xml.name='FUNCTION' xml.namePlural='FUNCTIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  String getFunction();

  /**
   * Sets the value of the '{@link safe10.classmodel.hazards.ControllabilityReference#getFunction <em>Function</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Function</em>' attribute.
   * @see #isSetFunction()
   * @see #Function()
   * @see #getFunction()
   * @generated
   */
  void setFunction(String value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hazards.ControllabilityReference#getFunction <em>Function</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetFunction()
   * @see #getFunction()
   * @see #setFunction(String)
   * @generated
   */
  void unsetFunction();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hazards.ControllabilityReference#getFunction <em>Function</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Function</em>' attribute is set.
   * @see #Function()
   * @see #getFunction()
   * @see #setFunction(String)
   * @generated
   */
  boolean isSetFunction();

  /**
   * Returns the value of the '<em><b>Classification</b></em>' attribute.
   * The default value is <code>"C0"</code>.
   * The literals are from the enumeration {@link safe10.classmodel.hazards.ControllabilityClassKind}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Classification</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Classification</em>' attribute.
   * @see safe10.classmodel.hazards.ControllabilityClassKind
   * @see #isSetClassification()
   * @see #unsetClassification()
   * @see #setClassification(ControllabilityClassKind)
   * @see safe10.classmodel.hazards.HazardsPackage#getControllabilityReference_Classification()
   * @model default="C0" unsettable="true" required="true"
   *        annotation="MetaData guid='{5DA9440C-973D-4368-95B1-6F205271D991}' id='1552555596' EA\040name='classification'"
   *        annotation="TaggedValues xml.name='CLASSIFICATION' xml.namePlural='CLASSIFICATIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  ControllabilityClassKind getClassification();

  /**
   * Sets the value of the '{@link safe10.classmodel.hazards.ControllabilityReference#getClassification <em>Classification</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Classification</em>' attribute.
   * @see safe10.classmodel.hazards.ControllabilityClassKind
   * @see #isSetClassification()
   * @see #Classification()
   * @see #getClassification()
   * @generated
   */
  void setClassification(ControllabilityClassKind value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hazards.ControllabilityReference#getClassification <em>Classification</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetClassification()
   * @see #getClassification()
   * @see #setClassification(ControllabilityClassKind)
   * @generated
   */
  void unsetClassification();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hazards.ControllabilityReference#getClassification <em>Classification</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Classification</em>' attribute is set.
   * @see #Classification()
   * @see #getClassification()
   * @see #setClassification(ControllabilityClassKind)
   * @generated
   */
  boolean isSetClassification();

} // ControllabilityReference
