/**
 */
package safe10.classmodel.hazards.impl;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EFactoryImpl;

import org.eclipse.emf.ecore.plugin.EcorePlugin;

import safe10.classmodel.hazards.*;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class HazardsFactoryImpl extends EFactoryImpl implements HazardsFactory
{
  /**
   * Creates the default factory implementation.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static HazardsFactory init()
  {
    try
    {
      HazardsFactory theHazardsFactory = (HazardsFactory)EPackage.Registry.INSTANCE.getEFactory("http://safe-project.eu/1.0.1/safe10/classmodel/hazards"); 
      if (theHazardsFactory != null)
      {
        return theHazardsFactory;
      }
    }
    catch (Exception exception)
    {
      EcorePlugin.INSTANCE.log(exception);
    }
    return new HazardsFactoryImpl();
  }

  /**
   * Creates an instance of the factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HazardsFactoryImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public EObject create(EClass eClass)
  {
    switch (eClass.getClassifierID())
    {
      case HazardsPackage.ACTOR: return createActor();
      case HazardsPackage.ATOMIC_CONDITION: return createAtomicCondition();
      case HazardsPackage.COMPOSITE_CONDITION: return createCompositeCondition();
      case HazardsPackage.CONTROLLABILITY_REFERENCE: return createControllabilityReference();
      case HazardsPackage.HAZARD: return createHazard();
      case HazardsPackage.HAZARDOUS_EVENT: return createHazardousEvent();
      case HazardsPackage.OPERATING_MODE: return createOperatingMode();
      case HazardsPackage.OPERATIONAL_ACTOR: return createOperationalActor();
      case HazardsPackage.OPERATIONAL_SITUATION: return createOperationalSituation();
      case HazardsPackage.PROPERTY: return createProperty();
      case HazardsPackage.RISK_DESCRIPTION: return createRiskDescription();
      case HazardsPackage.SAFE_STATE: return createSafeState();
      default:
        throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
    }
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object createFromString(EDataType eDataType, String initialValue)
  {
    switch (eDataType.getClassifierID())
    {
      case HazardsPackage.COMPOSITE_CONDITION_OPERATOR:
        return createCompositeConditionOperatorFromString(eDataType, initialValue);
      case HazardsPackage.CONTROLLABILITY_CLASS_KIND:
        return createControllabilityClassKindFromString(eDataType, initialValue);
      case HazardsPackage.EXPOSURE_CLASS_KIND:
        return createExposureClassKindFromString(eDataType, initialValue);
      case HazardsPackage.SEVERITY_CLASS_KIND:
        return createSeverityClassKindFromString(eDataType, initialValue);
      default:
        throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
    }
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String convertToString(EDataType eDataType, Object instanceValue)
  {
    switch (eDataType.getClassifierID())
    {
      case HazardsPackage.COMPOSITE_CONDITION_OPERATOR:
        return convertCompositeConditionOperatorToString(eDataType, instanceValue);
      case HazardsPackage.CONTROLLABILITY_CLASS_KIND:
        return convertControllabilityClassKindToString(eDataType, instanceValue);
      case HazardsPackage.EXPOSURE_CLASS_KIND:
        return convertExposureClassKindToString(eDataType, instanceValue);
      case HazardsPackage.SEVERITY_CLASS_KIND:
        return convertSeverityClassKindToString(eDataType, instanceValue);
      default:
        throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
    }
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Actor createActor()
  {
    ActorImpl actor = new ActorImpl();
    return actor;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public AtomicCondition createAtomicCondition()
  {
    AtomicConditionImpl atomicCondition = new AtomicConditionImpl();
    return atomicCondition;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public CompositeCondition createCompositeCondition()
  {
    CompositeConditionImpl compositeCondition = new CompositeConditionImpl();
    return compositeCondition;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ControllabilityReference createControllabilityReference()
  {
    ControllabilityReferenceImpl controllabilityReference = new ControllabilityReferenceImpl();
    return controllabilityReference;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Hazard createHazard()
  {
    HazardImpl hazard = new HazardImpl();
    return hazard;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HazardousEvent createHazardousEvent()
  {
    HazardousEventImpl hazardousEvent = new HazardousEventImpl();
    return hazardousEvent;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public OperatingMode createOperatingMode()
  {
    OperatingModeImpl operatingMode = new OperatingModeImpl();
    return operatingMode;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public OperationalActor createOperationalActor()
  {
    OperationalActorImpl operationalActor = new OperationalActorImpl();
    return operationalActor;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public OperationalSituation createOperationalSituation()
  {
    OperationalSituationImpl operationalSituation = new OperationalSituationImpl();
    return operationalSituation;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Property createProperty()
  {
    PropertyImpl property = new PropertyImpl();
    return property;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public RiskDescription createRiskDescription()
  {
    RiskDescriptionImpl riskDescription = new RiskDescriptionImpl();
    return riskDescription;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public SafeState createSafeState()
  {
    SafeStateImpl safeState = new SafeStateImpl();
    return safeState;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public CompositeConditionOperator createCompositeConditionOperatorFromString(EDataType eDataType, String initialValue)
  {
    CompositeConditionOperator result = CompositeConditionOperator.get(initialValue);
    if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
    return result;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertCompositeConditionOperatorToString(EDataType eDataType, Object instanceValue)
  {
    return instanceValue == null ? null : instanceValue.toString();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ControllabilityClassKind createControllabilityClassKindFromString(EDataType eDataType, String initialValue)
  {
    ControllabilityClassKind result = ControllabilityClassKind.get(initialValue);
    if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
    return result;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertControllabilityClassKindToString(EDataType eDataType, Object instanceValue)
  {
    return instanceValue == null ? null : instanceValue.toString();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ExposureClassKind createExposureClassKindFromString(EDataType eDataType, String initialValue)
  {
    ExposureClassKind result = ExposureClassKind.get(initialValue);
    if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
    return result;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertExposureClassKindToString(EDataType eDataType, Object instanceValue)
  {
    return instanceValue == null ? null : instanceValue.toString();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public SeverityClassKind createSeverityClassKindFromString(EDataType eDataType, String initialValue)
  {
    SeverityClassKind result = SeverityClassKind.get(initialValue);
    if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
    return result;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertSeverityClassKindToString(EDataType eDataType, Object instanceValue)
  {
    return instanceValue == null ? null : instanceValue.toString();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HazardsPackage getHazardsPackage()
  {
    return (HazardsPackage)getEPackage();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @deprecated
   * @generated
   */
  @Deprecated
  public static HazardsPackage getPackage()
  {
    return HazardsPackage.eINSTANCE;
  }

} //HazardsFactoryImpl
