/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements;

import eastadl21.east_adl.requirements.Requirement;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.commonstructure.datatypes.ASILEnum;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Abstract Safety Requirement</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * In the SAFE meta model AbstratcSafetyRequirement is used as the as the abstract superclass for 
 * <ul>
 * 	<li>SafetyGoals, </li>
 * 	<li>FunctionalSafetyRequirements and</li>
 * 	<li>TechnicalSafetyRequirements.</li>
 * </ul>
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.AbstractSafetyRequirement#getAsil <em>Asil</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.AbstractSafetyRequirement#getRequirement <em>Requirement</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.AbstractSafetyRequirement#getRequirementLinks <em>Requirement Links</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.RequirementsPackage#getAbstractSafetyRequirement()
 * @model annotation="MetaData guid='{A0DC6555-FECC-44d0-99B4-CB637A7BF936}' id='1348942244' EA\040name='AbstractSafetyRequirement'"
 *        annotation="Stereotype Stereotype='abstract'"
 *        annotation="TaggedValues xml.name='ABSTRACT-SAFETY-REQUIREMENT' xml.namePlural='ABSTRACT-SAFETY-REQUIREMENTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface AbstractSafetyRequirement extends TraceableSpecification, AllocatableElement
{
  /**
   * Returns the value of the '<em><b>Asil</b></em>' attribute.
   * The default value is <code>"ASIL_A"</code>.
   * The literals are from the enumeration {@link safe10.classmodel.commonstructure.datatypes.ASILEnum}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * ASIL which has been assigned via decomposition 
   * <!-- end-model-doc -->
   * @return the value of the '<em>Asil</em>' attribute.
   * @see safe10.classmodel.commonstructure.datatypes.ASILEnum
   * @see #isSetAsil()
   * @see #unsetAsil()
   * @see #setAsil(ASILEnum)
   * @see safe10.classmodel.requirements.RequirementsPackage#getAbstractSafetyRequirement_Asil()
   * @model default="ASIL_A" unsettable="true" required="true"
   *        annotation="MetaData guid='{0B02AF9B-A1DD-4551-874B-3BF2C8AF9D86}' id='351173077' EA\040name='asil'"
   *        annotation="TaggedValues xml.name='ASIL' xml.namePlural='ASILS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  ASILEnum getAsil();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.AbstractSafetyRequirement#getAsil <em>Asil</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Asil</em>' attribute.
   * @see safe10.classmodel.commonstructure.datatypes.ASILEnum
   * @see #isSetAsil()
   * @see #Asil()
   * @see #getAsil()
   * @generated
   */
  void setAsil(ASILEnum value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.requirements.AbstractSafetyRequirement#getAsil <em>Asil</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetAsil()
   * @see #getAsil()
   * @see #setAsil(ASILEnum)
   * @generated
   */
  void unsetAsil();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.requirements.AbstractSafetyRequirement#getAsil <em>Asil</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Asil</em>' attribute is set.
   * @see #Asil()
   * @see #getAsil()
   * @see #setAsil(ASILEnum)
   * @generated
   */
  boolean isSetAsil();

  /**
   * Returns the value of the '<em><b>Requirement</b></em>' reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Requirement</em>' reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Requirement</em>' reference.
   * @see #setRequirement(Requirement)
   * @see safe10.classmodel.requirements.RequirementsPackage#getAbstractSafetyRequirement_Requirement()
   * @model annotation="MetaData guid='{D0887958-BD1D-445d-A9F9-0537552A08F6}' id='1866195529' EA\040name=''"
   *        annotation="TaggedValues xml.name='REQUIREMENT-REF' xml.namePlural='REQUIREMENT-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Requirement getRequirement();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.AbstractSafetyRequirement#getRequirement <em>Requirement</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Requirement</em>' reference.
   * @see #getRequirement()
   * @generated
   */
  void setRequirement(Requirement value);

  /**
   * Returns the value of the '<em><b>Requirement Links</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.requirements.RequirementsLink}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Requirement Links</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Requirement Links</em>' containment reference list.
   * @see safe10.classmodel.requirements.RequirementsPackage#getAbstractSafetyRequirement_RequirementLinks()
   * @model containment="true"
   *        annotation="MetaData guid='{C087A86C-77E6-4929-9DE3-7CC707E0D4FF}' id='2135217910' EA\040name=''"
   *        annotation="TaggedValues xml.name='REQUIREMENT-LINKS' xml.namePlural='REQUIREMENT-LINKSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<RequirementsLink> getRequirementLinks();

} // AbstractSafetyRequirement
