/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Link</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * RequirementsLink is owned by requirement. It is used to establish links between requirements. The type of the link is determined by the RequirementsLinkType.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.RequirementsLink#getRequirementsLinkType <em>Requirements Link Type</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.RequirementsLink#getLinkedRequirement <em>Linked Requirement</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.RequirementsPackage#getRequirementsLink()
 * @model annotation="MetaData guid='{73DD9EF2-BE12-4ac2-AEA1-58D6D6D243EC}' id='-936789172' EA\040name='RequirementsLink'"
 *        annotation="TaggedValues xml.name='REQUIREMENTS-LINK' xml.namePlural='REQUIREMENTS-LINKS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface RequirementsLink extends EObject
{
  /**
   * Returns the value of the '<em><b>Requirements Link Type</b></em>' attribute.
   * The default value is <code>"COVERS"</code>.
   * The literals are from the enumeration {@link safe10.classmodel.requirements.RequirementsLinkType}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The type of the link between requirements is determined by the RequirementsLinkType.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Requirements Link Type</em>' attribute.
   * @see safe10.classmodel.requirements.RequirementsLinkType
   * @see #isSetRequirementsLinkType()
   * @see #unsetRequirementsLinkType()
   * @see #setRequirementsLinkType(RequirementsLinkType)
   * @see safe10.classmodel.requirements.RequirementsPackage#getRequirementsLink_RequirementsLinkType()
   * @model default="COVERS" unsettable="true" required="true"
   *        annotation="MetaData guid='{656985AB-C732-497c-9C00-2D1AD6433CEC}' id='77345885' EA\040name='requirementsLinkType'"
   *        annotation="TaggedValues xml.name='REQUIREMENTS-LINK-TYPE' xml.namePlural='REQUIREMENTS-LINK-TYPES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  RequirementsLinkType getRequirementsLinkType();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.RequirementsLink#getRequirementsLinkType <em>Requirements Link Type</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Requirements Link Type</em>' attribute.
   * @see safe10.classmodel.requirements.RequirementsLinkType
   * @see #isSetRequirementsLinkType()
   * @see #RequirementsLinkType()
   * @see #getRequirementsLinkType()
   * @generated
   */
  void setRequirementsLinkType(RequirementsLinkType value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.requirements.RequirementsLink#getRequirementsLinkType <em>Requirements Link Type</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetRequirementsLinkType()
   * @see #getRequirementsLinkType()
   * @see #setRequirementsLinkType(RequirementsLinkType)
   * @generated
   */
  void unsetRequirementsLinkType();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.requirements.RequirementsLink#getRequirementsLinkType <em>Requirements Link Type</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Requirements Link Type</em>' attribute is set.
   * @see #RequirementsLinkType()
   * @see #getRequirementsLinkType()
   * @see #setRequirementsLinkType(RequirementsLinkType)
   * @generated
   */
  boolean isSetRequirementsLinkType();

  /**
   * Returns the value of the '<em><b>Linked Requirement</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.requirements.AbstractSafetyRequirement}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Linked Requirement</em>' reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Linked Requirement</em>' reference list.
   * @see safe10.classmodel.requirements.RequirementsPackage#getRequirementsLink_LinkedRequirement()
   * @model annotation="MetaData guid='{95AD6EB5-2A82-4621-B425-D88DB9586D05}' id='-1480929985' EA\040name=''"
   *        annotation="TaggedValues xml.name='LINKED-REQUIREMENT-REF' xml.namePlural='LINKED-REQUIREMENT-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<AbstractSafetyRequirement> getLinkedRequirement();

} // RequirementsLink
