/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Satisfy</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * Satisfy allows allocating requirements to elements of the preliminary architecture as well as HW-Elements and SW-Elements
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.Satisfy#getSatisfiedElement <em>Satisfied Element</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.Satisfy#getSatisfyingTarget <em>Satisfying Target</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.RequirementsPackage#getSatisfy()
 * @model abstract="true"
 *        annotation="MetaData guid='{2813DE10-556A-4755-9783-406ABB84AFB1}' id='-626887992' EA\040name='Satisfy'"
 *        annotation="TaggedValues xml.name='SATISFY' xml.namePlural='SATISFYS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface Satisfy extends RequirementsReleationship
{
  /**
   * Returns the value of the '<em><b>Satisfied Element</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.requirements.AllocatableElement}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Satisfied Element</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Satisfied Element</em>' containment reference list.
   * @see safe10.classmodel.requirements.RequirementsPackage#getSatisfy_SatisfiedElement()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{67B1BB5C-E3C5-4070-B575-765854A810BC}' id='-2061922557' EA\040name=''"
   *        annotation="TaggedValues xml.name='SATISFIED-ELEMENT' xml.namePlural='SATISFIED-ELEMENTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<AllocatableElement> getSatisfiedElement();

  /**
   * Returns the value of the '<em><b>Satisfying Target</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.requirements.AllocationTarget}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Satisfying Target</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Satisfying Target</em>' containment reference list.
   * @see safe10.classmodel.requirements.RequirementsPackage#getSatisfy_SatisfyingTarget()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{125ADA93-1C69-4454-8932-2659F6CDA709}' id='337683981' EA\040name=''"
   *        annotation="TaggedValues xml.name='SATISFYING-TARGET' xml.namePlural='SATISFYING-TARGETS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<AllocationTarget> getSatisfyingTarget();

} // Satisfy
