/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.commonstructure.toplevel.SAFEElement;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Traceable Specification</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * Abstract superclass for elements which can be traces (e.g. Requirements)
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.TraceableSpecification#getFormal <em>Formal</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.TraceableSpecification#getInformal <em>Informal</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.TraceableSpecification#getStakeholder <em>Stakeholder</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.RequirementsPackage#getTraceableSpecification()
 * @model abstract="true"
 *        annotation="MetaData guid='{AA0EDB29-34DC-46cb-B8E2-B2D435B09097}' id='1617139173' EA\040name='TraceableSpecification'"
 *        annotation="TaggedValues xml.name='TRACEABLE-SPECIFICATION' xml.namePlural='TRACEABLE-SPECIFICATIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface TraceableSpecification extends SAFEElement
{
  /**
   * Returns the value of the '<em><b>Formal</b></em>' attribute.
   * The default value is <code>""</code>.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Formal</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Formal</em>' attribute.
   * @see #isSetFormal()
   * @see #unsetFormal()
   * @see #setFormal(String)
   * @see safe10.classmodel.requirements.RequirementsPackage#getTraceableSpecification_Formal()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.String"
   *        annotation="MetaData guid='{A3D34610-ECC4-4f8c-AB14-505B4E83F540}' id='711792450' EA\040name='formal'"
   *        annotation="TaggedValues xml.name='FORMAL' xml.namePlural='FORMALS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  String getFormal();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.TraceableSpecification#getFormal <em>Formal</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Formal</em>' attribute.
   * @see #isSetFormal()
   * @see #Formal()
   * @see #getFormal()
   * @generated
   */
  void setFormal(String value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.requirements.TraceableSpecification#getFormal <em>Formal</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetFormal()
   * @see #getFormal()
   * @see #setFormal(String)
   * @generated
   */
  void unsetFormal();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.requirements.TraceableSpecification#getFormal <em>Formal</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Formal</em>' attribute is set.
   * @see #Formal()
   * @see #getFormal()
   * @see #setFormal(String)
   * @generated
   */
  boolean isSetFormal();

  /**
   * Returns the value of the '<em><b>Informal</b></em>' attribute.
   * The default value is <code>""</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Informal description of the element
   * <!-- end-model-doc -->
   * @return the value of the '<em>Informal</em>' attribute.
   * @see #isSetInformal()
   * @see #unsetInformal()
   * @see #setInformal(String)
   * @see safe10.classmodel.requirements.RequirementsPackage#getTraceableSpecification_Informal()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.String"
   *        annotation="MetaData guid='{7A2503C5-6C5D-4df3-99B4-D26639B3A327}' id='2123522715' EA\040name='informal'"
   *        annotation="TaggedValues xml.name='INFORMAL' xml.namePlural='INFORMALS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  String getInformal();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.TraceableSpecification#getInformal <em>Informal</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Informal</em>' attribute.
   * @see #isSetInformal()
   * @see #Informal()
   * @see #getInformal()
   * @generated
   */
  void setInformal(String value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.requirements.TraceableSpecification#getInformal <em>Informal</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetInformal()
   * @see #getInformal()
   * @see #setInformal(String)
   * @generated
   */
  void unsetInformal();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.requirements.TraceableSpecification#getInformal <em>Informal</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Informal</em>' attribute is set.
   * @see #Informal()
   * @see #getInformal()
   * @see #setInformal(String)
   * @generated
   */
  boolean isSetInformal();

  /**
   * Returns the value of the '<em><b>Stakeholder</b></em>' attribute list.
   * The list contents are of type {@link java.lang.String}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Stakeholders for the element
   * <!-- end-model-doc -->
   * @return the value of the '<em>Stakeholder</em>' attribute list.
   * @see #isSetStakeholder()
   * @see #unsetStakeholder()
   * @see safe10.classmodel.requirements.RequirementsPackage#getTraceableSpecification_Stakeholder()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.String"
   *        annotation="MetaData guid='{9151096A-73BE-405c-9560-ABA8C775F9E7}' id='455611969' EA\040name='stakeholder'"
   *        annotation="TaggedValues xml.name='STAKEHOLDER' xml.namePlural='STAKEHOLDERS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<String> getStakeholder();

  /**
   * Unsets the value of the '{@link safe10.classmodel.requirements.TraceableSpecification#getStakeholder <em>Stakeholder</em>}' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetStakeholder()
   * @see #getStakeholder()
   * @generated
   */
  void unsetStakeholder();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.requirements.TraceableSpecification#getStakeholder <em>Stakeholder</em>}' attribute list is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Stakeholder</em>' attribute list is set.
   * @see #Stakeholder()
   * @see #getStakeholder()
   * @generated
   */
  boolean isSetStakeholder();

} // TraceableSpecification
