/**
 */
package safe10.classmodel.requirements.impl;

import autosar40.bswmodule.bswinterfaces.BswinterfacesPackage;

import autosar40.bswmodule.bswoverview.BswoverviewPackage;

import autosar40.commonstructure.modedeclaration.ModedeclarationPackage;

import autosar40.ecuresource.EcuresourcePackage;

import autosar40.swcomponent.components.ComponentsPackage;

import autosar40.swcomponent.composition.CompositionPackage;

import autosar40.swcomponent.datatype.dataprototypes.DataprototypesPackage;

import autosar40.swcomponent.portinterface.PortinterfacePackage;

import autosar40.swcomponent.swcinternalbehavior.SwcinternalbehaviorPackage;

import autosar40.system.SystemPackage;

import eastadl21.east_adl.environment.EnvironmentPackage;

import eastadl21.east_adl.structure.featuremodeling.FeaturemodelingPackage;

import eastadl21.east_adl.structure.functionmodeling.FunctionmodelingPackage;

import eastadl21.east_adl.structure.hardwaremodeling.HardwaremodelingPackage;

import eastadl21.east_adl.structure.systemmodeling.SystemmodelingPackage;

import eastadl21.east_adl.structure.vehiclefeaturemodeling.VehiclefeaturemodelingPackage;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.emf.ecore.impl.EPackageImpl;

import safe10.classmodel.commonstructure.datatypes.DatatypesPackage;

import safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl;

import safe10.classmodel.commonstructure.formulaexpression.FormulaexpressionPackage;

import safe10.classmodel.commonstructure.formulaexpression.impl.FormulaexpressionPackageImpl;

import safe10.classmodel.commonstructure.references.ReferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.ChromosomereferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.impl.ChromosomereferencesPackageImpl;

import safe10.classmodel.commonstructure.references.impl.ReferencesPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage;

import safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.TechnicalsafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

import safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl;

import safe10.classmodel.configuration.ConfigurationPackage;

import safe10.classmodel.configuration.impl.ConfigurationPackageImpl;

import safe10.classmodel.errormodel.ErrormodelPackage;

import safe10.classmodel.errormodel._instanceref._instancerefPackage;

import safe10.classmodel.errormodel._instanceref.impl._instancerefPackageImpl;

import safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage;

import safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl;

import safe10.classmodel.errormodel.errormodeltype.ErrormodeltypePackage;

import safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl;

import safe10.classmodel.errormodel.impl.ErrormodelPackageImpl;

import safe10.classmodel.errormodel.malfunction.MalfunctionPackage;

import safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl;

import safe10.classmodel.hardware.failure.FailurePackage;

import safe10.classmodel.hardware.failure.impl.FailurePackageImpl;

import safe10.classmodel.hardware.failureformula.FailureformulaPackage;

import safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl;

import safe10.classmodel.hardware.failurepart.FailurepartPackage;

import safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl;

import safe10.classmodel.hardware.hwarchitecturalmetrics.HwarchitecturalmetricsPackage;

import safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl;

import safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage;

import safe10.classmodel.hardware.hwquantitativemeasure.impl.HwquantitativemeasurePackageImpl;

import safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage;

import safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl;

import safe10.classmodel.hazards.HazardsPackage;

import safe10.classmodel.hazards.impl.HazardsPackageImpl;

import safe10.classmodel.requirements.AbstractSafetyRequirement;
import safe10.classmodel.requirements.AllocatableElement;
import safe10.classmodel.requirements.AllocationTarget;
import safe10.classmodel.requirements.FunctionalSafetyRequirement;
import safe10.classmodel.requirements.HasAsilDecomposed;
import safe10.classmodel.requirements.HasEmergencyOperationTimeInterval;
import safe10.classmodel.requirements.HasFaultTolerantTimeInterval;
import safe10.classmodel.requirements.RequirementKind;
import safe10.classmodel.requirements.RequirementsFactory;
import safe10.classmodel.requirements.RequirementsLink;
import safe10.classmodel.requirements.RequirementsLinkType;
import safe10.classmodel.requirements.RequirementsPackage;
import safe10.classmodel.requirements.RequirementsReleationship;
import safe10.classmodel.requirements.Satisfy;
import safe10.classmodel.requirements.SoftwareSafetyRequirement;
import safe10.classmodel.requirements.TechnicalSafetyRequirement;
import safe10.classmodel.requirements.TraceableSpecification;
import safe10.classmodel.requirements.Verify;

import safe10.classmodel.requirements.softwaresafetyrequirements.SoftwaresafetyrequirementsPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatormonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.impl.ActuatormonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.impl.AlivenessmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.impl.ComparisonPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.impl.ContextrangecheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.impl.CpuselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CrcchecksumPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.impl.CrcchecksumPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.FilterPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.impl.FilterPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientcheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.impl.GradientcheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.impl.HealthmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.impl.SoftwaresafetyrequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.MemoryselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.impl.MemoryselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.impl.VotingPackageImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class RequirementsPackageImpl extends EPackageImpl implements RequirementsPackage
{
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass abstractSafetyRequirementEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass allocatableElementEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass allocationTargetEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass functionalSafetyRequirementEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hasAsilDecomposedEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hasEmergencyOperationTimeIntervalEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hasFaultTolerantTimeIntervalEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass requirementsLinkEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass requirementsReleationshipEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass satisfyEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass softwareSafetyRequirementEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass technicalSafetyRequirementEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass traceableSpecificationEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass verifyEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum requirementKindEEnum = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum requirementsLinkTypeEEnum = null;

  /**
   * Creates an instance of the model <b>Package</b>, registered with
   * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
   * package URI value.
   * <p>Note: the correct way to create the package is via the static
   * factory method {@link #init init()}, which also performs
   * initialization of the package, or returns the registered package,
   * if one already exists.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.emf.ecore.EPackage.Registry
   * @see safe10.classmodel.requirements.RequirementsPackage#eNS_URI
   * @see #init()
   * @generated
   */
  private RequirementsPackageImpl()
  {
    super(eNS_URI, RequirementsFactory.eINSTANCE);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static boolean isInited = false;

  /**
   * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
   * 
   * <p>This method is used to initialize {@link RequirementsPackage#eINSTANCE} when that field is accessed.
   * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #eNS_URI
   * @see #createPackageContents()
   * @see #initializePackageContents()
   * @generated
   */
  public static RequirementsPackage init()
  {
    if (isInited) return (RequirementsPackage)EPackage.Registry.INSTANCE.getEPackage(RequirementsPackage.eNS_URI);

    // Obtain or create and register package
    RequirementsPackageImpl theRequirementsPackage = (RequirementsPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof RequirementsPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new RequirementsPackageImpl());

    isInited = true;

    // Initialize simple dependencies
    SystemmodelingPackage.eINSTANCE.eClass();
    FeaturemodelingPackage.eINSTANCE.eClass();
    VehiclefeaturemodelingPackage.eINSTANCE.eClass();
    FunctionmodelingPackage.eINSTANCE.eClass();
    HardwaremodelingPackage.eINSTANCE.eClass();
    eastadl21.east_adl.requirements.RequirementsPackage.eINSTANCE.eClass();
    EnvironmentPackage.eINSTANCE.eClass();
    EcuresourcePackage.eINSTANCE.eClass();
    ModedeclarationPackage.eINSTANCE.eClass();
    DataprototypesPackage.eINSTANCE.eClass();
    CompositionPackage.eINSTANCE.eClass();
    ComponentsPackage.eINSTANCE.eClass();
    PortinterfacePackage.eINSTANCE.eClass();
    SwcinternalbehaviorPackage.eINSTANCE.eClass();
    SystemPackage.eINSTANCE.eClass();
    BswoverviewPackage.eINSTANCE.eClass();
    BswinterfacesPackage.eINSTANCE.eClass();

    // Obtain or create and register interdependencies
    DatatypesPackageImpl theDatatypesPackage = (DatatypesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) instanceof DatatypesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) : DatatypesPackage.eINSTANCE);
    FormulaexpressionPackageImpl theFormulaexpressionPackage = (FormulaexpressionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) instanceof FormulaexpressionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) : FormulaexpressionPackage.eINSTANCE);
    ReferencesPackageImpl theReferencesPackage = (ReferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) instanceof ReferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) : ReferencesPackage.eINSTANCE);
    ChromosomereferencesPackageImpl theChromosomereferencesPackage = (ChromosomereferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) instanceof ChromosomereferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) : ChromosomereferencesPackage.eINSTANCE);
    SafetyextensionsPackageImpl theSafetyextensionsPackage = (SafetyextensionsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) instanceof SafetyextensionsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) : SafetyextensionsPackage.eINSTANCE);
    SoftwaresafetyextensionPackageImpl theSoftwaresafetyextensionPackage = (SoftwaresafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) instanceof SoftwaresafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) : SoftwaresafetyextensionPackage.eINSTANCE);
    TechnicalsafetyextensionPackageImpl theTechnicalsafetyextensionPackage = (TechnicalsafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) instanceof TechnicalsafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) : TechnicalsafetyextensionPackage.eINSTANCE);
    ToplevelPackageImpl theToplevelPackage = (ToplevelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) instanceof ToplevelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) : ToplevelPackage.eINSTANCE);
    ConfigurationPackageImpl theConfigurationPackage = (ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) instanceof ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) : ConfigurationPackage.eINSTANCE);
    ErrormodelPackageImpl theErrormodelPackage = (ErrormodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) instanceof ErrormodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) : ErrormodelPackage.eINSTANCE);
    _instancerefPackageImpl the_instancerefPackage = (_instancerefPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) instanceof _instancerefPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) : _instancerefPackage.eINSTANCE);
    ErrorbehaviorPackageImpl theErrorbehaviorPackage = (ErrorbehaviorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) instanceof ErrorbehaviorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) : ErrorbehaviorPackage.eINSTANCE);
    ErrormodeltypePackageImpl theErrormodeltypePackage = (ErrormodeltypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) instanceof ErrormodeltypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) : ErrormodeltypePackage.eINSTANCE);
    MalfunctionPackageImpl theMalfunctionPackage = (MalfunctionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) instanceof MalfunctionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) : MalfunctionPackage.eINSTANCE);
    FailureformulaPackageImpl theFailureformulaPackage = (FailureformulaPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) instanceof FailureformulaPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) : FailureformulaPackage.eINSTANCE);
    FailurePackageImpl theFailurePackage = (FailurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) instanceof FailurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) : FailurePackage.eINSTANCE);
    FailurepartPackageImpl theFailurepartPackage = (FailurepartPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) instanceof FailurepartPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) : FailurepartPackage.eINSTANCE);
    HwquantitativemeasurePackageImpl theHwquantitativemeasurePackage = (HwquantitativemeasurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) instanceof HwquantitativemeasurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) : HwquantitativemeasurePackage.eINSTANCE);
    HwarchitecturalmetricsPackageImpl theHwarchitecturalmetricsPackage = (HwarchitecturalmetricsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) instanceof HwarchitecturalmetricsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) : HwarchitecturalmetricsPackage.eINSTANCE);
    ProbabilisticmethodsPackageImpl theProbabilisticmethodsPackage = (ProbabilisticmethodsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) instanceof ProbabilisticmethodsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) : ProbabilisticmethodsPackage.eINSTANCE);
    HazardsPackageImpl theHazardsPackage = (HazardsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) instanceof HazardsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) : HazardsPackage.eINSTANCE);
    SoftwaresafetyrequirementsPackageImpl theSoftwaresafetyrequirementsPackage = (SoftwaresafetyrequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) instanceof SoftwaresafetyrequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) : SoftwaresafetyrequirementsPackage.eINSTANCE);
    AlivenessmonitorPackageImpl theAlivenessmonitorPackage = (AlivenessmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) instanceof AlivenessmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) : AlivenessmonitorPackage.eINSTANCE);
    ActuatormonitorPackageImpl theActuatormonitorPackage = (ActuatormonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) instanceof ActuatormonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) : ActuatormonitorPackage.eINSTANCE);
    CrcchecksumPackageImpl theCrcchecksumPackage = (CrcchecksumPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) instanceof CrcchecksumPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) : CrcchecksumPackage.eINSTANCE);
    ComparisonPackageImpl theComparisonPackage = (ComparisonPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) instanceof ComparisonPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) : ComparisonPackage.eINSTANCE);
    ContextrangecheckPackageImpl theContextrangecheckPackage = (ContextrangecheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) instanceof ContextrangecheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) : ContextrangecheckPackage.eINSTANCE);
    CpuselftestPackageImpl theCpuselftestPackage = (CpuselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) instanceof CpuselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) : CpuselftestPackage.eINSTANCE);
    FilterPackageImpl theFilterPackage = (FilterPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) instanceof FilterPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) : FilterPackage.eINSTANCE);
    GradientcheckPackageImpl theGradientcheckPackage = (GradientcheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) instanceof GradientcheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) : GradientcheckPackage.eINSTANCE);
    HealthmonitorPackageImpl theHealthmonitorPackage = (HealthmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) instanceof HealthmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) : HealthmonitorPackage.eINSTANCE);
    HeartbeatPackageImpl theHeartbeatPackage = (HeartbeatPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) instanceof HeartbeatPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) : HeartbeatPackage.eINSTANCE);
    MemoryselftestPackageImpl theMemoryselftestPackage = (MemoryselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) instanceof MemoryselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) : MemoryselftestPackage.eINSTANCE);
    VotingPackageImpl theVotingPackage = (VotingPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) instanceof VotingPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) : VotingPackage.eINSTANCE);
    safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl theConfigurationPackage_1 = (safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) instanceof safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) : safe10.classmodel.software.configuration.ConfigurationPackage.eINSTANCE);

    // Create package meta-data objects
    theRequirementsPackage.createPackageContents();
    theDatatypesPackage.createPackageContents();
    theFormulaexpressionPackage.createPackageContents();
    theReferencesPackage.createPackageContents();
    theChromosomereferencesPackage.createPackageContents();
    theSafetyextensionsPackage.createPackageContents();
    theSoftwaresafetyextensionPackage.createPackageContents();
    theTechnicalsafetyextensionPackage.createPackageContents();
    theToplevelPackage.createPackageContents();
    theConfigurationPackage.createPackageContents();
    theErrormodelPackage.createPackageContents();
    the_instancerefPackage.createPackageContents();
    theErrorbehaviorPackage.createPackageContents();
    theErrormodeltypePackage.createPackageContents();
    theMalfunctionPackage.createPackageContents();
    theFailureformulaPackage.createPackageContents();
    theFailurePackage.createPackageContents();
    theFailurepartPackage.createPackageContents();
    theHwquantitativemeasurePackage.createPackageContents();
    theHwarchitecturalmetricsPackage.createPackageContents();
    theProbabilisticmethodsPackage.createPackageContents();
    theHazardsPackage.createPackageContents();
    theSoftwaresafetyrequirementsPackage.createPackageContents();
    theAlivenessmonitorPackage.createPackageContents();
    theActuatormonitorPackage.createPackageContents();
    theCrcchecksumPackage.createPackageContents();
    theComparisonPackage.createPackageContents();
    theContextrangecheckPackage.createPackageContents();
    theCpuselftestPackage.createPackageContents();
    theFilterPackage.createPackageContents();
    theGradientcheckPackage.createPackageContents();
    theHealthmonitorPackage.createPackageContents();
    theHeartbeatPackage.createPackageContents();
    theMemoryselftestPackage.createPackageContents();
    theVotingPackage.createPackageContents();
    theConfigurationPackage_1.createPackageContents();

    // Initialize created meta-data
    theRequirementsPackage.initializePackageContents();
    theDatatypesPackage.initializePackageContents();
    theFormulaexpressionPackage.initializePackageContents();
    theReferencesPackage.initializePackageContents();
    theChromosomereferencesPackage.initializePackageContents();
    theSafetyextensionsPackage.initializePackageContents();
    theSoftwaresafetyextensionPackage.initializePackageContents();
    theTechnicalsafetyextensionPackage.initializePackageContents();
    theToplevelPackage.initializePackageContents();
    theConfigurationPackage.initializePackageContents();
    theErrormodelPackage.initializePackageContents();
    the_instancerefPackage.initializePackageContents();
    theErrorbehaviorPackage.initializePackageContents();
    theErrormodeltypePackage.initializePackageContents();
    theMalfunctionPackage.initializePackageContents();
    theFailureformulaPackage.initializePackageContents();
    theFailurePackage.initializePackageContents();
    theFailurepartPackage.initializePackageContents();
    theHwquantitativemeasurePackage.initializePackageContents();
    theHwarchitecturalmetricsPackage.initializePackageContents();
    theProbabilisticmethodsPackage.initializePackageContents();
    theHazardsPackage.initializePackageContents();
    theSoftwaresafetyrequirementsPackage.initializePackageContents();
    theAlivenessmonitorPackage.initializePackageContents();
    theActuatormonitorPackage.initializePackageContents();
    theCrcchecksumPackage.initializePackageContents();
    theComparisonPackage.initializePackageContents();
    theContextrangecheckPackage.initializePackageContents();
    theCpuselftestPackage.initializePackageContents();
    theFilterPackage.initializePackageContents();
    theGradientcheckPackage.initializePackageContents();
    theHealthmonitorPackage.initializePackageContents();
    theHeartbeatPackage.initializePackageContents();
    theMemoryselftestPackage.initializePackageContents();
    theVotingPackage.initializePackageContents();
    theConfigurationPackage_1.initializePackageContents();

    // Mark meta-data to indicate it can't be changed
    theRequirementsPackage.freeze();

  
    // Update the registry and return the package
    EPackage.Registry.INSTANCE.put(RequirementsPackage.eNS_URI, theRequirementsPackage);
    return theRequirementsPackage;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAbstractSafetyRequirement()
  {
    return abstractSafetyRequirementEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAbstractSafetyRequirement_Asil()
  {
    return (EAttribute)abstractSafetyRequirementEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getAbstractSafetyRequirement_Requirement()
  {
    return (EReference)abstractSafetyRequirementEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getAbstractSafetyRequirement_RequirementLinks()
  {
    return (EReference)abstractSafetyRequirementEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAllocatableElement()
  {
    return allocatableElementEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAllocationTarget()
  {
    return allocationTargetEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getFunctionalSafetyRequirement()
  {
    return functionalSafetyRequirementEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getFunctionalSafetyRequirement_RequirementKind()
  {
    return (EAttribute)functionalSafetyRequirementEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getFunctionalSafetyRequirement_Redundancy()
  {
    return (EAttribute)functionalSafetyRequirementEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getFunctionalSafetyRequirement_IsSafetyGoal()
  {
    return (EAttribute)functionalSafetyRequirementEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHasAsilDecomposed()
  {
    return hasAsilDecomposedEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHasAsilDecomposed_DecomposedASIL()
  {
    return (EAttribute)hasAsilDecomposedEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHasEmergencyOperationTimeInterval()
  {
    return hasEmergencyOperationTimeIntervalEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHasEmergencyOperationTimeInterval_EmergencyOperationTimeInterval()
  {
    return (EAttribute)hasEmergencyOperationTimeIntervalEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHasFaultTolerantTimeInterval()
  {
    return hasFaultTolerantTimeIntervalEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHasFaultTolerantTimeInterval_FaultTolerantTimeInterval()
  {
    return (EAttribute)hasFaultTolerantTimeIntervalEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getRequirementsLink()
  {
    return requirementsLinkEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getRequirementsLink_RequirementsLinkType()
  {
    return (EAttribute)requirementsLinkEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getRequirementsLink_LinkedRequirement()
  {
    return (EReference)requirementsLinkEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getRequirementsReleationship()
  {
    return requirementsReleationshipEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getSatisfy()
  {
    return satisfyEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getSatisfy_SatisfiedElement()
  {
    return (EReference)satisfyEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getSatisfy_SatisfyingTarget()
  {
    return (EReference)satisfyEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getSoftwareSafetyRequirement()
  {
    return softwareSafetyRequirementEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getTechnicalSafetyRequirement()
  {
    return technicalSafetyRequirementEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getTechnicalSafetyRequirement_RequirementKind()
  {
    return (EAttribute)technicalSafetyRequirementEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getTechnicalSafetyRequirement_Redundancy()
  {
    return (EAttribute)technicalSafetyRequirementEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getTechnicalSafetyRequirement_Codegenconfiguration()
  {
    return (EReference)technicalSafetyRequirementEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getTraceableSpecification()
  {
    return traceableSpecificationEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getTraceableSpecification_Formal()
  {
    return (EAttribute)traceableSpecificationEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getTraceableSpecification_Informal()
  {
    return (EAttribute)traceableSpecificationEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getTraceableSpecification_Stakeholder()
  {
    return (EAttribute)traceableSpecificationEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getVerify()
  {
    return verifyEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getRequirementKind()
  {
    return requirementKindEEnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getRequirementsLinkType()
  {
    return requirementsLinkTypeEEnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public RequirementsFactory getRequirementsFactory()
  {
    return (RequirementsFactory)getEFactoryInstance();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isCreated = false;

  /**
   * Creates the meta-model objects for the package.  This method is
   * guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void createPackageContents()
  {
    if (isCreated) return;
    isCreated = true;

    // Create classes and their features
    abstractSafetyRequirementEClass = createEClass(ABSTRACT_SAFETY_REQUIREMENT);
    createEAttribute(abstractSafetyRequirementEClass, ABSTRACT_SAFETY_REQUIREMENT__ASIL);
    createEReference(abstractSafetyRequirementEClass, ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT);
    createEReference(abstractSafetyRequirementEClass, ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT_LINKS);

    allocatableElementEClass = createEClass(ALLOCATABLE_ELEMENT);

    allocationTargetEClass = createEClass(ALLOCATION_TARGET);

    functionalSafetyRequirementEClass = createEClass(FUNCTIONAL_SAFETY_REQUIREMENT);
    createEAttribute(functionalSafetyRequirementEClass, FUNCTIONAL_SAFETY_REQUIREMENT__REQUIREMENT_KIND);
    createEAttribute(functionalSafetyRequirementEClass, FUNCTIONAL_SAFETY_REQUIREMENT__REDUNDANCY);
    createEAttribute(functionalSafetyRequirementEClass, FUNCTIONAL_SAFETY_REQUIREMENT__IS_SAFETY_GOAL);

    hasAsilDecomposedEClass = createEClass(HAS_ASIL_DECOMPOSED);
    createEAttribute(hasAsilDecomposedEClass, HAS_ASIL_DECOMPOSED__DECOMPOSED_ASIL);

    hasEmergencyOperationTimeIntervalEClass = createEClass(HAS_EMERGENCY_OPERATION_TIME_INTERVAL);
    createEAttribute(hasEmergencyOperationTimeIntervalEClass, HAS_EMERGENCY_OPERATION_TIME_INTERVAL__EMERGENCY_OPERATION_TIME_INTERVAL);

    hasFaultTolerantTimeIntervalEClass = createEClass(HAS_FAULT_TOLERANT_TIME_INTERVAL);
    createEAttribute(hasFaultTolerantTimeIntervalEClass, HAS_FAULT_TOLERANT_TIME_INTERVAL__FAULT_TOLERANT_TIME_INTERVAL);

    requirementsLinkEClass = createEClass(REQUIREMENTS_LINK);
    createEAttribute(requirementsLinkEClass, REQUIREMENTS_LINK__REQUIREMENTS_LINK_TYPE);
    createEReference(requirementsLinkEClass, REQUIREMENTS_LINK__LINKED_REQUIREMENT);

    requirementsReleationshipEClass = createEClass(REQUIREMENTS_RELEATIONSHIP);

    satisfyEClass = createEClass(SATISFY);
    createEReference(satisfyEClass, SATISFY__SATISFIED_ELEMENT);
    createEReference(satisfyEClass, SATISFY__SATISFYING_TARGET);

    softwareSafetyRequirementEClass = createEClass(SOFTWARE_SAFETY_REQUIREMENT);

    technicalSafetyRequirementEClass = createEClass(TECHNICAL_SAFETY_REQUIREMENT);
    createEAttribute(technicalSafetyRequirementEClass, TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT_KIND);
    createEAttribute(technicalSafetyRequirementEClass, TECHNICAL_SAFETY_REQUIREMENT__REDUNDANCY);
    createEReference(technicalSafetyRequirementEClass, TECHNICAL_SAFETY_REQUIREMENT__CODEGENCONFIGURATION);

    traceableSpecificationEClass = createEClass(TRACEABLE_SPECIFICATION);
    createEAttribute(traceableSpecificationEClass, TRACEABLE_SPECIFICATION__FORMAL);
    createEAttribute(traceableSpecificationEClass, TRACEABLE_SPECIFICATION__INFORMAL);
    createEAttribute(traceableSpecificationEClass, TRACEABLE_SPECIFICATION__STAKEHOLDER);

    verifyEClass = createEClass(VERIFY);

    // Create enums
    requirementKindEEnum = createEEnum(REQUIREMENT_KIND);
    requirementsLinkTypeEEnum = createEEnum(REQUIREMENTS_LINK_TYPE);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isInitialized = false;

  /**
   * Complete the initialization of the package and its meta-model.  This
   * method is guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void initializePackageContents()
  {
    if (isInitialized) return;
    isInitialized = true;

    // Initialize package
    setName(eNAME);
    setNsPrefix(eNS_PREFIX);
    setNsURI(eNS_URI);

    // Obtain other dependent packages
    SoftwaresafetyrequirementsPackage theSoftwaresafetyrequirementsPackage = (SoftwaresafetyrequirementsPackage)EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI);
    DatatypesPackage theDatatypesPackage = (DatatypesPackage)EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI);
    eastadl21.east_adl.requirements.RequirementsPackage theRequirementsPackage_1 = (eastadl21.east_adl.requirements.RequirementsPackage)EPackage.Registry.INSTANCE.getEPackage(eastadl21.east_adl.requirements.RequirementsPackage.eNS_URI);
    safe10.classmodel.software.configuration.ConfigurationPackage theConfigurationPackage_1 = (safe10.classmodel.software.configuration.ConfigurationPackage)EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI);
    ToplevelPackage theToplevelPackage = (ToplevelPackage)EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI);

    // Add subpackages
    getESubpackages().add(theSoftwaresafetyrequirementsPackage);

    // Create type parameters

    // Set bounds for type parameters

    // Add supertypes to classes
    abstractSafetyRequirementEClass.getESuperTypes().add(this.getTraceableSpecification());
    abstractSafetyRequirementEClass.getESuperTypes().add(this.getAllocatableElement());
    functionalSafetyRequirementEClass.getESuperTypes().add(this.getHasAsilDecomposed());
    functionalSafetyRequirementEClass.getESuperTypes().add(this.getAbstractSafetyRequirement());
    functionalSafetyRequirementEClass.getESuperTypes().add(this.getHasEmergencyOperationTimeInterval());
    functionalSafetyRequirementEClass.getESuperTypes().add(this.getHasFaultTolerantTimeInterval());
    satisfyEClass.getESuperTypes().add(this.getRequirementsReleationship());
    softwareSafetyRequirementEClass.getESuperTypes().add(this.getAbstractSafetyRequirement());
    technicalSafetyRequirementEClass.getESuperTypes().add(this.getHasFaultTolerantTimeInterval());
    technicalSafetyRequirementEClass.getESuperTypes().add(this.getAbstractSafetyRequirement());
    technicalSafetyRequirementEClass.getESuperTypes().add(this.getHasEmergencyOperationTimeInterval());
    technicalSafetyRequirementEClass.getESuperTypes().add(this.getHasAsilDecomposed());
    traceableSpecificationEClass.getESuperTypes().add(theToplevelPackage.getSAFEElement());
    verifyEClass.getESuperTypes().add(this.getRequirementsReleationship());

    // Initialize classes and features; add operations and parameters
    initEClass(abstractSafetyRequirementEClass, AbstractSafetyRequirement.class, "AbstractSafetyRequirement", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getAbstractSafetyRequirement_Asil(), theDatatypesPackage.getASILEnum(), "asil", "ASIL_A", 1, 1, AbstractSafetyRequirement.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getAbstractSafetyRequirement_Requirement(), theRequirementsPackage_1.getRequirement(), null, "requirement", null, 0, 1, AbstractSafetyRequirement.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getAbstractSafetyRequirement_RequirementLinks(), this.getRequirementsLink(), null, "requirementLinks", null, 0, -1, AbstractSafetyRequirement.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(allocatableElementEClass, AllocatableElement.class, "AllocatableElement", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(allocationTargetEClass, AllocationTarget.class, "AllocationTarget", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(functionalSafetyRequirementEClass, FunctionalSafetyRequirement.class, "FunctionalSafetyRequirement", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getFunctionalSafetyRequirement_RequirementKind(), this.getRequirementKind(), "requirementKind", "QUANTITATIVE", 1, 1, FunctionalSafetyRequirement.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getFunctionalSafetyRequirement_Redundancy(), theDatatypesPackage.getBoolean(), "redundancy", "false", 1, 1, FunctionalSafetyRequirement.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getFunctionalSafetyRequirement_IsSafetyGoal(), theDatatypesPackage.getBoolean(), "isSafetyGoal", "false", 1, 1, FunctionalSafetyRequirement.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hasAsilDecomposedEClass, HasAsilDecomposed.class, "HasAsilDecomposed", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getHasAsilDecomposed_DecomposedASIL(), theDatatypesPackage.getASILDecomposedEnum(), "decomposedASIL", "ASIL_A", 1, 1, HasAsilDecomposed.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hasEmergencyOperationTimeIntervalEClass, HasEmergencyOperationTimeInterval.class, "HasEmergencyOperationTimeInterval", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getHasEmergencyOperationTimeInterval_EmergencyOperationTimeInterval(), theDatatypesPackage.getFloat(), "emergencyOperationTimeInterval", "0.0", 1, 1, HasEmergencyOperationTimeInterval.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hasFaultTolerantTimeIntervalEClass, HasFaultTolerantTimeInterval.class, "HasFaultTolerantTimeInterval", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getHasFaultTolerantTimeInterval_FaultTolerantTimeInterval(), theDatatypesPackage.getFloat(), "faultTolerantTimeInterval", "0.0", 1, 1, HasFaultTolerantTimeInterval.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(requirementsLinkEClass, RequirementsLink.class, "RequirementsLink", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getRequirementsLink_RequirementsLinkType(), this.getRequirementsLinkType(), "requirementsLinkType", "COVERS", 1, 1, RequirementsLink.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getRequirementsLink_LinkedRequirement(), this.getAbstractSafetyRequirement(), null, "linkedRequirement", null, 0, -1, RequirementsLink.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(requirementsReleationshipEClass, RequirementsReleationship.class, "RequirementsReleationship", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(satisfyEClass, Satisfy.class, "Satisfy", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getSatisfy_SatisfiedElement(), this.getAllocatableElement(), null, "satisfiedElement", null, 1, -1, Satisfy.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getSatisfy_SatisfyingTarget(), this.getAllocationTarget(), null, "satisfyingTarget", null, 1, -1, Satisfy.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(softwareSafetyRequirementEClass, SoftwareSafetyRequirement.class, "SoftwareSafetyRequirement", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(technicalSafetyRequirementEClass, TechnicalSafetyRequirement.class, "TechnicalSafetyRequirement", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getTechnicalSafetyRequirement_RequirementKind(), this.getRequirementKind(), "requirementKind", "QUANTITATIVE", 1, 1, TechnicalSafetyRequirement.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getTechnicalSafetyRequirement_Redundancy(), theDatatypesPackage.getBoolean(), "redundancy", "false", 1, 1, TechnicalSafetyRequirement.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getTechnicalSafetyRequirement_Codegenconfiguration(), theConfigurationPackage_1.getCodeGenerationConfiguration(), null, "codegenconfiguration", null, 0, -1, TechnicalSafetyRequirement.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(traceableSpecificationEClass, TraceableSpecification.class, "TraceableSpecification", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getTraceableSpecification_Formal(), theDatatypesPackage.getString(), "formal", "", 0, 1, TraceableSpecification.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getTraceableSpecification_Informal(), theDatatypesPackage.getString(), "informal", "", 0, 1, TraceableSpecification.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getTraceableSpecification_Stakeholder(), theDatatypesPackage.getString(), "stakeholder", "", 0, -1, TraceableSpecification.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(verifyEClass, Verify.class, "Verify", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    // Initialize enums and add enum literals
    initEEnum(requirementKindEEnum, RequirementKind.class, "RequirementKind");
    addEEnumLiteral(requirementKindEEnum, RequirementKind.QUANTITATIVE);
    addEEnumLiteral(requirementKindEEnum, RequirementKind.PRODUCTION);
    addEEnumLiteral(requirementKindEEnum, RequirementKind.PROCESS);
    addEEnumLiteral(requirementKindEEnum, RequirementKind.CONSTRAINT);

    initEEnum(requirementsLinkTypeEEnum, RequirementsLinkType.class, "RequirementsLinkType");
    addEEnumLiteral(requirementsLinkTypeEEnum, RequirementsLinkType.COVERS);
    addEEnumLiteral(requirementsLinkTypeEEnum, RequirementsLinkType.REFINES);
    addEEnumLiteral(requirementsLinkTypeEEnum, RequirementsLinkType.CONFLICTS);
    addEEnumLiteral(requirementsLinkTypeEEnum, RequirementsLinkType.DECOMPOSES);

    // Create resource
    createResource(eNS_URI);

    // Create annotations
    // MetaData
    createMetaDataAnnotations();
    // TaggedValues
    createTaggedValuesAnnotations();
    // EAAdapter
    createEAAdapterAnnotations();
    // Stereotype
    createStereotypeAnnotations();
  }

  /**
   * Initializes the annotations for <b>MetaData</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createMetaDataAnnotations()
  {
    String source = "MetaData";		
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "guid", "{6DB44398-45BC-481b-848B-CE2A3CEBE2E9}",
       "id", "-545992033",
       "EA name", "Requirements"
       });				
    addAnnotation
      (abstractSafetyRequirementEClass, 
       source, 
       new String[] 
       {
       "guid", "{A0DC6555-FECC-44d0-99B4-CB637A7BF936}",
       "id", "1348942244",
       "EA name", "AbstractSafetyRequirement"
       });						
    addAnnotation
      (getAbstractSafetyRequirement_Asil(), 
       source, 
       new String[] 
       {
       "guid", "{0B02AF9B-A1DD-4551-874B-3BF2C8AF9D86}",
       "id", "351173077",
       "EA name", "asil"
       });					
    addAnnotation
      (getAbstractSafetyRequirement_Requirement(), 
       source, 
       new String[] 
       {
       "guid", "{D0887958-BD1D-445d-A9F9-0537552A08F6}",
       "id", "1866195529",
       "EA name", ""
       });				
    addAnnotation
      (getAbstractSafetyRequirement_RequirementLinks(), 
       source, 
       new String[] 
       {
       "guid", "{C087A86C-77E6-4929-9DE3-7CC707E0D4FF}",
       "id", "2135217910",
       "EA name", ""
       });				
    addAnnotation
      (allocatableElementEClass, 
       source, 
       new String[] 
       {
       "guid", "{674CF181-C079-479a-BC7C-4363DEF9C07C}",
       "id", "750830170",
       "EA name", "AllocatableElement"
       });					
    addAnnotation
      (allocationTargetEClass, 
       source, 
       new String[] 
       {
       "guid", "{DFDD482C-4281-4a26-8E50-997ADC88EEC9}",
       "id", "-288632561",
       "EA name", "AllocationTarget"
       });					
    addAnnotation
      (functionalSafetyRequirementEClass, 
       source, 
       new String[] 
       {
       "guid", "{92F8CEC9-C638-48e7-8151-15120713DCDD}",
       "id", "-204502646",
       "EA name", "FunctionalSafetyRequirement"
       });					
    addAnnotation
      (getFunctionalSafetyRequirement_RequirementKind(), 
       source, 
       new String[] 
       {
       "guid", "{1B6ADE89-DB2E-4dfd-9E8C-424148EFD865}",
       "id", "-1148505601",
       "EA name", "requirementKind"
       });				
    addAnnotation
      (getFunctionalSafetyRequirement_Redundancy(), 
       source, 
       new String[] 
       {
       "guid", "{A642DE52-428E-4eef-BE9F-A3DF25719C6D}",
       "id", "507364488",
       "EA name", "redundancy"
       });				
    addAnnotation
      (getFunctionalSafetyRequirement_IsSafetyGoal(), 
       source, 
       new String[] 
       {
       "guid", "{8E92F3CC-33AD-4033-8D10-D9DF27D4399F}",
       "id", "1098451751",
       "EA name", "isSafetyGoal"
       });				
    addAnnotation
      (hasAsilDecomposedEClass, 
       source, 
       new String[] 
       {
       "guid", "{4AF9A9FB-469D-46b4-AB55-172B98B6F1BF}",
       "id", "1367574899",
       "EA name", "HasAsilDecomposed"
       });					
    addAnnotation
      (getHasAsilDecomposed_DecomposedASIL(), 
       source, 
       new String[] 
       {
       "guid", "{8ED31BB8-3C6F-4142-B8F3-F8AC051AF7D8}",
       "id", "267778265",
       "EA name", "decomposedASIL"
       });				
    addAnnotation
      (hasEmergencyOperationTimeIntervalEClass, 
       source, 
       new String[] 
       {
       "guid", "{7E68B815-DC90-4439-8417-32C7869F9CF0}",
       "id", "-1769894204",
       "EA name", "HasEmergencyOperationTimeInterval"
       });					
    addAnnotation
      (getHasEmergencyOperationTimeInterval_EmergencyOperationTimeInterval(), 
       source, 
       new String[] 
       {
       "guid", "{6B652AE2-028D-4649-9989-D9B293DEA95F}",
       "id", "-570773570",
       "EA name", "emergencyOperationTimeInterval"
       });				
    addAnnotation
      (hasFaultTolerantTimeIntervalEClass, 
       source, 
       new String[] 
       {
       "guid", "{F704CC79-8669-4d66-B963-89873A7A9141}",
       "id", "-403746032",
       "EA name", "HasFaultTolerantTimeInterval"
       });					
    addAnnotation
      (getHasFaultTolerantTimeInterval_FaultTolerantTimeInterval(), 
       source, 
       new String[] 
       {
       "guid", "{D78CBD8E-1465-422c-839F-FE36F341E900}",
       "id", "-126511001",
       "EA name", "faultTolerantTimeInterval"
       });				
    addAnnotation
      (requirementKindEEnum, 
       source, 
       new String[] 
       {
       "guid", "{E060D65C-4303-4692-A1FA-F2CD62494EE7}",
       "id", "665157837",
       "EA name", "RequirementKind"
       });														
    addAnnotation
      (requirementsLinkEClass, 
       source, 
       new String[] 
       {
       "guid", "{73DD9EF2-BE12-4ac2-AEA1-58D6D6D243EC}",
       "id", "-936789172",
       "EA name", "RequirementsLink"
       });					
    addAnnotation
      (getRequirementsLink_RequirementsLinkType(), 
       source, 
       new String[] 
       {
       "guid", "{656985AB-C732-497c-9C00-2D1AD6433CEC}",
       "id", "77345885",
       "EA name", "requirementsLinkType"
       });					
    addAnnotation
      (getRequirementsLink_LinkedRequirement(), 
       source, 
       new String[] 
       {
       "guid", "{95AD6EB5-2A82-4621-B425-D88DB9586D05}",
       "id", "-1480929985",
       "EA name", ""
       });				
    addAnnotation
      (requirementsLinkTypeEEnum, 
       source, 
       new String[] 
       {
       "guid", "{7BA358EA-88F8-4d1b-8734-356CBAED84CA}",
       "id", "1627325907",
       "EA name", "RequirementsLinkType"
       });														
    addAnnotation
      (requirementsReleationshipEClass, 
       source, 
       new String[] 
       {
       "guid", "{587805D1-4754-4951-882C-4CDEB19EAFD3}",
       "id", "150388759",
       "EA name", "RequirementsReleationship"
       });					
    addAnnotation
      (satisfyEClass, 
       source, 
       new String[] 
       {
       "guid", "{2813DE10-556A-4755-9783-406ABB84AFB1}",
       "id", "-626887992",
       "EA name", "Satisfy"
       });					
    addAnnotation
      (getSatisfy_SatisfiedElement(), 
       source, 
       new String[] 
       {
       "guid", "{67B1BB5C-E3C5-4070-B575-765854A810BC}",
       "id", "-2061922557",
       "EA name", ""
       });				
    addAnnotation
      (getSatisfy_SatisfyingTarget(), 
       source, 
       new String[] 
       {
       "guid", "{125ADA93-1C69-4454-8932-2659F6CDA709}",
       "id", "337683981",
       "EA name", ""
       });				
    addAnnotation
      (softwareSafetyRequirementEClass, 
       source, 
       new String[] 
       {
       "guid", "{0A227422-CD1E-46cf-8235-975A16A82E44}",
       "id", "194",
       "EA name", "SoftwareSafetyRequirement"
       });					
    addAnnotation
      (technicalSafetyRequirementEClass, 
       source, 
       new String[] 
       {
       "guid", "{FFA0F059-B072-4ba1-97D6-E22382C284F9}",
       "id", "732814633",
       "EA name", "TechnicalSafetyRequirement"
       });					
    addAnnotation
      (getTechnicalSafetyRequirement_RequirementKind(), 
       source, 
       new String[] 
       {
       "guid", "{1DF7FF71-049C-4905-9505-A85B21016BAA}",
       "id", "236750518",
       "EA name", "requirementKind"
       });				
    addAnnotation
      (getTechnicalSafetyRequirement_Redundancy(), 
       source, 
       new String[] 
       {
       "guid", "{ACB8A1E9-7B10-4a89-A004-2D517173ABD4}",
       "id", "2132806223",
       "EA name", "redundancy"
       });				
    addAnnotation
      (getTechnicalSafetyRequirement_Codegenconfiguration(), 
       source, 
       new String[] 
       {
       "guid", "{9ECA3CE4-BEC2-4e1b-BC76-8D2AA52D6FE3}",
       "id", "1585110012",
       "EA name", ""
       });				
    addAnnotation
      (traceableSpecificationEClass, 
       source, 
       new String[] 
       {
       "guid", "{AA0EDB29-34DC-46cb-B8E2-B2D435B09097}",
       "id", "1617139173",
       "EA name", "TraceableSpecification"
       });					
    addAnnotation
      (getTraceableSpecification_Formal(), 
       source, 
       new String[] 
       {
       "guid", "{A3D34610-ECC4-4f8c-AB14-505B4E83F540}",
       "id", "711792450",
       "EA name", "formal"
       });				
    addAnnotation
      (getTraceableSpecification_Informal(), 
       source, 
       new String[] 
       {
       "guid", "{7A2503C5-6C5D-4df3-99B4-D26639B3A327}",
       "id", "2123522715",
       "EA name", "informal"
       });					
    addAnnotation
      (getTraceableSpecification_Stakeholder(), 
       source, 
       new String[] 
       {
       "guid", "{9151096A-73BE-405c-9560-ABA8C775F9E7}",
       "id", "455611969",
       "EA name", "stakeholder"
       });					
    addAnnotation
      (verifyEClass, 
       source, 
       new String[] 
       {
       "guid", "{CA184EEC-5715-4419-A7F5-2E3F9C155BD8}",
       "id", "1974246805",
       "EA name", "Verify"
       });		
  }

  /**
   * Initializes the annotations for <b>TaggedValues</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createTaggedValuesAnnotations()
  {
    String source = "TaggedValues";			
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "xml.name", "REQUIREMENTS",
       "xml.namePlural", "REQUIREMENTSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });						
    addAnnotation
      (abstractSafetyRequirementEClass, 
       source, 
       new String[] 
       {
       "xml.name", "ABSTRACT-SAFETY-REQUIREMENT",
       "xml.namePlural", "ABSTRACT-SAFETY-REQUIREMENTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getAbstractSafetyRequirement_Asil(), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL",
       "xml.namePlural", "ASILS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getAbstractSafetyRequirement_Requirement(), 
       source, 
       new String[] 
       {
       "xml.name", "REQUIREMENT-REF",
       "xml.namePlural", "REQUIREMENT-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getAbstractSafetyRequirement_RequirementLinks(), 
       source, 
       new String[] 
       {
       "xml.name", "REQUIREMENT-LINKS",
       "xml.namePlural", "REQUIREMENT-LINKSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (allocatableElementEClass, 
       source, 
       new String[] 
       {
       "xml.name", "ALLOCATABLE-ELEMENT",
       "xml.namePlural", "ALLOCATABLE-ELEMENTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (allocationTargetEClass, 
       source, 
       new String[] 
       {
       "xml.name", "ALLOCATION-TARGET",
       "xml.namePlural", "ALLOCATION-TARGETS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (functionalSafetyRequirementEClass, 
       source, 
       new String[] 
       {
       "xml.name", "FUNCTIONAL-SAFETY-REQUIREMENT",
       "xml.namePlural", "FUNCTIONAL-SAFETY-REQUIREMENTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getFunctionalSafetyRequirement_RequirementKind(), 
       source, 
       new String[] 
       {
       "xml.name", "REQUIREMENT-KIND",
       "xml.namePlural", "REQUIREMENT-KINDS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getFunctionalSafetyRequirement_Redundancy(), 
       source, 
       new String[] 
       {
       "xml.name", "REDUNDANCY",
       "xml.namePlural", "REDUNDANCYS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getFunctionalSafetyRequirement_IsSafetyGoal(), 
       source, 
       new String[] 
       {
       "xml.name", "IS-SAFETY-GOAL",
       "xml.namePlural", "IS-SAFETY-GOALS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hasAsilDecomposedEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HAS-ASIL-DECOMPOSED",
       "xml.namePlural", "HAS-ASIL-DECOMPOSEDS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getHasAsilDecomposed_DecomposedASIL(), 
       source, 
       new String[] 
       {
       "xml.name", "DECOMPOSED-ASIL",
       "xml.namePlural", "DECOMPOSED-ASILS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hasEmergencyOperationTimeIntervalEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HAS-EMERGENCY-OPERATION-TIME-INTERVAL",
       "xml.namePlural", "HAS-EMERGENCY-OPERATION-TIME-INTERVALS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getHasEmergencyOperationTimeInterval_EmergencyOperationTimeInterval(), 
       source, 
       new String[] 
       {
       "xml.name", "EMERGENCY-OPERATION-TIME-INTERVAL",
       "xml.namePlural", "EMERGENCY-OPERATION-TIME-INTERVALS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hasFaultTolerantTimeIntervalEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HAS-FAULT-TOLERANT-TIME-INTERVAL",
       "xml.namePlural", "HAS-FAULT-TOLERANT-TIME-INTERVALS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getHasFaultTolerantTimeInterval_FaultTolerantTimeInterval(), 
       source, 
       new String[] 
       {
       "xml.name", "FAULT-TOLERANT-TIME-INTERVAL",
       "xml.namePlural", "FAULT-TOLERANT-TIME-INTERVALS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });						
    addAnnotation
      (requirementKindEEnum, 
       source, 
       new String[] 
       {
       "xml.name", "REQUIREMENT-KIND",
       "xml.namePlural", "REQUIREMENT-KINDS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (requirementKindEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "xml.name", "QUANTITATIVE",
       "xml.namePlural", "QUANTITATIVES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (requirementKindEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "xml.name", "PRODUCTION",
       "xml.namePlural", "PRODUCTIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (requirementKindEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "xml.name", "PROCESS",
       "xml.namePlural", "PROCESSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (requirementKindEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "xml.name", "CONSTRAINT",
       "xml.namePlural", "CONSTRAINTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (requirementsLinkEClass, 
       source, 
       new String[] 
       {
       "xml.name", "REQUIREMENTS-LINK",
       "xml.namePlural", "REQUIREMENTS-LINKS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getRequirementsLink_RequirementsLinkType(), 
       source, 
       new String[] 
       {
       "xml.name", "REQUIREMENTS-LINK-TYPE",
       "xml.namePlural", "REQUIREMENTS-LINK-TYPES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getRequirementsLink_LinkedRequirement(), 
       source, 
       new String[] 
       {
       "xml.name", "LINKED-REQUIREMENT-REF",
       "xml.namePlural", "LINKED-REQUIREMENT-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });						
    addAnnotation
      (requirementsLinkTypeEEnum, 
       source, 
       new String[] 
       {
       "xml.name", "REQUIREMENTS-LINK-TYPE",
       "xml.namePlural", "REQUIREMENTS-LINK-TYPES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (requirementsLinkTypeEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "xml.name", "COVERS",
       "xml.namePlural", "COVERSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (requirementsLinkTypeEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "xml.name", "REFINES",
       "xml.namePlural", "REFINESS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (requirementsLinkTypeEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "xml.name", "CONFLICTS",
       "xml.namePlural", "CONFLICTSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (requirementsLinkTypeEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "xml.name", "DECOMPOSES",
       "xml.namePlural", "DECOMPOSESS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (requirementsReleationshipEClass, 
       source, 
       new String[] 
       {
       "xml.name", "REQUIREMENTS-RELEATIONSHIP",
       "xml.namePlural", "REQUIREMENTS-RELEATIONSHIPS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (satisfyEClass, 
       source, 
       new String[] 
       {
       "xml.name", "SATISFY",
       "xml.namePlural", "SATISFYS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getSatisfy_SatisfiedElement(), 
       source, 
       new String[] 
       {
       "xml.name", "SATISFIED-ELEMENT",
       "xml.namePlural", "SATISFIED-ELEMENTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getSatisfy_SatisfyingTarget(), 
       source, 
       new String[] 
       {
       "xml.name", "SATISFYING-TARGET",
       "xml.namePlural", "SATISFYING-TARGETS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (softwareSafetyRequirementEClass, 
       source, 
       new String[] 
       {
       "xml.name", "SOFTWARE-SAFETY-REQUIREMENT",
       "xml.namePlural", "SOFTWARE-SAFETY-REQUIREMENTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (technicalSafetyRequirementEClass, 
       source, 
       new String[] 
       {
       "xml.name", "TECHNICAL-SAFETY-REQUIREMENT",
       "xml.namePlural", "TECHNICAL-SAFETY-REQUIREMENTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getTechnicalSafetyRequirement_RequirementKind(), 
       source, 
       new String[] 
       {
       "xml.name", "REQUIREMENT-KIND",
       "xml.namePlural", "REQUIREMENT-KINDS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getTechnicalSafetyRequirement_Redundancy(), 
       source, 
       new String[] 
       {
       "xml.name", "REDUNDANCY",
       "xml.namePlural", "REDUNDANCYS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getTechnicalSafetyRequirement_Codegenconfiguration(), 
       source, 
       new String[] 
       {
       "xml.name", "CODEGENCONFIGURATION",
       "xml.namePlural", "CODEGENCONFIGURATIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (traceableSpecificationEClass, 
       source, 
       new String[] 
       {
       "xml.name", "TRACEABLE-SPECIFICATION",
       "xml.namePlural", "TRACEABLE-SPECIFICATIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getTraceableSpecification_Formal(), 
       source, 
       new String[] 
       {
       "xml.name", "FORMAL",
       "xml.namePlural", "FORMALS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getTraceableSpecification_Informal(), 
       source, 
       new String[] 
       {
       "xml.name", "INFORMAL",
       "xml.namePlural", "INFORMALS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getTraceableSpecification_Stakeholder(), 
       source, 
       new String[] 
       {
       "xml.name", "STAKEHOLDER",
       "xml.namePlural", "STAKEHOLDERS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (verifyEClass, 
       source, 
       new String[] 
       {
       "xml.name", "VERIFY",
       "xml.namePlural", "VERIFYS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });	
  }

  /**
   * Initializes the annotations for <b>EAAdapter</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createEAAdapterAnnotations()
  {
    String source = "EAAdapter";				
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });						
    addAnnotation
      (abstractSafetyRequirementEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getAbstractSafetyRequirement_Asil(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getAbstractSafetyRequirement_Requirement(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getAbstractSafetyRequirement_RequirementLinks(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (allocatableElementEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (allocationTargetEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (functionalSafetyRequirementEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getFunctionalSafetyRequirement_RequirementKind(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getFunctionalSafetyRequirement_Redundancy(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getFunctionalSafetyRequirement_IsSafetyGoal(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hasAsilDecomposedEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHasAsilDecomposed_DecomposedASIL(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hasEmergencyOperationTimeIntervalEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHasEmergencyOperationTimeInterval_EmergencyOperationTimeInterval(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hasFaultTolerantTimeIntervalEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHasFaultTolerantTimeInterval_FaultTolerantTimeInterval(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });						
    addAnnotation
      (requirementKindEEnum, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (requirementKindEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (requirementKindEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (requirementKindEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (requirementKindEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (requirementsLinkEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getRequirementsLink_RequirementsLinkType(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getRequirementsLink_LinkedRequirement(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });						
    addAnnotation
      (requirementsLinkTypeEEnum, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (requirementsLinkTypeEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (requirementsLinkTypeEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (requirementsLinkTypeEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (requirementsLinkTypeEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (requirementsReleationshipEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (satisfyEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getSatisfy_SatisfiedElement(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getSatisfy_SatisfyingTarget(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (softwareSafetyRequirementEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (technicalSafetyRequirementEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getTechnicalSafetyRequirement_RequirementKind(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getTechnicalSafetyRequirement_Redundancy(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getTechnicalSafetyRequirement_Codegenconfiguration(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (traceableSpecificationEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getTraceableSpecification_Formal(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getTraceableSpecification_Informal(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getTraceableSpecification_Stakeholder(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (verifyEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });
  }

  /**
   * Initializes the annotations for <b>Stereotype</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createStereotypeAnnotations()
  {
    String source = "Stereotype";							
    addAnnotation
      (abstractSafetyRequirementEClass, 
       source, 
       new String[] 
       {
       "Stereotype", "abstract"
       });																																				
    addAnnotation
      (hasAsilDecomposedEClass, 
       source, 
       new String[] 
       {
       "Stereotype", "abstract"
       });								
    addAnnotation
      (hasEmergencyOperationTimeIntervalEClass, 
       source, 
       new String[] 
       {
       "Stereotype", "abstract"
       });								
    addAnnotation
      (hasFaultTolerantTimeIntervalEClass, 
       source, 
       new String[] 
       {
       "Stereotype", "abstract"
       });									
    addAnnotation
      (requirementKindEEnum, 
       source, 
       new String[] 
       {
       "Stereotype", "enumeration"
       });																									
    addAnnotation
      (requirementsLinkTypeEEnum, 
       source, 
       new String[] 
       {
       "Stereotype", "enumeration"
       });													
    addAnnotation
      (requirementsReleationshipEClass, 
       source, 
       new String[] 
       {
       "Stereotype", "abstract"
       });																																															
  }

} //RequirementsPackageImpl
