/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor;

import autosar40.swcomponent.datatype.dataprototypes.VariableDataPrototype;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Autosar Evaluation Function</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * Evaluation function defined by the engineer to relate the input from sensors to the output value provided by the actuator controller.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.AutosarEvaluationFunction#getSignature <em>Signature</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.AutosarEvaluationFunction#getParameter <em>Parameter</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatormonitorPackage#getAutosarEvaluationFunction()
 * @model annotation="MetaData guid='{32D04A96-C497-42c1-AACC-F47B76C1F9EC}' id='224' EA\040name='AutosarEvaluationFunction'"
 *        annotation="TaggedValues xml.name='AUTOSAR-EVALUATION-FUNCTION' xml.namePlural='AUTOSAR-EVALUATION-FUNCTIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface AutosarEvaluationFunction extends EvaluationFunction
{
  /**
   * Returns the value of the '<em><b>Signature</b></em>' attribute.
   * The default value is <code>""</code>.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Signature</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Signature</em>' attribute.
   * @see #isSetSignature()
   * @see #unsetSignature()
   * @see #setSignature(String)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatormonitorPackage#getAutosarEvaluationFunction_Signature()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.String" required="true"
   *        annotation="MetaData guid='{E9797288-C347-4ad6-B6C0-F158EB116FA9}' id='-1509952924' EA\040name='signature'"
   *        annotation="TaggedValues xml.name='SIGNATURE' xml.namePlural='SIGNATURES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  String getSignature();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.AutosarEvaluationFunction#getSignature <em>Signature</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Signature</em>' attribute.
   * @see #isSetSignature()
   * @see #Signature()
   * @see #getSignature()
   * @generated
   */
  void setSignature(String value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.AutosarEvaluationFunction#getSignature <em>Signature</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetSignature()
   * @see #getSignature()
   * @see #setSignature(String)
   * @generated
   */
  void unsetSignature();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.AutosarEvaluationFunction#getSignature <em>Signature</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Signature</em>' attribute is set.
   * @see #Signature()
   * @see #getSignature()
   * @see #setSignature(String)
   * @generated
   */
  boolean isSetSignature();

  /**
   * Returns the value of the '<em><b>Parameter</b></em>' containment reference list.
   * The list contents are of type {@link autosar40.swcomponent.datatype.dataprototypes.VariableDataPrototype}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Parameter</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Parameter</em>' containment reference list.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatormonitorPackage#getAutosarEvaluationFunction_Parameter()
   * @model containment="true"
   *        annotation="MetaData guid='{AFE24FE6-B06E-4716-80D0-1EA9146D733F}' id='186054' EA\040name=''"
   *        annotation="TaggedValues xml.name='PARAMETER' xml.namePlural='PARAMETERS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<VariableDataPrototype> getParameter();

} // AutosarEvaluationFunction
