/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.comparison;

import autosar40.swcomponent.datatype.dataprototypes.VariableDataPrototype;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Autosar Comparison Param</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * AUTOSAR specific comparison parameters. Allows to reference AUTOSAR elements used in the comparison.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.comparison.AutosarComparisonParam#getTarget <em>Target</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonPackage#getAutosarComparisonParam()
 * @model annotation="MetaData guid='{8FF8523B-2B78-4150-BE0B-0968C84614A0}' id='237' EA\040name='AutosarComparisonParam'"
 *        annotation="TaggedValues xml.name='AUTOSAR-COMPARISON-PARAM' xml.namePlural='AUTOSAR-COMPARISON-PARAMS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface AutosarComparisonParam extends ComparisonParameter
{
  /**
   * Returns the value of the '<em><b>Target</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The target variable data prototype of an AUTOSAR software component which provides a value for the comparison operation.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Target</em>' containment reference.
   * @see #setTarget(VariableDataPrototype)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonPackage#getAutosarComparisonParam_Target()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{AFB73A69-573D-412c-A7BD-C0063262FB66}' id='2026794467' EA\040name=''"
   *        annotation="TaggedValues xml.name='TARGET' xml.namePlural='TARGETS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  VariableDataPrototype getTarget();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.comparison.AutosarComparisonParam#getTarget <em>Target</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Target</em>' containment reference.
   * @see #getTarget()
   * @generated
   */
  void setTarget(VariableDataPrototype value);

} // AutosarComparisonParam
