/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorDetectionSSR;
import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Context Range Check</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This meta-class defines a range check SSR whose range is defined based on the current system/component context (e.g. AUTOSAR mode).
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextRangeCheck#getDefault <em>Default</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextRangeCheck#getAdditional <em>Additional</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextRangeCheck#getBelowRange <em>Below Range</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextRangeCheck#getAboveRange <em>Above Range</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage#getContextRangeCheck()
 * @model annotation="MetaData guid='{05428801-D6BE-4ab3-A154-7867A566B50F}' id='238' EA\040name='ContextRangeCheck'"
 *        annotation="TaggedValues xml.name='CONTEXT-RANGE-CHECK' xml.namePlural='CONTEXT-RANGE-CHECKS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface ContextRangeCheck extends ErrorDetectionSSR
{
  /**
   * Returns the value of the '<em><b>Default</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The default context required for a context range check.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Default</em>' containment reference.
   * @see #setDefault(Context)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage#getContextRangeCheck_Default()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{3A007088-F40B-44a8-8E31-70E6280DAB3A}' id='142' EA\040name=''"
   *        annotation="TaggedValues xml.name='DEFAULT' xml.namePlural='DEFAULTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Context getDefault();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextRangeCheck#getDefault <em>Default</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Default</em>' containment reference.
   * @see #getDefault()
   * @generated
   */
  void setDefault(Context value);

  /**
   * Returns the value of the '<em><b>Additional</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.Context}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The additional context specifications for a context range check.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Additional</em>' containment reference list.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage#getContextRangeCheck_Additional()
   * @model containment="true"
   *        annotation="MetaData guid='{52740858-C2F4-4f83-A1EF-A426434B2EDA}' id='1710609379' EA\040name=''"
   *        annotation="TaggedValues xml.name='ADDITIONAL' xml.namePlural='ADDITIONALS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<Context> getAdditional();

  /**
   * Returns the value of the '<em><b>Below Range</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Below Range</em>' reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Below Range</em>' reference list.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage#getContextRangeCheck_BelowRange()
   * @model annotation="MetaData guid='{BCD6D35C-DA05-4392-B80F-68C8473AADB9}' id='-510467264' EA\040name=''"
   *        annotation="TaggedValues xml.name='BELOW-RANGE-REF' xml.namePlural='BELOW-RANGE-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<ErrorHandlerSSR> getBelowRange();

  /**
   * Returns the value of the '<em><b>Above Range</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Above Range</em>' reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Above Range</em>' reference list.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage#getContextRangeCheck_AboveRange()
   * @model annotation="MetaData guid='{2E000757-614A-43bd-93D7-53AE9BEDB82A}' id='615472795' EA\040name=''"
   *        annotation="TaggedValues xml.name='ABOVE-RANGE-REF' xml.namePlural='ABOVE-RANGE-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<ErrorHandlerSSR> getAboveRange();

} // ContextRangeCheck
