/**
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.util;

import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.toplevel.Identifiable;
import safe10.classmodel.commonstructure.toplevel.PackageableElement;
import safe10.classmodel.commonstructure.toplevel.Referrable;
import safe10.classmodel.commonstructure.toplevel.SAFEElement;

import safe10.classmodel.requirements.AbstractSafetyRequirement;
import safe10.classmodel.requirements.AllocatableElement;
import safe10.classmodel.requirements.SoftwareSafetyRequirement;
import safe10.classmodel.requirements.TraceableSpecification;

import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorDetectionSSR;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage
 * @generated
 */
public class ContextrangecheckSwitch<T>
{
  /**
   * The cached model package
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static ContextrangecheckPackage modelPackage;

  /**
   * Creates an instance of the switch.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ContextrangecheckSwitch()
  {
    if (modelPackage == null)
    {
      modelPackage = ContextrangecheckPackage.eINSTANCE;
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  public T doSwitch(EObject theEObject)
  {
    return doSwitch(theEObject.eClass(), theEObject);
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(EClass theEClass, EObject theEObject)
  {
    if (theEClass.eContainer() == modelPackage)
    {
      return doSwitch(theEClass.getClassifierID(), theEObject);
    }
    else
    {
      List<EClass> eSuperTypes = theEClass.getESuperTypes();
      return
        eSuperTypes.isEmpty() ?
          defaultCase(theEObject) :
          doSwitch(eSuperTypes.get(0), theEObject);
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(int classifierID, EObject theEObject)
  {
    switch (classifierID)
    {
      case ContextrangecheckPackage.AUTOSAR_CONTEXT:
      {
        AutosarContext autosarContext = (AutosarContext)theEObject;
        T result = caseAutosarContext(autosarContext);
        if (result == null) result = caseContext(autosarContext);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ContextrangecheckPackage.AUTOSAR_CONTEXT_RANGE_CHECK:
      {
        AutosarContextRangeCheck autosarContextRangeCheck = (AutosarContextRangeCheck)theEObject;
        T result = caseAutosarContextRangeCheck(autosarContextRangeCheck);
        if (result == null) result = caseContextRangeCheck(autosarContextRangeCheck);
        if (result == null) result = caseErrorDetectionSSR(autosarContextRangeCheck);
        if (result == null) result = caseSoftwareSafetyRequirement(autosarContextRangeCheck);
        if (result == null) result = caseAbstractSafetyRequirement(autosarContextRangeCheck);
        if (result == null) result = caseTraceableSpecification(autosarContextRangeCheck);
        if (result == null) result = caseAllocatableElement(autosarContextRangeCheck);
        if (result == null) result = caseSAFEElement(autosarContextRangeCheck);
        if (result == null) result = casePackageableElement(autosarContextRangeCheck);
        if (result == null) result = caseIdentifiable(autosarContextRangeCheck);
        if (result == null) result = caseReferrable(autosarContextRangeCheck);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ContextrangecheckPackage.BSW_RANGE_CHECK:
      {
        BSWRangeCheck bswRangeCheck = (BSWRangeCheck)theEObject;
        T result = caseBSWRangeCheck(bswRangeCheck);
        if (result == null) result = caseRCImplementation(bswRangeCheck);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ContextrangecheckPackage.CONTEXT:
      {
        Context context = (Context)theEObject;
        T result = caseContext(context);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ContextrangecheckPackage.CONTEXT_PARAMETER:
      {
        ContextParameter contextParameter = (ContextParameter)theEObject;
        T result = caseContextParameter(contextParameter);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ContextrangecheckPackage.CONTEXT_RANGE_CHECK:
      {
        ContextRangeCheck contextRangeCheck = (ContextRangeCheck)theEObject;
        T result = caseContextRangeCheck(contextRangeCheck);
        if (result == null) result = caseErrorDetectionSSR(contextRangeCheck);
        if (result == null) result = caseSoftwareSafetyRequirement(contextRangeCheck);
        if (result == null) result = caseAbstractSafetyRequirement(contextRangeCheck);
        if (result == null) result = caseTraceableSpecification(contextRangeCheck);
        if (result == null) result = caseAllocatableElement(contextRangeCheck);
        if (result == null) result = caseSAFEElement(contextRangeCheck);
        if (result == null) result = casePackageableElement(contextRangeCheck);
        if (result == null) result = caseIdentifiable(contextRangeCheck);
        if (result == null) result = caseReferrable(contextRangeCheck);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ContextrangecheckPackage.RC_IMPLEMENTATION:
      {
        RCImplementation rcImplementation = (RCImplementation)theEObject;
        T result = caseRCImplementation(rcImplementation);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ContextrangecheckPackage.RTE_RANGE_CHECK:
      {
        RTERangeCheck rteRangeCheck = (RTERangeCheck)theEObject;
        T result = caseRTERangeCheck(rteRangeCheck);
        if (result == null) result = caseRCImplementation(rteRangeCheck);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ContextrangecheckPackage.SWC_RANGE_CHECK:
      {
        SWCRangeCheck swcRangeCheck = (SWCRangeCheck)theEObject;
        T result = caseSWCRangeCheck(swcRangeCheck);
        if (result == null) result = caseRCImplementation(swcRangeCheck);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      default: return defaultCase(theEObject);
    }
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Autosar Context</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Autosar Context</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAutosarContext(AutosarContext object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Autosar Context Range Check</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Autosar Context Range Check</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAutosarContextRangeCheck(AutosarContextRangeCheck object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>BSW Range Check</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>BSW Range Check</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseBSWRangeCheck(BSWRangeCheck object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Context</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Context</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseContext(Context object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Context Parameter</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Context Parameter</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseContextParameter(ContextParameter object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Context Range Check</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Context Range Check</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseContextRangeCheck(ContextRangeCheck object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>RC Implementation</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>RC Implementation</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseRCImplementation(RCImplementation object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>RTE Range Check</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>RTE Range Check</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseRTERangeCheck(RTERangeCheck object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>SWC Range Check</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>SWC Range Check</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSWCRangeCheck(SWCRangeCheck object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Referrable</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Referrable</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseReferrable(Referrable object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Identifiable</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Identifiable</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseIdentifiable(Identifiable object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Packageable Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Packageable Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T casePackageableElement(PackageableElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>SAFE Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>SAFE Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSAFEElement(SAFEElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Traceable Specification</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Traceable Specification</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseTraceableSpecification(TraceableSpecification object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Allocatable Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Allocatable Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAllocatableElement(AllocatableElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Abstract Safety Requirement</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Abstract Safety Requirement</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAbstractSafetyRequirement(AbstractSafetyRequirement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Software Safety Requirement</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Software Safety Requirement</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSoftwareSafetyRequirement(SoftwareSafetyRequirement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Error Detection SSR</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Error Detection SSR</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseErrorDetectionSSR(ErrorDetectionSSR object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch, but this is the last case anyway.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject)
   * @generated
   */
  public T defaultCase(EObject object)
  {
    return null;
  }

} //ContextrangecheckSwitch
