/**
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.util;

import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.toplevel.Identifiable;
import safe10.classmodel.commonstructure.toplevel.PackageableElement;
import safe10.classmodel.commonstructure.toplevel.Referrable;
import safe10.classmodel.commonstructure.toplevel.SAFEElement;

import safe10.classmodel.requirements.AbstractSafetyRequirement;
import safe10.classmodel.requirements.AllocatableElement;
import safe10.classmodel.requirements.SoftwareSafetyRequirement;
import safe10.classmodel.requirements.TraceableSpecification;

import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorDetectionSSR;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CrcchecksumPackage
 * @generated
 */
public class CrcchecksumSwitch<T>
{
  /**
   * The cached model package
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static CrcchecksumPackage modelPackage;

  /**
   * Creates an instance of the switch.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public CrcchecksumSwitch()
  {
    if (modelPackage == null)
    {
      modelPackage = CrcchecksumPackage.eINSTANCE;
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  public T doSwitch(EObject theEObject)
  {
    return doSwitch(theEObject.eClass(), theEObject);
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(EClass theEClass, EObject theEObject)
  {
    if (theEClass.eContainer() == modelPackage)
    {
      return doSwitch(theEClass.getClassifierID(), theEObject);
    }
    else
    {
      List<EClass> eSuperTypes = theEClass.getESuperTypes();
      return
        eSuperTypes.isEmpty() ?
          defaultCase(theEObject) :
          doSwitch(eSuperTypes.get(0), theEObject);
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(int classifierID, EObject theEObject)
  {
    switch (classifierID)
    {
      case CrcchecksumPackage.AUTOSAR_CRC:
      {
        AutosarCRC autosarCRC = (AutosarCRC)theEObject;
        T result = caseAutosarCRC(autosarCRC);
        if (result == null) result = caseCRC(autosarCRC);
        if (result == null) result = caseErrorDetectionSSR(autosarCRC);
        if (result == null) result = caseSoftwareSafetyRequirement(autosarCRC);
        if (result == null) result = caseAbstractSafetyRequirement(autosarCRC);
        if (result == null) result = caseTraceableSpecification(autosarCRC);
        if (result == null) result = caseAllocatableElement(autosarCRC);
        if (result == null) result = caseSAFEElement(autosarCRC);
        if (result == null) result = casePackageableElement(autosarCRC);
        if (result == null) result = caseIdentifiable(autosarCRC);
        if (result == null) result = caseReferrable(autosarCRC);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case CrcchecksumPackage.COMPONENT_PROTOTYPE_CRC:
      {
        ComponentPrototypeCRC componentPrototypeCRC = (ComponentPrototypeCRC)theEObject;
        T result = caseComponentPrototypeCRC(componentPrototypeCRC);
        if (result == null) result = caseAutosarCRC(componentPrototypeCRC);
        if (result == null) result = caseCRC(componentPrototypeCRC);
        if (result == null) result = caseErrorDetectionSSR(componentPrototypeCRC);
        if (result == null) result = caseSoftwareSafetyRequirement(componentPrototypeCRC);
        if (result == null) result = caseAbstractSafetyRequirement(componentPrototypeCRC);
        if (result == null) result = caseTraceableSpecification(componentPrototypeCRC);
        if (result == null) result = caseAllocatableElement(componentPrototypeCRC);
        if (result == null) result = caseSAFEElement(componentPrototypeCRC);
        if (result == null) result = casePackageableElement(componentPrototypeCRC);
        if (result == null) result = caseIdentifiable(componentPrototypeCRC);
        if (result == null) result = caseReferrable(componentPrototypeCRC);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case CrcchecksumPackage.CRC:
      {
        CRC crc = (CRC)theEObject;
        T result = caseCRC(crc);
        if (result == null) result = caseErrorDetectionSSR(crc);
        if (result == null) result = caseSoftwareSafetyRequirement(crc);
        if (result == null) result = caseAbstractSafetyRequirement(crc);
        if (result == null) result = caseTraceableSpecification(crc);
        if (result == null) result = caseAllocatableElement(crc);
        if (result == null) result = caseSAFEElement(crc);
        if (result == null) result = casePackageableElement(crc);
        if (result == null) result = caseIdentifiable(crc);
        if (result == null) result = caseReferrable(crc);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case CrcchecksumPackage.CRC_CONFIG:
      {
        CRCConfig crcConfig = (CRCConfig)theEObject;
        T result = caseCRCConfig(crcConfig);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case CrcchecksumPackage.INTERFACE_CRC:
      {
        InterfaceCRC interfaceCRC = (InterfaceCRC)theEObject;
        T result = caseInterfaceCRC(interfaceCRC);
        if (result == null) result = caseAutosarCRC(interfaceCRC);
        if (result == null) result = caseCRC(interfaceCRC);
        if (result == null) result = caseErrorDetectionSSR(interfaceCRC);
        if (result == null) result = caseSoftwareSafetyRequirement(interfaceCRC);
        if (result == null) result = caseAbstractSafetyRequirement(interfaceCRC);
        if (result == null) result = caseTraceableSpecification(interfaceCRC);
        if (result == null) result = caseAllocatableElement(interfaceCRC);
        if (result == null) result = caseSAFEElement(interfaceCRC);
        if (result == null) result = casePackageableElement(interfaceCRC);
        if (result == null) result = caseIdentifiable(interfaceCRC);
        if (result == null) result = caseReferrable(interfaceCRC);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      default: return defaultCase(theEObject);
    }
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Autosar CRC</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Autosar CRC</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAutosarCRC(AutosarCRC object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Component Prototype CRC</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Component Prototype CRC</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseComponentPrototypeCRC(ComponentPrototypeCRC object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>CRC</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>CRC</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseCRC(CRC object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>CRC Config</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>CRC Config</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseCRCConfig(CRCConfig object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Interface CRC</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Interface CRC</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseInterfaceCRC(InterfaceCRC object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Referrable</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Referrable</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseReferrable(Referrable object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Identifiable</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Identifiable</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseIdentifiable(Identifiable object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Packageable Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Packageable Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T casePackageableElement(PackageableElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>SAFE Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>SAFE Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSAFEElement(SAFEElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Traceable Specification</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Traceable Specification</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseTraceableSpecification(TraceableSpecification object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Allocatable Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Allocatable Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAllocatableElement(AllocatableElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Abstract Safety Requirement</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Abstract Safety Requirement</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAbstractSafetyRequirement(AbstractSafetyRequirement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Software Safety Requirement</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Software Safety Requirement</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSoftwareSafetyRequirement(SoftwareSafetyRequirement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Error Detection SSR</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Error Detection SSR</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseErrorDetectionSSR(ErrorDetectionSSR object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch, but this is the last case anyway.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject)
   * @generated
   */
  public T defaultCase(EObject object)
  {
    return null;
  }

} //CrcchecksumSwitch
