/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.filter;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.commonstructure.formulaexpression.FormulaExpression;

import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Filter</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * The Filter meta element represents a error handling specification which defines how an erroneous value provided to it can be corrected. The mechanism can be referred by detection software safety requirements.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.filter.Filter#getValue <em>Value</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.filter.Filter#getFilterError <em>Filter Error</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.filter.Filter#getCurrent <em>Current</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.filter.Filter#getPrevious <em>Previous</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.filter.FilterPackage#getFilter()
 * @model annotation="MetaData guid='{84AA4198-B4DB-4378-AE59-8DCDE7CBC119}' id='-1499550223' EA\040name='Filter'"
 *        annotation="TaggedValues xml.name='FILTER' xml.namePlural='FILTERS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface Filter extends ErrorHandlerSSR
{
  /**
   * Returns the value of the '<em><b>Value</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The formula defining how the value of the filter shall be computed
   * <!-- end-model-doc -->
   * @return the value of the '<em>Value</em>' containment reference.
   * @see #setValue(FormulaExpression)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.filter.FilterPackage#getFilter_Value()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{4C3DA287-B085-430c-BE11-DD7C682D0CC0}' id='1171933673' EA\040name=''"
   *        annotation="TaggedValues xml.name='VALUE' xml.namePlural='VALUES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  FormulaExpression getValue();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.filter.Filter#getValue <em>Value</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Value</em>' containment reference.
   * @see #getValue()
   * @generated
   */
  void setValue(FormulaExpression value);

  /**
   * Returns the value of the '<em><b>Filter Error</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The error handling SSR specification in case a filtering error occurs
   * <!-- end-model-doc -->
   * @return the value of the '<em>Filter Error</em>' reference list.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.filter.FilterPackage#getFilter_FilterError()
   * @model required="true"
   *        annotation="MetaData guid='{A401446D-DE2E-4da0-9596-B7EDFDE6CF3B}' id='213460749' EA\040name=''"
   *        annotation="TaggedValues xml.name='FILTER-ERROR-REF' xml.namePlural='FILTER-ERROR-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<ErrorHandlerSSR> getFilterError();

  /**
   * Returns the value of the '<em><b>Current</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The current value provided as input to the filter
   * <!-- end-model-doc -->
   * @return the value of the '<em>Current</em>' containment reference.
   * @see #setCurrent(FilterParameter)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.filter.FilterPackage#getFilter_Current()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{DFCA3A1C-3734-4e64-A347-D625FC4FE993}' id='-1219612027' EA\040name=''"
   *        annotation="TaggedValues xml.name='CURRENT' xml.namePlural='CURRENTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  FilterParameter getCurrent();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.filter.Filter#getCurrent <em>Current</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Current</em>' containment reference.
   * @see #getCurrent()
   * @generated
   */
  void setCurrent(FilterParameter value);

  /**
   * Returns the value of the '<em><b>Previous</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.requirements.softwaresafetyrequirements.filter.FilterParameter}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The previous value(s) of the filter which shall be taken into account while computing a new filtered value
   * <!-- end-model-doc -->
   * @return the value of the '<em>Previous</em>' containment reference list.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.filter.FilterPackage#getFilter_Previous()
   * @model containment="true"
   *        annotation="MetaData guid='{3C8F096F-2FA0-4167-A66A-79F05966F58F}' id='1113743202' EA\040name=''"
   *        annotation="TaggedValues xml.name='PREVIOUS' xml.namePlural='PREVIOUSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<FilterParameter> getPrevious();

} // Filter
