/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor;

import safe10.classmodel.commonstructure.references.chromosomereferences.Component;
import safe10.classmodel.commonstructure.references.chromosomereferences.Node;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Chromosome Node Health Monitor</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * CHROMOSOME specific Health Monitor meta class for monitoring a Chromosome Node as a set of CHROMOSOME components.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ChromosomeNodeHealthMonitor#getMonitors <em>Monitors</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ChromosomeNodeHealthMonitor#getSatisfiedBy <em>Satisfied By</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage#getChromosomeNodeHealthMonitor()
 * @model annotation="MetaData guid='{55944B0D-65F9-433b-83ED-FC0035F3C9D2}' id='261' EA\040name='ChromosomeNodeHealthMonitor'"
 *        annotation="TaggedValues xml.name='CHROMOSOME-NODE-HEALTH-MONITOR' xml.namePlural='CHROMOSOME-NODE-HEALTH-MONITORS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface ChromosomeNodeHealthMonitor extends ChromosomeHealthMonitor
{
  /**
   * Returns the value of the '<em><b>Monitors</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Monitors</em>' containment reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Monitors</em>' containment reference.
   * @see #setMonitors(Node)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage#getChromosomeNodeHealthMonitor_Monitors()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{2B782D25-7AC2-4bab-B04E-C0A07E2E5F38}' id='-517411178' EA\040name=''"
   *        annotation="TaggedValues xml.name='MONITORS' xml.namePlural='MONITORSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Node getMonitors();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ChromosomeNodeHealthMonitor#getMonitors <em>Monitors</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Monitors</em>' containment reference.
   * @see #getMonitors()
   * @generated
   */
  void setMonitors(Node value);

  /**
   * Returns the value of the '<em><b>Satisfied By</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Generated CHROMOSOME component that satisfies the SSR.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Satisfied By</em>' reference.
   * @see #setSatisfiedBy(Component)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage#getChromosomeNodeHealthMonitor_SatisfiedBy()
   * @model required="true"
   *        annotation="MetaData guid='{68691215-083C-4aa6-84DA-8EF7FD37A8FB}' id='-2129222949' EA\040name=''"
   *        annotation="TaggedValues xml.name='SATISFIED-BY-REF' xml.namePlural='SATISFIED-BY-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Component getSatisfiedBy();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ChromosomeNodeHealthMonitor#getSatisfiedBy <em>Satisfied By</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Satisfied By</em>' reference.
   * @see #getSatisfiedBy()
   * @generated
   */
  void setSatisfiedBy(Component value);

} // ChromosomeNodeHealthMonitor
