/**
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.util;

import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.toplevel.Identifiable;
import safe10.classmodel.commonstructure.toplevel.PackageableElement;
import safe10.classmodel.commonstructure.toplevel.Referrable;
import safe10.classmodel.commonstructure.toplevel.SAFEElement;

import safe10.classmodel.requirements.AbstractSafetyRequirement;
import safe10.classmodel.requirements.AllocatableElement;
import safe10.classmodel.requirements.SoftwareSafetyRequirement;
import safe10.classmodel.requirements.TraceableSpecification;

import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage
 * @generated
 */
public class HealthmonitorSwitch<T>
{
  /**
   * The cached model package
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static HealthmonitorPackage modelPackage;

  /**
   * Creates an instance of the switch.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HealthmonitorSwitch()
  {
    if (modelPackage == null)
    {
      modelPackage = HealthmonitorPackage.eINSTANCE;
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  public T doSwitch(EObject theEObject)
  {
    return doSwitch(theEObject.eClass(), theEObject);
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(EClass theEClass, EObject theEObject)
  {
    if (theEClass.eContainer() == modelPackage)
    {
      return doSwitch(theEClass.getClassifierID(), theEObject);
    }
    else
    {
      List<EClass> eSuperTypes = theEClass.getESuperTypes();
      return
        eSuperTypes.isEmpty() ?
          defaultCase(theEObject) :
          doSwitch(eSuperTypes.get(0), theEObject);
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(int classifierID, EObject theEObject)
  {
    switch (classifierID)
    {
      case HealthmonitorPackage.CHROMOSOME_APPLICATION_HEALTH_MONITOR:
      {
        ChromosomeApplicationHealthMonitor chromosomeApplicationHealthMonitor = (ChromosomeApplicationHealthMonitor)theEObject;
        T result = caseChromosomeApplicationHealthMonitor(chromosomeApplicationHealthMonitor);
        if (result == null) result = caseChromosomeHealthMonitor(chromosomeApplicationHealthMonitor);
        if (result == null) result = caseHealthMonitor(chromosomeApplicationHealthMonitor);
        if (result == null) result = caseSoftwareSafetyRequirement(chromosomeApplicationHealthMonitor);
        if (result == null) result = caseAbstractSafetyRequirement(chromosomeApplicationHealthMonitor);
        if (result == null) result = caseTraceableSpecification(chromosomeApplicationHealthMonitor);
        if (result == null) result = caseAllocatableElement(chromosomeApplicationHealthMonitor);
        if (result == null) result = caseSAFEElement(chromosomeApplicationHealthMonitor);
        if (result == null) result = casePackageableElement(chromosomeApplicationHealthMonitor);
        if (result == null) result = caseIdentifiable(chromosomeApplicationHealthMonitor);
        if (result == null) result = caseReferrable(chromosomeApplicationHealthMonitor);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case HealthmonitorPackage.CHROMOSOME_COMPONENT_MODE_CONDITION:
      {
        ChromosomeComponentModeCondition chromosomeComponentModeCondition = (ChromosomeComponentModeCondition)theEObject;
        T result = caseChromosomeComponentModeCondition(chromosomeComponentModeCondition);
        if (result == null) result = caseErrorCondition(chromosomeComponentModeCondition);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case HealthmonitorPackage.CHROMOSOME_ERROR_EVENT_CONDITION:
      {
        ChromosomeErrorEventCondition chromosomeErrorEventCondition = (ChromosomeErrorEventCondition)theEObject;
        T result = caseChromosomeErrorEventCondition(chromosomeErrorEventCondition);
        if (result == null) result = caseErrorCondition(chromosomeErrorEventCondition);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case HealthmonitorPackage.CHROMOSOME_ERROR_HANDLER:
      {
        ChromosomeErrorHandler chromosomeErrorHandler = (ChromosomeErrorHandler)theEObject;
        T result = caseChromosomeErrorHandler(chromosomeErrorHandler);
        if (result == null) result = caseErrorHandlerSSR(chromosomeErrorHandler);
        if (result == null) result = caseSoftwareSafetyRequirement(chromosomeErrorHandler);
        if (result == null) result = caseAbstractSafetyRequirement(chromosomeErrorHandler);
        if (result == null) result = caseTraceableSpecification(chromosomeErrorHandler);
        if (result == null) result = caseAllocatableElement(chromosomeErrorHandler);
        if (result == null) result = caseSAFEElement(chromosomeErrorHandler);
        if (result == null) result = casePackageableElement(chromosomeErrorHandler);
        if (result == null) result = caseIdentifiable(chromosomeErrorHandler);
        if (result == null) result = caseReferrable(chromosomeErrorHandler);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case HealthmonitorPackage.CHROMOSOME_HEALTH_MONITOR:
      {
        ChromosomeHealthMonitor chromosomeHealthMonitor = (ChromosomeHealthMonitor)theEObject;
        T result = caseChromosomeHealthMonitor(chromosomeHealthMonitor);
        if (result == null) result = caseHealthMonitor(chromosomeHealthMonitor);
        if (result == null) result = caseSoftwareSafetyRequirement(chromosomeHealthMonitor);
        if (result == null) result = caseAbstractSafetyRequirement(chromosomeHealthMonitor);
        if (result == null) result = caseTraceableSpecification(chromosomeHealthMonitor);
        if (result == null) result = caseAllocatableElement(chromosomeHealthMonitor);
        if (result == null) result = caseSAFEElement(chromosomeHealthMonitor);
        if (result == null) result = casePackageableElement(chromosomeHealthMonitor);
        if (result == null) result = caseIdentifiable(chromosomeHealthMonitor);
        if (result == null) result = caseReferrable(chromosomeHealthMonitor);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case HealthmonitorPackage.CHROMOSOME_HEALTH_MONITOR_NOTIFICATION:
      {
        CHROMOSOMEHealthMonitorNotification chromosomeHealthMonitorNotification = (CHROMOSOMEHealthMonitorNotification)theEObject;
        T result = caseCHROMOSOMEHealthMonitorNotification(chromosomeHealthMonitorNotification);
        if (result == null) result = caseErrorHandlerSSR(chromosomeHealthMonitorNotification);
        if (result == null) result = caseSoftwareSafetyRequirement(chromosomeHealthMonitorNotification);
        if (result == null) result = caseAbstractSafetyRequirement(chromosomeHealthMonitorNotification);
        if (result == null) result = caseTraceableSpecification(chromosomeHealthMonitorNotification);
        if (result == null) result = caseAllocatableElement(chromosomeHealthMonitorNotification);
        if (result == null) result = caseSAFEElement(chromosomeHealthMonitorNotification);
        if (result == null) result = casePackageableElement(chromosomeHealthMonitorNotification);
        if (result == null) result = caseIdentifiable(chromosomeHealthMonitorNotification);
        if (result == null) result = caseReferrable(chromosomeHealthMonitorNotification);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case HealthmonitorPackage.CHROMOSOME_NODE_HEALTH_MONITOR:
      {
        ChromosomeNodeHealthMonitor chromosomeNodeHealthMonitor = (ChromosomeNodeHealthMonitor)theEObject;
        T result = caseChromosomeNodeHealthMonitor(chromosomeNodeHealthMonitor);
        if (result == null) result = caseChromosomeHealthMonitor(chromosomeNodeHealthMonitor);
        if (result == null) result = caseHealthMonitor(chromosomeNodeHealthMonitor);
        if (result == null) result = caseSoftwareSafetyRequirement(chromosomeNodeHealthMonitor);
        if (result == null) result = caseAbstractSafetyRequirement(chromosomeNodeHealthMonitor);
        if (result == null) result = caseTraceableSpecification(chromosomeNodeHealthMonitor);
        if (result == null) result = caseAllocatableElement(chromosomeNodeHealthMonitor);
        if (result == null) result = caseSAFEElement(chromosomeNodeHealthMonitor);
        if (result == null) result = casePackageableElement(chromosomeNodeHealthMonitor);
        if (result == null) result = caseIdentifiable(chromosomeNodeHealthMonitor);
        if (result == null) result = caseReferrable(chromosomeNodeHealthMonitor);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case HealthmonitorPackage.ERROR_CONDITION:
      {
        ErrorCondition errorCondition = (ErrorCondition)theEObject;
        T result = caseErrorCondition(errorCondition);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case HealthmonitorPackage.HEALTH_MONITOR:
      {
        HealthMonitor healthMonitor = (HealthMonitor)theEObject;
        T result = caseHealthMonitor(healthMonitor);
        if (result == null) result = caseSoftwareSafetyRequirement(healthMonitor);
        if (result == null) result = caseAbstractSafetyRequirement(healthMonitor);
        if (result == null) result = caseTraceableSpecification(healthMonitor);
        if (result == null) result = caseAllocatableElement(healthMonitor);
        if (result == null) result = caseSAFEElement(healthMonitor);
        if (result == null) result = casePackageableElement(healthMonitor);
        if (result == null) result = caseIdentifiable(healthMonitor);
        if (result == null) result = caseReferrable(healthMonitor);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      default: return defaultCase(theEObject);
    }
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Chromosome Application Health Monitor</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Chromosome Application Health Monitor</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseChromosomeApplicationHealthMonitor(ChromosomeApplicationHealthMonitor object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Chromosome Component Mode Condition</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Chromosome Component Mode Condition</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseChromosomeComponentModeCondition(ChromosomeComponentModeCondition object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Chromosome Error Event Condition</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Chromosome Error Event Condition</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseChromosomeErrorEventCondition(ChromosomeErrorEventCondition object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Chromosome Error Handler</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Chromosome Error Handler</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseChromosomeErrorHandler(ChromosomeErrorHandler object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Chromosome Health Monitor</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Chromosome Health Monitor</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseChromosomeHealthMonitor(ChromosomeHealthMonitor object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>CHROMOSOME Health Monitor Notification</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>CHROMOSOME Health Monitor Notification</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseCHROMOSOMEHealthMonitorNotification(CHROMOSOMEHealthMonitorNotification object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Chromosome Node Health Monitor</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Chromosome Node Health Monitor</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseChromosomeNodeHealthMonitor(ChromosomeNodeHealthMonitor object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Error Condition</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Error Condition</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseErrorCondition(ErrorCondition object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Health Monitor</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Health Monitor</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHealthMonitor(HealthMonitor object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Referrable</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Referrable</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseReferrable(Referrable object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Identifiable</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Identifiable</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseIdentifiable(Identifiable object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Packageable Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Packageable Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T casePackageableElement(PackageableElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>SAFE Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>SAFE Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSAFEElement(SAFEElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Traceable Specification</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Traceable Specification</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseTraceableSpecification(TraceableSpecification object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Allocatable Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Allocatable Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAllocatableElement(AllocatableElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Abstract Safety Requirement</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Abstract Safety Requirement</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAbstractSafetyRequirement(AbstractSafetyRequirement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Software Safety Requirement</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Software Safety Requirement</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSoftwareSafetyRequirement(SoftwareSafetyRequirement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Error Handler SSR</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Error Handler SSR</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseErrorHandlerSSR(ErrorHandlerSSR object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch, but this is the last case anyway.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject)
   * @generated
   */
  public T defaultCase(EObject object)
  {
    return null;
  }

} //HealthmonitorSwitch
