/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat;

import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorDetectionSSR;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Heartbeat</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * A Heartbeat SSR requires that two runnable entities on different nodes are instantiated and one of them monitors the signals arriving from the other one.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.Heartbeat#getConfig <em>Config</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.Heartbeat#getReceiver <em>Receiver</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.Heartbeat#getSender <em>Sender</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatPackage#getHeartbeat()
 * @model annotation="MetaData guid='{74F1CD43-E0E2-41cc-9E06-727028C3FCCD}' id='269' EA\040name='Heartbeat'"
 *        annotation="TaggedValues xml.name='HEARTBEAT' xml.namePlural='HEARTBEATS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface Heartbeat extends ErrorDetectionSSR
{
  /**
   * Returns the value of the '<em><b>Config</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Configures the Heartbeat SSR
   * <!-- end-model-doc -->
   * @return the value of the '<em>Config</em>' containment reference.
   * @see #setConfig(HeartbeatConfig)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatPackage#getHeartbeat_Config()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{65211D10-8870-40df-9B1E-45AF8A071B1E}' id='-317977007' EA\040name=''"
   *        annotation="TaggedValues xml.name='CONFIG' xml.namePlural='CONFIGS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HeartbeatConfig getConfig();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.Heartbeat#getConfig <em>Config</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Config</em>' containment reference.
   * @see #getConfig()
   * @generated
   */
  void setConfig(HeartbeatConfig value);

  /**
   * Returns the value of the '<em><b>Receiver</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Contains hearbeet receiver
   * <!-- end-model-doc -->
   * @return the value of the '<em>Receiver</em>' containment reference.
   * @see #setReceiver(HeartbeatReceiver)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatPackage#getHeartbeat_Receiver()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{592D9AA6-D377-4c1c-BAA5-498FE86648AD}' id='114' EA\040name=''"
   *        annotation="TaggedValues xml.name='RECEIVER' xml.namePlural='RECEIVERS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HeartbeatReceiver getReceiver();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.Heartbeat#getReceiver <em>Receiver</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Receiver</em>' containment reference.
   * @see #getReceiver()
   * @generated
   */
  void setReceiver(HeartbeatReceiver value);

  /**
   * Returns the value of the '<em><b>Sender</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Contains hearbeet sender SSR
   * <!-- end-model-doc -->
   * @return the value of the '<em>Sender</em>' containment reference.
   * @see #setSender(HeartbeatSender)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatPackage#getHeartbeat_Sender()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{788142CD-A59A-41e7-B3FA-AFF6CA4D7496}' id='113' EA\040name=''"
   *        annotation="TaggedValues xml.name='SENDER' xml.namePlural='SENDERS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HeartbeatSender getSender();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.Heartbeat#getSender <em>Sender</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Sender</em>' containment reference.
   * @see #getSender()
   * @generated
   */
  void setSender(HeartbeatSender value);

} // Heartbeat
