/**
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.util;

import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.toplevel.Identifiable;
import safe10.classmodel.commonstructure.toplevel.PackageableElement;
import safe10.classmodel.commonstructure.toplevel.Referrable;
import safe10.classmodel.commonstructure.toplevel.SAFEElement;

import safe10.classmodel.requirements.AbstractSafetyRequirement;
import safe10.classmodel.requirements.AllocatableElement;
import safe10.classmodel.requirements.SoftwareSafetyRequirement;
import safe10.classmodel.requirements.TraceableSpecification;

import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorDetectionSSR;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatPackage
 * @generated
 */
public class HeartbeatSwitch<T>
{
  /**
   * The cached model package
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static HeartbeatPackage modelPackage;

  /**
   * Creates an instance of the switch.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HeartbeatSwitch()
  {
    if (modelPackage == null)
    {
      modelPackage = HeartbeatPackage.eINSTANCE;
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  public T doSwitch(EObject theEObject)
  {
    return doSwitch(theEObject.eClass(), theEObject);
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(EClass theEClass, EObject theEObject)
  {
    if (theEClass.eContainer() == modelPackage)
    {
      return doSwitch(theEClass.getClassifierID(), theEObject);
    }
    else
    {
      List<EClass> eSuperTypes = theEClass.getESuperTypes();
      return
        eSuperTypes.isEmpty() ?
          defaultCase(theEObject) :
          doSwitch(eSuperTypes.get(0), theEObject);
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(int classifierID, EObject theEObject)
  {
    switch (classifierID)
    {
      case HeartbeatPackage.CHROMOSOME_HEARTBEAT_RECEIVER:
      {
        ChromosomeHeartbeatReceiver chromosomeHeartbeatReceiver = (ChromosomeHeartbeatReceiver)theEObject;
        T result = caseChromosomeHeartbeatReceiver(chromosomeHeartbeatReceiver);
        if (result == null) result = caseHeartbeatReceiver(chromosomeHeartbeatReceiver);
        if (result == null) result = caseSoftwareSafetyRequirement(chromosomeHeartbeatReceiver);
        if (result == null) result = caseAbstractSafetyRequirement(chromosomeHeartbeatReceiver);
        if (result == null) result = caseTraceableSpecification(chromosomeHeartbeatReceiver);
        if (result == null) result = caseAllocatableElement(chromosomeHeartbeatReceiver);
        if (result == null) result = caseSAFEElement(chromosomeHeartbeatReceiver);
        if (result == null) result = casePackageableElement(chromosomeHeartbeatReceiver);
        if (result == null) result = caseIdentifiable(chromosomeHeartbeatReceiver);
        if (result == null) result = caseReferrable(chromosomeHeartbeatReceiver);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case HeartbeatPackage.CHROMOSOME_HEARTBEAT_SENDER:
      {
        ChromosomeHeartbeatSender chromosomeHeartbeatSender = (ChromosomeHeartbeatSender)theEObject;
        T result = caseChromosomeHeartbeatSender(chromosomeHeartbeatSender);
        if (result == null) result = caseHeartbeatSender(chromosomeHeartbeatSender);
        if (result == null) result = caseSoftwareSafetyRequirement(chromosomeHeartbeatSender);
        if (result == null) result = caseAbstractSafetyRequirement(chromosomeHeartbeatSender);
        if (result == null) result = caseTraceableSpecification(chromosomeHeartbeatSender);
        if (result == null) result = caseAllocatableElement(chromosomeHeartbeatSender);
        if (result == null) result = caseSAFEElement(chromosomeHeartbeatSender);
        if (result == null) result = casePackageableElement(chromosomeHeartbeatSender);
        if (result == null) result = caseIdentifiable(chromosomeHeartbeatSender);
        if (result == null) result = caseReferrable(chromosomeHeartbeatSender);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case HeartbeatPackage.HEARTBEAT:
      {
        Heartbeat heartbeat = (Heartbeat)theEObject;
        T result = caseHeartbeat(heartbeat);
        if (result == null) result = caseErrorDetectionSSR(heartbeat);
        if (result == null) result = caseSoftwareSafetyRequirement(heartbeat);
        if (result == null) result = caseAbstractSafetyRequirement(heartbeat);
        if (result == null) result = caseTraceableSpecification(heartbeat);
        if (result == null) result = caseAllocatableElement(heartbeat);
        if (result == null) result = caseSAFEElement(heartbeat);
        if (result == null) result = casePackageableElement(heartbeat);
        if (result == null) result = caseIdentifiable(heartbeat);
        if (result == null) result = caseReferrable(heartbeat);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case HeartbeatPackage.HEARTBEAT_CONFIG:
      {
        HeartbeatConfig heartbeatConfig = (HeartbeatConfig)theEObject;
        T result = caseHeartbeatConfig(heartbeatConfig);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case HeartbeatPackage.HEARTBEAT_RECEIVER:
      {
        HeartbeatReceiver heartbeatReceiver = (HeartbeatReceiver)theEObject;
        T result = caseHeartbeatReceiver(heartbeatReceiver);
        if (result == null) result = caseSoftwareSafetyRequirement(heartbeatReceiver);
        if (result == null) result = caseAbstractSafetyRequirement(heartbeatReceiver);
        if (result == null) result = caseTraceableSpecification(heartbeatReceiver);
        if (result == null) result = caseAllocatableElement(heartbeatReceiver);
        if (result == null) result = caseSAFEElement(heartbeatReceiver);
        if (result == null) result = casePackageableElement(heartbeatReceiver);
        if (result == null) result = caseIdentifiable(heartbeatReceiver);
        if (result == null) result = caseReferrable(heartbeatReceiver);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case HeartbeatPackage.HEARTBEAT_SENDER:
      {
        HeartbeatSender heartbeatSender = (HeartbeatSender)theEObject;
        T result = caseHeartbeatSender(heartbeatSender);
        if (result == null) result = caseSoftwareSafetyRequirement(heartbeatSender);
        if (result == null) result = caseAbstractSafetyRequirement(heartbeatSender);
        if (result == null) result = caseTraceableSpecification(heartbeatSender);
        if (result == null) result = caseAllocatableElement(heartbeatSender);
        if (result == null) result = caseSAFEElement(heartbeatSender);
        if (result == null) result = casePackageableElement(heartbeatSender);
        if (result == null) result = caseIdentifiable(heartbeatSender);
        if (result == null) result = caseReferrable(heartbeatSender);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      default: return defaultCase(theEObject);
    }
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Chromosome Heartbeat Receiver</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Chromosome Heartbeat Receiver</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseChromosomeHeartbeatReceiver(ChromosomeHeartbeatReceiver object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Chromosome Heartbeat Sender</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Chromosome Heartbeat Sender</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseChromosomeHeartbeatSender(ChromosomeHeartbeatSender object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Heartbeat</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Heartbeat</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHeartbeat(Heartbeat object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Config</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Config</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHeartbeatConfig(HeartbeatConfig object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Receiver</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Receiver</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHeartbeatReceiver(HeartbeatReceiver object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Sender</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Sender</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHeartbeatSender(HeartbeatSender object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Referrable</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Referrable</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseReferrable(Referrable object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Identifiable</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Identifiable</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseIdentifiable(Identifiable object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Packageable Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Packageable Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T casePackageableElement(PackageableElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>SAFE Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>SAFE Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSAFEElement(SAFEElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Traceable Specification</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Traceable Specification</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseTraceableSpecification(TraceableSpecification object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Allocatable Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Allocatable Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAllocatableElement(AllocatableElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Abstract Safety Requirement</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Abstract Safety Requirement</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAbstractSafetyRequirement(AbstractSafetyRequirement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Software Safety Requirement</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Software Safety Requirement</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSoftwareSafetyRequirement(SoftwareSafetyRequirement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Error Detection SSR</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Error Detection SSR</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseErrorDetectionSSR(ErrorDetectionSSR object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch, but this is the last case anyway.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject)
   * @generated
   */
  public T defaultCase(EObject object)
  {
    return null;
  }

} //HeartbeatSwitch
