/**
 */
package safe10.classmodel.requirements.util;

import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.toplevel.Identifiable;
import safe10.classmodel.commonstructure.toplevel.PackageableElement;
import safe10.classmodel.commonstructure.toplevel.Referrable;
import safe10.classmodel.commonstructure.toplevel.SAFEElement;

import safe10.classmodel.requirements.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.requirements.RequirementsPackage
 * @generated
 */
public class RequirementsSwitch<T>
{
  /**
   * The cached model package
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static RequirementsPackage modelPackage;

  /**
   * Creates an instance of the switch.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public RequirementsSwitch()
  {
    if (modelPackage == null)
    {
      modelPackage = RequirementsPackage.eINSTANCE;
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  public T doSwitch(EObject theEObject)
  {
    return doSwitch(theEObject.eClass(), theEObject);
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(EClass theEClass, EObject theEObject)
  {
    if (theEClass.eContainer() == modelPackage)
    {
      return doSwitch(theEClass.getClassifierID(), theEObject);
    }
    else
    {
      List<EClass> eSuperTypes = theEClass.getESuperTypes();
      return
        eSuperTypes.isEmpty() ?
          defaultCase(theEObject) :
          doSwitch(eSuperTypes.get(0), theEObject);
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(int classifierID, EObject theEObject)
  {
    switch (classifierID)
    {
      case RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT:
      {
        AbstractSafetyRequirement abstractSafetyRequirement = (AbstractSafetyRequirement)theEObject;
        T result = caseAbstractSafetyRequirement(abstractSafetyRequirement);
        if (result == null) result = caseTraceableSpecification(abstractSafetyRequirement);
        if (result == null) result = caseAllocatableElement(abstractSafetyRequirement);
        if (result == null) result = caseSAFEElement(abstractSafetyRequirement);
        if (result == null) result = casePackageableElement(abstractSafetyRequirement);
        if (result == null) result = caseIdentifiable(abstractSafetyRequirement);
        if (result == null) result = caseReferrable(abstractSafetyRequirement);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case RequirementsPackage.ALLOCATABLE_ELEMENT:
      {
        AllocatableElement allocatableElement = (AllocatableElement)theEObject;
        T result = caseAllocatableElement(allocatableElement);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case RequirementsPackage.ALLOCATION_TARGET:
      {
        AllocationTarget allocationTarget = (AllocationTarget)theEObject;
        T result = caseAllocationTarget(allocationTarget);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case RequirementsPackage.FUNCTIONAL_SAFETY_REQUIREMENT:
      {
        FunctionalSafetyRequirement functionalSafetyRequirement = (FunctionalSafetyRequirement)theEObject;
        T result = caseFunctionalSafetyRequirement(functionalSafetyRequirement);
        if (result == null) result = caseHasAsilDecomposed(functionalSafetyRequirement);
        if (result == null) result = caseAbstractSafetyRequirement(functionalSafetyRequirement);
        if (result == null) result = caseHasEmergencyOperationTimeInterval(functionalSafetyRequirement);
        if (result == null) result = caseHasFaultTolerantTimeInterval(functionalSafetyRequirement);
        if (result == null) result = caseTraceableSpecification(functionalSafetyRequirement);
        if (result == null) result = caseAllocatableElement(functionalSafetyRequirement);
        if (result == null) result = caseSAFEElement(functionalSafetyRequirement);
        if (result == null) result = casePackageableElement(functionalSafetyRequirement);
        if (result == null) result = caseIdentifiable(functionalSafetyRequirement);
        if (result == null) result = caseReferrable(functionalSafetyRequirement);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case RequirementsPackage.HAS_ASIL_DECOMPOSED:
      {
        HasAsilDecomposed hasAsilDecomposed = (HasAsilDecomposed)theEObject;
        T result = caseHasAsilDecomposed(hasAsilDecomposed);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case RequirementsPackage.HAS_EMERGENCY_OPERATION_TIME_INTERVAL:
      {
        HasEmergencyOperationTimeInterval hasEmergencyOperationTimeInterval = (HasEmergencyOperationTimeInterval)theEObject;
        T result = caseHasEmergencyOperationTimeInterval(hasEmergencyOperationTimeInterval);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case RequirementsPackage.HAS_FAULT_TOLERANT_TIME_INTERVAL:
      {
        HasFaultTolerantTimeInterval hasFaultTolerantTimeInterval = (HasFaultTolerantTimeInterval)theEObject;
        T result = caseHasFaultTolerantTimeInterval(hasFaultTolerantTimeInterval);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case RequirementsPackage.REQUIREMENTS_LINK:
      {
        RequirementsLink requirementsLink = (RequirementsLink)theEObject;
        T result = caseRequirementsLink(requirementsLink);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case RequirementsPackage.REQUIREMENTS_RELEATIONSHIP:
      {
        RequirementsReleationship requirementsReleationship = (RequirementsReleationship)theEObject;
        T result = caseRequirementsReleationship(requirementsReleationship);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case RequirementsPackage.SATISFY:
      {
        Satisfy satisfy = (Satisfy)theEObject;
        T result = caseSatisfy(satisfy);
        if (result == null) result = caseRequirementsReleationship(satisfy);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT:
      {
        SoftwareSafetyRequirement softwareSafetyRequirement = (SoftwareSafetyRequirement)theEObject;
        T result = caseSoftwareSafetyRequirement(softwareSafetyRequirement);
        if (result == null) result = caseAbstractSafetyRequirement(softwareSafetyRequirement);
        if (result == null) result = caseTraceableSpecification(softwareSafetyRequirement);
        if (result == null) result = caseAllocatableElement(softwareSafetyRequirement);
        if (result == null) result = caseSAFEElement(softwareSafetyRequirement);
        if (result == null) result = casePackageableElement(softwareSafetyRequirement);
        if (result == null) result = caseIdentifiable(softwareSafetyRequirement);
        if (result == null) result = caseReferrable(softwareSafetyRequirement);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT:
      {
        TechnicalSafetyRequirement technicalSafetyRequirement = (TechnicalSafetyRequirement)theEObject;
        T result = caseTechnicalSafetyRequirement(technicalSafetyRequirement);
        if (result == null) result = caseHasFaultTolerantTimeInterval(technicalSafetyRequirement);
        if (result == null) result = caseAbstractSafetyRequirement(technicalSafetyRequirement);
        if (result == null) result = caseHasEmergencyOperationTimeInterval(technicalSafetyRequirement);
        if (result == null) result = caseHasAsilDecomposed(technicalSafetyRequirement);
        if (result == null) result = caseTraceableSpecification(technicalSafetyRequirement);
        if (result == null) result = caseAllocatableElement(technicalSafetyRequirement);
        if (result == null) result = caseSAFEElement(technicalSafetyRequirement);
        if (result == null) result = casePackageableElement(technicalSafetyRequirement);
        if (result == null) result = caseIdentifiable(technicalSafetyRequirement);
        if (result == null) result = caseReferrable(technicalSafetyRequirement);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case RequirementsPackage.TRACEABLE_SPECIFICATION:
      {
        TraceableSpecification traceableSpecification = (TraceableSpecification)theEObject;
        T result = caseTraceableSpecification(traceableSpecification);
        if (result == null) result = caseSAFEElement(traceableSpecification);
        if (result == null) result = casePackageableElement(traceableSpecification);
        if (result == null) result = caseIdentifiable(traceableSpecification);
        if (result == null) result = caseReferrable(traceableSpecification);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case RequirementsPackage.VERIFY:
      {
        Verify verify = (Verify)theEObject;
        T result = caseVerify(verify);
        if (result == null) result = caseRequirementsReleationship(verify);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      default: return defaultCase(theEObject);
    }
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Abstract Safety Requirement</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Abstract Safety Requirement</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAbstractSafetyRequirement(AbstractSafetyRequirement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Allocatable Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Allocatable Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAllocatableElement(AllocatableElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Allocation Target</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Allocation Target</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAllocationTarget(AllocationTarget object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Functional Safety Requirement</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Functional Safety Requirement</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseFunctionalSafetyRequirement(FunctionalSafetyRequirement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Has Asil Decomposed</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Has Asil Decomposed</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHasAsilDecomposed(HasAsilDecomposed object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Has Emergency Operation Time Interval</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Has Emergency Operation Time Interval</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHasEmergencyOperationTimeInterval(HasEmergencyOperationTimeInterval object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Has Fault Tolerant Time Interval</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Has Fault Tolerant Time Interval</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHasFaultTolerantTimeInterval(HasFaultTolerantTimeInterval object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Link</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Link</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseRequirementsLink(RequirementsLink object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Releationship</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Releationship</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseRequirementsReleationship(RequirementsReleationship object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Satisfy</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Satisfy</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSatisfy(Satisfy object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Software Safety Requirement</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Software Safety Requirement</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSoftwareSafetyRequirement(SoftwareSafetyRequirement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Technical Safety Requirement</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Technical Safety Requirement</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseTechnicalSafetyRequirement(TechnicalSafetyRequirement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Traceable Specification</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Traceable Specification</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseTraceableSpecification(TraceableSpecification object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Verify</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Verify</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseVerify(Verify object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Referrable</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Referrable</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseReferrable(Referrable object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Identifiable</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Identifiable</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseIdentifiable(Identifiable object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Packageable Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Packageable Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T casePackageableElement(PackageableElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>SAFE Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>SAFE Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSAFEElement(SAFEElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch, but this is the last case anyway.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject)
   * @generated
   */
  public T defaultCase(EObject object)
  {
    return null;
  }

} //RequirementsSwitch
