/**
 */
package safe10.classmodel.software.configuration.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.software.configuration.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.software.configuration.ConfigurationPackage
 * @generated
 */
public class ConfigurationAdapterFactory extends AdapterFactoryImpl
{
  /**
   * The cached model package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static ConfigurationPackage modelPackage;

  /**
   * Creates an instance of the adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ConfigurationAdapterFactory()
  {
    if (modelPackage == null)
    {
      modelPackage = ConfigurationPackage.eINSTANCE;
    }
  }

  /**
   * Returns whether this factory is applicable for the type of the object.
   * <!-- begin-user-doc -->
   * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
   * <!-- end-user-doc -->
   * @return whether this factory is applicable for the type of the object.
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object object)
  {
    if (object == modelPackage)
    {
      return true;
    }
    if (object instanceof EObject)
    {
      return ((EObject)object).eClass().getEPackage() == modelPackage;
    }
    return false;
  }

  /**
   * The switch that delegates to the <code>createXXX</code> methods.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ConfigurationSwitch<Adapter> modelSwitch =
    new ConfigurationSwitch<Adapter>()
    {
      @Override
      public Adapter caseBooleanConfigParameterValue(BooleanConfigParameterValue object)
      {
        return createBooleanConfigParameterValueAdapter();
      }
      @Override
      public Adapter caseCodeGenerationConfiguration(CodeGenerationConfiguration object)
      {
        return createCodeGenerationConfigurationAdapter();
      }
      @Override
      public Adapter caseConfigParameter(ConfigParameter object)
      {
        return createConfigParameterAdapter();
      }
      @Override
      public Adapter caseConfigParameterValue(ConfigParameterValue object)
      {
        return createConfigParameterValueAdapter();
      }
      @Override
      public Adapter caseFloatConfigParameterValue(FloatConfigParameterValue object)
      {
        return createFloatConfigParameterValueAdapter();
      }
      @Override
      public Adapter caseIdentifierConfigParameterValue(IdentifierConfigParameterValue object)
      {
        return createIdentifierConfigParameterValueAdapter();
      }
      @Override
      public Adapter caseIntegerConfigParameterValue(IntegerConfigParameterValue object)
      {
        return createIntegerConfigParameterValueAdapter();
      }
      @Override
      public Adapter caseStringConfigParameterValue(StringConfigParameterValue object)
      {
        return createStringConfigParameterValueAdapter();
      }
      @Override
      public Adapter defaultCase(EObject object)
      {
        return createEObjectAdapter();
      }
    };

  /**
   * Creates an adapter for the <code>target</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param target the object to adapt.
   * @return the adapter for the <code>target</code>.
   * @generated
   */
  @Override
  public Adapter createAdapter(Notifier target)
  {
    return modelSwitch.doSwitch((EObject)target);
  }


  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.software.configuration.BooleanConfigParameterValue <em>Boolean Config Parameter Value</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.software.configuration.BooleanConfigParameterValue
   * @generated
   */
  public Adapter createBooleanConfigParameterValueAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.software.configuration.CodeGenerationConfiguration <em>Code Generation Configuration</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.software.configuration.CodeGenerationConfiguration
   * @generated
   */
  public Adapter createCodeGenerationConfigurationAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.software.configuration.ConfigParameter <em>Config Parameter</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.software.configuration.ConfigParameter
   * @generated
   */
  public Adapter createConfigParameterAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.software.configuration.ConfigParameterValue <em>Config Parameter Value</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.software.configuration.ConfigParameterValue
   * @generated
   */
  public Adapter createConfigParameterValueAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.software.configuration.FloatConfigParameterValue <em>Float Config Parameter Value</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.software.configuration.FloatConfigParameterValue
   * @generated
   */
  public Adapter createFloatConfigParameterValueAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.software.configuration.IdentifierConfigParameterValue <em>Identifier Config Parameter Value</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.software.configuration.IdentifierConfigParameterValue
   * @generated
   */
  public Adapter createIdentifierConfigParameterValueAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.software.configuration.IntegerConfigParameterValue <em>Integer Config Parameter Value</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.software.configuration.IntegerConfigParameterValue
   * @generated
   */
  public Adapter createIntegerConfigParameterValueAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.software.configuration.StringConfigParameterValue <em>String Config Parameter Value</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.software.configuration.StringConfigParameterValue
   * @generated
   */
  public Adapter createStringConfigParameterValueAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for the default case.
   * <!-- begin-user-doc -->
   * This default implementation returns null.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @generated
   */
  public Adapter createEObjectAdapter()
  {
    return null;
  }

} //ConfigurationAdapterFactory
