/**
 */
package org.safe.metamodel10.common.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.util.URI;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.resource.Resource;
import org.eclipse.emf.ecore.xmi.XMLHelper;
import org.eclipse.emf.ecore.xmi.XMLLoad;
import org.eclipse.emf.ecore.xmi.XMLSave;
import org.eclipse.emf.ecore.xmi.impl.XMIHelperImpl;
import org.eclipse.emf.ecore.xmi.impl.XMIResourceImpl;
import org.eclipse.sphinx.emf.resource.ExtendedResource;
import org.eclipse.sphinx.emf.resource.ExtendedResourceAdapter;
import org.eclipse.sphinx.emf.resource.ExtendedResourceAdapterFactory;
import org.eclipse.sphinx.emf.resource.ExtendedSAXXMIHandler;
import org.eclipse.sphinx.emf.resource.ExtendedXMILoadImpl;
import org.eclipse.sphinx.emf.resource.ExtendedXMISaveImpl;
import org.xml.sax.helpers.DefaultHandler;

/**
 * <!-- begin-user-doc -->
 * The <b>Resource </b> associated with the package.
 * <!-- end-user-doc -->
 * @see org.safe.metamodel10.common.util.SafeResourceFactoryImpl
 * @generated
 */
public class Safe10ResourceImpl extends XMIResourceImpl {
	/**
	 * {@link Adapter} providing SAFE-specific implementation of {@link ExtendedResource extended resource}
	 * services.
	 * 
	 * @see ExtendedResource
	 */
	protected ExtendedResourceAdapter extendedResource;
	
	/**
	 * Creates an instance of the resource.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param uri the URI of the new resource.
	 * @generated
	 */
	public Safe10ResourceImpl(URI uri) {
		super(uri);
		
		// Install adapter providing SAFE-specific implementation of extended resource services
				extendedResource = new ExtendedSAFEResourceAdapter();
				eAdapters().add(extendedResource);
	}
	
	/*
	 * @see org.eclipse.emf.ecore.resource.impl.ResourceImpl#unloaded(org.eclipse.emf.ecore.InternalEObject)
	 */
	@Override
	protected void unloaded(InternalEObject internalEObject) {
		// Delegate to implementation provided by extended resource for enabling memory-optimized unloading
		extendedResource.unloaded(internalEObject);
	}

	/*
	 * @see org.eclipse.emf.ecore.xmi.impl.XMIResourceImpl#createXMLLoad()
	 */
	@Override
	protected XMLLoad createXMLLoad() {
		// Use extended XMILoad implementation for XMI to include support for on-the-fly resource migration,
		// resource-centric problem handling, enhanced entity resolution and ignorable whitespace suppression
		return new ExtendedXMILoadImpl(createXMLHelper()) {
			@Override
			protected DefaultHandler makeDefaultHandler() {
				return new ExtendedSAXXMIHandler(resource, helper, options);
			}
		};
	}

	/*
	 * @see org.eclipse.emf.ecore.xmi.impl.XMIResourceImpl#createXMLSave()
	 */
	@Override
	protected XMLSave createXMLSave() {
		// Use extended XMISave implementation for XMI to include support for on-the-fly resource migration and enhanced
		// schema location support
		return new ExtendedXMISaveImpl(createXMLHelper());
	}

	/*
	 * @see org.eclipse.emf.ecore.xmi.impl.XMIResourceImpl#createXMLHelper()
	 */
	@Override
	protected XMLHelper createXMLHelper() {
		// Enable URIs used for serializing cross-document references be customized through extended resource service
		return new XMIHelperImpl(this) {
			/*
			 * @see org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl#getHREF(org.eclipse.emf.ecore.resource.Resource,
			 * org.eclipse.emf.ecore.EObject)
			 */
			@Override
			protected URI getHREF(Resource otherResource, EObject obj) {
				ExtendedResource otherExtendedResource = ExtendedResourceAdapterFactory.INSTANCE.adapt(otherResource);
				if (otherExtendedResource != null) {
					return otherExtendedResource.getURI(obj);
				} else {
					return super.getHREF(otherResource, obj);
				}
			}
		};
	}

} //Safe10ResourceImpl
